---
date: 2015-01-21
title: Frontend Weekly Vol.1
description: デザイナのための成長戦略、ほか18記事を紹介
---

# Frontend Weekly Vol.1

## Headlines

### [How to Be That Designer — The Year of the Looking Glass](https://medium.com/the-year-of-the-looking-glass/how-to-be-that-designer-96b6215fcd1c)

どうやったらあこがれの『あの』デザイナーになれるのか?  
Facebookのプロダクトデザイン・ディレクターであるJulie Zhuo氏によるデザイナーの為の成長戦略。フロントエンド・エンジニアにも同じようなアプローチは有効なはず。

### [Strategies for Keeping CSS Specificity Low — CSS-Tricks](http://css-tricks.com/strategies-keeping-css-specificity-low/)

肥大化するCSSを管理する上で一番の頭痛のタネである詳細度。この詳細度をどのように低く保つのか。現実的に発生しそうな問題をベースに解決を提案している短いながらも参考になる記事。

### [Development Environments for Web Designers](https://gumroad.com/l/GFXe)

こもりまさあき氏による電子書籍。「Webサイト制作の時流に乗り遅れないために、覚えておきたい開発環境の作り方」。自動化できることを自動化することでもっとも貴重なリソースである時間を取り戻しましょう。

### [ライブラリをES6で書いて公開する所から始めよう — Web Scratch](http://efcl.info/2015/01/09/write-es6/)

ECMAScript6の仕様が策定最終段階となり、多くのブラウザですでに多くの機能が実装されていますが、まだまだ実務で使うのは先だと思って手を出してない人もいることでしょう。この記事ではライブラリをES6で書くことから始めることできっかけとする提案をしています。

### [Introduction to Service Worker: How to use Service Worker — HTML5 Rocks](http://www.html5rocks.com/ja/tutorials/service-worker/introduction/)

オフライン、定期的なバックグラウンド同期、プッシュ通知など、ネイティブに分があった機能を実現するための基盤技術Service Workerの紹介。HTML5 Rocksの記事をMasataka Yakura氏が翻訳してます。 

## In Other News…

### [OOCSS/Atomic CSS are Responsive Web Design 'anti-patterns' - Author and responsive web developer Ben Frain](http://benfrain.com/oocss-atomic-css-responsive-web-design-anti-pattern/)

規模が大きい + レスポンシブデザインというサイトをスケールさせるためにはOOCSS、AtomicCSSのアプローチには無理があるのではないかという提案とそれを解決するBen Frain氏のFUN CSSアプローチの紹介。

### [クリティカル レンダリング パス — Web Fundamentals](https://developers.google.com/web/fundamentals/performance/critical-rendering-path/?hl=ja)

Google社によるWeb Fundamentalsというドキュメント内のクリティカル レンダリング パスの日本語訳が公開。

### [Functional Programming should be your #1 priority for 2015 — Ju Gonçalves](https://medium.com/@jugoncalves/functional-programming-should-be-your-1-priority-for-2015-47dd4641d6b9)

最近何かと話題の関数型言語、ですが、2015年はその関数型なアプローチを学ぶべき年であるとの主張と、基礎の紹介。

### [【翻訳】デザインエンジニアリング — MOL](http://t32k.me/mol/log/design-engineering/)

Jonathan Snook氏による、[Design Engineering](http://snook.ca/archives/opinion/design-engineering) という記事の翻訳。肩書きはさておき、フロントエンドデベロッパーがどんな役割の職種を指すのかの定義について。

### [Browserify for Webpack Users — substack](https://gist.github.com/substack/68f8d502be42d5cd4942)

Browserifyの作者であるsubstack氏による、Webpackユーザが勘違いしている(と本人が考えている) Browserifyの機能について。単純に誤解を解くだけではなく、氏の持つソフトウェアのあり方にも触れる深い記事。

### [The problem with Angular — QuirksBlog](http://www.quirksmode.org/blog/archives/2015/01/the_problem_wit.html)

Peter-Paul Koch(ppk)氏によるAngularの問題点について。氏の6ヶ月間のコンサルティングの経験を元にした考察。  
公開後の反響を含めた記事([Angular and templating](http://www.quirksmode.org/blog/archives/2015/01/angular_and_tem.html))も合わせて読みたい。

## Slides/Videos

### [The State of Mobile HTML5 — Tomomi Imura](https://www.youtube.com/watch?v=xheJo-sSYMk)

モバイルにおけるHTML5を取り巻く環境について。自らを”Mobile Geek”と認めるTomomi Imura氏によるプレゼンテーション。

### [5 killer CSS talks of 2014](http://blog.pexels.com/top-5-killer-css-talks-of-2014/)

2014年に発表された絶対に見ておきたいCSSに関するセッションのビデオ。CSSでご飯を食べている人なら見ておいて損はありません。

## In Brief

- [Photoshop Extensions for Front-end Developers](http://vilcins.lv/blog/2015/Photoshop-extensions-for-frontend-developers/) / フロントエンドデベロッパの為のPhotoshopエクステンション。無料のものも、有料のものも合わせて20を超えるリンクがあります。

- [Sass Guidelines](http://sass-guidelin.es/#top) / Sassと言えばHugo Giraudelというほど著名な氏によるSassのガイドライン。翻訳を募集中だそうです。

- [Shrinkray.io](https://shrinkray.io/) / GitHubと連携し、自動で画像の最適化処理を行ってくれるツール。現時点では無料。

- [UX Check](http://www.uxcheck.co/) / サイトのUXをNielsen氏が発表した10の評価軸で手軽に評価してくれるChromeエクステンション。

- [New animation controls in Chrome Canary — Val Head - Designer](http://www.valhead.com/2015/01/06/quick-tip-chrome-animation-controls/) / Chrome Canaryで利用可能になったアニメーションのデバッグツールの紹介。便利。

- [Input Type Sandbox](http://inputtypes.com/) / 多くのtypeが追加されたInputが異なるブラウザでどのような挙動をするかを確認できるサンドボックスサイト。
