---
date: 2017-02-01
title: Frontend Weekly Vol.106
description: パフォーマンス、ドキュメンテーション、ほか計13リンク
---

# Frontend Weekly Vol.106

## Headlines

### [A Designer’s Guide to Perceived Performance by Marvel Blog](https://blog.marvelapp.com/a-designers-guide-to-perceived-performance/)

**デザイナのための『知覚的』パフォーマンス向上施策**

デザイナが貢献できるパフォーマンス向上施策は実は多い。この記事では画像やページの読み込み時の状態に関するデザインや人がどう速度を知覚するのかなどについて解説している。

### [4 non-JavaScript library topics to learn to take your skills to the next level by CodeUtopia](https://codeutopia.net/blog/2017/01/17/4-non-javascript-library-topics-to-learn-to-take-your-skills-to-the-next-level/)

**ライブラリに関連しない知っておくべき4つのトピック**

ライブラリやフレームワークに限定した知識が不要である、とまでは行かないまでも、より幅広く活用できる知識を得るほうが優先されるケースもある。記事ではセキュリティや関数型プログラミング、テスト自動化、コミュニケーションの4つのトピックを学ぶべきトピックとして選定している。

### [Documentation driven development by Blacklane Engineering](https://medium.com/blacklane-engineering/documentation-driven-development-8b2ff119104f)

**ドキュメント駆動開発**

プログラミングは大抵の場合はチームでの開発が主だろう。今1人であったとしても、いつか自分以外の誰かがそのコードに触れる機会が訪れる。そんな中でレガシーなコードを生み出さないためにドキュメントは大切な要素。そのドキュメンテーションをワークフローに取り入れたケーススタディ。

### [Design like a Developer by Going your way, anyway](https://medium.com/going-your-way-anyway/design-like-a-developer-b92f7a8f4520)

**デベロッパの気持ちになってデザインするということ**

デベロッパが作りやすいデザインを作ることは単純なインターフェースを作ることとは同義ではない。デベロッパがどんな風に開発をしているのかを知ることは、最終的なアウトプットやスケーラビリティに影響を与える。そのために知っておくべきコツ。

### [ES proposal: import() – dynamically importing ES modules](http://www.2ality.com/2017/01/import-operator.html)

**import()概要**

モジュールの先頭に記述する import/export に対し、関数として機能し動的なモジュールのロードを可能にする import() についての概要。

### [How to read faster and remember more](https://zellwk.com/blog/read-faster/)

**より早く読み、より多くを覚えておくために**

エンジニアリングをしていると避けられないことの1つが読むこと。仕様であれ、新しい考え方であれ、技術書であれ、読む機会には恵まれている。記事ではどう読めば、早くそして多くを覚えていられるようになるのかのテクニックを紹介。

### [The Atomization of Your Brand Experience](https://rgabydesign.com/the-atomization-of-your-brand-experience-8b65dbc117dd#.9xe0cx11n)

**ブランド体験の自動化**

ブランドは単純なサインではなく、体験である。その体験を生み出すためのパターンにブランドを息づかせる。デザイン・システムが解決しようとしている問題を、上流から捉えてきちんと説明している。

## Slide

### [Designing inspired style guides presentation slides and transcript by Stuff & Nonsense](https://stuffandnonsense.co.uk/blog/about/designing-inspired-style-guides-presentation-slides-and-transcript)

スタイルガイドが退屈なデザインである必要はない。スタイルガイドの機能面にだけとらわれず、そこにすらアイデンティティを作り、マーケティングを加速する。

## Announcement

### [Inside Frontend #1 (PR)](http://inside-frontend.com/)

Web フロントエンドの現場とこれからをつなぐカンファレンス、Inside Frontendを **2/25(土)** に東京ガーデンテラス紀尾井町にて開催。  
イベントへの[登録はこちらから](https://inside-frontend.connpass.com/event/47920/)。  
またカンファレンス内で開催されるAMA(Ask Me Anything)ブースにて皆さんからの[質問を受け付けてます](https://github.com/insidefrontend/issue-1/projects/1)。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Opinions of Leaders Considered Harmful**](http://cssmojo.com/opinions_of_leaders_considered_harmful/): [Jeffrey Zeldman氏による記事](http://www.zeldman.com/2017/01/03/kiss-my-classname/)に対するThierry Koblentz氏による反論
* [**Get Started with Debugging JavaScript in Chrome DevTools by Google Developers**](https://developers.google.com/web/tools/chrome-devtools/javascript/): Chrome開発者ツールを使ったJavaScriptのデバッグ方法について
* [**Building a custom tag input with Skate.js**](https://hackernoon.com/building-a-custom-tag-input-with-skate-js-fbd4cdf744f): Skate.jsを使ってWeb Componentsなインプットを作る
* [**Differences between ARIA 1.0 and 1.1: Deprecations & Additions by SSB BART Group**](http://www.ssbbartgroup.com/blog/differences-aria-1-0-1-1-deprecations-additions/): ARIA 1.0と1.1の違い
* [**Browser Support for evergreen websites**](https://rachelandrew.co.uk/archives/2017/01/12/browser-support-for-evergreen-websites/): 知らない間に更新され、常に新しいブラウザをサポートするということ
