---
date: 2017-02-08
title: Frontend Weekly Vol.107
description: マイクロサジェスチョン、コンポーネント同士の間隔、ほか計13リンク
---

# Frontend Weekly Vol.107

## Headlines

### [Sometimes you just have to ask](https://blog.prototypr.io/sometimes-you-just-have-to-ask-20c3d2a44a98#.wxs0sma4x)

ユーザがどんなタスクを完遂したいと考えているのか? サイトを便利にするためには欠かせない質問だが、時には単純にユーザに対して直接問いかけることも必要。この本記事では、そんな小さな問いかけに関する提案をしている。

### [Handling spacing in a UI component library](https://medium.com/@chrispearce/handling-spacing-in-a-ui-component-library-70f3b22ec89#.p7shm6g4t)

コンポーネント同士の間隔をどのように制御するかについて。コンポーネント自身が外側の間隔を制御するのか、もしくは間隔を制御するためのコンポーネントを用意するのか。本記事では具体例を用いながら、単純ではないこの課題へのアプローチを解説している。

### [Crash Course: UI Design by HH Design](https://medium.com/hh-design/crash-course-ui-design-25d13ff60962#.amz80keez)

UIをデザインすることに関する基礎講座。とても長い記事ながら、基本的であり、大切な要素が押さえられている。図もふんだんに使われていてわかりやすい。

### [Understanding the Critical Rendering Path](https://bitsofco.de/understanding-the-critical-rendering-path/)

Webページの描画パフォーマンスを改善する上で避けて通れないクリティカルレンダリングパス。HTML・CSS・JavaScriptからどのように構築されるか、そしてレイアウト・ペイントまでのフローを詳解。

### [8 hints for keeping your project well documented by uxdream](https://medium.com/uxdream/8-hints-for-keeping-your-project-well-documented-bccd99b41e34#.btjd0omeq)

ドキュメンテーションはチーム開発において大切な要素の1つだ。わかってはいるものの、どうしても優先順位が下がってしまいがちなドキュメンテーションをよりよく行うための8つのコツを紹介している。

### [How to Write a Style Guide for Marketing Communications by Kaiiax stories](https://medium.com/kaiiax-stories/how-to-write-a-style-guide-for-marketing-communications-1e0b9a25f78a#.vsmg4yyxi)

スタイルガイドはもはやエンジニアやデザイナのものだけではなくなって来ている。目標としていること、解決している問題、またはその反対、解決していない問題、など多くのユーザに問いかけていく必要性もある。そんなスタイルガイドをどうつくるのかについて。

### [My lightbulb moment with modular design by We Are Yammer](https://medium.com/we-are-yammer/my-lightbulb-moment-with-modular-design-8c256f036f90#.q3i0bl24u)

モジュール・デザインにおけるバーティカル・リズムは難しい。1つ1つが良くできていても、組み合わせるとなんとなく違う印象になってしまう。そんな場合大抵はバーティカル・リズムがズレている。モジュール・デザインのつなぎ目であるバーティカル・リズムに関する発見を紹介。

## Book

### [Front-end Developer Handbook 2017 by Cody Lindley](https://www.gitbook.com/book/frontendmasters/front-end-handbook-2017/details)

フロントエンド開発に必要とされる職能や給与水準・スキル・ツールなどを網羅したハンドブック。無料で公開されている。

## Announcement

### [Inside Frontend #1 (PR)](http://inside-frontend.com/)

Webフロントエンドの現場とこれからをつなぐカンファレンス、Inside Frontendを **2/25(土)** に東京ガーデンテラス紀尾井町にて開催。  
イベントへの[登録はこちらから](https://inside-frontend.connpass.com/event/47920/)。  
またカンファレンス内で開催されるAMA(Ask Me Anything)ブースにて皆さんからの[質問を受け付けてます](https://github.com/insidefrontend/issue-1/projects/1)。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**How Designers Should Think About SVG by Design + Sketch**](https://medium.com/sketch-app-sources/how-designers-should-think-about-svg-b2b92efc4d77#.abvsz1ezn): デザイナが知っておくべきSVGに関すること
* [**Let's Look at 50+ Interesting CSS Properties & Values by CSS-Tricks**](https://css-tricks.com/lets-look-50-interesting-css-properties-values/): 50+の興味深いCSSのプロパティと値について
* [**The JavaScript Standard**](https://ponyfoo.com/articles/standard): JavaScriptの仕様とその策定の流れについて
* [**Chromium Blog: Integrating Progressive Web Apps deeply into Android**](https://blog.chromium.org/2017/02/integrating-progressive-web-apps-deeply.html): AndroidがProgressive Web Appsのインテグレーションをさらに強化
* [**Design system maintenance — sharing markup between applications**](https://medium.com/building-a-component-library/design-system-maintenance-sharing-markup-between-applications-2eb915f375cd#.xgoqe220h): デザイン・システムにおけるマークアップ共有化という問題について
