---
date: 2017-02-15
title: Frontend Weekly Vol.108
description: A11yとレスポンシブ、コンポーネントのQAなど計12リンク
---

# Frontend Weekly Vol.108

## Headlines

### [Maintaining Accessibility in a Responsive World by Filament Group](https://www.filamentgroup.com/lab/accessible-responsive.html)

**レスポンシブの中でのアクセシビリティ**

レスポンシブであること、アクセシブルであることを両方成立させることは決して簡単ではない。その両方を長年実現させようとしているFilament Groupによるレスポンシブ・デザインにおけるアクセシビリティについての注意点を紹介。

### [Component QA in Design Systems by EightShapes](https://medium.com/eightshapes-llc/component-qa-in-design-systems-b18cb4decb9c#.a5qqaikac)

**デザイン・システムにおけるコンポーネントのクオリティ担保**

デザイン・システムを構成するコンポーネントたちには多くのクオリティを達成する必要がある。この記事ではそのクオリティを構成する要素とは何かを明示し、それらの担保に必要なテストについて紹介している。

### [How Flexbox works — explained with big, colorful, animated gifs](https://medium.freecodecamp.com/an-animated-guide-to-flexbox-d280cf6afc35#.e49vvgja3)

**FlexboxをアニメーションGIFを使って解説**

Flexboxに関する説明はなかなか尽きることはない。これまでも何度かFrontend Weeklyで取り上げてきたが、今回はアニメーションGIFを使った解説。ビジュアル・ラーナーな人には最適な資料。

### [UX Smells](https://uxdesign.cc/ux-smells-fa971feef820#.pgxbgyuwn)

**UXにおける『不吉なにおい』**

コードにも不吉なにおいがあるのと同じくUXにもそれはある。そんなにおいがどこから立ち上ってくるのか。そしてそれらをどう回避するべきなのかについて紹介。

### [Patterns ≠ Components by EightShapes](https://medium.com/eightshapes-llc/patterns-components-2ce778cbe4e8#.aegw2ekax)

**パターンはコンポーネントと同じではない**

コンポーネントとパターン。それらを同じものとして理解し、実装し、利用するのは少々危ういのかも知れない。この記事ではそれらの歴史をふり返りながら定義を見直し、違いを明らかにしている。

### [Reporting Browser Bugs](https://www.rachelandrew.co.uk/archives/2017/01/30/reporting-browser-bugs/)

**ブラウザのバグを報告しよう**

ブラウザはもちろんソフトウェアである。ほかのソフトウェアと同じくバグも当然存在している。実験的なフラグの後ろで動く機能などブラウザはバグを報告されるのを待っているが、なかなかそうするには至らない。記事ではその方法について紹介している。

### [Building a fully-accessible help tooltip](https://sarasoueidan.com/blog/accessible-tooltips/)

**アクセシブルなヘルプ・ツールチップの作り方**

ツールチップをアクセシブルにするのは想像以上に難しい。  
Sara Soueidan氏によるその難しい実装に関する詳細。

## Announcement

### [Inside Frontend #1 (PR)](http://inside-frontend.com/)

Webフロントエンドの現場とこれからをつなぐカンファレンス、Inside Frontendを **2/25(土)** に東京ガーデンテラス紀尾井町にて開催。  
カンファレンス内で開催されるAMA(Ask Me Anything)ブースにて皆さんからの[**質問を受け付けてます**](https://github.com/insidefrontend/issue1-ama)。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Evaluating Tools For Building a Component Library by Chromatic**](https://chromatichq.com/blog/evaluating-tools-building-component-library): コンポーネント・ライブラリを生成するツールの比較
* [**Date-Input Form Fields: UX Design Guidelines**](https://www.nngroup.com/articles/date-input/): 入力用フォームのUXデザインガイドライン
* [**Chasing the Holy Grail**](https://medium.com/@marcelosomers/chasing-the-holy-grail-bbc0b7cce365#.mgm78veq2): パターンライブラリのソースをどうやって配信するべきか?
* [**Web animation in 2017 by Nothing new**](https://birtles.wordpress.com/2017/01/10/web-animation-in-2017/): 2017年に注目するべきWebアニメーションの仕様たち
* [**Shh! Don’t Tell Them There’s No Magic In Design Thinking by UX Immersion: Interactions**](https://medium.com/ux-immersion-interactions/ssh-dont-tell-them-there-s-no-magic-in-design-thinking-b95f33867656#.uot6bf7d4): デザイン・シンキングには魔法などない
