---
date: 2017-04-05
title: Frontend Weekly Vol.115
description: デザイン・システムの原則、UXのポリシーほか計13リンク
---

# Frontend Weekly Vol.115

## Headlines

### [Principles of Designing Systems by EightShapes](https://medium.com/eightshapes-llc/principles-of-designing-systems-294ee45dcf81)

**デザイン・システムの原則**

デザインの冠は必要がないのではないかと思うほどシステム全般が掲げておくべきだと思う8つの原則について。なぜ原則そのものの存在が大切なのか。そして掲げた8つの原則に関する解説つき。

### [Building performant expand & collapse animations by Google Developers](https://developers.google.com/web/updates/2017/03/performant-expand-and-collapse)

**”開く/閉じる”トグルのアニメーションをスムースに**

UIに関わるエンジニアをしていれば、必ずといっていいほど実装する機会に恵まれる”開く/閉じる”トグルなUI。しかし、そのアニメーションは意外なくらい面倒で、スムースなアニメーションを達成するのはなかなかに難しい。そんな難しい実装について紹介。

### [User Research. Empathy Is the Best UX Policy. by UX Planet](https://uxplanet.org/user-research-empathy-is-the-best-ux-policy-5f966ba5bbdc)

**UXにおける一番のポリシーは共感**

ユーザーのために作り出すプロダクトは、当たり前のことながら、ユーザーが抱える問題を解決し、ユーザーの願いを叶えながら、ビジネスのゴールを達成する必要がある。  
そんなプロダクトのためのUXの基盤となるのが「ユーザを知る」ということ。共感するためのユーザリサーチとは何かについて紹介。

### [Writing modular CSS by Zell Liew](https://zellwk.com/blog/css-architecture-1/)

**実践的なモジュラーCSSの実装例**

様々な命名規則や”CSS アーキテクチャ”手法はあるものの、素直なCSSでの実装例は多くはない。この記事ではCSSを例にして、BEMの命名規則とそこにかかるいくつかの悩み、その問題の回避について2つの記事にわけて紹介。

[パート2はこちらから](https://zellwk.com/blog/css-architecture-2/)。

### [AMP and the Web by TimKadlec.com](https://timkadlec.com/2017/03/amp-and-the-web/)

**AMPとWebの関係**

Tim Kadlec氏によるGoogle AMP カンファレンスで行われた”AMP & The Web Platform.”パネルに対する感想と、AMPの現状に対する感想。
「AMPはパフォーマンス・プラットフォームとしてではなく、インセンティブとして利用されている様な状況はWebにとってよい状態とは言えない。」という言葉に氏の考えが反映されている。

### [Visual Testing — the pragmatic way to test UIs by Chroma](https://blog.hichroma.com/visual-testing-the-pragmatic-way-to-test-uis-18c8da617ecf)

**UIテストの実践的な方法**

UIをテストするのには様々な課題がある。実践的にそのテストを行うにはどんな条件が必要なのか。どんなアプローチがよいのかについて。

### [How I Became a Better Programmer](http://jlongster.com/How-I-Became-Better-Programmer)

**よいプログラマーになるために**

10年以上この業界で働き続けるJames Long氏による、よいプログラマーになるために気をつけるべき事。共感できるアドバイスばかり。

## Video

### [Writing Less Damned Code by Heydon Pickering at btconfBER2016](https://vimeo.com/190834530)

コードを可能な限り書かない、ということ。アクセシビリティやグリッドなどのいくつかの例を紹介。Heydon Pickering氏は口は悪いがいつも面白いセッションをしてくれる。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**The Habits of Effective JavaScript Developers**](http://thefullstack.xyz/effective-javascript-developers/): 効率的なJavaScriptデベロッパの習慣
* [**The Unnecessary Fragmentation of Design Jobs by Signal v. Noise**](https://m.signalvnoise.com/the-unnecessary-fragmentation-of-design-jobs-d5b9c8621082): ○○デザイナという肩書きでデザインの仕事を分断することに意味はあるのか?
* [**CSS sidebar toggle**](https://silvestarbistrovic.from.hr/en/articles/css-sidebar-toggle/): CSSで実装するハンバーガーサイドバー。a11y考慮のJS実装も。
* [**Design principles: what to do when nobody is using your feature by Inside Intercom**](https://blog.intercom.com/design-principles-what-to-do-when-nobody-is-using-your-feature/): プロダクトのある機能が使われてなかったらどうするべきか?
* [**Grid “fallbacks” and overrides by rachelandrew.co.uk**](https://rachelandrew.co.uk/css/cheatsheets/grid-fallbacks): CSS Gridのフォールバックと上書き方法
