---
date: 2015-04-08
title: Frontend Weekly Vol.12
description: JSを自動フォーマット、デザインレビューなど計18リンクを紹介
---

# Frontend Weekly Vol.12

## Headlines

### [Auto-formatting JavaScript Code Style by Addy Osmani](https://medium.com/@addyosmani/auto-formatting-javascript-code-style-fe0f98a923b8)

JavaScriptのコーディング・スタンダードをチェックするのに特化したJSCSがついに自動修正に対応。記事ではSublime Text 3での設定を紹介している。

### [The Open Design Review as a tool to establish a company-wide design culture by Hi, I’m Ben.](http://www.benedikt-lehnert.de/blog/open-design-reviews-as-a-tool-to-establish-a-company-wide-design-culture)

デザイン・フィードバックミーティングの進め方。デザインを大事にする文化を形成するためにも参考にしたい記事。

### [Loading CSS without blocking render by Keith Clark](http://keithclark.co.uk/articles/loading-css-without-blocking-render/)

CSSをレンダリングのブロックをすることなく読み込む実験的アプローチ。フォントなどの読み込みにも応用可能。

### [A closer look at Project Spartan, Microsoft's Internet Explorer killer by The Verge](http://www.theverge.com/2015/3/31/8319169/project-spartan-new-browser-microsoft-hands-on)

Project SpartanはInternet Explorerのブランドそのものを変えるほど期待のかかるMSの新ブラウザ。この記事では技術的な特徴より、ブラウザとしての機能の紹介をしている。

### [Browser representatives on CSS performance by Ben Frain](http://benfrain.com/browser-representatives-on-css-performance/)

CSSにおいて、セレクタのパフォーマンスの良し悪しが議論されることが多い。セレクタのみを見てパフォーマンス全体を解析することはできないが、現時点で、少なくとも静的なページにおいてその心配はない。
しかし、ルールを覚えるよりも、その結論を導くツールを持つべき。

## In Other News…

### [Service Worker で prefetch by Block Rockin’ Codes](http://jxck.hatenablog.com/entry/service-worker-prefetch)

Service Workerをオフラインというコンテキストで使ってみるアプローチの第二弾としてprefetchをつかってみる。

### [Let Links Be Links by An A List Apart Article](http://alistapart.com/article/let-links-be-links)

シングルページアプリケーションでよくある、aタグ以外の要素にリンクの役割を渡してしまうような場面は可能な限り回避するべき。

### [Server Side Mustard Cut by CSS-Tricks](https://css-tricks.com/server-side-mustard-cut/)

必要最低限のテストを意味する"Cutting the mustard"をサーバーサイドに当てはめてみるとこういうアプローチになるだろうという紹介。PHPを例にしているものの、どの言語でも応用できるので是非。

### [The Rise of TypeScript? by Telerik Developer Network](http://developer.telerik.com/featured/the-rise-of-typescript/)

Angulerでも採用されることとなったTypeScript。日本語の書籍も発売されたりと、AltJSの中でも頭一つ出た感があるかも?

### [This is Success: Why 1000/100/6/50ms? by Google](https://docs.google.com/document/d/1bYMyE6NdiAupuwl7pWQfB-vOZBPSsXCv57hljLDMV8E/edit)

成功するパフォーマンスの新指標: 1000msの読み込み、100msのインタラクション・フィードバック、6ms(60FPS)のアニメーション、50msの次インタラクションまでの待機。について解説。

## Slides/Videos

### [Building Better Interfaces with SVG by Sara Soueidan](http://slides.com/sarasoueidan/building-better-interfaces-with-svg#/)

SVGと言えば、Sara Soueidan。そのSaraによるSVGを使ったインターフェースの作り方。古くて新しいSVGが今後のUIに与える影響に触れられるよくまとまったスライド。

## In Brief

- [**Color Safe**](http://colorsafe.co/): WCAG 2.0で規定された色に関するアクセシビリティに準拠したカラーパレット生成ツール。

- [**Introducing the IE Diagnostics Adapter for third party developer tools** by IEBlog](http://blogs.msdn.com/b/ie/archive/2015/04/02/introducing-the-ie-diagnostics-adapter-for-third-party-developer-tools.aspx): [RemoteDebug](http://remotedebug.org/)ムーブメントについにIEが参加。これは一大ニュース。

- [**BEM 101** by CSS-Tricks](https://css-tricks.com/bem-101/): いまさらだれにも聞けないBEMの基礎。

- [**Nudity detection with JavaScript and HTMLCanvas**](http://www.patrick-wied.at/static/nudejs/): JavaScript製ではあるものの、アプローチは他言語でも応用できそう。

- [**A Comprehensive Guide to Smart Quotes, Dashes & Other Typographic Characters** by Typewolf](http://www.typewolf.com/cheatsheet): 英語のタイポグラフィー記号について。きちんと使いわけしないとカッコがつかない。

- [**npm semantic version calculator**](http://semver.npmjs.com/):  npmでモジュールのバージョン指定に悩んだらこちら。Semantic Versioning?という方は[@t32k](https://twitter.com/t32k)による[日本語訳](http://semver.org/lang/ja/)を参照。

- [**Design Principles** by Melissa Mandelbaum](http://learndesignprinciples.com/): デザイン原則について。デザイナはもちろん、そうでない人にもおすすめ。
