---
date: 2017-05-31
title: Frontend Weekly Vol.123
description: フロントエンド開発の未来、CSS in JSほか計14リンク
---

# Frontend Weekly Vol.123

## Headlines

### [What is the Future of Front End Web Development? by CSS-Tricks](https://css-tricks.com/future-front-end-web-development/)

**Webフロントエンド開発の将来はどうなるのか？**

CodePenの開発者であるChris Coyier氏による、これからのWebフロントエンド開発の流れについての私見。Webフロントエンドの過渡期である昨今にフォーカスされている「新しいJavaScript」や「ネイティブとWeb」などの複数のトピックに触れている。

### [A Unified Styling Language by SEEK blog](https://medium.com/seek-blog/a-unified-styling-language-d0c208de2660)

**CSS in JSが解決しようとしている問題**

CSS in JSというアプローチが生まれてから、まだそれほどの時間は経過していないが、今では様々な種類のアプローチが存在している。なぜここまで成長してきたのか?  そもそもなぜCSS in JSをする必要性があるのかから、その問題解決について詳しく解説。

### [Accessibly labelling interactive elements](https://hiddedevries.nl/en/blog/2017-05-05-accessibly-labelling-interactive-elements)

**インタラクティブな要素に対するa11yなラベル**

フォームなどのようなインタラクティブな要素に対してどのようにラベリングをするべきか? まずは可能な限りネイティブな属性を利用し、それができない場合にはARIAを使う。長らく言われてきているベスト・プラクティスはここでも通用する。

### [Niffy: Perceptual Diffing to Catch Invisible Bugs by Segment](https://segment.com/blog/perceptual-diffing-with-niffy/)

**画像のdiffを使って見えないバグを見つけ出すツール、Niffy**

UIの見た目に関わるテストにおける最も実現可能性の高い画像Diffテスト。そのテストを行うためのツールであるNiffyについてと、そもそもの画像Diffテストについて。

### [We have a problem with promises](https://pouchdb.com/2015/05/18/we-have-a-problem-with-promises.html)

**Promisesは難しい?**

Promisesが当たり前に使われるようになってきたからこそ、知っておきたいPromisesを使う上で知っておきたい落とし穴たち。

### [JavaScript Start-up Performance by reloading](https://medium.com/reloading/javascript-start-up-performance-69200f43b201)

**JavaScriptの開始速度を上げるには?**

JavaScriptは今はWebには欠かせない存在であり、場合によってはクライアントサイドはその全てがJavaScriptで動いているというケースもある。だからこそ知っておきたいJavaScriptが読み込まれ、解析され、実行されるまでの速度を上げる方法を紹介。

### [Learn CSS Grid - A Guide to Learning CSS Grid by Jonathan Suh](http://learncssgrid.com/)

**CSS Grid を学ぼう**

モダンブラウザでのサポートは進んでいるCSS Gridの基礎から応用がシンプルにまとまっている。多くの例がサンプル付きで紹介されているので、CSS Gridでどういうことができるのかが分からない人にもおすすめ。

## Slide

### [Presentation: Accessibility in a Responsive World, A11Y Days 2017 by Scott Jehl](https://www.filamentgroup.com/lab/accessibility-funka.html)

レスポンシブ・デザインにおけるアクセシビリティは、意外と落とし穴が多い。そんな落とし穴たちとその回避についてFilament GrouptのScott Jehlが解説。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Accessibility by Google Developers**](https://developers.google.com/web/fundamentals/accessibility/): Google Developersによるアクセシビリティに関する記事
* [**Visual Test Driven Development by Chroma**](https://blog.hichroma.com/visual-test-driven-development-aec1c98bed87): ビジュアル・テストを使ったテスト駆動開発。ツールはReactベース
* [**Best Practices for Push Notifications Permissions UX**](https://docs.google.com/document/d/1WNPIS_2F0eyDm5SS2E6LZ_75tk6XtBSnR1xNjWJ_DPE/edit): Push通知のパーミッションに関するUXのベスト・プラクティスたち
* [**The :focus-within pseudo class by Ian Devlin**](https://www.iandevlin.com/blog/2017/04/css/the-focus-within-pseudo-class): 子孫要素へのフォーカス時にスタイルを適用できる:focus-within疑似クラスの紹介
* [**The Path to Design System Maturity by UX Power Tools**](https://medium.com/ux-power-tools/the-path-to-design-system-maturity-d403daba692a): デザイン・システムそのものを成長させるための成長戦略
