---
date: 2017-06-07
title: Frontend Weekly Vol.124
description: HTTP/2 push、SVG、Browserslistほか計12リンク
---

# Frontend Weekly Vol.124

## Headlines

### [HTTP/2 push is tougher than I thought by JakeArchibald.com](https://jakearchibald.com/2017/h2-push-tougher-than-i-thought/)

**HTTP/2 pushの各ブラウザの対応状況の考察**

Jake ArchibaldによるHTTP/2 pushの各ブラウザの対応状況の考察。`fetch()`から始まり、pushに必要な各機能がそれぞれのブラウザでどのように対応されているかが詳細に書かれている。各機能の終わりには現時点での推奨の方法も書かれており参考になる。結論としてまだ各ブラウザでバグなどがあるのでHTTP/2 pushの機能をすぐに導入するのには時期尚早だがパフォーマンスを良くするために役立つので十分テストして導入してはどうかというものになっている。とはいえ、HTTP/2 pushに必要な項目が網羅されているので目を通しておくとよいだろう。

### [Stuff at the Top of an SVG by Peter Nowell](https://medium.com/@pnowelldesign/stuff-at-the-top-of-an-svg-f3ad198eb54e)

**SVGの先頭にあるモノ**

SVGをコードエディタで開いたときにその先頭で見られるDOCTYPEやxmlnsなどの宣言が何を意味し、また取り除いていいものなのか。グラフィックとしてのSVGの解説ではなく、コードとして扱う上での最適化や、SVGの扱い方についての実践的な内容になっている。すでにSVGを扱っている人も、これからSVGを使い始めるというひとにも読んでもらいたい。

### [Browserslist is a Good Idea by CSS-Tricks](https://css-tricks.com/browserlist-good-idea/)

**Browserslistの活用方法**

どのブラウザをどんなバージョン範囲でサポートするのかはそれ自体なかなか難しい問題だが、それを実施の開発で継続していくのもまた難しい。Browserslistはそんな問題を解決する手助けをしてくれる。Autoprefixerは自動でその設定を利用するが、今ではほかにも様々なパッケージで利用できるようになってきた。

### [Developers, Learn To Say No. by Adrian Kosmaczewski](https://medium.com/@akosma/developers-learn-to-say-no-777fe571b38d)

**Noと言うこととその真意**

開発者はなかなか『No』とは言わない生き物だろう。それは反対するよりも作ってしまった方が楽だからという理由も多くあるのではないか。しかし、本当に大切なことは、『No』のあとに続く、何故に対する答えにある。

### [Better Form Design: One Thing Per Page (Case Study) by Smashing Magazine](https://www.smashingmagazine.com/2017/05/better-form-design-one-thing-per-page/)

**フォームデザインケーススタディ: 1ページに1項目**

フォームのデザインはこれまでにも様々なアプローチが試みられてきているため、事例の宝庫となっている。今回Smashing Magazineで紹介されたのは、1つのページに1つの項目を配置するパターン。

### [Breaking out of the Tetris mindset by Christian Heilmann](https://christianheilmann.com/2017/05/23/breaking-out-of-the-tetris-mindset/)

**成功体験を積み上げ、エラーは消し去る**

Webの世界はスピードが命。そのスピードにただ身を任せ、エラーを積み上げ、成功体験を消し去ってはいないだろうか?　Christian Heilmann氏はこの状態を『テトリス』マインドセットとし、そのマインドセットから抜け出す方法について解説している。

### [How abstraction helps you get the most out of UI components](https://blog.hichroma.com/how-abstraction-helps-you-get-the-most-out-of-ui-components-d92a65ed78a6)

**UIコンポーネントを最大限活用するための抽象化**

UIコンポーネントとその抽象化はバランスが難しい。あまりに抽象化しすぎると実体から離れすぎてしまうし、実体に近すぎればスケールしない。記事ではUIコンポーネントの種類とその種類に応じた抽象化例について紹介。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**TypeStyle**](http://typestyle.io/#/): TypeScript製の型安全にCSSを書けるようにするためのライブラリ。CSS in JSで動き、Playgroundもある。
* [**MeasuringU: 10 Concepts Management Needs to Know about UX Measurement**](https://measuringu.com/managing-ux/): UXを計測するために知っておきたい10のコンセプト
* [**The future of adaptive user interfaces by Creative Bloq**](http://www.creativebloq.com/inspiration/the-future-of-adaptive-user-interfaces): アダプティブ・UIの未来とは?
* [**Event Bubbling in JavaScript? Event Propagation Explained**](https://www.sitepoint.com/event-bubbling-javascript/): イベント・バブリングについて
* [**Under-Engineered Custom Radio Buttons and Checkboxen by Adrian Roselli**](http://adrianroselli.com/2017/05/under-engineered-custom-radio-buttons-and-checkboxen.html): カスタムデザインのラジオボックスとチェックボックスについて
