---
date: 2015-04-15
title: Frontend Weekly Vol.13
description: ドキュメンテーション、a11y、Webの本質、計20記事を紹介
---

# Frontend Weekly Vol.13

## Headlines

### [Mindful documentation for (web) components and frameworks by Kaelig Deloumeau-Prigent](https://medium.com/@kaelig/mindful-documentation-for-web-components-and-frameworks-87668b116912)

どれだけ優れたコンポーネントやフレームワークにも、優れたドキュメントが必要。多くのユーザに利用されるために知っておきたいドキュメントのコツを紹介。

### [WAI-finding with ARIA Landmark Roles by An A List Apart](http://alistapart.com/column/wai-finding-with-aria-landmark-roles/)

アクセシビリティは特別なアプローチではないものの、シンプルなものでもない。記事ではARIAの中でもLandmark Rolesについてわかりやすく解説している。

### [A Dao of Web Design at 15 by Web Directions](http://www.webdirections.org/blog/a-dao-of-web-design-at-15/)

15年間でWebはどう変わったか。John Allsopp氏が15年前に書いた、[A Dao of Web Design](http://alistapart.com/article/dao)で氏が伝えたかったことは今もあまり変わらない。

**関連リンク:** [15年前の記事が教えてくれるWebの本質 by could](http://www.yasuhisa.com/could/article/15years-of-dao/)

### [High performance HTML by Sam Dutton](https://samdutton.wordpress.com/2015/04/02/high-performance-html/)

HTMLなんて誰でも書ける。なんて簡単に考えていないだろうか?　HTMLはコンテンツに対して構造を加える重要なファクター。記事ではその大切なHTMLをどう書くべきかかなり詳しく解説している。

### [Do Not Learn Frameworks. Learn the Architecture. by Alex Rboots](http://kukuruku.co/hub/programming/do-not-learn-frameworks-learn-the-architecture)

記事タイトルが全てを語っている。フレームワークの使い方を学ぶより、フレームワークがどう構成されているか、どんな問題を解決しようとしているのかを学ぶべき。

## In Other News…

### [How We Use Trello for Product Design and Development by thoughtbot](https://robots.thoughtbot.com/how-we-use-trello-for-product-development)

thoughtbotでプロダクトデザイン/開発に活用しているTrelloの使い方について詳しく解説。

### [Chrome’s Console API: Greatest Hits by Mitch Robb](http://www.mitchrobb.com/chromes-console-api-greatest-hits/)

Chrome開発者ツールで使えるConsole API。これが意外と高機能。この記事では今から使うべき便利な機能をまとめて紹介している。

### [Starting a Refactor with CSS Dig by CSS-Tricks](https://css-tricks.com/starting-a-refactor-with-css-dig/)

CSS DigというPython製のCSS解析ツールを[Chrome Extensions](https://chrome.google.com/webstore/detail/css-dig/lpnhmlhomomelfkcjnkcacofhmggjmco?hl=en)で簡単に利用できるようになったので、CSSのリファクタリングへの第一歩としてどう活用するか。

### [CSS Font Sizing by bitsofco.de](http://bitsofco.de/2015/css-font-sizing/)

px、em、rem、%とCSS内でフォントサイズの指定に利用できる単位は数多い。この記事ではそれらの違いと、レスポンシブ・Webを念頭にしたフォントサイズへのアプローチを紹介。

### [Visual Test-Driven Development For Responsive Interface Design by Smashing Magazine](http://www.smashingmagazine.com/2015/04/07/visual-test-driven-development-responsive-interface-design/)

スクリーンサイズが多くなればなるほどテストの工数が増えて行く。ならば自動化、と考えるのが人の常。しかし、なかなかそれも難しい。この記事では[Galen Framework](http://galenframework.com/)を使ったワークフローを紹介。

## In Brief

- [**HAR Resources: A community curated list of resources, tools, projects and applications that support HTTP Archive (HAR)**](http://ahmadnassri.github.io/har-resources/): HTTP Archive、通称HARをサポートしているリソース、ツール、プロジェクトをキュレーションしたサイト。

- [**The Path to Performance**](http://pathtoperf.com/): パフォーマンスに興味がある人は必聴のポッドキャストがスタート。第一回目はEtsyのLara Hogan。

- [**Annotated Version of the Original jQuery Release by John Resig**](http://ejohn.org/blog/annotated-version-of-the-original-jquery-release/): jQueryを作ったJohn Resig氏による解説付きオリジナルjQueryソースコード。

- [**Accessibility and Low-Powered Devices by Brad Frost**](http://bradfrost.com/blog/post/accessibility-and-low-powered-devices/): アクセシビリティは決して特別な対応ではない。様々な状況下で利用できるサイト作りは多くのユーザに使って貰える機会を増やすことに繋がる。

- [**Mobile UI Tips from Luke Wroblewski by Yuya Saito**](https://storify.com/cssradar/lukew-tips-for-mobile-ui): Luke Wroblewski氏がTwitter上で展開しているモバイルUIに関するコツのまとめ。

- [**Mockbin by Mashape**](http://mockbin.com/): テストを行うのに便利なHTTPリクエストやレスポンスなどを簡単に作成できるWebツール。

- [**Keeping it simple: coding a carousel by Christian Heilmann**](http://christianheilmann.com/2015/04/08/keeping-it-simple-coding-a-carousel/): カルーセルUIをシンプルに、プログレッシブ・エンハンスメントしながら実装する。段階もきちんとあってわかりやすい。

- [**WebGL Fundamentals**](http://webglfundamentals.org/): WebGLの基礎。これから始める人にも、人に教える人にもオススメ。

- [**Git Style Guide by Agis Anastasopoulos**](https://github.com/agis-/git-style-guide): Gitの作法。コミットメッセージの書き方やブランチの命名規則などについてまとめている。

- [**The Good Way To File A Bad Bug by Inside Intercom**](http://blog.intercom.io/the-good-way-to-file-a-bad-bug/): チームで開発する上で欠かせない正しいバグ報告の方法。
