---
date: 2017-08-30
title: Frontend Weekly Vol.136
description: V8の中身、パターンバリエーション、a11yのガイドライン、ほか計12リンク
---

# Frontend Weekly Vol.136

## Headlines

### [How JavaScript works: inside the V8 engine + 5 tips on how to write optimized code](https://blog.sessionstack.com/how-javascript-works-inside-the-v8-engine-5-tips-on-how-to-write-optimized-code-ac089e62b12e)

**V8エンジンの内部挙動と最適化のための5つのコツ**

数あるJavaScriptのエンジンからV8の内部挙動について紹介。  
簡潔にポイントを押さえて解説しているのでわかりやすい。  
加えて、5つの最適化のコツも紹介。

### [Pattern Variations by Brad Frost](http://bradfrost.com/blog/post/pattern-variations/)

**パターン化されたコンポーネントは決して退屈ではない**

UIコンポーネントやパターンライブラリは一定で退屈なデザインを押しつけるものではない。  
正しいデザイン・システムは堅牢でありながら柔軟であり、順応性の高いものである。
Brad Frost氏はこの記事でその1例を紹介。

### [10 guidelines to improve your web accessibility by Aerolab](https://aerolab.co/blog/web-accessibility/)

**アクセシビリティを向上させる10のガイドライン**

1. 色に依存するべからず
2. ズームを抑止するべからず
3. `alt`属性をよく学べ
4. 動画には字幕をつけるべし
5. セマンティックはアクセシビリティと同じ
6. マークアップは正しく選べし
7. `role`属性は必要な時に使うべし
8. 要素の「非表示」について知れ
9. アクセシビリティの標準を学べ
10. 監査しレビューせよ

### [“As a user” needs to stop. by prototypr](https://blog.prototypr.io/stop-it-with-as-a-user-5feb9b38d920)

**ユーザという無名のユーザはいない**

『ユーザはボタンをクリックし、フォームを送信したい』よくあるフレーズではあるが、そのフレージングこそがボタンに「送信」という一般的な用語を与えてしまう理由になっている。  
名前を与えられたペルソナが必要な理由について。

### [The Missing Advice I Needed When Starting My Career by Smashing Magazine](https://www.smashingmagazine.com/2017/07/missing-advice-when-starting-career/)

**若かりし時代の自分へのアドバイス**

デザイナとして長らくのキャリアを気づいているPaul Boag氏による、若かりし時代の自分へのアドバイス。ツールに固執するべからず、他者と上手く働くべし、自分を「デザイナ」という枠で捉えるななど、すばらしいアドバイスばかり。

### [Vertical margins/paddings and Flexbox, a quirky combination by Bram.us](https://www.bram.us/2017/07/30/vertical-marginspaddings-and-flexbox-a-quirky-combination/)

[要素のアスペクト比を固定するためのCSSはハックである](https://www.bram.us/2017/06/16/aspect-ratios-in-css-are-a-hack/)ことを証明するかのように密かに存在するFlexboxにおけるバグについて解説。

### [How I rediscovered my love for JavaScript after throwing 90% of it in the trash.](https://hackernoon.com/how-i-rediscovered-my-love-for-javascript-after-throwing-90-of-it-in-the-trash-f1baed075d1b)

関数型アプローチのJavaScriptを学ぶことで、JavaScriptのよい部分が見いだせる。  
オブジェクト指向から離れた視点でJavaScriptを学び直そう。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Inclusive Design Principles(PDF)**](http://inclusivedesignprinciples.org/posters/multiple.pdf): インクルーシブ・デザインの原則をまとめたPDF
* [**Beyond `typeof` and `instanceof`: simplifying dynamic type checks**](http://2ality.com/2017/08/type-right.html): 型の確認をシンプルに行う方法
* [**CSS Hex Colors Demystified by Dev Channel**](https://medium.com/dev-channel/css-hex-colors-demystified-51c712179982):  CSSのHexカラーはいったいどういう仕組みなのか?
* [**Solving CSS Versioning Conflicts**](https://blog.newrelic.com/2017/07/27/css-versioning-conflicts/): CSSでコンポーネント毎にバージョニングを行う場合の問題とその回避法
* [**Passing data between Promise callbacks**](http://2ality.com/2017/08/promise-callback-data-flow.html): ネストするPromises間でデータを渡す最適な方法