---
date: 2017-09-13
title: Frontend Weekly Vol.138
description: コードの一貫性、デザイン言語の辞書、ほか計12リンクと運営からのお知らせ
---

# Frontend Weekly Vol.138

## Headlines

### [How to Write Better Code: The 3 Levels of Code Consistency by CSS-Tricks](https://css-tricks.com/write-better-code-3-levels-code-consistency/)

**よりよいコードを書くための3つのレベルの一貫性**

一貫性はデザインにおいても、コードにおいても1つの品質における指標だ。  
記事では、その一貫性を個人レベル、集合体レベル、組織レベルと3つのレベルに分類し、それらの特徴について解説している。

### [A Dictionary for a Design Language by prototypr](https://blog.prototypr.io/a-dictionary-for-a-design-language-3afae1579586)

**デザイン・ランゲージの辞書**

デザイン言語を生み出す際に押さえておくべき要素たちを辞書のように、その定義と事例をまとめた記事。コードよりではなくデザインよりの記事ではあるが、言語であるからこそ、辞書が必要であるという考え方は参考になる。

### [How to Run a Front-End Infrastructure Team by AdRoll](http://tech.adroll.com/blog/frontend/2017/08/29/how-to-run-a-front-end-infrastructure-team.html)

**フロントエンド・インフラチームの運営方法**

UIコンポーネント・ライブラリや国際化対応、集計、A/Bテストなど様々なレイヤーに渡る、フロントエンドの「インフラ」を開発、運用しているチームはどのように運営されているのか?  
責任範囲が大きく、影響範囲も大きいからこそ、人にフォーカスしたケーススタディは参考になる。

### [Design Principles: a guide to less shitty feedback by Apegroup — Behind the Screens](https://medium.com/apegroup-texts/design-principles-a-guide-to-less-shitty-feedback-64e9541816c1)

**より有益なデザイン・フィードバックを得るためには**

クライアントやステークスホルダーから、「なんかイマイチ、ピンと来ない」というようなフィードバックを得た経験は誰にでもあるだろう。
そんなあまり有益とは言えないフィードバックから逃れるために必要なのが『デザイン原則』。
そのデザインの原則について紹介。

### [Building Skeleton Screens with CSS Custom Properties by CSS-Tricks](https://css-tricks.com/building-skeleton-screens-css-custom-properties/)

**CSSカスタム・プロパティを使って「スケルトン」UIを作る**

App Shellのようなアプローチなどで使われる「スケルトン」、「ゴースト」と呼ばれるコンテンツのないUIをCSSのカスタム・プロパティを利用して効率的に作成する方法について。

### [The Ultimate Guide to Designing Activity Feeds](https://getstream.io/activity-feed-design/)

FacebookやTwitterのホームに限らず、フィードというUIパターンは多くのサイトで採用されている。この記事では、そのフィードをデザインするために知っておくべきことを実例を交えて紹介。

### [Overthinking BEM by Mono](https://mono.company/journal/frontend/overthinking-bem/)

BEMに『孫』用の命名が要らない理由や、モディファイヤが`--`でプリフィックスする理由など、BEMを何年も活用してきた結果としてBEMに求めることを改めて再考。

## Announcement

いつもFrontend Weeklyをご購読いただきありがとうございます。

これまで2年半近くニュースレターとしてメール配信をおこなってまいりましたが、
**Vol.151より、Mediumへの移行をおこないます。**

**[https://medium.com/frontend-weekly](https://medium.com/frontend-weekly)**

Vol.151以降はFrontend Weeklyからのメール配信はおこないませんが、Mediumにて引き続きコンテンツを提供していきますので、Frontend WeeklyのPublicationをフォローをよろしくおねがいします。

またこれまで無償での配信をおこなってまいりましたが、
本ニュースレターの運営コストの状況など鑑みて、一部を除いて有料での配信も検討しております。
こちらについては追って詳細をご案内できればと思います。
※Mediumのシステムを利用した課金となります。

引き続きFrontend Weeklyをよろしくおねがいいたします。

## In Brief

- [**What to expect from PMs by The Year of the Looking Glass**](https://medium.com/the-year-of-the-looking-glass/what-to-expect-from-pms-e9750ec09bbf): プロジェクト・マネージャに求めるべき事とは?
- [**Download Free User Experience Templates To Use by Usability Counts**](https://medium.com/usability-counts/download-free-user-experience-templates-to-use-eb4491c0575d): UX関連でよく使うテンプレートを無料で提供
- [**The difference between good and great engineers by Inside Intercom**](https://blog.intercom.com/traits-of-exceptional-engineers/): よいエンジニアと、優れたエンジニアの違いとはなにか?
- [**What’s New in WCAG 2.1 by Adrian Roselli**](http://adrianroselli.com/2017/08/whats-new-in-wcag-2-1.html):　WCAG2.1で何が新しくなったのか?
- [**Pattern Library Workflow – Jon Gunnison**](https://medium.com/@jgunnison/pattern-library-workflow-ba9cc486159e): UIパターン・ライブラリを作るためのワークフロー例
