---
date: 2017-09-27
title: Frontend Weekly Vol.140
description: CSSの課題と解決、a11yトグルボタン、ほか計12リンク
---

# Frontend Weekly Vol.140

## Headlines

### [The zen of Just Writing CSS](https://svelte.technology/blog/the-zen-of-just-writing-css)

**CSSが持つ最大の課題を解決する**

CSSが持っている最大の課題はCSSは基本的にグローバルなスコープしか持たないこと。
スコープの限定が難しいが故に、CSSのルールセットを削除するが難しい。
その問題を解決するCSS in JSではない方法を提案。

### [Building Inclusive Toggle Buttons by Smashing Magazine](https://www.smashingmagazine.com/2017/09/building-inclusive-toggle-buttons/)

**アクセシブルなトグル・ボタンの作り方**

「On/Off」の2つの状態を持つトグル・ボタン。  
見たことも、使ったことも、作ったこともたくさんあるよくあるこのボタンをアクセシブルにするために考慮するべき事を詳解。

### [Web truths: CSS is not real programming by Christian Heilmann](https://christianheilmann.com/2017/09/19/web-truths-css-is-not-real-programming/)

**CSSは壊れているのか?**

CSSは壊れているのか、否か。
本質的な問題ではない部分で議論が進みがちなCSSとその役割について、改めてその本質を解説。

### [Is there any value in people who cannot write JavaScript?](https://medium.com/@mandy.michael/is-there-any-value-in-people-who-cannot-write-javascript-d0a66b16de06)

**JavaScriptは書けないといけないのか?**

Webのクライアント・サイドにおいて、JavaScriptが書けることは必須となってはいないだろうか?  
JavaScriptが書けなかったとしても、それ以外の「スタック」のエキスパートであることも当然あり得る。  

### [Design System Features, Step-by-Step by EightShapes](https://medium.com/eightshapes-llc/system-features-step-by-step-e69c90982630)

**デザイン・システムを作るワークフロー**

単に必要そうな要素を追加して、更新する。  
デザイン・システムが「システム」である以上、そのワークフローでは破綻してしまう。  
Nathan Curtis氏によるデザイン・システムを作るワークフロー解説。

### [How DNS works](https://howdns.works/)

DNSはなぜ動くのか?  
DNSの役割やその挙動、どういった仕組みで動いているのかについて解説。

### [Compression Decompressed by The website of Jack Preston, Computerer](https://unwttng.com/compression-decompressed)

圧縮とはなにかについて事細かに解説。  
わかっている「つもり」から脱却するために。

## Announcement

いつもFrontend Weeklyをご購読いただきありがとうございます。

これまで2年半近くニュースレターとしてメール配信をおこなってまいりましたが、
**Vol.151より、Mediumへの移行をおこないます。**

**[https://medium.com/frontend-weekly](https://medium.com/frontend-weekly)**

Vol.151以降はFrontend Weeklyからのメール配信はおこないませんが、Mediumにて引き続きコンテンツを提供していきますので、Frontend WeeklyのPublicationをフォローをよろしくおねがいします。

またこれまで無償での配信をおこなってまいりましたが、
本ニュースレターの運営コストの状況など鑑みて、一部を除いて有料での配信も検討しております。
こちらについては追って詳細をご案内できればと思います。
※Mediumのシステムを利用した課金となります。

引き続きFrontend Weeklyをよろしくおねがいいたします。

## In Brief

- [**Quick Tip: A11y and a brief numeronyms primer by The A11Y Project**](http://a11yproject.com/posts/a11y-and-other-numeronyms/):　アクセシビリティに関わる略語まとめ
- [**Motion blur effect using SVG filters**](https://codepen.io/damianmuti/details/MvYPPa): SVGフィルタを使ったモーション・ブラー効果
- [**Fonts don't matter by Axess Lab**](https://axesslab.com/fonts-dont-matter/): 読みやすさとフォントにはそれほど関連はない
- [**Building a design system for HealthCare.gov by Nava PBC**](https://blog.navapbc.com/building-a-design-system-for-healthcare-gov-20dc1a833ab3): HealthCare.govのデザイン・システム構築について
- [**Mastering the Power of Nothing by Springboard**](https://medium.springboard.com/mastering-the-power-of-nothing-a9f6971f1fd): デザインにおける『余白』の使い方をマスターする
