---
date: 2017-10-03
title: Frontend Weekly Vol.141
description: カードUIの本質、iPhone Xの注意点、ほか計12リンク
---

# Frontend Weekly Vol.141

## Headlines

### [Things you could be doing instead of designing & building that card component for the umpteenth time by Brad Frost](http://bradfrost.com/blog/post/things-you-could-be-doing-instead-of-designing-building-that-card-component-for-the-umpteenth-time/)

**何度もカードコンポーネントを設計・開発する代わりにやるべきこと**

カードコンポーネントのようなどのプロジェクトにも存在しそうなパターンをゼロから毎回設計し直す必要はない。この記事ではコンポーネントを設計・開発するうえで必要なことが網羅されている。これらの基礎をつくってしまえば、プロジェクトにおいて本来注力すべきことにリソースを割くことができるので、これらをすべて実施するのは大変だが試してみる価値はある。

### [Designing Websites for iPhone X by WebKit](https://webkit.org/blog/7929/designing-websites-for-iphone-x/)

**iPhone X向けwebサイト設計**

iPhone Xではedge-to-edgeなディスプレイとなり、周辺領域にsafe areaというデバイスのセンサー用領域が確保されている。新たに登場したviewport-fit属性を用いることで、ページのedge-to-edge表示が可能だが、safe areaを考慮しなければサイトのナビゲーション操作などが出来なくなる可能性がある。それらを回避するための、iOS 11で使えるCSS関数などを用いた実装方法を紹介。

### [Running design sprints in Japan by AQ writes](https://medium.com/aq-writes/running-design-sprints-in-japan-d17fc63d7613)

**日本でデザイン・スプリントを行うために**

デザイン・スプリントを採用しているコンサルティングを行っている方々向け。  
日本という(やや)特殊な環境になりがちな世界でどうすればデザイン・スプリントを上手く回せるのか?

### [Saving Bandwidth with Images by Dev Channel](https://medium.com/dev-channel/saving-bandwidth-with-images-8c28f52b5ef7)

**画像の最適化はできてますか?**

Webサイトのパフォーマンス(読み込み速度)はどんな種類のサイトであろうと、全てのWebサイトに共通した機能。  
そのパフォーマンス改善にあたり画像のサイズは無視できない。  
クオリティとのバランスもあるものの、確りと自動化することで、確実にパフォーマンス改善につなげるべき。

### [Web Truths: JavaScript can’t be trusted by Christian Heilmann](https://christianheilmann.com/2017/09/26/web-truths-javascript-cant-be-trusted/)

**JavaScriptは信用できない**

Christian Heilmann氏による、『ウェブの真実』シリーズの第二弾。  
今回はJavaScriptはいかに他の言語と比べて信用ならない言語である、だから〜………というよくある議論に対する彼なりの見解について。

### [Designing for Human Attention by UX Planet](https://uxplanet.org/designing-for-human-attention-ac0abe3d657d)

ヒトの注意を引くデザインとはどんなものであるべきか?  
この記事では、「注意、注目」を心理学でいうところの、ワーキング・メモリと定義し、その領域を確実に確保するために考慮するべき事項について、例を交えて解説している。

### [The State of the Web by Karolina Szczur](https://medium.com/@fox/talk-the-state-of-the-web-3e12f8e413b3)

[Vol.137](https://frontendweekly.tokyo/frontend-weekly-vol-137-c8b453244c92)にて紹介したスライドを記事化。
スライドではわからなかった詳細についても紹介されている。

## Announcement

いつもFrontend Weeklyをご購読いただきありがとうございます。

これまで2年半近くニュースレターとしてメール配信をおこなってまいりましたが、
**Vol.151より、Mediumへの移行をおこないます。**

**[https://medium.com/frontend-weekly](https://medium.com/frontend-weekly)**

Vol.151以降はFrontend Weeklyからのメール配信はおこないませんが、Mediumにて引き続きコンテンツを提供していきますので、Frontend WeeklyのPublicationをフォローをよろしくおねがいします。

またこれまで無償での配信をおこなってまいりましたが、
本ニュースレターの運営コストの状況など鑑みて、一部を除いて有料での配信も検討しております。
こちらについては追って詳細をご案内できればと思います。
※Mediumのシステムを利用した課金となります。

引き続きFrontend Weeklyをよろしくおねがいいたします。

## In Brief

- [**Getting started with the Web Animations API**](https://lisilinhart.info/posts/waapi-introduction): Web Animation APIことはじめ
- [**React v16 changes by blog.koba04.com**](http://blog.koba04.com/post/2017/09/27/react-v16-changes/): React 16の変更点まとめ
- [**Chrome breaks visual viewport — again by QuirksBlog**](https://www.quirksmode.org/blog/archives/2017/09/chrome_breaks_v.html): Chromeがまたしてもviewportの扱いを変更した
- [**HTML Templates via JavaScript Template Literals by CSS-Tricks**](https://css-tricks.com/html-templates-via-javascript-template-literals/): Template Literalsを使ったクライアント・サイドテンプレート
- [**But sometimes links look like buttons (and buttons look like links)**](https://medium.com/simple-human/but-sometimes-links-look-like-buttons-and-buttons-look-like-links-9b371c57b3d2): ボタンのようなリンク、リンクのようなボタンが招く問題について
