---
date: 2017-10-25
title: Frontend Weekly Vol.144
description: デザイン・システムフロー、コメントの正しい書き方、ほか計12リンク
---

## Headlines

### [Practicing Design Systems by EightShapes](https://medium.com/eightshapes-llc/practicing-design-systems-4029decf9e30)

**デザイン・システムの実運用フロー**

デザイン・システムがどんなものか明確になると、どうやってデザインしたコンポーネントを追加するべきか、プルリクエストはどうやって受け入れるのか、というような実運用に関する質問がやってくる。
この記事ではそれらの質問に対する解について紹介している。

### [The Art of Comments by CSS-Tricks](https://css-tricks.com/the-art-of-comments/)

**コードにはどんなコメントを残すべきか?**

Robert C. Martin氏によるClean Codeによると、コメントを書く必要があるコードは、それが必要なくなるように書き直すべきである、としている。
果たしてコメントは書くべきなのか、否か。
書くとしたらどんなコメントを書くべきなのかについて。

### [A smartphone accessibility primer; or, how I learned to stop worrying and master mobile accessibility by Simply Accessible](http://simplyaccessible.com/article/smartphone-a11y-primer-1/)

**スマートフォンのためのアクセシビリティ**

スマートフォン向けのアクセシビリティについて、知っておかなければならないこと、知っておくと心配ごとがへること達。

### [Planning for Accessibility by A List Apart](https://alistapart.com/article/planning-for-accessibility)

**アクセシビリティのプランニング**

A Book Apartから上梓されたLaura Kalbag氏による[Accessibility for Everyone](https://abookapart.com/products/accessibility-for-everyone)から3章の要約。

### [Defining Design Systems by EightShapes](https://medium.com/eightshapes-llc/defining-design-systems-6dd4b03e0ff6)

**デザイン・システムとは何か?**

デザイン・システムという言葉は良く聞くようにはなってきたものの、まだまだこれという定義は決まっていない。
このトピックについて長年取り組んで来ているNathan Curtis氏による定義。

### [“I Made This. Does It Go in the System?” by EightShapes](https://medium.com/eightshapes-llc/i-made-this-does-it-go-in-the-system-3b67b9894531)

デザイン・システムに追加するべきコンポーネントであるか否かは日々問われる難しい質問。
その質問に答えるための6つのガイドラインと、実際にコンポーネントをデザイン・システムに追加する際にやらなければならない3つの事項について。

### [What Everyone Gets Wrong About Stakeholders by Melissa Perri](https://medium.com/@melissaperri/what-everyone-gets-wrong-about-stakeholders-f7404057404b)

ユーザのためによいものを。という御旗はもちろん大切ながら、社内のステークスホルダーの承認を得るのも、どういった形であれ必要。プロダクト・マネジメントにおける公然の秘密について明らかにする。

## Announcement

いつもFrontend Weeklyをご購読いただきありがとうございます。

これまで2年半近くニュースレターとしてメール配信をおこなってまいりましたが、
**Vol.151より、Mediumへの移行をおこないます。**

**[https://medium.com/frontend-weekly](https://medium.com/frontend-weekly)**

Vol.151以降はFrontend Weeklyからのメール配信はおこないませんが、Mediumにて引き続きコンテンツを提供していきますので、Frontend WeeklyのPublicationをフォローをよろしくおねがいします。

またこれまで無償での配信をおこなってまいりましたが、
本ニュースレターの運営コストの状況など鑑みて、一部を除いて有料での配信も検討しております。
こちらについては追って詳細をご案内できればと思います。
※Mediumのシステムを利用した課金となります。

引き続きFrontend Weeklyをよろしくおねがいいたします。

## In Brief

- [**Evaluating Technology by Adactio**](https://adactio.com/articles/12839): Jeremy Keith氏によるWeb技術の進化について。
- [**Learn to design and code for iOS 11 by Design+Code**](https://designcode.io/): iOS 11向けのデザイン、実装についてのeBook。先行注文で割引中。
- [**JavaScript's Promise Leaks Memory**](https://alexn.org/blog/2017/10/11/javascript-promise-leaks-memory.html): JavaScriptのPromiseにおけるメモリ・リークとその回避。
- [**A Look at Bootstrap 4's New Reset: Reboot.css by Scotch**](https://scotch.io/tutorials/a-look-at-bootstrap-4s-new-reset-rebootcss): Bootstrap 4に採用されているリセットCSSの解説。
- [**How to Use Breadcrumb Navigation in 2017 by Usability Geek**](https://usabilitygeek.com/how-to-use-breadcrumb-navigation-2017/): 今考えるパンくずリストの使い所や効果について。
