---
date: 2015-04-29
title: Frontend Weekly Vol.15
description: 機能削除へのアプローチ、html  bodyなど計19リンク
---

# Frontend Weekly Vol.15

## Headlines

### [How to Sunset a Feature by Inside Intercom](https://blog.intercom.io/how-to-sunset-a-feature/)

機能を追加するよりも、追加した機能を削除する方が難易度が高い。だからといって利用されていない機能を残してしまうとメンテナンスコストも、ユーザの学習コストも高いままになってしまう。この記事ではどうやって機能を削除するべきかについて、戦略的なアプローチを紹介。

### [HTML vs Body in CSS by CSS-Tricks](https://css-tricks.com/html-vs-body-in-css/)

htmlとbodyタグは2つとも同じ意味で"ルート"のように考えている人もいることだろう。しかし、両者は当然ことなる要素。CSSを書く上で知らないと思わぬバグを生み出してしまう違いを解説。

### [Smart and Dumb Components by Dan Abramov](https://medium.com/@dan_abramov/smart-and-dumb-components-7ca2f9a7c7d0)

React.jsのコンポーネントを作る際に、大きくSmartとDumbという2つの役割で分けているそう。非常にわかりやすい命名。React.jsに限らずこの分類は役に立ちそう。

### [Do you really understand CSS linear-gradients? by Patrick Brosset](https://medium.com/@patrickbrosset/do-you-really-understand-css-linear-gradients-631d9a895caf)

CSSのlinear-gradientsがどのように動作しているか?  
意外と奥が深いグラデーションの働きについて知ることは、表現の幅を広げることになるはず。

### [Common Misconceptions About Inheritance in JavaScript by Eric Elliott](https://medium.com/javascript-scene/common-misconceptions-about-inheritance-in-javascript-d5d9bab29b0a)

JavaScriptの継承にまつわるよくある勘違いについてEric Elliott氏が詳しく解説。JavaScriptの内部的な働きについても触れられているので、やや難しいかもしれないが十分にその価値はあるので、是非。

## In Other News…

### [Where Style Guides Fit Into Process by CSS-Tricks](https://css-tricks.com/where-style-guides-fit-into-process/)

スタイルガイドは開発プロセス中のどこに当てはまるのか。Brad Frost氏は4つのタイミングについて解説。継続していくドキュメントだからこそ、HowよりもWhyやWhenに着目したい。

### [Surviving CSS by Cathy Dutton](https://medium.com/@cathy_dutton/surviving-css-be306ef3de6d)

CSS(とHTML)を書く際に気をつけておきたいシンプルなルールを紹介。決して新しいものではないものの、実践に基づいた理由は納得感がある。

### [The Principles of UX Choreography by Rebecca Ussai](https://medium.com/@becca_u/the-principles-of-ux-choreography-69c91c2cbc2a)

アニメーションとUXを繋ぐアイデアとして振り付けという概念をもちこんだRebecca Ussai氏。記事ではディズニーのアニメーションの原則を元にそのアイデアを実例とともに紹介していく。

### [Introducing React Native: Building Apps with JavaScript](http://www.raywenderlich.com/99473/introducing-react-native-building-apps-javascript)

React Nativeを使ってゼロからアプリを作っていくチュートリアル。React.jsに詳しくなくても、アプリ開発が初めてでも問題なさそう。ここではiOSアプリを作成する。

### [Moar Performance! by Paul Lewis](http://aerotwist.com/blog/moar-performance/)

Googleで働くパフォーマンス・エバンジェリスト(的な存在)であるPaul Lewisの最近のパフォーマンス関連の仕事まとめ。

## Slides/Videos

### [Eliminate Javascript Code Smells by Elijah Manor](http://elijahmanor.github.io/talks/js-smells/#/)

JavaScriptのCode SmellsをLintを使ってリファクタをして退治していく長編スライド。

### [How Users Perceive the Speed of The Web by Paul Irish](https://docs.google.com/presentation/d/1AwT2vVHzzlsIxEUS-z769awGa-hiHTwR0iWrkeX49Fk/edit?pli=1#slide=id.g6f0232e78_056)

Paul Irish氏によるユーザーがどう速度を感じるか、そしてそのパフォーマンスを改善するためのRAILというモデルを提案している。  
\#perfmatters

### [Extreme Web Performance for Mobile Device by Maximiliano Firtman](http://www.slideshare.net/firt/extreme-web-performance-for-mobile-device-fluent-2015)

Maximiliano Firtman氏によるモバイルデバイスの向けパフォーマンス改善。186枚にも及ぶ力作スライド。データも多く使われているし、よくまとまっている。  
\#perfmatters

### [mdo-ular CSS by Mark Otto](http://jqueryuk.com/2015/videos.php?s=mdo-ular-css)

Bootstrapの作者であるMark Otto氏によるCSSの書き方、10のガイドライン。  
[スライドはこちらから](https://speakerdeck.com/mdo/at-mdo-ular-css)

## In Brief

- [**How to Center in CSS**](http://howtocenterincss.com/): いくつかの質問に答えてCSSで意外と難しい中央寄せのコードを生成してくれる。

- [**Accessibility Viewer by The Paciello Group**](https://github.com/ThePacielloGroup/aviewer): ブラウザが利用しているアクセシビリティAPIを調査するためのツール。Windows用。

- [**Web Design Stack — Web Design & Development Tools, News, and Inspiration**](http://webdesignstack.com/): Web開発に関わる幅広いトピックから知っておきたいツールやリンクをまとめたサイト。

- [**A series of examples on how to TDD React by Zach Pratt**](https://github.com/zpratt/react-tdd-guide): React.jsでTDDを実践するためのコード例。

- [**First Aid git**](http://ricardofilipe.com/projects/firstaidgit/#/): Gitでよくある質問を検索できるサイト。
