---
date: 2018-01-10
title: Frontend Weekly Vol.154
description: デザイン・システムとスペース、デザインをチームメートに伝えるために、ほか計12リンク
---

## Headlines

### [Generating Design System Spacing by Ether](https://medium.com/@ethersystem/generating-design-system-spacing-aa69714160bc)

**デザイン・システムとスペース**

https://medium.com/@ethersystem/generating-design-system-spacing-aa69714160bc

マージンやパディングなどで表現されるだろうスペース。  
デザインにおける統一感だけではなく、グルーピングのわかりやすさを伝えるための重要な「見えない」要素をデザイン・システムにおいてどう定義するべきか。

### [Designing Better Design Documentation by Muzli - Design Inspiration](https://medium.muz.li/design-docs-6bb34589f7a9)

**デザインをチームメートに伝えるために**

https://medium.muz.li/design-docs-6bb34589f7a9

SketchやPhotoshop、あるいはIllustratorなどの「デザインモック」を作成するだけでは、**What** しか伝わらない。  
**What** と同じくらい重要な **How** を伝えるためにデザイナがやるべきことはどんなことなのか?

### [Color Contrast, Beyond the Basics by 24 Accessibility](https://www.24a11y.com/2017/color-contrast-beyond-basics/)

**コントラスト 応用編**

https://www.24a11y.com/2017/color-contrast-beyond-basics/

WCAG 2.0 AAガイドラインは一見「簡単な」要件に思えるだろうが、その実よくよく調べていくとそうでもない事が分かってくる。サイズや色などほかにも様々な要件が存在していて中々複雑な「コントラスト」模様を呈している。

### [How to debug Progressive Web Apps using Browser Developer Tools](https://medium.freecodecamp.org/how-to-debug-progressive-web-apps-using-browser-developer-tools-bad1cd3db784)

**PWAのデバッグ方法**

https://medium.freecodecamp.org/how-to-debug-progressive-web-apps-using-browser-developer-tools-bad1cd3db784

PWAなサイトを構築する上に限らないが、デバッグの手段を知っているのと知らないのでは実装にかかる時間に差が出るのは明か。様々な要件のあるPWAについては特にそう言えるだろう。  
この記事ではChromeとFireFoxの開発者ツールにおけるPWAのデバッグ方法について解説している。

### [Designing Tables for Reusability by UX Design Collective](https://uxdesign.cc/designing-tables-for-reusability-490a3760533)

**再利用しやすいテーブルをデザインする**

https://uxdesign.cc/designing-tables-for-reusability-490a3760533

テーブルのデザインが難しいと感じるのは、普段あまり見かけないという理由もあるかも知れない。数値ツール系のページであれば必ず存在するだろうテーブルをどうデザインすれば再利用が可能になるのか?  
アイデアの出し方からデザインまで細かく解説。

### [Why Web Developers Need to Care about Interactivity by Philip Walton](https://philipwalton.com/articles/why-web-developers-need-to-care-about-interactivity/)

パフォーマンスにおける指標であるInteractivityとはどんなものなのか? それがなぜ重要な指標となり得るのか? なぜ発生するのかについて解説。

### [CSS WG Blog – How should we resolve percentage margins and padding on grid and flex items?](https://www.w3.org/blog/CSS/2017/12/20/how-should-we-resolve-percentage-margins-and-padding-on-grid-and-flex-items/)

CSS GridとFlexアイテムにおけるマージンとパディングのパーセントはどう解決するべきなのか? CSS Working Groupは開発者からのフィードバックを待っているそう。

## Event

### [2/11: Web フロントエンドの現場とこれからを繋ぐカンファレンス "Inside Frontend #2"](https://inside-frontend.connpass.com/event/74625)

https://inside-frontend.connpass.com/event/74625

2018年もInside Frontendを開催。  
フロントエンドと呼ばれる領域の多様化と様々なとなった問題に取り組む現場、Web が今後どのように発展していく可能性があるのか、これらを一緒に考えていく場として、見る、聞くだけではない参加者同士の濃いコミュニケーションの場として、今年も開催。

## In Brief

- [**Learn CSS Grid by recreating familiar layouts: Airbnb, Youtube and more**](https://medium.freecodecamp.org/learning-css-grid-through-recreating-airbnb-youtube-and-more-399c71377eaa): AirbnbやYoutubeのようなよく知られるレイアウトをCSS Gridを使って再実装。真似るは学ぶ。
- [**Fixing A 10-Year Gap In My Understanding Of How Form.submit() And Other DOM-Methods Work**](https://www.bennadel.com/blog/3379-fixing-a-10-year-gap-in-my-understanding-of-how-form-submit-and-other-dom-methods-work.htm): 意外と知らない `form.submit()` とそれに関連するDOMメソッドたちについて振り返ってみる
- [**How to Cancel Your Promise by Seva Zaikov**](http://blog.bloomca.me/2017/12/04/how-to-cancel-your-promise.html): Promiseはキャンセルできるのか?
- [**Culling Conditionals by @samjonester**](https://samljones.com/2017-12-13/culling-conditionals/): 条件文をより明示的に、わかりやすく書く方法
- [**One vs. many — Why we moved from multiple git repos to a monorepo and how we set it up**](https://hackernoon.com/one-vs-many-why-we-moved-from-multiple-git-repos-to-a-monorepo-and-how-we-set-it-up-f4abb0cfe469): monorepo方式への転換をLernaを利用して行う方法
