---
date: 2018-01-17
title: Frontend Weekly Vol.155
description: デザイン・システム導入、Performance API、"Inside Frontend #2"開催、ほか計13リンク
---

## Headlines

### [Do I need a design system? by Make Us Proud](https://medium.com/make-us-proud/do-i-need-a-design-system-b67f84084c30)

**デザイン・システムは(自分に)必要か?**

デザイン・システムは毎日のように関連する記事や解説、ツールなどについて言及されている。しかしイマイチ、自分に必要なシステムかが分からない。そんな際にぴったりな記事。

### [Breaking Down the Performance API by CSS-Tricks](https://css-tricks.com/breaking-performance-api/)

**JavaScriptのPerformance APIについて**

[Performance API](https://developer.mozilla.org/en-US/docs/Web/API/Performance_API)にまつわる説明は様々みかけるものの、まとまった情報は意外とない。ということで、この記事はその役割を担えるようにPerformance APIについて詳解。

### [Can Preload Cut the Mustard? by Filament Group](https://www.filamentgroup.com/lab/preload-ctm.html)

**`link[rel=preload]`で"Cut the Mustard"は可能か?**

フィーチャーディテクションとして`link[rel=preload]`は利用できるのか?  
既存の"Cut the Mustard"アプローチではどうしても(若干であれど)オーバーヘッドが避けられない。`link[rel=preload]`のアプローチならそこを回避できるかも。

### [Cropping & Scaling Images Using SVG Documents](https://www.sarasoueidan.com/blog/svg-object-fit/)

**SVGを使って画像をクロップ&スケール**

`object-fit` や `object-position` のCSSプロパティを使って画像をクロップしたりスケールしたりとしたいものの、ブラウザのサポートが足りない。  
そんな場面で役に立つSVGを使ったフォールバック方法を紹介。

### [A New Approach to Feature Requests by Signal v. Noise](https://m.signalvnoise.com/a-new-approach-to-feature-requests-21bea562c083)

**機能リクエストにはどう応えるべきか?**

常に悩ましい問題である機能追加のリクエスト。このリクエストにどう応えるべきなのかについてBasecampのチームのアプローチを紹介。

### [End-to-end Tests that Don’t Suck with Puppeteer by Ropig](https://ropig.com/blog/end-end-tests-dont-suck-puppeteer/)

Puppeteerを使ったEnd-to-Endテスト。  
テストターゲットとするブラウザは制限されるが利点はありそう。  
Jestをテストランナーとしたデモコードとテストの際のTipsも。

### [Effective Engineer](https://gist.github.com/rondy/af1dee1d28c02e9a225ae55da2674a6f)

成果をきちんと出せるエンジニアであるために。  
というトピックについてまとめたGist。

## Video

### [The (Far) Future of CSS by Tab Atkins](https://vimeo.com/242890906)

CSSの未来はどんな風になっているのか? Tab Atkins氏によるCSS Dayでのプレゼンテーション

## Event

### [2/11: Web フロントエンドの現場とこれからを繋ぐカンファレンス "Inside Frontend #2"](https://inside-frontend.connpass.com/event/74625)

https://inside-frontend.connpass.com/event/74625

2018年もInside Frontendを開催。  
フロントエンドと呼ばれる領域の多様化と様々なとなった問題に取り組む現場、Web が今後どのように発展していく可能性があるのか、これらを一緒に考えていく場として、見る、聞くだけではない参加者同士の濃いコミュニケーションの場として、今年も開催。

またカンファレンス内で開催されるAMA(Ask Me Anything)ブースにて皆さんからの[質問を受け付けてます](https://github.com/insidefrontend/issue2-ama)。

## In Brief

- [**Finally understand Redux by building your own Store**](https://toddmotto.com/redux-typescript-store): Reduxを理解するために自分で `store` を作って見た
- [**11 Things I Learned Reading the CSS Grid Specification**](https://medium.freecodecamp.org/11-things-i-learned-reading-the-css-grid-specification-fb3983aa5e0): CSS Gridの仕様書から学んだ11のこと。仕様書のどんな点を見るべきかという示唆にもなる
- [**Impact of 3G vs 4G Connections on User Experience across Countries by Dexecure**](https://dexecure.com/blog/impact-3g-vs-4g-connections-user-experience-countries/): 3Gと4Gでの接続の違いはどのくらいユーザ体験に影響を与えるのか?
- [**You are what you document**](https://www.ybrikman.com/writing/2014/05/05/you-are-what-you-document/): 様々な種類のドキュメントとその意義について詳しく解説
- [**CSS Transitions explained by freeCodeCamp**](https://medium.freecodecamp.org/css-transitions-explained-d67ab9a02049): CSSの `transition` プロパティについて。コードもデモもたくさん。