---
date: 2018-02-07
title: Frontend Weekly Vol.158
description: コードの品質、スタイルガイド駆動デザイン・システム、ほか計12リンク
---

## Headlines

### [Why I changed the way I think about Code Quality by freeCodeCamp](https://medium.freecodecamp.org/why-i-changed-the-way-i-think-about-code-quality-88c5d8d57e68)

https://medium.freecodecamp.org/why-i-changed-the-way-i-think-about-code-quality-88c5d8d57e68

**コードの質とコードレビューの意義**

Pull Requestによるコードレビューは一般的な開発サイクルとなったが、単純にdiffを見て、目に見えるミスを拾うだけに留まってはいないだろうか?  
もちろんコードレビューにはそういう役割もあるが、コードの質を担保する、ということはまた別のレビューが必要になる。  
どんなレビューが必要なのか、そうするためにどんなワークフローがあるのかについて紹介。

### [Style Guide-Driven Design Systems by Brad Frost](http://bradfrost.com/blog/post/style-guide-driven-design-systems/)

http://bradfrost.com/blog/post/style-guide-driven-design-systems/

**デザイン・システムはどこから手をつけるべきなのか?**

デザイン・システムは多くの面を持つ、言葉通りシステムでありプロダクト。そんな往々にして手の付け所に悩むシステムを構築する上でどこから手をつけていくべきなのか?  
Brad Frost氏はスタイル・ガイドをまず作ることから始めることを推奨している。  
スタイル・ガイド駆動のデザイン・システムにはどんな利点があるのかについて解説。

### [Deep-copying in JavaScript by DasSur.ma](https://dassur.ma/things/deep-copy/)

https://dassur.ma/things/deep-copy/

**JavaScriptのオブジェクトのディープコピー**

JavaScriptのオブジェクトをコピーするにはどうするのか?  
このシンプルに見えるの問いへの答えはシンプルな答えは存在しない。  
Das Surma氏が記事にてこの問いへの答えをパフォーマンスの評価ともに紹介している。

### [Meet the New Dialog Element](https://keithjgrant.com/posts/2018/meet-the-new-dialog-element/)

https://keithjgrant.com/posts/2018/meet-the-new-dialog-element/

**Dialog要素について**

HTML 5.2にて`<dialog>`要素が追加となった。多少フロントエンドの経験があれば、誰もが必ず通る道であるモーダル・ウィンドウを提示するための要素だ。  
記事ではそもそも`<dialog>`がどんなモノなのかについてから解説し、JavaScriptのAPIやスタイルについて紹介している。

### [5 Questions Every Unit Test Must Answer by JavaScript Scene](https://medium.com/javascript-scene/what-every-unit-test-needs-f6cd34d9836d)

https://medium.com/javascript-scene/what-every-unit-test-needs-f6cd34d9836d

**ユニット・テストが答えるべき5つの問い**

ユニット・テストはなんのために存在しているのか?
QAという側面はユニット・テストの1面でしかなく、APIのデザインエイドであり、エンジニア向けのドキュメントでもある。
ユニット・テストを書く際に意識するべく5つの問いについて解説。

### [Nested Ternaries are Great by JavaScript Scene](https://medium.com/javascript-scene/nested-ternaries-are-great-361bddd0f340)

入れ子になる三項演算子はCode Smellであるという人は多いだろう。  
しかしそれは本当なのか?
入れ子になる三項演算子が実はスジのよいコードである理由について。

### [Demystifying CSS alignment by Patrick Brosset](https://medium.com/@patrickbrosset/demystifying-css-alignment-2d3ea7a02a36)

意外と何かと複雑なCSSにおける"整列"について。  
Flexboxにおける縦と横の"整列"をきちんと仕切れずに、開発者ツールでなんとなくプロパティを書いている方に。

## Event

### [2/11: Web フロントエンドの現場とこれからを繋ぐカンファレンス "Inside Frontend #2"](https://inside-frontend.connpass.com/event/74625)

https://inside-frontend.connpass.com/event/74625

2018年もInside Frontendを開催。  
フロントエンドと呼ばれる領域の多様化と様々なとなった問題に取り組む現場、Web が今後どのように発展していく可能性があるのか、これらを一緒に考えていく場として、見る、聞くだけではない参加者同士の濃いコミュニケーションの場として、今年も開催。

またカンファレンス内で開催されるAMA(Ask Me Anything)ブースにて皆さんからの[質問を受け付けてます](https://github.com/insidefrontend/issue2-ama)。

## In Brief

- [**What is Success? How To Define Key Performance Indicators**](https://boagworld.com/digital-strategy/key-performance-indicators-kpi/): KPIをどう定義すればいいのか?
- [**How to Take Design Feedback from Non-Designers by UX Power Tools**](https://medium.com/ux-power-tools/how-to-take-design-feedback-from-non-designers-33a872750b43): デザイナーではない人からのデザインフィードバックをどう処理するべきか?
- [**Circularity and Container Queries · WICG/cq-usecases Wiki**](https://github.com/WICG/cq-usecases/wiki/Circularity-and-Container-Queries): コンテイナ・クエリのユースケースについて
- [**Automatic visual diffing with Puppeteer by Monica Dinculescu**](https://meowni.ca/posts/2017-puppeteer-tests/): Puppeteerを使って自動でUIのスナップショットテストを行う方法
- [**Why Japanese Web Design Is (Still) the Way It Is**](https://info.moravia.com/blog/why-japanese-web-design-is-still-the-way-it-is): 日本のウェブデザインはなぜ複雑なママなのか?