---
date: 2015-05-06
title: Frontend Weekly Vol.16
description: オープンウェブ、TLS、メンテナブルCSSなど計17リンク
---

# Frontend Weekly Vol.16

## Headlines

### [The Future of the Open Web by Broken Links](http://www.broken-links.com/2015/04/28/the-future-of-the-open-web/)

Open Webという存在が危機に陥っている。Webは遅く、大きく、高価なものになってしまい、ネイティブプラットフォームにユーザは奪われ続けている。  
Peter Gasston氏はその状況を好転させるために最も重要なピースがService Worker APIだとしている。  
彼が2ヶ月かけたという渾身の記事。

### [TLS Everywhere, not https: URIs by Tim Berners-Lee](http://www.w3.org/DesignIssues/Security-NotTheS.html)

セキュリティやHTTP2.0の影響を受け”HTTPS Everywhere”ムーブメントのただ中だ。そんな中、Tim Berners-Lee卿は個人の見解として、URLを変えてしまうHTTPSへの移行ではなく、HTTPでTLSで利用できるようにするアプローチを提案。

### [Manage large-scale web projects with new CSS architecture ITCSS by Creative Bloq](http://www.creativebloq.com/web-design/manage-large-scale-web-projects-new-css-architecture-itcss-41514731)

Harry Roberts氏が提唱する大きなスケールのウェブサイトを管理するための手法であるITCSS(Inverted Triangle CSS)に関する本人とのインタビュー記事。

### [Content-First Design by An A List Apart](http://alistapart.com/blog/post/content-first-design/)

ゲームとウェブサイトには共通点も多いが、決定的に異なる点が1つある。ゲームは必ずストーリーがあること。デザインよりもコンテンツが先に存在すること。  
現実的に難しい部分も多くあるのも理解できるが、コンテンツファーストでウェブサイトを作っていく必要性を説いた良記事。

### [Design Principles: Compositional Flow And Rhythm by Smashing Magazine](http://www.smashingmagazine.com/2015/04/29/design-principles-compositional-flow-and-rhythm/)

Smashing Magazineで展開されている、デザインの原則に関する6記事目となる、視線移動の流れとリズムについて。ベーシックな部分だが、非常に細かく実例とともに紹介しているので参考になる。

## In Other News…

### [Cyclomatic Complexity: Logic in CSS by Harry Roberts](http://csswizardry.com/2015/04/cyclomatic-complexity-logic-in-css/)

セレクタをつなぎ合わせることでCSSにもロジックが発生するが、その複雑性は意外な盲点となる。可能な限りシンプルなセレクタを心がけることはもちろん、ツールを使って検知できるようになっておこう。

### [Icons and Type by Snook.ca](http://snook.ca/archives/html_and_css/icons-and-type)

Jonathan Snook氏もアイコンとテキストの並びについて悩むことがあるそうで。彼の戦いの軌跡がこの記事。  
同じ問題について高津戸氏も[4回に渡って詳しく解説している](https://html5experts.jp/takazudo/13339/)ので、合わせてどうぞ。

### [Obvious Always Wins by LukeW](http://www.lukew.com/ff/entry.asp?1945)

ユーザに利用して貰う必要があるメニューであれば、常にユーザの目に触れる様なデザインを。流行のスタイルに流されず、当たり前を追求することで利用率も上っていくもの。

### [Automatic Cache Busting for Your CSS by RisingStack](http://blog.risingstack.com/automatic-cache-busting-for-your-css/)

Node.jsでCSSとCSSファイルから参照されている画像も含めて、ASTを使って自動でキャッシュを破棄する方法。

### [Extending by Adactio](https://adactio.com/journal/8814)

Web ComponentsがJavaScriptに依存する限り、既存要素を拡張する仕様は必要だが、is シンタックスは残念ながら利用できなくなるかも知れない。

### [How does your small team produce as much software as it does? by Wixel](https://medium.com/@wixelhq/how-does-your-small-team-produce-as-much-software-as-it-does-2f555102f28d)

スモールチームでどうやって大きな成果を出し続けるのか。[Wixel](https://wixelhq.com/)が実践している働き方を詳しく紹介。

## Slides/Videos

### [Flux - Those who forget the past… by Jeremy Morrell](https://speakerdeck.com/jmorrell/jsconf-uy-flux-those-who-forget-the-past-dot-dot-dot-1)

React.jsとFluxについて非常にわかりやすくまとめてある。スピーカー用のノートつき。

### [High Performance in the Critical Path by Nicolas Bevacqua](https://speakerdeck.com/bevacqua/high-performance-in-the-critical-path)

パフォーマンス改善のために知っておくべき様々な事が63枚のスライドによくまとまっている。

## In Brief

- [**New CSS4 Selectors by CSS4 Rocks**](http://css4.rocks/css4-selectors/): Selectors Level 4のドラフト入りをしているセレクタ群の紹介。

- [**Why the Golden Ratio matters by Darrin Crescenzi**](https://medium.com/@quick_brown_fox/why-the-golden-ratio-matters-583f6737c10c): [Vol.14](http://us2.campaign-archive1.com/?u=0c8604ec46b9f779a3f5b6a1c&id=f9e7a4995a)で紹介した黄金律は伝説であるという記事への反論。

- [**Microsoft Edge: A Hands-on Preview**](http://www.sitepoint.com/microsoft-edge-preview/): Project Spartan改め、Microsoft Edgeの現時点の機能についてのプレビュー。

- [**CSS Reporter by Springload**](https://github.com/springload/css-reporter): Harry Roberts氏による詳細度グラフとKatie Fenn氏のParkerを足したCSSレポータ。
