---
date: 2018-03-07
title: Frontend Weekly Vol.162
description: デザイナという職業、CSS Variables、コンテナ・クエリ、ほか計12リンク
---

## Headlines

### [Design’s Lost Generation by Mike Monteiro](https://medium.com/@monteiro/designs-lost-generation-ac7289549017)

**デザイナという職業について**

医者や弁護士、建築士などの職業にはライセンスが存在する。  
ではデザイナにライセンスは必要なのか?  
Mike Monteiro氏によるデザイナへの信頼とライセンスに関する熱いオピニオン。

### [Everything you need to know about CSS Variables by freeCodeCamp](https://medium.freecodecamp.org/everything-you-need-to-know-about-css-variables-c74d922ea855)

**CSS Variablesについて知っておくべき全ての事**

かなりの長文であり力作である本記事では、タイトルに負けないCSS Variablesについて知っておくべきことの全てが掲載されている、くらいの文量で詳しく解説している。

### [Responsive Components: a Solution to the Container Queries Problem by Philip Walton](https://philipwalton.com/articles/responsive-components-a-solution-to-the-container-queries-problem/)

**レスポンシブ・コンポーネント: コンテナ・クエリへの対応**

ビューポートではなく、包括するDOM要素を基準にレスポンシブ対応ができるContainer Queriesの仕様はまだブラウザに実装されていない。しかし既存のAPIであるResizeObserverを用いればコンテナ・クエリで叶えたいことが実現できる。実例とコードの解説、またそのアプローチはよくできている。

### [Write A UX Proposal: How-To Guide by Usability Geek](https://usabilitygeek.com/write-ux-proposal-how-to-guide/)

**UXの価値をどうステークスホルダーに伝えるのか?**

UXに価値があるというのは間違いないが、それがどれくらいの価値になるのかを伝えなければ先には進めない。『あいつらにはわからない』とうそぶいていては次のステップはありえないので、UXをどう提案するのかについては知っておくべき。

### [What the shit is the Shadow DOM anyway?](https://blog.rowan.website/2018/02/15/what-the-shit-is-the-shadow-dom-anyway/)

**Shadow DOMとは一体なんなのか?**

Shadow DOMの存在は(名前の示す通り)あまり目にとまらない。  
そんなShadow DOMがどんなモノなのかについて詳しく解説。

### [Measuring the Impact of 3rd-Party Tags with WebPageTest by Andy Davies](https://andydavies.me/blog/2018/02/19/using-webpagetest-to-measure-the-impact-of-3rd-party-tags/)

WebPageTestを使ってサードパーティのJavaScriptがどれくらいサイトのパフォーマンスに影響があるのかを調べる方法について。

### [💼 A curated list of technical talks and articles about real-world enterprise frontend development](https://github.com/andrew--r/frontend-case-studies)

エンタープライズにおけるフロントエンド開発にまつわる事例集をまとめたサイト。  
リアルな事例は参考になるので便利。

## In Brief

- [**The Practical Test Pyramid**](https://martinfowler.com/articles/practical-test-pyramid.html): ユニット、インテグレート、E2Eのテストに関わる詳細
- [**AMP News by CSS-Tricks**](https://css-tricks.com/amp-news/): AMPプロジェクトに関する様々な意見を集約
- [**7 Practical Tips for Cheating at Design by Refactoring UI**](https://medium.com/refactoring-ui/7-practical-tips-for-cheating-at-design-40c736799886): UIデザインをするときに知っておくと良い7つのTips。UIデザインが専門ない人にもわかりやすい内容
- [**9 Promising Promise Tips**](https://dev.to/kepta/promising-promise-tips--c8f): Promiseに関わる9つのコツ
- [**My Talk Writing Process by CSS-Tricks**](https://css-tricks.com/talk-writing-process/): 多くの講演経験を持つVal Head氏によるトークを組み立てるプロセス
