---
date: 2018-03-28
title: Frontend Weekly Vol.165
description: 複雑さの理由、ハマるしかけケーススタディ、デザイン原則の役割、ほか計12リンク
---

## Headlines

### [Complexity by CSS-Tricks](https://css-tricks.com/complexity/)

https://css-tricks.com/complexity/

**複雑さはどこから来たのか?**

[Frontend Weekly Vol.161](https://frontendweekly.tokyo/frontend-weekly-vol-161-3c1ff9f22665)でも紹介したFrank Chimero氏による[Everything Easy is Hard Again](https://frankchimero.com/writing/everything-easy-is-hard-again/)に対するCSS TricksのChris Coyier氏からの返答。  
Codepen、CSS Tricksというプロダクトのオーナーであり、優れたフロントエンド・エンジニアでもある氏からの意見は参考になる。

### [Hunting for Habits: Keying in on smart design to make a product irresistible](https://medium.com/startup-grind/hunting-for-habits-keying-in-on-smart-design-to-make-a-product-irresistible-a47c006cebb2)

https://medium.com/startup-grind/hunting-for-habits-keying-in-on-smart-design-to-make-a-product-irresistible-a47c006cebb2

**Product Huntにおけるハマる仕掛け**

Nir Eyal氏による『Hooked ハマるしかけ』を実際にどうプロダクト・デザインに活かしたのか?  
Product HuntのRyan Hoover氏による、『ハマるしかけ』とデザインについてのケーススタディ。 

### [Design Principles: What are they and how do they help?](https://boagworld.com/digital-strategy/design-principles/)

https://boagworld.com/digital-strategy/design-principles/

**デザイン原則はなんの役に立つのか?**

デザイン原則はデザイン・システムに欠かす事ができない存在であり、デザイン批評にも必要な存在だ。その存在価値をどう伝えるべきなのかについて解説。

### [Improve Your Debugging Skills with Chrome DevTools](https://www.telerik.com/blogs/improve-your-debugging-skills-with-chrome-devtools)

https://www.telerik.com/blogs/improve-your-debugging-skills-with-chrome-devtools

**Chromeの開発者ツールを使ったデバッグスキルを向上させる**

毎バージョンごとに新たな機能が追加されている印象すらあるChromeの開発者ツール。  
そのツールを使ったデバッグはもはや欠かす事のできないフローだろう。  
そんなデバッグスキルをより向上させるために知っておきたいことたち。

### [Fixed Length Iterations vs. Continuous Flow by Hacker Noon](https://hackernoon.com/fixed-length-iterations-vs-continuous-flow-afd0d32ab50)

https://hackernoon.com/fixed-length-iterations-vs-continuous-flow-afd0d32ab50

**固定長のイテレーションか継続的なフローか?**

大抵のスプリントは1週間、あるいは2週間という固定の日付を持ってイテレーションしているだろうが、1〜14日の間に終わるタスクのような継続的なフローも存在する。  
この記事では両者の利点、欠点をタスクを実行する側から見た風景で比較している。

### [Swapping Images with the Sizes Attribute by Filament Group](https://www.filamentgroup.com/lab/sizes-swap/)

画像にマウスオーバーしてズームイン。良くありそうなインターフェイスを実際にどう実装するべきか? 画像に関して一家言以上を持っているFilament Groupから、`sizes` 属性を利用した画像スワップテクニックについて。

### [Say Hello to Houdini and the CSS Paint API by Coder's Block](https://codersblock.com/blog/say-hello-to-houdini-and-the-css-paint-api/)

Houdiniの簡単な紹介 + 現況、そしてPaint APIについて実コードを交えて紹介。

## In Brief

- [**A Guide to Information Architecture by Prototypr**](https://blog.prototypr.io/the-comprehensive-guide-to-information-architecture-29b09695fbcb): 情報設計(IA)に関するガイド
- [**Elegant patterns in modern JavaScript: Ice Factory by freeCodeCamp**](https://medium.freecodecamp.org/elegant-patterns-in-modern-javascript-ice-factory-4161859a0eee): `Object.freeze` を使ったJavaScriptのパターン、"Ice Factory"について
- [**5 Steps to Planning and Running Fast & Efficient Meetings**](https://medium.com/swlh/5-steps-to-planning-and-running-fast-efficient-meetings-7f03fcb310cc): 効率的で効果的なミーティングを実践するための5つのステップ
- [**A quick but complete guide to IndexedDB and storing data in browsers**](https://medium.freecodecamp.org/a-quick-but-complete-guide-to-indexeddb-25f030425501): IndexDBに関して知っておくべきこと
- [**An in-depth introduction to Docker on AWS by freeCodeCamp**](https://medium.freecodecamp.org/an-in-depth-introduction-to-docker-on-aws-f373ff97da0e): AWSにおけるDockerについての詳解