---
date: 2018-04-11
title: Frontend Weekly Vol.167
description: フォーカススタイル詳解、ES modules図解、ブランディングと物作り、ほか計12リンク
---

## Headlines

### [Focusing on Focus Styles by CSS-Tricks](https://css-tricks.com/focusing-on-focus-styles/)

https://css-tricks.com/focusing-on-focus-styles/

**フォーカススタイル詳解**

たかがフォーカス、と侮るなかれ。  
アクセシビリティというよりも、ファインダビリティに近いフォーカスというスタイルについて深耕。  
`:focus-within` や `:focus-visible` など新しめな仕様についても触れている。

### [ES modules: A cartoon deep-dive by Mozilla Hacks](https://hacks.mozilla.org/2018/03/es-modules-a-cartoon-deep-dive/)

https://hacks.mozilla.org/2018/03/es-modules-a-cartoon-deep-dive/

**ES modules図解**

標準化までの道のりが長かったES modulesは実際どんな課題を解決するものなのか? そしてどう解決しているのか。  
文章では少々分かりづらい部分もある仕様なので、図を用いて詳しく解説していてわかりやすい。

### [Branding for Builders by Spero Ventures](https://medium.com/speroventures/branding-for-builders-19e103ef3f1d)

https://medium.com/speroventures/branding-for-builders-19e103ef3f1d

**ブランディングを物作りに活かしたNetflix社の物語**

プロダクトを産み出す上でブランディングは欠かせないものである、とNetflixでは考えているそう。  
その考えがなぜ生まれたのか、そしてどう実際に活かしたのかについて紹介。

### [Compressive Images Revisited by TimKadlec.com](https://timkadlec.com/remembers/2018-03-22-compressive-images-revisited/)

https://timkadlec.com/remembers/2018-03-22-compressive-images-revisited/

**"コンプレッシブ画像"テクニック再訪**

2012年に[Daan Jobsis氏が"発見"](https://www.netvlies.nl/tips-updates/design-interactie/design-interactie/retina-revolution/)し、[Filament Groupが名付けた](https://www.filamentgroup.com/lab/compressive-images.html)"コンプレッシブ画像"というテクニックについて、Tim Kadlec氏が改めて評価した結果をまとめた。

### [Here’s everything I’ve learned from designing 10,000+ UI screens as a lead product designer.](https://medium.com/ux-power-tools/heres-everything-i-ve-learned-from-designing-10-000-ui-screens-as-a-lead-product-designer-7d2810bee810)

https://medium.com/ux-power-tools/heres-everything-i-ve-learned-from-designing-10-000-ui-screens-as-a-lead-product-designer-7d2810bee810

**あるリードプロダクトデザイナによるデザインについて知っておくべき10のコト**

当たり前のこと、ハッとさせられること。Jon Moore氏が自身の経験から導き出したデザイナに伝えたい10の言葉。

### [10 tips on how to conduct a perfect Heuristic evaluation](https://medium.muz.li/10-tips-on-how-to-conduct-a-perfect-heuristic-evaluation-ae5f8f4b3257)

ヒューリスティック評価を行う際に知っておきたい10のコト。
わかりやすい言葉と実例を交えて詳しく解説している。

### [The Effective Tech Lead is a 100x Engineer by Hacker Noon](https://hackernoon.com/the-effective-tech-lead-is-a-100x-engineer-fe49c0372a63)

Webflowにおける技術リード職のためのガイド。  
どんな職種、職能で、どんな役割を期待されているのか、から実務としてどんなことをするのかまで詳しく書かれている。

## In Brief

- [**Creating Themeable Design Systems by Brad Frost**](http://bradfrost.com/blog/post/creating-themeable-design-systems/):　デザイン・システムを『テーマ化』する実装について
- [**How display: contents; Works**](https://bitsofco.de/how-display-contents-works/): `display: contents;` の振る舞いについての詳細な解説
- [**Dealing with Site Headers in Design Systems by Brad Frost**](http://bradfrost.com/blog/post/dealing-with-site-headers-in-design-systems/): サイトヘッダはデザイン・システムでどう扱うべきなのか?
- [**Data Tables**](https://inclusive-components.design/data-tables/): テーブルUIにおけるa11y実装について
- [**Quick Reminder that Details/Summary is the Easiest Way Ever to Make an Accordion by CSS-Tricks**](https://css-tricks.com/quick-reminder-that-details-summary-is-the-easiest-way-ever-to-make-an-accordion/): `<summary>` と `<detail>` を使った開閉する UI実装