---
date: 2018-04-25
title: Frontend Weekly Vol.169
description: 配色の研究、UXデザインの成熟度向上、シニアデベロッパの先、ほか計14リンク
---

## Headlines

### [Designing Systematic Colors by UX Planet](https://uxplanet.org/designing-systematic-colors-b5d2605b15c)

**体系立てられた色のデザイン**

オープンソースのデザインシステム [Mineral UI](https://mineral-ui.com/) の「色」をデザインするにあたってのプロセスを詳細に解説している。あらゆるプロダクトに適用されてもその一貫性やアクセシビリティを担保するためには、綿密な設計が必要となる。半年近くをかけて、IBMやMaterial Designなどの配色を研究したその成果は圧巻。

### [Increasing an Organization’s UX Design Maturity: Our Not-So-Secret Sauce](https://medium.com/@jmspool/increasing-an-organizations-ux-design-maturity-our-not-so-secret-sauce-48bb4804ac06)

**組織におけるUXデザインの成熟度を上げるために**

UXがビジネスにおいて重要なファクタである、ことは間違いないだろう。そしてその重要性を組織全体が認識し始めているのもそれなりに事実だろう。  
UXデザインというファクタの成熟度、習熟度と組織全体で上げるために必要なこと。  
当たり前ながら大切なことについて。

### [What comes after senior developer? by Christian Heilmann](https://christianheilmann.com/2018/04/02/what-comes-after-senior-developer/)

**”シニア”デベロッパの後には何があるのか?**

"シニア"デベロッパが”昇進"すると何になるのか?  
人と相対するソフト・スキルを身につけてチームをリードすることだけがゴールなのか?
新しい技術に対してオープンであり意欲的であることだけでも十分な役割であるなか、どんな未来があるのかについて。

### [UX Designer’s Framework for Product Development by UX Planet](https://uxplanet.org/ux-designers-framework-for-product-development-52ad8a6ce0ee)

**プロダクト開発におけるUXデザイナのためのガイドライン**

UXが成熟し、過去の課題解決から似たアプローチを採用しながらも、変わり続けるデザインのプロセスに適合して来ている。しかし、ユニバーサルに利用できる"フレームワーク"は存在していないし、存在しえないのかもしれない。  
この記事ではUXのワークフローにおけるガイドラインについて紹介している。

### [Best Practices With CSS Grid Layout by Smashing Magazine](https://www.smashingmagazine.com/2018/04/best-practices-grid-layout/)

**CSS Gridにおけるベスト・プラクティス達**

CSS Gridには多くのレイアウト方法があり、どの方法を選ぶのかに毎回悩みやすく、一貫性を失いやすい。  
Rachel Andrew氏による詳細にわたるベスト・プラクティス達はこれからCSS Gridを使い始める場面でも、すでに導入している場面でも参考になる。

### [Using the `for` Attribute on the `output` Element in HTML5](https://www.impressivewebs.com/using-for-attribute-output-element-html5/)

`output` 要素は何のために存在するのか?  
イマイチ利用方法が分からない、意外と便利な `output` 要素について。

### [Why Users Make More Errors with Instant Inline Validation](http://uxmovement.com/forms/why-users-make-more-errors-with-instant-inline-validation/)

`form` のインプットでどのフィールドでインラインのバリデーションをするべきか? ユーザは即時のバリデーションがあるほうがエラーを起こしやすい。

## Book

### [Human Redux Book by Henrik Joreteg](https://reduxbook.com/)

Reduxを始めたばかりの人から、Reduxの存在意義を疑い始めた人、Reduxを使いこなしている人まで。StarbucksのPWA化に貢献したメンバーの1人である、Henrik Joreteg氏による分かりやすく、実践的なReduxについての本。

## In Brief

- [**Lazy Loading JavaScript Modules With ConditionerJS by Smashing Magazine**](https://www.smashingmagazine.com/2018/03/lazy-loading-with-conditioner-js/): `conditioner.js` を使ったJavaScriptモジュールのレイジーローディング
- [**Understanding Logical Properties And Values by Smashing Magazine**](https://www.smashingmagazine.com/2018/03/understanding-logical-properties-values/): CSSのロジカルプロパティとバリューについて
- [**Class vs Factory function: exploring the way forward**](https://medium.freecodecamp.org/class-vs-factory-function-exploring-the-way-forward-73258b6a8d15): JavaScriptにおける `class` と `Factory function` の違いについて
- [**The Same, But Different: Breaking Down Accessibility, Universality, and Inclusion in Design by Adobe Blog**](https://theblog.adobe.com/different-breaking-accessibility-universality-inclusion-design/): アクセシブルであること、ユニバーサルデザインであること、インクルージョンデザインであることに違いはあるのか?
- [**Cost Per Reasonable Decision (CPRD) by Hacker Noon**](https://hackernoon.com/cost-per-reasonable-decision-cprd-ed1ca8c6147): 意志決定にかかるコストとリーズナブルな意志決定について