---
date: 2018-05-23
title: Frontend Weekly Vol.172
description: CSSの相対単位、デザインシステムの核心、ラジオボタン vs. ドロップダウン、ほか計12リンク
---

## Headlines

### [The Relative Units of CSS by Pine](https://pineco.de/the-relative-units-of-css/)

**CSSの相対単位**

ピクセルのような絶対単位とは異なり、相対単位はコンテキスト、外部要因によって変わるために扱いが少し難しい。しかしレスポンシブ・ウェブデザインのために、効率的にスタイルを管理するために相対単位は有効だ。よく使われる相対単位であるem、remをはじめとした単位について簡潔にまとめられている。

### [Design systems by Adactio](https://adactio.com/journal/13844)

https://adactio.com/journal/13844

**デザインシステムの核心**

デザインシステムのトピックがよく見られるようになっているが、その多くがパターンライブラリ、スタイルガイドといったパターンのコレクションに目を向けたものになっている。「（デザイン）システムはフレームワークであり、ルールである」ということを念頭に、デザインシステムの核心となる点は何かを考え直したい。

### [7 Rules of Using Radio Buttons vs Drop-Down Menus by Prototypr](https://blog.prototypr.io/7-rules-of-using-radio-buttons-vs-drop-down-menus-fddf50d312d1)

https://blog.prototypr.io/7-rules-of-using-radio-buttons-vs-drop-down-menus-fddf50d312d1

**ラジオボタンかドロップダウンか、どちらが最適なのか?**

ラジオボタンもドロップダウンも、選択肢からあるアイテムを選択するためのUIだ。
では、その両者はどう使い分けるべきなのか?
記事では使い分けに関する7つのルールについて紹介している。

### [What’s wrong with CSS-in-JS? by Brad Frost](http://bradfrost.com/blog/link/whats-wrong-with-css-in-js/)

http://bradfrost.com/blog/link/whats-wrong-with-css-in-js/

**CSS-in-JSにおける3つ問題点**

Brad Frost氏がCSS-in-JSには3つの問題点があると指摘:

1. 可搬性の欠如
2. コンテキストの切り替え
3. フロントエンドの"ベストプラクティス"からの乖離

### [line-clamp by CSS-Tricks](https://css-tricks.com/almanac/properties/l/line-clamp/)

https://css-tricks.com/almanac/properties/l/line-clamp/

｢…」を実現するためのCSSプロパティ `line-clamp` について知っておきたいこと。  
[Florian Rivoal](https://florian.rivoal.net/)氏にTwitterにて仕様はまだ初期段階だから、という[コメント](https://twitter.com/frivoal/status/997052467912163330)を貰った。

### [The headers we don't want by Fastly](https://www.fastly.com/blog/headers-we-dont-want)

要らないHeaderは入っていないだろうか?  
FastlyのAndrew Betts氏による不要なHeaderについて。

### [Two Fascinating Things Salesforce Discovered When It Studied Color by Co.Design](https://www.fastcodesign.com/90169654/two-fascinating-things-salesforce-discovered-when-it-studied-color)

背景は黒がいいのか白がいいのか?  
セールスフォースが発見した色に関する2つのことについて。

## In Brief

- [**Are two spaces better than one? by Butterick’s Practical Typography**](https://practicaltypography.com/are-two-spaces-better-than-one.html): タイポグラフィーに関して覚えておきたい大切なこと
- [**Practice GraphQL by GraphQL College**](https://www.graphql.college/practice-graphql/): 実際に実行してGraphQLを覚えよう
- [**Field Guide to UX Research for Startups by GV Library**](https://library.gv.com/field-guide-to-ux-research-for-startups-8569114c27fb): スタートアップのためのUXリサーチフィールドガイド
- [**Contributing To MDN Web Docs by Smashing Magazine**](https://www.smashingmagazine.com/2018/05/contributing-mdn-webdocs/): MDNに貢献するために知っておきたいこと
- [**Priority Guides: A Content-First Alternative to Wireframes by An A List Apart**](http://alistapart.com/article/priority-guides-a-content-first-alternative-to-wireframes): ワイヤーフレームにプラス一手間で作るプライオリティガイドとは?