---
date: 2018-05-30
title: Frontend Weekly Vol.173
description: 正しい批判の受け方、Reactへの障壁、美しいコードを書くために、ほか計12リンク
---

## Headlines

### [Giving and Taking Criticism by Chappell Ellison](http://chappellellison.com/giving-and-taking-criticism)

**どう批判を受け、どう批評をするべきか?**

どんな形であれ、モノを作る仕事をしている以上、なにがしかの批判を受けるし、なにがしかの批評をすることがある。
どんな風にそんな批判を受ければいいのか?
どんな風に批評をするべきかのか?  
とくに受ける方についてのアドバイスは秀逸なので参考に。

### [My struggle to learn React by Brad Frost](http://bradfrost.com/blog/post/my-struggle-to-learn-react/)

**Reactを学ぶ上で障壁となったこと**

Brad Frost氏がReactを学ぶ上で障壁となったことについて詳らかにしている。  
優れたデザイナであるが上、優れたUIを作るために必要なJavaScriptの深淵。
その深淵には素晴らしい世界が広がっているかも知れないが、JS-onlyの世界とHTML/CSSの世界に隔絶が生まれてしまっているのではないだろうか、と疑問を投げかけている。

### [Write code that's easy to delete, and easy to... by programming is terrible](https://programmingisterrible.com/post/173883533613/code-to-debug)

**消しやすく、デバッグしやすいコード**

"美しい"コードを書くことにおいて大切なこと。
異論はあるかも知れないけれど、この記事に示されている6つのルールはとても大切なルール達。

### [Identifying, Auditing, and Discussing Third Parties by CSS Wizardry](https://csswizardry.com/2018/05/identifying-auditing-discussing-third-parties/)

**サードパーティスクリプトをいかに特定し、監査し、議論するか?**

最近はもっぱらパフォーマンスに傾倒しているHarry Roberts氏より、氏のコンサルティングワークで培ったサードパーティスクリプトへの対応について詳しく解説。

### [The headers we want by Fastly](https://www.fastly.com/blog/headers-we-want)

**本当に必要なHTTPヘッダは何か?**

[不要なHTTPヘッダ](https://www.fastly.com/blog/headers-we-dont-want)に引き続き、今度は本当に必要なHTTPヘッダについて。

### [Overriding Default Button Styles by CSS-Tricks](https://css-tricks.com/overriding-default-button-styles/)

CSSでボタンのスタイルを上書きするのに知っておきたいこと。  
テクニックとしてではなく、"何故"を覚えることが大切。

### [Getting Comfortable with WCAG by Sparkbox](https://seesparkbox.com/foundry/getting_comfortable_with_wcag)

利用する人のことを熟慮するための第一歩、WCAGとすこしでも仲良くなるために知っておきたいWCAGのこと。

## In Brief

- [**A guide to JavaScript Regular Expressions by Flavio Copes**](https://flaviocopes.com/javascript-regular-expressions/): JavaScriptの正規表現についての"ミニ"ブック
- [**Leveraging Mental Models in UX Design by Toptal**](https://www.toptal.com/designers/user-experience/mental-models-ux-design): メンタル・モデルをデザインで活用するために知っておきたいこと
- [**A Deeper Look at Generic Font Names in CSS by Impressive Webs**](https://www.impressivewebs.com/deeper-look-generic-font-names-css/): CSSにおける `sans-serif` のような指定について詳しく解説
- [**How to count & pay down design debt by Poll Everywhere**](https://medium.com/poll-everywhere/design-debt-d35d027c5f2b): デザイン的負債をどのように数え、返済するのか
- [**Wired Elements**](https://wiredjs.com/): Web Componentsで実装された手書き風のUIコンポーネントライブラリ