---
date: 2018-06-06
title: Frontend Weekly Vol.174
description: デザイン・システムと”テーマ”と一貫性、PWAはSPAとだけ蜜月関係なのか?ほか計12リンク
---

## Headlines

### [The themes are always changing, but the tokens stay the same](https://medium.com/@kylegach/the-themes-are-always-changing-but-the-tokens-stay-the-same-258d57b18f31)

**デザイン・システムと”テーマ”と一貫性**

デザイン・システムには(複数の)プロダクトに一貫性を持たせる、という役割がある、それと同時にデザイン・システムそのものも1つのプロダクトとして多くのプロダクトに利用してもらう必要もある。この両者にある矛盾を解決する、トークンを使ったテーマ化できるデザイン・システムの構築について紹介。

### [Beyond SPAs: alternative architectures for your PWA by Google Developers](https://developers.google.com/web/updates/2018/05/beyond-spa)

**PWAはSPAとだけ蜜月関係なのか?**

PWAはSPAだけと仲がいいのか?  
もちろん、そんなことはないし、SPAではなくPWAを活用しているプロダクトも多くある。  
この記事ではマルチページアプリケーションにおけるPWAの活用と成功へのコツを紹介。

### [Learning to let go as a design leader (Part 1) – Designing Atlassian](https://medium.com/designing-atlassian/learning-to-let-go-as-a-design-leader-part-1-4e7b92774db0)

**デザイン・リードの役割について**

Atlassianのデザイン・リードを務めるAlastair Simpson氏によるリーダーとしての役割について。  
初めて人をリードするところから、チームのマネージャーのリード、さらにその上のリードとしてどんな役割があるのかを紹介。

パート2: https://medium.com/designing-atlassian/learning-to-let-go-as-a-designer-leader-part-2-5f6427d6f204

### [How To Do an Accessibility Review by Google Developers](https://developers.google.com/web/fundamentals/accessibility/how-to-review)

**アクセシビリティのレビューはどう行うのか?**

アクセシビリティの広さと深さは果てしないモノのように思えるが、この記事ではステップごとにどうレビューをするべきかについてプロセスを紹介。  
まずは現在自分が関わっているプロダクトのアクセシビリティのレビューをする、ところから初めてみてはどうだろうか?

### [What I’d Rather Talk About When You’re Talking About UX](https://medium.com/@cwodtke/what-id-rather-talk-about-when-you-re-talking-about-the-validity-of-ux-f1c0ac0b5918)

**体験はデザインできるのか否かより大切な15のこと**

UXの”セマンティック”を追い求めるより、よりよいプロダクトをユーザに届けるために考えるべき事について。  
記事にて紹介されている動画やほかの参考記事が多くあるので、時間がある際に。

### [Search interface: 20 things to consider by UX Planet](https://uxplanet.org/search-interface-20-things-to-consider-4b1466e98881)

検索UIにおいて考慮するべき20のこと。  
実例を交えた解説は参考になる。

### [Styling buttons, the right way](https://fvsch.com/code/styling-buttons/)

`<button>` のリセットからスタイルまで、経過を含めてコードサンプル & 解説付き。

## In Brief

- [**An outbreak of Accessibility anti-patterns by FT Product & Technology**](https://medium.com/ft-product-technology/an-outbreak-of-accessibility-anti-patterns-e73577242ee8): FT.comにおけるアクセシビリティへの施策と監査から得たアンチパターン、その対応方法について
- [**CSS !important and What We Can Use for It by Pine**](https://pineco.de/css-important-and-what-we-can-use-for-it/): CSSの `!important` は純粋な悪なのか? CSSにおける詳細度と `!important` の使いどころについて
- [**Hello tensorflow**](https://hello-tensorflow.glitch.me/): TensorFlow.jsを使った機械学習の実装デモ
- [**The Slow Death of Internet Explorer and the Future of Progressive Enhancement by An A List Apart**](https://alistapart.com/article/the-slow-death-of-internet-explorer-and-future-of-progressive-enhancement): 改めてプログレッシブ・エンハンスメントのモダンな手法について解説
- [**Dark theme in a day by Marcin Wichary**](https://medium.com/@mwichary/dark-theme-in-a-day-3518dde2955a): CSS custom propertiesを使って”ダーク”テーマを1日で実装