---
date: 2018-06-13
title: Frontend Weekly Vol.175
description: “おぼえられない”UI、`button` の `type` 属性、コードの読みやすさと心理学、ほか計12リンク
---

## Headlines

### [The Intuitive and the Unlearnable by Christina Wodtke](https://medium.com/@cwodtke/the-intuitive-and-the-unlearnable-cccffd9a762)

https://medium.com/@cwodtke/the-intuitive-and-the-unlearnable-cccffd9a762

**いつまでたっても”覚えられない”UIがなぜ覚えられないのか?**

記事内でも例に挙がっている、Twitterのコメントアイコンをクリックするとコメントを読めるように思えてしまう。など、想定している挙動とUIの挙動が異なることはママある。  
直感的なUIであることはユーザが持つメンタルモデルとの差異を少なくするのとほぼ同義。  
この記事では直感的なUIを作るために知っておきたいことについてまとめている。

### [Never forget type=”button” on generated buttons! by Lea Verou](http://lea.verou.me/2018/05/never-forget-typebutton-on-generated-buttons/)

http://lea.verou.me/2018/05/never-forget-typebutton-on-generated-buttons/

**`type=button` と `button`**

意外と忘れがちな `button` 要素のデフォルト `type`。`type`　を明示しない場合は、`submit` になる。`form` 内に `button` がある場合は、気づきづらいバグの理由になってしまうので、要注意。

### [Psychology of Code Readability by Egon Elbre](https://medium.com/@egonelbre/psychology-of-code-readability-d23b1ff1258a)

https://medium.com/@egonelbre/psychology-of-code-readability-d23b1ff1258a

**コードの読みやすさを心理学観点から考える**

コードが読みやすいか、理解しやすいかは人によって尺度が異なる、しかし、コードは人に読まれる時間の方が書いている時間よりも長いものなので、読みやすく、理解しやすいことを追求していくのは大切なこと。
この記事では心理学観点で読みやすく、理解しやすいコードを書くために知っておきたいことについてまとめてある。

### [Math and front-end by Chen Hui Jing](https://www.chenhuijing.com/blog/math-and-front-end/#%F0%9F%8E%AE)

https://www.chenhuijing.com/blog/math-and-front-end/#%F0%9F%8E%AE

**数学とフロントエンド**

JavaScriptであろうとCSSであろうと、数学をフロントエンドの開発で利用する機会は意外と多い。  
この記事ではそんなフロントエンド開発の現場でよく利用されている数学的な部分について紹介している。

### [Stop “feeding” your users by Shopify UX](https://ux.shopify.com/stop-feeding-your-users-a859730a86d6)

https://ux.shopify.com/stop-feeding-your-users-a859730a86d6

**フィードUIは乱用状態ではないか?**

FacebookやLinkedIn、TwitterやYouTube。WebもアプリもフィードUIはもっともよく見るUIとなった。  
フィードUIはどんな課題を解決しようとして生まれたのか、そしてそれは解決できているのか?  
ShopifyでフィードUIを採用した際の葛藤とフィードUI以外の解決について紹介。

### [HSL() / HSLa() is great for programmatic color control by CSS-Tricks](https://css-tricks.com/hsl-hsla-is-great-for-programmatic-color-control/)

色をプログラム側から操作する場合、HSL(Hue、Saturation、Lightness)が唯一と言ってもいい選択肢になるだろう。  
Sassの関数や[ドラフトとなっているCSSの `color()` 関数](https://drafts.csswg.org/css-color/#color-function)の話だけではなく、JavaScriptからの操作についても同じことが言える。 

### [JavaScript Start-up Optimization by Google Developers](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/javascript-startup-optimization/)

JavaScriptのファイル読み込み、解析、実行まわりの仕組みを知ることでJavaScriptヘビーなWebアプリでパフォーマンスを向上させることができる。  
特にマシンパワーが強くないモバイル向けにおいては影響が大きくなる。

## In Brief

- [**The UX of Learning UX is Broken by Dan Maccarone**](https://medium.com/@danmaccarone/the-ux-of-learning-ux-is-broken-f972b27d3273): UXを学ぶということに対するユーザ体験はイマイチである現況について
- [**The biggest WTF in design right now by UX Collective**](https://uxdesign.cc/the-biggest-wtf-in-design-right-now-87139f367d66): ユーザフロー図とは何か、何故デザインにおいて重要視されているのかについて
- [**Managing SVG Interaction With The Pointer Events Property by Smashing Magazine**](https://www.smashingmagazine.com/2018/05/svg-interaction-pointer-events-property/): SVGへの印宅ションと `pointer-events` の関係
- [**The Importance of Defining Development Milestones by ariya.io**](https://ariya.io/2018/05/the-importance-of-defining-development-milestones): 開発にまつわるマイルストーンを決める重要性について
- [**Why You Shouldn't Use Bright, Saturated Colors for Backgrounds by UX Movement**](http://uxmovement.com/content/why-you-shouldnt-use-bright-saturated-colors-for-backgrounds/): 背景色に明るい鮮明な色を使ってはいけない理由