---
date: 2018-06-28
title: Frontend Weekly Vol.177
description: フロントエンドデベロッパーの頭の中、より早いサイトを作るために、8-Point Grid、ほか計12リンク
---

## Headlines

### [Your Brain on Front-End Development by CSS-Tricks](https://css-tricks.com/your-brain-on-front-end-development/)

**フロントエンドデベロッパーの頭の中を覗いてみる**

https://css-tricks.com/your-brain-on-front-end-development/

あるUIデザインから様々なスキルや技術を駆使してブラウザ上で表現すること。フロントエンドデベロッパの日常ではあるが、その日常を1つのUIをコード化するという例を使って切り取って紹介。

### [Towards ever faster websites with early hints and priority hints by Fastly](https://www.fastly.com/blog/towards-ever-faster-websites-early-hints-and-priority-hints)

**より早いサイトを作るために知っておくべき `Early hints` と `Priority hints` について**

https://www.fastly.com/blog/towards-ever-faster-websites-early-hints-and-priority-hints

ブラウザは読み込む必要のあるリソースをHTMLから発見してからでないと、読み込みが始まらない。ごく当たり前のことのように思えるが、アイドル時間が増える原因にもなる。  
見つけられないものは読み込めない、という当たり前を回避するための`Early hints` と `Priority hints` についてFastlyのAndrew Betts氏が詳しく解説。

### [8-Point Grid: Typography On The Web by freeCodeCamp](https://medium.freecodecamp.org/8-point-grid-typography-on-the-web-be5dc97db6bc)

**Webタイポグラフィのベスト・プラクティス**

https://medium.freecodecamp.org/8-point-grid-typography-on-the-web-be5dc97db6bc

Webにおけるタイポグラフィはややこしい。この記事ではWebサイトを目的ごと分類、それぞれに求められるタイポグラフィの要件を整理し、実際のWebサイトでの実装例をあげている。
それらのケースを踏まえて、考えられるプラクティスや相対単位のアプローチの罠、主題である8の倍数でのスケールについて解説。

### [UTC is Enough for Everyone, Right? by Zach Holman](https://zachholman.com/talk/utc-is-enough-for-everyone-right)

“時間”の難しさとそれを表現するためのプログラムの難しさについて。  
時間に関わるプロダクトに触れる人には必見の記事。

### [The Cult of the Complex by An A List Apart](http://alistapart.com/article/cult-of-the-complex)

変わり続けることがWebにおける”変わらない”部分だとすると、今存在する複雑さはその副産物に過ぎない。

## アンケートにご協力ください!

Frontend Weeklyに関する調査をおこないたく、アンケートを実施しています。Frontend Weeklyについてのいくつかの項目を設けていますので、お時間いただけると幸いです。

**[アンケートはこちらから](https://docs.google.com/forms/d/e/1FAIpQLSdanFCMkLg5NAsTPW96tx3sIHGjtRq3Xh9A3BdfEbTFAUmtgQ/viewform)**

## In Brief

- [**Understanding the Almighty Reducer by CSS-Tricks**](https://css-tricks.com/understanding-the-almighty-reducer/): JavaScriptの `reduce()` を便利なシチュエーション/コード例を通じて学ぶ
- [**The React is “just” JavaScript Myth by daverupert.com**](https://daverupert.com/2018/06/the-react-is-just-javascript-myth/): Reactが”単なる”JavaScriptである、というのは事実ではあるが、Reactが持つ強さは他にもある
- [**Writing the Docs by Prateeksha Singh**](https://medium.com/@pratu16x7/writing-the-docs-dabccd97c464): READMEをより理解されやすく書くためにやるべきこと
- [**The new (and old) CSS units you've never heard about by Massimo Artizzu**](https://dev.to/maxart2501/the-new-and-old-css-units-youve-never-heard-about-1mn1): (きっと)知らないCSSで使える単位について
- [**Don’t Use The Placeholder Attribute by Smashing Magazine**](https://www.smashingmagazine.com/2018/06/placeholder-attribute/): `placeholder` 属性がユーザにとってプラスにならないのではないか、という提言
- [**Effective Standards Work, Part 1: The Lay Of The Land by Infrequently Noted**](https://infrequently.org/2018/06/effective-standards-work-part-1-the-lay-of-the-land/): 12年以上Webのプラットフォームに関わる標準づくりに関わってきたAlex Russel氏によるより効率的な標準化プロセスについて。パート2は[こちらから](https://infrequently.org/2018/06/effective-standards-work-part-1-the-lay-of-the-land/)
- [**Writing WebAssembly By Hand by Scott Logic**](https://blog.scottlogic.com/2018/04/26/webassembly-by-hand.html): WebAssemblyを直に手で書くために必要なこと。意味があるかはさておき、WebAssemblyの基礎を覚えるのに役に立ちそう
