---
date: 2018-07-20
title: Frontend Weekly Vol.180
description: アクセシビリティとデザイン、アイコンシステム、読みやすいコードの書き方、ほか計12リンク
---

## Headlines

### [Designing for accessibility is not that hard by UX Collective](https://uxdesign.cc/designing-for-accessibility-is-not-that-hard-c04cc4779d94)

**アクセシビリティのためのデザインはさほど難しくない**

デザインは、能力・文脈・状況に依らず私達が作るものへアクセスできるようにする力を秘めている。アクセシビリティの基本的な説明を踏まえて、デザインにおいてケアすべき基本的な7つの事項を、図を交えてわかりやすく解説している。

### [The guide to integrating and styling icon systems — inline SVG and icon components by Nucleo](https://blog.nucleoapp.com/the-guide-to-integrating-and-styling-icon-systems-inline-svg-and-icon-components-9ed234419166)

**どうやったらアイコンと仲良くつきあえるのか?**

デザイン・システムにおけるアイコンの存在は中々に厄介なのだ。  
この記事ではその厄介なアイコンをどうやって管理し、スタイルするべきかについて詳しく紹介。

パート1のこの記事ではInline SVGとアイコン・コンポーネントアプローチについて、[パート2ではSVGスプライト、SVGシンボルそしてアイコンフォントのアプローチを紹介](https://blog.nucleoapp.com/the-guide-to-integrating-and-styling-icon-systems-svg-sprites-svg-symbols-and-icon-fonts-da7c424dac1b)している。

### [How To Make Your Code Readable by Christopher Brown](https://medium.com/@chbchb55/the-importance-of-readable-code-165895e939c7)

**あなたのコードを読みやすくする方法**

コードは実行効率だけでなく可読性も非常に重要である。この記事では、**悪いコード**をどのように見分けるか、そしてそれをどのように修正するべきかを紹介している。

### [Using a JavaScript library versus building the functionality yourself by JavaScript Code Readability](https://www.codereadability.com/javascript-library-vs-building-yourself/)

既製のJavaScriptライブラリを使うべきか、自作するべきか?  
当たり前のことながらそれぞれの利点、欠点についてよくまとまっている。

### [I Used The Web For A Day With Just A Keyboard by Smashing Magazine](https://www.smashingmagazine.com/2018/07/web-with-just-a-keyboard/)

マウスを使わず1日Webを使ってみる。
もちろん記事では様々なサイトをキーボードのみで操作した感想もあるが、その体験の中、実際に存在するグッドプラクティス達について実装を含めて詳しく解説いるところが秀逸。

## アンケートへのご協力ありがとうございました!

Frontend Weeklyに関するアンケートへのご協力ありがとうございました。  
頂いただいた意見につきましては、今後の運営に反映していきます。

## In Brief

- [**Readinglist.design - Books Every Designer Should Read by Vincent van der Meulen**](https://readinglist.design/): デザイナーが読むべき本の紹介。各社のデザイナーがその理由についてコメントを添えている
- [**How to define and prioritize features for your MVP by thoughtbot**](https://robots.thoughtbot.com/how-to-define-and-prioritize-features-for-your-mvp): MVPを作る際にどうやって機能の優先順位を確定するべきか?
- [**Web Development Tutorials For Complete Beginners by Interneting Is Hard**](https://internetingishard.com/): すばらしく良くまとまった初心者向けのWeb開発にまつわるチュートリアルサイト
- [**How and Why We Unit Test Our Sass by Sparkbox**](https://seesparkbox.com/foundry/how_and_why_we_unit_test_our_sass): Sassでユニットテストを何故書くか?そしてどう書くのかについて
- [**Pixels vs. Ems: Users DO Change Font Size by Evan Minto**](https://medium.com/@vamptvo/pixels-vs-ems-users-do-change-font-size-5cfb20831773): デフォルトのフォントサイズを変更しているユーザーが一定数存在する、というデータの元あらためて相対値か絶対値か
- [**10 Small Design Mistakes We Still Make by UX Planet**](https://uxplanet.org/10-small-design-mistakes-we-still-make-1cd5f60bc708): 10個の小さなデザインの間違いについて。ユーザーが余計に頭を使ってしまう例を紹介
- [**Designing AdWords by Google Design**](https://medium.com/google-design/designing-adwords-4f67cee096d8): AdWordsのダッシュボードデザイン、広告バナーのテンプレートデザインのプロセスなど
