---
date: 2018-08-22
title: Frontend Weekly Vol.184
description: プロダクトは関数、パフォーマンス調査手法、`https` の課題、ほか計11リンク
---

## Headlines

### [Products Are Functions by Ryan Singer](https://www.feltpresence.com/functions.html)

**プロダクトは関数である**

どのプロダクトにもユーザに提供する機能があり、その機能を通じてユーザの問題を解決しようとしている。  
プロダクトを関数として捉えてみると、どんな機能がありえて、どんな風に動作し、結果がどうなるべきかが整理しやすくなる。

### [This one line of Javascript made FT.com 10 times slower by FT](https://medium.com/ft-product-technology/this-one-line-of-javascript-made-ft-com-10-times-slower-5afb02bfd93f)

**1行のJavaScriptが起こしうるパフォーマンスボトルネック**

FT.comのパフォーマンスがある1行のJavaScriptのせいで劣化した。  
その1行に辿り付くまでのストーリーを公開。  
大切なのはその1行が悪である、ことではなく、どうやってその1行を抽出するかの手順。

### [Securing Web Sites Made Them Less Accessible by Eric’s Archived Thoughts](https://meyerweb.com/eric/thoughts/2018/08/07/securing-sites-made-them-less-accessible/)

**セキュアなWebサイトがアクセスしづらくなる環境**

Eric Meyer氏がウガンダで感じた `https` に関する課題。  
`https` は悪ではないが、サテライトから得るインターネットなど想像を超える環境においてセキュアなサイトであることでアクセスしづらくなってしまうという状況がある。
この難しい問題についてのオピニオン。

Tim Kadlec氏もこの記事を受けて、[**On HTTPS and Hard Questions**](https://timkadlec.com/remembers/2018-08-14-https-and-hard-questions/) にて氏のオピニオンを共有している。

### [ITP Debug Mode in Safari Technology Preview 62 by WebKit](https://webkit.org/blog/8387/itp-debug-mode-in-safari-technology-preview-62/)

SafariのIntelligent Tracking Prevention(ITP)がようやくデバッグできるようになった。TP62から搭載されたITP Debug Modeの使い方について。

### [Short note on the accessibility of styled form controls by The Paciello Group](https://developer.paciellogroup.com/blog/2018/07/short-note-on-the-accessibility-of-styled-form-controls/)

[The Accessibility of Styled Form Controls & Friends](https://github.com/scottaohara/a11y_styled_form_controls) で作成したいくつかの `form` に関わるアクセシブルなコントロール達についてのメモ。

> Sticking with a native form control will almost always give your users a more accessible experience than trying to recreate one from scratch.

## Book

### [Modular JavaScript Book Series by Nicolás Bevacqua](https://mjavascript.com/)

Nicolás Bevacqua氏によるモジュラーでモダンなJavaScriptを書くことにフォーカスした本のシリーズ。

## In Brief

- [**Getting to Know a Legacy Codebase by CSS Wizardry**](https://csswizardry.com/2018/07/getting-to-know-a-legacy-codebase/): もはや誰もよく知らないレガシーなCSSについて学ぶための手順
- [**Better tree shaking with deep scope analysis by webpack**](https://medium.com/webpack/better-tree-shaking-with-deep-scope-analysis-a0b788c0ce77):　Webpackのツリーシェイキングをよりよくするためのプラグインの裏側
- [**The future of WebAssembly - A look at upcoming features and proposals by Scott Logic**](https://blog.scottlogic.com/2018/07/20/wasm-future.html):　WebAssemblyの来たるべく機能と提案について
- [**Page Lifecycle API by Google Developers**](https://developers.google.com/web/updates/2018/07/page-lifecycle-api):　　ブラウザからOSのリソース状態を知るLifecycle APIについて
- [**Pattern Journey by Varya.me**](http://varya.me/design-systems/pattern-journey/): デザイン・システムを保守し、拡張するのに便利な意志決定ツリーの例