---
date: 2018-08-29
title: Frontend Weekly Vol.185
description: プログレッシブ・エンハンスメント、ネイティブLazy Load、セマンティックなHTMLほか計10リンク
---

## Headlines

### [The power of progressive enhancement by No Divide](https://medium.com/no-divide/the-power-of-progressive-enhancement-98738766b009)

**プログレッシブ・エンハンスメントが持つ力**

久しぶりに”プログレッシブ・エンハンスメント”に関する記事。  
Reactのような素晴らしいライブラリがあることはよいこと。そんな時代だからこそ、プログレッシブ・エンハンスメント”の重要性について改めて考える切っ掛けとなる記事。

### [A native lazy load for the Web platform by Calibre](https://calibreapp.com/blog/2018-08-16-native-lazy-load/)

**ネイティブなLazy LoadがBlinkで実装**

それなりの業界経験があるJS書きを生業としている方は、画像のLazy Loadな実装を自前でしたことがあるだろうし、そうでなくても、なにがしかのライブラリを利用したことがあることだろう。
そんなLazy LoadがBlinkに実装されたので、現行の仕様と試し方について解説。

### [Understanding why Semantic HTML is important, as told by TypeScript. by Mandy Michael](https://medium.com/@mandy.michael/understanding-why-semantic-html-is-important-as-told-by-typescript-bd71ad41e6c4)

**セマンティックなHTMLを理解するのは重要**

Mandy Michael氏はTypeScriptを通じてHTMLのセマンティックの重要性について解説。
TypeScriptに詳しくなくても読めるが、ターゲットはHTMLをあまり知らないTypeScripter。

### [Service Worker Caching Strategies Based on Request Types by Google Dev Channel](https://medium.com/dev-channel/service-worker-caching-strategies-based-on-request-types-57411dd7652c)

Service Workerのキャッシュ戦略をURLを元にしたものではなく、[Request.destination](https://developer.mozilla.org/en-US/docs/Web/API/Request/destination)を利用する方がいいかも知れない。
URLベースとRequest.destinationとの違いと利用方法、Request.destinationでは充足しないケースなどについて解説。

### [On Switching from HEX & RGB to HSL by Sara Soueidan](https://www.sarasoueidan.com/blog/hex-rgb-to-hsl/)

CSSの色指定を、HexとRGBからHSLでの指定にする理由について。

## In Brief

- [**Using feature detection to write CSS with cross-browser support by CSS-Tricks**](https://css-tricks.com/using-feature-detection-to-write-css-with-cross-browser-support/): CSSでどうやってプログレッシブ・エンハンスメントは実装できるのか?様々な手法を一気に紹介
- [**Flexbox — The Animated Tutorial by JavaScript Teacher**](https://medium.com/@js_tut/flexbox-the-animated-tutorial-8075cbe4c1b2): Flexboxをアニメーションで解説。視覚的に覚える派にはぴったりのチュートリアル
- [**The definitive guide to JavaScript Dates by The Javascript Fundamentals Series**](https://flaviocopes.com/javascript-dates/): JavaScriptにおける日付の取り扱いについてのガイド
- [**Primer on Front End Automation by WalmartLabs**](https://medium.com/walmartlabs/primer-on-front-end-automation-a9eee2c6bc1): WalmartLabsチームにおけるフロントエンドのテスト自動化ツールセットについて
- [**Sometimes `sizes` is quite important. by CSS-Tricks**](https://css-tricks.com/sometimes-sizes-is-quite-important/):　レスポンシブ画像において `sizes` は重要な属性。使い道と注意点について。