---
date: 2018-09-05
title: Frontend Weekly Vol.186
description:
---

## Headlines

### [A Tale of Two Buttons – Buildit @wiprodigital](https://medium.com/buildit/a-tale-of-two-buttons-e63185aefd5f)

https://medium.com/buildit/a-tale-of-two-buttons-e63185aefd5f

**２つのボタンの話**

UIエレメントを実装するにあたって、それぞれをモジュールに分ける方法が一般的だ。しかしながら、CSSに元来備わるカスケードの力を無視した冗長な実装を見ることがある。
`inherit` を駆使することでコードの量はかなり減らすことができ、柔軟なスタイリングが実装できることを実際のコードとともに紹介する。


### [The Web I Want by Chris James](https://dev.to/quii/the-web-i-want-43o)

https://dev.to/quii/the-web-i-want-43o

**私が望んでいるWeb**

筆者の友人がWebブラジングが思ったようにいかなかった経験から、Webのあり方を見直す。
20年前は単純HTMLだけであったWebは、急激にスケールを増しており、それに伴い快適なブラウジングには高性能なマシンを要求することになってしまっている。
Webが平等であるためには、現代のWeb技術スタックを見直さなければならないのではないかと筆者は警鐘を鳴らす。

> Remember that the goal of most websites is delivering useful textual content, and all you really need for that is HTML.


### [Just write. by Sara Soueidan](https://www.sarasoueidan.com/desk/just-write/)

**ただ、書いてみよう**

ブログを書くことの素晴らしさを伝える記事。まずは読者が気に入るか、気に入らないかなどを考える前に、ただ、書き始める。
一度はブログを辞めてしまってから、GoogleAnalyticsさえ削除し、書くことにだけ集中し続け、書くことの楽しさを再発見するまでの道のりが描かれている。

> If you don’t have a blog already, make one. Write. Publish. Share. You’ll never know how many doors one small article might open up for you.


### [New Syntax for JS "Function Stuff" by Tab Completion](https://www.xanthir.com/b4vn0)

`.call` や `.bind` などのJavaScriptにおけるFunctionの煩わしさは誰しも経験したことがあるだろう。
それらがどのように扱いづらいかを示し、それらを解決する、新しいオペレーターの提案の解説をする記事。


### [The Whats and Whys of WCAG 2.1 by Object Partners](https://objectpartners.com/2018/08/09/the-whats-and-whys-of-wcag-2-1/)

最新のWCAG 2.1におけるガイドラインの解説。新しく追加された項目に関して、何が問題で、なぜそうしなければならないかを丁寧に解説する。


## Book

### [Inclusive Components: The Book by Heydon Pickering](http://book.inclusive-components.design/)

Inclusive Componentsというパターンライブラリを解説する書籍。筆者が提言するInclusive Componentsは、仕様でもフレームワークでもなく、デザインパターンである。
だれしもが、Webを快適に扱えるようなインターフェースを実現するためのプロジェクト。

Inclusive Compoenntsの概念については以下で詳しく解説されている。
https://24ways.org/2016/what-the-heck-is-inclusive-design/


## In Brief

- [**Iterators in JavaScript by Akshendra Pratap Singh**](https://dev.to/akshendra/iterators-in-javascript-3kg9): for..of ループの内部で何が起こっているのか。iterable protocol を利用し、イテレーブルなオブジェクトを実装するサンプル
- [**Dynamic resources using the Network Information API and service workers by Dean Hume**](https://deanhume.com/dynamic-resources-using-the-network-information-api-and-service-workers/): Network Information API と Service Worker を組み合わせユーザーの接続環境に応じた最適のコンテンツに切り替えるアイディアの提案
- [**How to deal with dirty side effects in your pure functional JavaScript by James Sinclair**](https://jrsinclair.com/articles/2018/how-to-deal-with-dirty-side-effects-in-your-pure-functional-javascript/): JavaScriptで関数型プログラミングを実現。依存性注入や、遅延評価について筆者が実際のサンプルコード共に丁寧に解説する
- [**Proactive UX Design: A Big Leap Requiring Baby Steps by Jared M. Spool**](https://medium.com/@jmspool/proactive-ux-design-a-big-leap-requiring-baby-steps-e131911a1609): 受け身(Reactive)なデザインではなく、攻め(Proactive)のデザインをすることの重要性について
- [**A primer on documentation content strategy by Increment**](https://increment.com/documentation/primer-on-documentation-content-strategy/): ドキュメント作成指南書。開発と資料作成は切っても切り離せない関係である以上、ドキュメンテーションに関する知識は開発に関する知識と同様に重要となる。筆者が簡単な構成例を交えて、基本的な技術ドキュメンテーションについて解説する
