# Frontend Weekly Vol.187

デザインシステムのリリースフロー、デザインに触れるのはユーザ、UIを示す語達、ほか計10リンク

## Headlines

[**Releasing Design Systems by Eight Shapes**](https://medium.com/eightshapes-llc/releasing-design-systems-57fca91a23f6)
https://medium.com/eightshapes-llc/releasing-design-systems-57fca91a23f6

**デザインシステムのリリースフロー**
デザインシステムに関するワークフローについて全6回連載の1回目。デザインシステムにおいて、何を作成し、何をリリースしていかなければならないか(すべきか)、またそれをどこに配置すべきか、というところまで定義する。全6回に及ぶ連載になりかなり読み応えはあるが、デザイナ寄りのデベロッパには、是非読んでいただきたい記事。

> Strong system teams take releases seriously. They don’t see themselves as releasing just component library code. Instead, they deliver many more outputs: design tokens, documentation, design assets, and other resources.

[**Design for People, Use People Language Julie Zhuo**](https://medium.com/@joulee/design-for-people-use-people-language-41efcf5203b1)

**人のためにデザインすること。人の言葉を使うこと。**

“この機能の使用率を上げるにはどうしたらよいか”、 “この指標を伸ばしたい” これらは、サービス開発でよくありがちなフレーズであるが、これらのショートカットされた言葉は、本来の意味を失い、エンドユーザーへの意識を薄れさせる。
ビジネス中心ではなく、ユーザー中心に考えること、そしてそのユーザーが、リアルな”人”であるということを認識することが、価値のあるプロダクトを創るために必要ではないかと、氏は問う。

> If you design for people, use people language.

[**Pop-up, popover or popper? — a quick look into UI terms by UX Collective**](https://uxdesign.cc/pop-up-popover-or-popper-a-quick-look-into-ui-terms-cb4114fca2a)

**ポップアップ、ポップオーバー、ポッパー?**

3つの似ているUI用語についての解説。開発現場ではよく耳にする言葉だが、発言者と受け取り手のイメージが異なってしまいがちな言葉である。この記事では、それぞれがどのような場面で採用されるべきかを、AppleやGoogleのデザインシステムでの採用例を参考に解説していく。それぞれの役割を理解し、適切な場面で効果的な選択をするには。

[**Asking Effective Questions: Four Tips to Getting the Right Answers by Usabilla**](https://usabilla.com/blog/asking-effective-questions-four-tips-getting-right-answers/)
よい回答を得るためにはよい質問をする必要がある。とくにアンケート調査においてはその傾向は顕著。
アンケートという難しい調査を行う場合に知っておきたい4ついい質問の仕方について。

[**Refactoring an inherited codebase by Chen Hui Jing**](https://www.chenhuijing.com/blog/refactoring-an-inherited-codebase/#%F0%9F%92%BB)

大小あれど、その昔、誰かが書いたコードをリファクタリングすることはよくある話。この記事はその規模はかなり大きいが、実際のリファクタリングプロセスを紹介しているのでケーススタディとして参考になる。

## In Brief
- [**Setting up constants via proxies by 2ality**](http://2ality.com/2018/08/enums-via-proxies.html): EnumをJavaScriptで実装するには。ES6 Proxyを利用し、列挙型を実現。
- [**CSS Logical Properties and Values in Chromium and WebKit by Rego's Everyday Lif**](http://2ality.com/2018/08/enums-via-proxies.html): CSSにおける論理的な値について。縦書きや、横書きを表現する際に起きる煩わしい問題を解決するための仕様 CSS Writing Mode と論理的なプロパティ、値がどのように機能するかについて、その背景から、今後の展望も踏まえて解説。
- [**Avoiding Common Hurdles in Unit Testing by NearForm**](http://2ality.com/2018/08/enums-via-proxies.html): ユニットテストにありがちな障壁を解消する。モックサーバー、モジュールを用意するために便利なライブラリを紹介。スマートファズリングとは。
- [**Understanding Execution Context and Execution Stack in Javascript by Bits and Pieces**](http://2ality.com/2018/08/enums-via-proxies.html): JavaScriptの実行コンテキスト、スタックを理解する。これらがいつ作られ、どのように作用するかを、コードを交えながら紹介。
- [****](https://blog.bitsrc.io/understanding-execution-context-and-execution-stack-in-javascript-1c9ea8642dd0) [**by**](https://blog.bitsrc.io/understanding-execution-context-and-execution-stack-in-javascript-1c9ea8642dd0) [**Bits and Pieces**](https://blog.bitsrc.io/understanding-execution-context-and-execution-stack-in-javascript-1c9ea8642dd0)[:](https://blog.bitsrc.io/understanding-execution-context-and-execution-stack-in-javascript-1c9ea8642dd0) ****
