# Frontend Weekly Vol.191
プロダクトデザイン批評のやり方、if節のコスト、戦略的な思考、ほか計10リンク


## [If Statements Should Cost $10,000 Each by Dave Rupert](https://daverupert.com/2018/09/if-statements-should-cost-10000/)

https://daverupert.com/2018/09/if-statements-should-cost-10000/

**1つのif節は$10,000のコストに匹敵する**

Dave Rupert 氏は時間での見積もりではなく、if節の数で見積もるアイディアを提言する。if節は完全にビジネスと直結していおり、それの多さは複雑さを表し、複雑さはコストにつながる。慣例的に行われてきた見積もり方法について見直す必要性を訴える。

## [How to be Strategic by Julie Zhuo](https://medium.com/@joulee/how-to-be-strategic-f6630a44f86b)

https://medium.com/@joulee/how-to-be-strategic-f6630a44f86b

**戦略的な思考をする方法**

戦略的な思考をするためのヒントを解説する。戦略的な思考とは何か、から始まり、それを再度で定義付け、どのように実践するかを紹介。Julie氏は以下のステップが必要だと解説する。


1. 大成功を収めたらどのようになるか
2. どのような人々に、どのような問題を解決しようとしているかを理解する
3. 優先度付けをし、切り捨てる


## [Productive design critique guide by Alexandre Brito](https://www.toptal.com/designers/product-design/productive-design-critique-guide)

https://www.toptal.com/designers/product-design/productive-design-critique-guide

**プロダクトデザイン批評のやり方**

デザイン批評はチームにデザインを共有し、デザインのフィードバックを得るには有効な手段であるが、事前にしっかりと準備し、ガイドをしなければ、容易に意味の無いものになってしまう。
本記事ではその一つのやり方として、以下の項目に分けてポイントを解説する

- 参加者: 参加するべき人の役割分担とは
- デザイン批評の前にすること: どのように参加者に内容を伝えるべきか
- 内容の說明・ルール: どういった目的で、どのようにすすめるか
- 参加者との作業: どのように進行をするべきか
- フィードバックを見つける: 参加者からの意見をどのように収集するか


## [Dealing with Dependencies Inside Design Systems by Nathan Curtis](https://medium.com/eightshapes-llc/dealing-with-dependencies-inside-design-systems-aa6ce2cf7bc3?source=userActivityShare-5e64022b48d2-1538607184)

デザインシステムにおける、依存関係をどのように扱っていくかについて。小さく始める、デザインの共通項を切り出す、ツールを使うなどのアイディアを紹介する。


## [How browser rendering works  by Ohans Emmanuel](https://blog.logrocket.com/how-browser-rendering-works-behind-the-scenes-6782b0e8fb10)

ブラウザがバイトデータを受け取ってから、画面に表示されるまで何がどの様な順序で起きているのかを解説する。パフォーマンス改善する際に重要となるCritical Rendering Pathに関する知識を学習できる記事。


## In Brief
- [**Barcode detection in a Web Worker using Comlink by Paul Kinlan**](https://paul.kinlan.me/barcode-detection-in-a-web-worker-using-comlink-/): JavaScriptでQRコードを解析するサンプル。高速化のためのWebWorkerと、それのWrapperとしてcomlinkを採用し、非常にシンプルなソースコードで仕上げている
- [**HTML elements, unite! The Voltron-like powers of combining elements. by Mandy Michael**](https://css-tricks.com/html-elements-unite-the-voltron-like-powers-of-combining-elements/): `<site>` `<kbd>`  `<dfn>`  などのあまり知られていないHTMLタグと、それをどのように組みあせて使うかを紹介する
- [**Assistive technology tools you can test with at no cost  by Anika Henke**](https://accessibility.blog.gov.uk/2018/09/27/assistive-technology-tools-you-can-use-at-no-cost/): 無料で使えるアクセシビリティを補助する機能、例えば、Screen Reader やVoice Over といった機能のまとめ。ユーザーがどういった機能を使ってサイトを閲覧する可能性があるのか、目を通しておきたい記事
- [**A Guide to GraphQL in Plain English by Luis Aguilar**](https://medium.freecodecamp.org/a-beginners-guide-to-graphql-60e43b0a41f5): GraphQLを実装する。基本的な解説から、実際にexpressで実装するまで
- [**Auto-Vivifying Hashes in JavaScript by Reginald Braithwaite**](http://raganwald.com/2018/09/12/auto-vivifying-hash.html): RubyのHashと、PerlのAutovivificationの機能をJavaScriptで実装する。どちらも、ES6 Proxyを活用する

