# Frontend Weekly Vol.192
Web Paymentsの概要、Webの新しい形、Site Performance Budgeting、など計10リンク


## [Web Payments Overview by Eiji Kitamura, Dave Gash, and Durga Pandey](https://developers.google.com/web/fundamentals/payments/)

https://developers.google.com/web/fundamentals/payments/

**Web Paymentsの概要**

最近話題のWeb Paymentsの概要。Web Paymentsは以下の3つの方針に従って整備されていく。


1. Webで最初の決済システムの標準化の取り組みとして、すべてのユーザーにオープンである。
2. ユーザーにとって、非常に簡単に扱える。自身のユーザー情報を繰り返し使え、ブラウザにネィティブ実装されたUIを利用することで、安心してスムーズに決済を行うことができる
3. セキュアである。

よりデベロッパ向けのは[こちら](https://developers.google.com/web/fundamentals/payments/basics/how-payment-ecosystem-works)から。Payment Request APIについてもっと詳しく知りたい方は[こちら](https://developers.google.com/web/fundamentals/payments/merchant-guide/deep-dive-into-payment-request)から。


## [One Small Step for the Web…](https://medium.com/@timberners_lee/one-small-step-for-the-web-87f92217d085)

https://medium.com/@timberners_lee/one-small-step-for-the-web-87f92217d085

**Webのあともう一歩**
****
Webの発明者、Tim Berners-Lee氏が提案する、新しいWebの形。[Solid](https://solid.inrupt.com/)と呼ばれるそれは、特に個人の情報をどのように扱うか、という点要点を置かれている。Solid Podと呼ばれるデータの格納領域に、それぞれのユーザーが持つ個人情報を保管し、プライベートなデータを安全に保管できるような仕組みを提供する。詳しい解説は[こちら](https://solid.inrupt.com/how-it-works)から。


## [Start Performance Budgeting by Addy Osmani](https://medium.com/@addyosmani/start-performance-budgeting-dabde04cf6a3)

https://medium.com/@addyosmani/start-performance-budgeting-dabde04cf6a3

**サイトパフォーマンスのターゲットを設定する**

サイトパフォーマンスを改善する際に、覚えておきたいのが、Site Performance Budgetという考え方である。Site Perfotmance Budgetとは、開発を進めていく中で、超えてはならないパフォーマンスの指標と計測値のことを指す。本記事では、Site Performance Budgetingについての解説、それらをどのように決めるか、またどのように計測していくかについて紹介していく。記事内で使用されているツールはこちら。


- https://speedcurve.com/
- http://www.performancebudget.io/


## [How I made a themeable Design System for my Professional Brand](https://medium.com/@ogonzal87/how-i-made-a-themeable-design-system-for-my-professional-brand-oskrhq-ds-1c10f5b87587) 
[](https://medium.com/@ogonzal87/how-i-made-a-themeable-design-system-for-my-professional-brand-oskrhq-ds-1c10f5b87587)
ReactとSassで作成されたデザインシステムをどのようにレイヤーを分け、構築していくか。特にSassを利用したthmeableなコンポーネント作成の部分について重点的に解説する。


## [How to Understand a Large Codebase](https://seesparkbox.com/foundry/how_to_understand_a_large_codebase)

引き継いだ巨大なソースコードに立ち向かうためのヒント。本記事では以下の5つのステップを提示している。


1. ドキュメントを読む
2. コミットメッセージを読む
3. 経験のあるデベロッパとペアを組んで進める
4. テストを読む
5. 小さな部分から手を付けてみる


## In Brief
[](https://www.scottohara.me/blog/2018/10/03/unbutton-buttons.html)- [**Unbuttoning Buttons by Scott**](https://www.scottohara.me/blog/2018/10/03/unbutton-buttons.html):  `button` タグをスタイリングする際に知っておきたい、細かな挙動を解説する。
- [**Re-approaching Color by Kevyn Arnott**](https://design.lyft.com/re-approaching-color-9e604ba22c88): アクセシビリティを考慮した配色を考える。また、有効な配色を手助けする[ColorBox](https://www.colorbox.io/)の紹介
- [**The State of Fieldset Interoperability by Simon Pieters**](https://bocoup.com/blog/the-state-of-fieldset-interoperability): `fieldset` `legend` タグはアクセシビリティをを考慮したフォーム実装には有効ではあるが、スタイリングが難しいという課題を解決を試みる。
- [**MODALZ MODALZ MODALZ by Adrian**](https://modalzmodalzmodalz.com/): モーダルの乱用について言及する。安易に何かとモーダルで出してしまう前に、他の方法で対応ができないかを考えたい。
- [**Cache your React event listeners to improve performance by Charles Stover**](https://medium.com/@Charles_Stover/cache-your-react-event-listeners-to-improve-performance-14f635a62e15): Reactのパフォーマンスを向上させるために、イベントリスナーをキャッシュする方法を解説する。
[](https://medium.com/@Charles_Stover/cache-your-react-event-listeners-to-improve-performance-14f635a62e15)
