# Frontend Weekly Vol.193
タブレイアウトの問題、色のアクセシビリティ、Border-Radiusを使ったテクニック、など計10リンク


## [PDP UX: Core Product Content Is Overlooked in 'Horizontal Tabs' Layouts (Yet 28% of Sites Have This Layout) by Edward Scott](https://baymard.com/blog/avoid-horizontal-tabs)

https://baymard.com/blog/avoid-horizontal-tabs

**横並びのタブレイアウトによって大切なコンテンツが見逃されている(さらに、28%のサイトはこのレイアウトを採用している)**

商品詳細ページ(PDP)でよく使われるデザインとして、タブ表示がある。しかしながら、27%のユーザーがそのタブで隠されているコンテンツを見逃してしまっているという調査結果が出ている。タブ表示の問題点を解説し、Vertically Collapsed Sections や One Long Page with a Sticky TOC といったより効果的なデザインを紹介する。


## [A guide to color accessibility in product design by Justin Reyna](https://www.invisionapp.com/inside-design/color-accessibility-product-design)

https://www.invisionapp.com/inside-design/color-accessibility-product-design

**プロダクトデザインにおける、色のアクセシビリティについてのガイド**

色に着目し、アクセシビリティを考える。適切な色を使うことの重要さ、そして、十分なコントラストにする、色だけにたよならないなどのアクセシビリティを考慮したデザインをする際に気をつけておきたいポイントを紹介する
****

## [CSS Border-Radius Can Do That? by Nils Binder](https://medium.com/9elements/css-border-radius-can-do-that-d46df1d013ae)

https://medium.com/9elements/css-border-radius-can-do-that-d46df1d013ae

**Border-Radiusで****できる様々な表現**

Border-Radiusを使って角丸の作成するのは定番のテクニック。この記事では、さらにBorder-Radiusに8つ値を渡すことで、より複雑な形を表現する方法を紹介する。
ビジュアライズされたツールは以下のリンクから。
https://9elements.github.io/fancy-border-radius/

[**Rhythm in Web Typography by Matej Latin**](https://betterwebtype.com/rhythm-in-web-typography)
Webのタイポグラフィについての記事。印刷物でのデザインと比較しながら、どのような点に着目してデザインしていくか、CSSの実装例と共に解説する。

[**The Way We Talk About CSS by Rachel Andrew**](https://rachelandrew.co.uk/archives/2018/10/04/the-way-we-talk-about-css/)
CSS Working Group のメンバーである、Rachel Andrew氏が昨今のWeb/CSSについて語る。CSSがどのような歴史を経て、いかにCSSが整備され続けているか、そして今後どのように進化を遂げていくのか


> An elegant system, far more powerful than any framework, designed for the realities of a flexible, multilingual, multi-device web. Then, as we push at the edges of that new system, to find the gaps, the things we cannot yet do, and help to make the next phase a reality.


## In Brief
- [**Easy Steps to Understanding JSON Web Tokens (JWT) byMikey Stecky-Efantis**](https://medium.com/vandium-software/5-easy-steps-to-understanding-json-web-tokens-jwt-1164c0adfcec): JWT(JSON Web Tokens)がどのように作成され、どういった目的で使われるのか、その仕組みを解説する
- [**Putting things on top of other things by Isabel Brison**](http://tellthemachines.com/stacking-contexts/): CSSで要素の重なり合いを操作に苦労するのはよくある話。この記事ではCSSのStacking Contextの概念と共に、それがどのように作用するのかを紐解く
- [**Why Using reduce() to Sequentially Resolve Promises Works by Alex MacArthur**](https://css-tricks.com/why-using-reduce-to-sequentially-resolve-promises-works/): `reduce` を使って、非同期関数を逐次実行していく方法を解説する
- [**Valid CSS Content by Chris Coyier**](https://css-tricks.com/valid-css-content/): 疑似要素と、`content` プロパティがどういった値を受け入れられることができるか実験する。シンプルに文字列を渡す方法に限らず、CSS couter関数などを使って動的な値をcontentで表示してみる
- [**Adaptive Serving using JavaScript and the Network Information API by Addy Osmani**](https://dev.to/addyosmani/adaptive-serving-using-javascript-and-the-network-information-api-331p): `navigator.connection.effectiveType` を利用して、ユーザーの通信状況に基づいた、コンテンツの出し分けをするアイディアを解説する

