# Frontend Weekly Vol.195
認知をデザインする、ユーザーフローのデザイン、デザインワークフローのドキュメント化、など計10リンク


## [**Designing Perceptions Instead of Solutions by Eugen Eşanu**](https://uxplanet.org/designing-perspectives-instead-of-solutions-6afb4b03c1a5)

https://uxplanet.org/designing-perspectives-instead-of-solutions-6afb4b03c1a5

**認知をデザインする**

電車は交通手段であり、一般的に移動時間は短いほうが好まれる。それでは、電車を早く動かすことが電車の体験を改善する唯一の方法なのか。様々な例を挙げながら、プロダクトデザインにおいて、直接的な問題解決だけでなく、認知をデザインすることの必要性を説く。


## [**User flow is the new wireframe by Alexander Handley**](https://uxdesign.cc/when-to-use-user-flows-guide-8b26ca9aa36a?ref=uxdesignweekly)

https://uxdesign.cc/when-to-use-user-flows-guide-8b26ca9aa36a?ref=uxdesignweekly

**ユーザーフローのデザイン**

ワイヤーフレームの役割、ユーザーフローの役割を明確にし、それらをどのように協調させてデザインを完成させていくかを紹介。ユーザーフローを作成するために以下のステップがあると解説する。


1. ユーザーの目的を定義
2. ユーザーが目的を達成するためのアクションを定義
3. ワイヤーフレームを利用し、どの画面でアクションを行うかを定義
4. インタラクションも含めて目的を達成するための要素を定義


## [**Documenting Design Workflows by Josiah Austin Gulden**](https://medium.com/livefront/documenting-design-workflows-6146495d1b52)

https://medium.com/livefront/documenting-design-workflows-6146495d1b52

**デザインワークフローのドキュメント化**

ソースコードにはREADMEを書くが、デザインにおいてはどうか？この記事ではデザインに関するREADMEを書く際に抑えておきたい項目を紹介する。また、READMEを健全に保つために気をつけておきたいこととして以下を挙げている:


1. 短く記述
2. リンクを活用
3. コピーを作らない
4. アップデートし続ける


## [**Splicing HTML’s DNA With CSS Attribute Selectors by John Rhea**](https://www.smashingmagazine.com/2018/10/attribute-selectors-splicing-html-dna-css/)

属性セレクタについて深掘りする。属性セレクタは指定の方法が多岐に渡り複雑ではあるが、使いこなせれば強力なツールとなる。この記事では基本的な部分から、実践で使えるテクニックまでたっぷりと紹介する。

# Slides
## [Frontend Tests: What nobody said to you by @willmendesneto](https://slides.com/willmendesneto/frontend-tests-what-they-dont-tell-you#/)
****
https://slides.com/willmendesneto/frontend-tests-what-they-dont-tell-you#/

willmendesneto氏の経験に基づいたJavaScriptにおけるテストを改善するためのアイディアを解説する。またテストを手助けするためのツールも紹介する。



## In Brief
- [**Top 25 Awesome Accessibility Testing Tools for Websites by Garenne Bigby**](https://dynomapper.com/blog/27-accessibility-testing/246-top-25-awesome-accessibility-testing-tools-for-websites): アクセシビリティをテストするツールの25選
- [**You're using**](https://logrocket.com/blog/youre-using-em-wrong) `[**<em>**](https://logrocket.com/blog/youre-using-em-wrong)` [**wrong by Facundo Corradini**](https://logrocket.com/blog/youre-using-em-wrong)**:** `<em>` タグの意味を深掘りする。アクセシビリティを向上させるために、正しい意味としてタグを使っていく必要性について
- [**Demystifying JavaScript Testing by Kent C. Dodds**](https://css-tricks.com/demystifying-javascript-testing/)**:** JavaScriptにおけるテストの基本を実装してみる。既存のツールを使って見る前に、自分で実装してみることで理解が深まり、より複雑なもレベルに向かうステップとなる
- [**Using dark mode in CSS with MacOS Mojave by Paul Miller**](https://paulmillr.com/posts/using-dark-mode-in-css/): MacOS Mojaveで実装されているダークモードをCSSで検知する方法を紹介
****- [**Function Composition in JavaScript with Pipe by Andy Van Slaars**](https://vanslaars.io/post/create-pipe-function/): 関数の返り値を別の関数で使用する際に、一時的な変数に割り当てるのは基本的な方法だが、無駄な変数がどんどん増えていてしまう問題がある。`Pipe` のテクニックを利用して、変数を使わずとも実現する方法を紹介する

