# Frontend Weekly Vol.196
3つのパフォーマンステストの方法、経験則から導き出したUXの法則、Webアクセシビリティのルール、ほか計10リンク

## [**The Three Types of Performance Testing by Harry Roberts**](https://csswizardry.com/2018/10/three-types-of-performance-testing/)

****https://medium.freecodecamp.org/pragmatic-rules-of-web-accessibility-that-will-stick-to-your-mind-9d3eb85a1a28

**3種類のパフォーマンステストの方法**
****
サイトパフォーマンスがビジネスに直結していると認識しつつも、誰の責任で、いつ、どのように試験を行うかがあやふやになってしまいがちである。この記事では、Harry Roberts氏が以下のサイトパフォーマンス3つのカテゴリに分割するアイディアを紹介し、そういった問題を解決する。


- Proactive
  - 誰が実行するか: エンジニア
  - いつ実行するか: 開発中
  - なぜ実行するか: 問題をリリース前に発見し修正するため
  - どのように実行するか: 開発者ツール、ブラウザ、ローカル開発環境
- Reactive
  - 誰が実行するか: エンジニア、プロダクトオーナー
  - いつ実行するか: ビルド/リリースごと
  - なぜ実行するか: リグレッションを可視化する
  - どのように実行するか: パフォーマンスバジェット、自動化、総合的なテスト(ブラウザエミュレーションを利用したテスト)、CI
- Passive
  - 誰が実行するか: エンジニア、プロダクトオーナー、マーケティング
  - いつ実行するか: 本番環境で定期的に
  - なぜ実行するか: 既存のパフォーマンスの問題を発見するため
  - どのように実行するか: RUM(Real User Monitoring)、 アナリティクス、監視



## [**The Tried and True Laws of UX [with Infographic]by Miklos Philips**](https://uxplanet.org/the-tried-and-true-laws-of-ux-with-infographic-314817e1dbd8)
****
**経験則から導き出したUXの法則**

https://uxplanet.org/the-tried-and-true-laws-of-ux-with-infographic-314817e1dbd8

覚えておきたいUXのルールをインフォグラフィックスで紹介する。


- フィッツの法則: 対象物に到達するまでの時間が、対象物までの距離と大きさの関数になる
- ヒックの法則: 決定にかかる時間は、選択肢の複雑さと量に比例する
- ジェイコブの法則: ユーザーはほとんどの時間を他のサイトで費やしている。つまり、あなたのサイトも他のサイトと同じように動くことを好む

など12の法則を紹介



## [**Pragmatic rules of web accessibility that will stick to your mind by Tiago Romero Garcia**](https://medium.freecodecamp.org/pragmatic-rules-of-web-accessibility-that-will-stick-to-your-mind-9d3eb85a1a28)

**覚えやすいWebアクセシビリティのルール**
[****](https://medium.freecodecamp.org/pragmatic-rules-of-web-accessibility-that-will-stick-to-your-mind-9d3eb85a1a28)
https://medium.freecodecamp.org/pragmatic-rules-of-web-accessibility-that-will-stick-to-your-mind-9d3eb85a1a28

Webアクセシビリティについての丁寧な解説をする。まずはじめに、Webアクセシビリティとは何か、を解説し、その後、Webアクセシビリティについての3つのルールを紹介する。


1. セマンティックなHTMLを使用する、または自分で作成する
2. 画像、色、音や動きのそれに代わるものを提供する
3. アクセシビリティのツールを使うことを習慣化する



## [**The CSS Working Group At TPAC: What’s New In CSS? by Rachel Andrew**](https://www.smashingmagazine.com/2018/10/tpac-css-working-group-new/)

W3C TPACで行われたCSS Working Group のミーティングの内容を解説する。

- CSS スクロールバー
- アスペクト比の単位
- 擬似クラスの :where()
- marginとpaddingの論理的ショートハンド


## [**Tags to DOM by Travis Leithead**](https://alistapart.com/article/tags-to-dom) 

サーバーからHTMLタグが届いてから、どのようにDOMを構築していくかを解説する。



## In Brief
- [**Fun Tip: Use calc() to Change the Height of a Hero Component by Martino Stenta**](https://css-tricks.com/fun-tip-use-calc-to-change-the-height-of-a-hero-component/):`font-size`  に `calc`  を使うテクニックを発展させ、Heroコンポーネントを `calc` 関数をを使って画面サイズに応じた柔軟なデザインを構築する
- [**An Annotated webpack 4 Config for Frontend Web Development by Andrew Welch**](https://nystudio107.com/blog/an-annotated-webpack-4-config-for-frontend-web-development): webpack 4 についてのまとめ。用語の確認から、実際の設定ファイルのソースコードも交えながら詳しく解説していく
- [**CSS Previous sibling selectors and how to fake them by Facundo Corradini**](https://medium.freecodecamp.org/how-to-make-the-impossible-possible-in-css-with-a-little-creativity-bd96bb42b29d?ref=ewebdesign.com): あとに来る兄弟要素は `+` や `~` セレクタを利用して実現できるが、前の兄弟要素を指定するセレクタは実装されていない。この記事では、CSSのテクニックを組み合わせてそれを実現する
[****](http://a11y-style-guide.com/style-guide/)- [**A11Y Style Guide by  Scott O'Hara**](http://a11y-style-guide.com/style-guide/): Webアクセシビリティに関するスタイルガイド
- [**Coding as an Engineering Manager by Gergely Nemeth**](https://nemethgergely.com/coding-as-an-engineering-manager/)**:** Gergely Nemeth氏がエンジニアリングマネージャーとしてキャリアを積んで学んだTipsを紹介する。

