# Frontend Weekly Vol.197
CSSとネットワークパフォーマンス、Netflixの事例から学ぶWebパフォーマンス、奇妙なJavaScriptの世界への案内、ほか計10リンク

## [CSS and Network Performance by Harry Roberts](https://csswizardry.com/2018/11/css-and-network-performance/)

https://csswizardry.com/2018/11/css-and-network-performance/

CSSとネットワークパフォーマンス

ページの読み込み速度を高速にするためにはCSSが意外に重要なファクタになる。  
パフォーマンスとCSSのの2つのトピックに詳しいHarry Roberts氏による、何故CSSがパフォーマンス改善において重要なファクタであるか、から、どのようにCSSネットワークコストを下げるべきかについて解説。
記事はそれなりに長いがスニペットやネットワークコストの図示までわかりやすく解説してある。


## [A Netflix Web Performance Case Study by Addy Osmani](https://medium.com/dev-channel/a-netflix-web-performance-case-study-c0bcde26a9d9)

https://medium.com/dev-channel/a-netflix-web-performance-case-study-c0bcde26a9d9

Netflixの事例から学ぶWebパフォーマンス

言うまでも無く、パフォーマンス改善に銀の弾丸はない。
この記事ではNetflixのデスクトップのサインアップページにおける**Time-To-Interactive**を50%減らすまでに実行したことについて紹介。  
何をしたか、だけにフォーカスせず、何故そうしたかについても書かれているので、参考になる。

## [Navigating the Spooky World of JavaScript by Ali Spittel](https://dev.to/aspittel/navigating-the-spooky-world-of-javascript-3h45)

https://dev.to/aspittel/navigating-the-spooky-world-of-javascript-3h45

奇妙なJavaScriptの世界への案内

“変わらない”ということだけが唯一の”定数”といわれるWebの世界でもJavaScriptとそれに纏わる世界は変わり続ける速度が尋常ではない。
そんなJavaScriptの奇妙な世界へ足を踏み入れるのを恐れている人、あるいは今その世界で迷子になっている人たちへのアドバイス。
当たり前の事ながら、定期的にリマインドしたい事。

## [From URL to Interactive by Aaron Gustafson](https://alistapart.com/article/from-url-to-interactive)

Webのフロントエンドに関わる人たちが避けて通れない”ブラックボックス”であるブラウザについて、URLの入力から、ページがインタラクションできるまでの長い道のりについて4人のガイドが詳しく解説。

## [Inlining or Caching? Both Please! by Scott Jehl](https://www.filamentgroup.com/lab/inlining-cache.html)

サイトの初期読み込み時のパフォーマンス最適化を行うために初期読み込みに必要なスタイルをインラインで表示するかServer Pushかのオプションがあり、前者にはインライン化したCSSは”次の”ページで再利用できず、後者は実装がまだやや実験的であるという課題がある。
この記事ではインラインでも再利用できる方法についてService WorkerとCaching APIを使っての実装をつかって模索している。


## In Brief
- [**How to Handle Monetary Values in JavaScript by Sarah Dayan**](https://frontstuff.io/how-to-handle-monetary-values-in-javascript): JavaScriptで小数点を含むNumber型の計算をすると、望んだ結果にならないことがある。この問題を扱うための方法を探る
- [**A personal review of automated testing tools in the JavaScript world by Walmyr Filho**](https://itnext.io/a-personal-review-of-automated-testing-tools-in-the-javascript-world-3c504fe6e05d): JavaScriptのテストツールについてのレビュー
- [**The “C” in CSS: The Cascade by Thomas Yip**](https://css-tricks.com/the-c-in-css-the-cascade/): CSSの Cascade の性質についての解説
- [**Fast load times by Google Developers**](https://web.dev/fast): Webサイトパフォーマンスを向上させるために要点のまとめ
- [**Drop-Down Usability: When You Should (and Shouldn’t) Use Them by Christian Holst**](https://tracking.feedpress.it/link/9825/10765987):  ドロップダウンUIはどんな場面で使うべきか、使うべきではないかについて


