# Frontend Weekly Vol.198
アクセシビリティに投資するべき理由, tabindexの問題、UXフローチャートの作り方、ほか計10リンク

## [The Business Case for Digital Accessibility by Sharron Rush@EOWG](https://www.w3.org/WAI/business-case/)

https://www.w3.org/WAI/business-case/

アクセシビリティに投資するべき理由

アクセシビリティ実装にはある程度のコストがかかり、それを確保するのには、ビジネス的な理由が必要となってくることもある。この記事では、なぜアクセシビリティに投資するべきか理論的根拠を基に紹介していく。Webが現代の生活に必須のツールとなった今、アクセシビリティに関する考慮は当たり前のものとして、知っておきたい知識。

アクセシビリティは:

- イノベーションを推し進める
- ブランド力を向上させる
- 市場を拡大させる
- 法的リスクを最小化させる


## [Why using `tabindex` values greater than “0” is bad by karlgroves](http://www.karlgroves.com/2018/11/13/why-using-tabindex-values-greater-than-0-is-bad/) 

http://www.karlgroves.com/2018/11/13/why-using-tabindex-values-greater-than-0-is-bad/

なぜ0以上の `tabindex` を使うことは良くないのか

`tabindex` は入力フォーカスを明示的に指定する際に使用できる。しかしながら、それによってユーザビリティを損なってしまうことが容易に起きうる。メンテナビリティやユーザーサポートまで視野に入れて考えることで、潜在的に存在する危険性を見つける。

## [Creating Excellent UX Flow Charts by Dan Brown](https://medium.com/eightshapes-llc/creating-excellent-ux-flow-charts-df6f1e46e524)

https://medium.com/eightshapes-llc/creating-excellent-ux-flow-charts-df6f1e46e524

素晴らしいUXフローチャートを作成する

フローチャートを使うことで、複雑なシステムであっても容易に処理の流れを理解することができる。この記事では、さらにそれを発展させ、以下のような情報も付加した、フローチャートを作成する方法を紹介する。


- ユースケース
- ユーザーの行動
- オブジェクトライフサイクル


[**Gestalt-Driven UX: The Patterns That Drive Our World by Justin Baker**](https://hackernoon.com/design-psychology-gestalt-driven-ux-64ac01cd257a)
****
ゲシュタルトの法則とUXについて。ゲシュタルトの法則では、いかに人間が組み合わされた複雑な情報であっても単純化して認識をするか、ということを示している法則。この記事では、その法則の原理の解説をし、それがUXにどのように関連しているかを紹介していく。


- ユーザーの知覚力の基準を分析する
- 背景と、対象を明確にし、混乱させない
- 多すぎるpaddingやmarginに気をつける
- 詳細でなく、全体図に気をかける


  > The biggest takeaway for designers is to examine your UX from higher level sensory perspectives. Deconstruct your design into its most basic spatial elements — identify and examine the interaction between patterns.


[**The Art of the Strategic Product Roadmap by Joe Van Os**](https://productcoalition.com/the-art-of-the-strategic-product-roadmap-c881f261b4eb)
****
Joe Van Os氏は、多くの場合ロードマップというのはビジネスの初期段階に作成されるが、若いプロダクトマネージャーが作成するそれには、下記のような、よくある間違いが含まれている事が多いと指摘する。この記事では、これらの問題を解決するための方法を紹介する。


- 開発タスクをロードマップに乗せてしまう: ロードマップは、”なぜ”するか、”なに”をするか、を示すものであり、開発タスクは”どのように”を示すものである
- 開発タスクをロードマップに乗せてしまうとき、”開発すること”が目標になってしまい、ユーザーのことを忘れてしまいがちになる: プロダクトは、ユーザーのためのものであり、開発者のものでは無い。
- 妥当性の確認が、内部だけのプロセスになってしまう: ユーザーをバリデーションをプロセスに含めなければ、その機能が有用なものかどうか、判断することは不可能である


## In Brief
- [**Async JavaScript, a Pocket Reference byAJ Meyghani**](https://medium.com/@ajmeyghani/async-javascript-a-pocket-reference-2bb16ac40d21): JavaScriptにおける、Promise、Generators, Async/Await などといった処理について解説する
- [**VisBug by GoogleChromeLabs**](https://github.com/GoogleChromeLabs/projectvisbug): ブラウザを開きながら、直感的にスタイル調整ができるChrome ブラウザの拡張
- [**Web workers vs Service workers vs Worklets by  Ire Aderinokun**](https://bitsofco.de/web-workers-vs-service-workers-vs-worklets/amp/):  Web workers, Service workers, worklets の違いについて紹介する
- [**Curry and Function Composition by Eric Elliott**](https://medium.com/javascript-scene/curry-and-function-composition-2c208d774983): カリー化と、関数合成について
- [**Handling Errors in JavaScript: The Definitive Guide by Lukas Gisder-Dubé**](https://levelup.gitconnected.com/the-definite-guide-to-handling-errors-gracefully-in-javascript-58424d9c60e6): エラーハンドリングについての詳細な解説。コードを交えながら、実際のユースケースも紹介する

