---
date: 2015-01-28
title: Frontend Weekly Vol.2
description: フロントエンドとバックエンドの違い、ほか17記事を紹介
---

# Frontend Weekly Vol.2

## Headlines

### [Front End and Back End by Peter-Paul Koch](http://www.quirksmode.org/blog/archives/2015/01/front_end_and_b.html)

フロントエンドとサーバーサイドに違いがあるとしたら、どんな点なのか。PPK氏の意見ではあるものの、この記事で定義しているフロントエンド像は、なかなか興味深いものがあります。

### [A Vision for Our Sass by Felicity Evans](http://alistapart.com/article/a-vision-for-our-sass)

もはやデファクト・スタンダードとすら言えるほど利用者の多いSass。この記事でFelicity Evansはこれまでにも指摘のあったSassを利用する際の注意点を出力されるCSSのことも考えてSassを使うべきだという点にフォーカスをして詳しく解説しています。

### [Increasing User Engagement with Rewarding Interactions by Husam Machlovi](http://uxmag.com/articles/increasing-user-engagement-with-rewarding-interactions)

エモーショナル・デザインというアプローチの中でもユーザに対して「見返り」となるようなインタラクションを使うことでユーザのエンゲージメントを高めることができるという話。ここでもまたMailChimpの実例が紹介されている。

### [CSS: Just Try and Do a Good Job by Chris Coyier](http://css-tricks.com/just-try-and-do-a-good-job/)

フロントエンドの世界は変化が早い。その中でもCSSの『ベストプラクティス』はともすれば毎週のように感じるほど。この記事でChris Coyier氏が言う通りに、とにかくベストを尽くす、ことが最善手。氏のアドバイスはCSSに限らずどんな状況にも当てはめられます。

### [翻訳: The Extensible Web Manifesto](https://github.com/extensibleweb/manifesto/blob/master/README.ja.md)

Extensible Web ManifestoというWeb標準化団体への提言の翻訳。

> オープンなWebがそれを取りまく競合と競うためには、Web開発者の良いアイデアを、Webのインフラの一部とするためのはっきりとした手段が必要です。

マニフェストの中心にあるのはこのメッセージに込められているのかなと思います。

## In Other News…

### [A Journey Through Client-Side Testing with JavaScript by Krasimir Tsonev](http://developer.telerik.com/featured/journey-client-side-testing-javascript/)

フロント側のテストに手がつけられない。という人も多いことでしょう。この記事ではTodoMVCをMochaとChaiを使ってテストしていく旅路を紹介。

### [You Should Write Bad Code More Often by Derick Bailey](http://derickbailey.com/email_archive/you-should-write-bad-code-more-often/)

タイトルとは裏腹に、技術者として成長しつづけることで、過去の自分が書いたコードを「美しくない」と断じられるようになりましょうというアドバイス。

### [PolymerでMaterial Designなチャットアプリを作ろう by Tomomi Imura](http://html5experts.jp/girlie_mac/12359/)

Polymerとマテリアル・デザインを活用してチャット・アプリを作成するチュートリアル。どちらか片方、というのは見かけるが両方を一緒に体験できるのでオススメ。

### [25 Epic Design Tips for Non-Designers by Poppie Pack](https://designschool.canva.com/blog/graphic-design-tips-non-designers/)

デザイナ **ではない** 人のための25のデザインのコツ。非常に基礎的なものではあるものの、リマインドのためにも一度目を通しておくとよいでしょう。

### [BEM and SMACSS: Advice From Developers Who've Been There by Patrick Catanzariti](http://www.sitepoint.com/bem-smacss-advice-from-developers/)

BEMとSMACSS。CSS設計のアプローチとして似通った部分の多い2つ。両方を実際に利用している開発者からのアドバイス。

### [These 7 things are slowing down your site's user experience (and you have no control over them) by Tammy Everts](http://www.webperformancetoday.com/2015/01/21/xx-things-slowing-site-control/)

開発者にはどうしようもないサイトが遅くなる理由7選。諦めましょうという話ではなく、ネットワークの環境すらも変化するという教訓。

### [MailChimp for Designers by MailChimp](http://mailchimp.com/resources/guides/mailchimp-for-designers/)

デザイナのためのMailChimpというE-book。Frontend WeeklyでMailChimpを利用しているから、という理由ではなく、こういうガイドブックを発行するMailChimpの姿勢がすばらしい。

## Slides/Videos

### [Asynchronous Programming at Netflix by Jafar Husain](http://www.infoq.com/presentations/async-programming-netflix)

Netflix社のJafar Husain氏による、Netflixで実践されているRxライブラリを使った、クライアント&サーバーサイドの両面でのリアクティブ・システムについての解説。

## In Brief

- [Front-end Job Interview Questions by H5BP](https://github.com/h5bp/Front-end-Developer-Interview-Questions): フロントエンド・エンジニアを面接する際の質問集。日本語訳は[こちら](https://github.com/h5bp/Front-end-Developer-Interview-Questions/tree/master/Translations/Japanese)

- [Essential JavaScript Links by Eric Elliott](https://gist.github.com/ericelliott/d576f72441fc1b27dace): Eric Elliott氏が集約したJavaScriptについてのリンク集。

- [Chrome DevTools Code Snippets by Gleb Bahmutov](https://github.com/bahmutov/code-snippets): Chrome開発者ツールのSnippets機能で役に立つパフォーマンス、デバッグ、テストに使えるスニペット集。

- [sketch.land by Andrew Lucas-Walsh](http://sketch.land/): Sketch用の優れたリソースを集約しているサイト。

- [Coding Kata by azu](https://github.com/coding-kata): TDDなリファクタリングを実践するための型集。
