# Frontend Weekly Vol.200
Headlines here

## [Front-end development is not a problem to be solved by Robin Rendle](https://css-tricks.com/front-end-development-is-not-a-problem-to-be-solved/)

https://css-tricks.com/front-end-development-is-not-a-problem-to-be-solved/

フロントエンド開発は解決すべき問題ではない

HTMLやCSSはしばしば厄介者として扱われることがある。そのためツールなどで、そのレイヤーを無効(意識しないよう)にするために、BootstrapやCSS-in-JS、CSSモジュールなどの手法がとられることがある。しかしながら、それらは有効な手段ではあるが、それを前提としてキャリアを築くことは危険であると指摘する。フレームワークやライブラリを使う場合、どのように処理されるかという細かい挙動については意識することは少なくなるが、それでも、HTMLとCSSがどのように動いているかを気にかけることが必要であると啓蒙する。


## [The State of UX in 2019 by Fabricio Teixeira](https://trends.uxdesign.cc/2019)

https://trends.uxdesign.cc/2019

2019年のUXトレンド 

UX Collectiveが送る、2019年のUXのトレンド予想。


1. 全員が”リード” になる
2. デザイナがデザインすることに忙しくなる
3. デザインだけでは世界を救えない
4. 少数派のためにデザインする
5. デザインメソッドへのこだわり
6. デザインツールとコード
7. アートボードの外側を考える
8. オープンキッチンを採用する
9. 技術的な仕事をする
  


## [Reluctant Gatekeeping: The Problem With Full Stack by HeydonWorks](http://www.heydonworks.com/article/reluctant-gatekeeping-the-problem-with-full-stack)

http://www.heydonworks.com/article/reluctant-gatekeeping-the-problem-with-full-stack

消極的なゲートキーパー: フルスタックの問題

Heydon氏がWebデザイナとして働く中で、フルスタックエンジニアと呼ばれる人と一緒に仕事をして感じた違和感を話す。フルスタックエンジニアという言葉がバズワードして認知されて久しいが、彼らの責任範囲、成果物のクオリティ、各技術分野に対するプロフェッショナリティなど、多くの問題があるのではないかと指摘する。

http://feedproxy.google.com/~r/alistapart/main/~3/VWnw2u3qiMU/var-to-jit
昨今のJavaScriptは大抵開発者によって書かれたものばかりではないことが多い。というのは、UIフレームワークや他のnpmモジュールも含めてWebpackなどによってバンドルされた大きなファイルになるということだ。ブラウザはJavaScriptをダウンロード後に、この巨大なソースコードを実行可能なコードに変換する必要があり、それは可能な限り早く行われるべきである。この記事では、ブラウザがJavaScriptをどのように実行可能なバイトコードに変換するか、またJITコンパイラがどのように動くかについて解説し、早いJavaScriptを書き続けるためのコンセプトを紹介する。

https://dpc.pw/the-faster-you-unlearn-oop-the-better-for-you-and-your-software
OOPでの間違いははなにか、そのかわりに何をすればよいのかを解説する。OOPを現実的なソフトウェアにおいて適用する際、その複雑性にどのようにOOPを生かしていけばよいかについてヒントを与えてくれる。記事下部のフォローアップの記事・動画もまとめて目を通しておきたい。


## In Brief
- [**Bending Jest to Our Will: Caching Modules Across Tests by Pete Corey**](http://www.petecorey.com/blog/2018/11/05/bending-jest-to-our-will-caching-modules-across-tests/): Jestを実際に活用する上で学んだことを紹介する。特に、DB接続、キャッシュ、モジュールのモックについて
- [**Beyond console.log() by Matt Burgess**](https://medium.com/@mattburgess/beyond-console-log-2400fdf4a9d8): JavaScriptをデバッグする際に便利な `console` の様々なメソッドを紹介する 
- [**Everything about CSS environment variables by Ire Aderinokun**](https://bitsofco.de/css-environment-variables/): CSS environment variablesの紹介。 `env`  を使った定義の方法などを解説する
- [**Web Components 101: An Introduction to Web Components by Sherry List**](https://www.telerik.com/blogs/web-components-101-an-introduction-to-web-components): Web Componentsを構成する基本の要素を紹介する
- [**VisBug 101 by Adam Argyle**](https://medium.com/google-design/visbug-101-d2636120f8d7): 要素を自由に追加、削除編集したり、さまざまな操作が直感的に行える、Chrome拡張 VisBug の紹介


# Frontend Weekly Vol.200によせて

振り返ると、Frontend WeeklyがVol.0としてパブリッシュされたのが2015年1月14日だそうです。

[**Frontend Weekly Vol.0**](https://frontendweekly.tokyo/frontend-weekly-vol-0-e2adcb6ee94a)

それから4年近く、ほぼ欠かさず毎週配信をおこない、とうとうVol.200となりました。
これもチーフキュレーターである[Yuya Saito](https://twitter.com/cssradar) [A](https://twitter.com/cssradar)[.](https://twitter.com/cssradar)[K](https://twitter.com/cssradar)[.](https://twitter.com/cssradar)[A](https://twitter.com/cssradar) [cssradar](https://twitter.com/cssradar)をはじめ、キュレーターの [@1000ch](https://twitter.com/1000ch) 、[Layzie](https://github.com/Layzie)、[@t32k](https://twitter.com/t32k)、[@ahomu](https://twitter.com/ahomu) の尽力によるものです。

無償で運用されているメディアにおいて「継続」は非常に難しい問題です。
Vol.200に至るまで、継続するために配信システムの変更や、ニュースレターの構成変更などを重ねてきました。
一時は終了することも考えることはありましたが、直近では編集メンバーとして[@moschan](https://twitter.com/moschann)がサマリ執筆やMedium更新、Twitter発信など、Frontend Weeklyを運営するのに必要なほぼ全てのオペレーションを手伝ってくれるようになったこともあり、どうにかここまで続けてこれた次第です。

Frontend Weeklyはトレンドにフォーカスしたメディアではありません。
キュレーターが日々インプットする中で、シェアする価値のあるものを選んでいるので、他のニュースレターでは見かけない記事もあります。
Twitterを眺めているだけでは流れてこない記事との出会い/セレンディピティが購読者の皆さんに起これば幸いです。

いつまで継続できるかはわかりませんが、これからも「継続」して運営できるよう、引き続きFrontend Weeklyをよろしくおねがいします。

by [@hiloki](https://twitter.com/hiloki)






