# Frontend Weekly Vol.201
優秀なフロントエンドデベロッパーに必要な要素、ドキュメントに関するベストプラクティス、同質的なWebの危険性、ほか計10リンク


## [What makes someone a good front-end developer? by Chris Ferdinandi](https://gomakethings.com/what-makes-someone-a-good-front-end-developer/)


https://gomakethings.com/what-makes-someone-a-good-front-end-developer/


優秀なフロントエンドデベロッパーに必要な要素とは？

Chris氏が考える優秀なフロントエンドエンジニアに必要な要素とは。基本的なフロントエンド技術は、最低限身につけて置かなければならないが、そういった直接的なスキルよりもより重要なスキルがあると語る:

フロントエンドエンジニアに欠かせないスキル:

- 問題解決能力
- ググり力
- クリティカル・シンキング力
- 共感力
- コミュニケーション力



## [Maybe Our Documentation "Best Practices" Aren't Really Best Practices by Kayce Basques](https://kayce.basqu.es/blog/best-practices)


https://kayce.basqu.es/blog/best-practices


あなたのドキュメントに関するベストプラクティスはベストではないかもしれない

ドキュメントに関するベストプラクティスとしてよく言われるのは:


- 能動態で書く
- 短く書く
- ふわっとした言葉で書かない

といった内容であることが多い。しかしながら、Kayce氏は、そういった内容が必ずしもベストプラクティスとしては当てはまらないのではないかと指摘する。彼は、ドキュメントのページに「このページは役に立ちましたか」を設置し評価データを収集し、その結果、単語数の少なさと評価の高さに相関が無いことを明らかにした。現在もこの評価データを収集し、本当のベストプラクティスは何になるか、という調査を進めている。評価データ収集をするサンプルも[公開されている](https://glitch.com/edit/#!/wasthispagehelpful)。



## [Risking a Homogeneous Web by Tim Kadlec](https://timkadlec.com/remembers/2018-12-04-risking-a-homogenous-web/)

https://timkadlec.com/remembers/2018-12-04-risking-a-homogenous-web/

同質的なWebの危険性

Tim氏が”ググる”という言葉から感じ取った違和感。例えば、AMPはGoogleが策定したフォーマットであり、現在はGoogleのものとは言えないほど広まった仕組みであるが、これはひとえにGoogleの影響力の大きさを表していると捉えることができる。Googleは素晴らしいWeb標準を提案するが、それに対する反対意見を出すことが重要であり、そしてそれがWebをより良いものに導くのではないかと指摘する。


## [Prototypes and production by Jeremy Keith](https://adactio.com/journal/14562)

コードを書かずにプロトタイプを作成するツールはたくさん存在する。そういったツールを利用することでデザイナでもモーションの表現を実装することができるが、実際のプロトタイプとしてユーザーからフィードバックを得る段階では、Webで実装されたものが非常に便利である。この記事ではJeremy氏がどのようにプロトタイピングをしているか、また、そこからプロダクションに移行していく際の注意点などについての考えを紹介する。


## [Performance-Driven Development by Artem Denysov](https://calendar.perfplanet.com/2018/performance-driven-development/)

パフォーマンス改善は往々にして後回しにされること多い。しかしながら、機能実装を優先させることで、将来の機能追加やバグ修正にかかるコストの悪化を引き起こす。Artem氏はTDDのアプローチをパフォーマンス改善に適応させる、PDDを提案する。


1. 実装する
2. 実際の環境でテストをする
3. ツールやサービスで計測する
4. パフォーマンスを改善する
5. リリースする



## In Brief
- [**The Art of Mathematics: A Mandala Maker Tutorial by Hagar Shilo**](https://24ways.org/2018/the-art-of-mathematics/): CSSとJavaScriptで曼荼羅を描くWebアプリをどのように作ったかを紹介する。基本的にはCanvasを使ったシンプルなお絵かきアプリだが、それにちょっとした工夫を入れるだけで、ユニークなアイディアとなる例
- [**A look at CSS Resets in 2018 by Ire Aderinokun**](https://bitsofco.de/a-look-at-css-resets-in-2018/):  2018年のCSS Resetsについてのまとめ。Ire氏がTwitter上でCSS Resetsの使用状況についてPollした内容も掲載されており、興味深い
- [**Programming CSS by Jeremy Keith**](https://adactio.com/journal/14574): CSSは宣言的な言語であり、プログラミング言語でないと指摘されることも多い。この記事では、CSSセレクタを例に取り、いかにCSSがプログラム的であるかを説く。またテンプレート言語との連携をどのようにとるか
- [**Accessible SVG Icons with Inline Sprites by Marco Hengstenberg**](https://www.24a11y.com/2018/accessible-svg-icons-with-inline-sprites/): SVGアイコンをアクセシブルにするには。titleタグやspanを含める方法など
- [**Disability is a spectrum, not a binary by Steve Barnett and Nicola du Toit**](https://www.24a11y.com/2018/disability-is-a-spectrum-not-a-binary/): Webを使うにあたって障害を抱えるユーザーに対するアクセシビリティの考え方について。ある、なし、の二択ではなく、度合いとして考えることで、より的確なアイディアが生み出せる

