# Frontend Weekly Vol.203
フレームワークを学習するのは止めにしよう、技術に対する洞察力の必要性、セマンティックHTMLの実用価値、ほか計10リンク

## [Stop Learning Frameworks by Eduards Sizovs](https://sizovs.net/2018/12/17/stop-learning-frameworks/)
https://sizovs.net/2018/12/17/stop-learning-frameworks/


フレームワークを学習するのは止めにしよう
新しいテクノロジーを学ぶのは楽しいこと。AngularやReactのバージョンを最新にするのは楽しいこと。しかし、それが本質的に必要なことかどうかに疑問を持つべきなのかもしれない。Eduards氏がメンターとの会話で気づいた、私達が本当に注力するべきこととは。フロントエンド開発者が忘れてしまいがちなことを教えてくれる記事。


> Mentor: “Technology come and go, but it has a lot in common. Set priorities right. Invest 80% of your learning time in fundamentals. Leave 20% for frameworks, libraries and tools.”


> Programming languages are different, but design smells are alike.
> Frameworks are different, but the same design patterns shine through.
> Developers are different, but rules of dealing with people are uniform.
> Remember – frameworks, libraries and tools come and go. Time is precious.


## [Leveling up: why developers need to be able to identify technologies with staying power (and how to do it) by Mathias Biilmann](https://medium.com/netlify/leveling-up-why-developers-need-to-be-able-to-identify-technologies-with-staying-power-and-how-to-9aa74878fc08)
https://medium.com/netlify/leveling-up-why-developers-need-to-be-able-to-identify-technologies-with-staying-power-and-how-to-9aa74878fc08


なぜ開発者はその技術が安定しているかどうかを見分けられる必要があるのか(そして、どのようにそれをするのか)

JavaScript疲れは世界中でフロントエンド開発者の中で共通の話題となっている。新しいフレームワーク、アーキテクチャ、コマンドラインツールなど、毎日のように移り変わっていき、私達は開発者として面白いを通り越して疲れてきているのかもしれない。Mathias氏はこういった状況を避けるための考え方を紹介する。


1. 歴史を学ぶ - 今回の違いはなにか？を問う
2. 人、文化、そしてコミュニティによる - ビジョンは明確か、ユーザーニーズは存在するか
3. なぜ生まれたかを理解する - 表面でなく、その内側を見る


## [The practical value of semantic HTML by Bruce](https://www.brucelawson.co.uk/2018/the-practical-value-of-semantic-html/)
https://www.brucelawson.co.uk/2018/the-practical-value-of-semantic-html/


セマンティックHTMLの実用価値とは

フルスタックエンジニアになりたいデベロッパは、HTMLについて、インライン要素とブロック要素の違いだけ分かっていればよいのか。そうとは言い切れないだろう。Bruce Lawson氏が、良いHTMLはセマンティックなHTMLであり、それは哲学的に必要なわけでなく、実用的にも非常に有用であることを紹介する。それぞれの要素に備わっている本来の機能について紹介し、それをどのように活かすのか。


> Semantic HTML will give usability benefits to many users, help to future-proof your work, potentially boost your search engine results, and help people with disabilities use your site.
## 
## [Researching a Property in the CSS Specifications by Rachel Andrew](https://24ways.org/2018/researching-a-property-in-the-css-specifications/)

よくCSSの仕様を解説記事を投稿するRachel氏が、そもそも読者がCSSの仕様を自分で読めるようになるためのTipsを紹介してくれる。そもそも、どこにあるのか、またどういった観点で読めばよいのか、最新版の追い方など、丁寧に解説する。


## [Accurately measuring layout on the web by Nolan Lawson](https://nolanlawson.com/2018/09/25/accurately-measuring-layout-on-the-web/amp/?__twitter_impression=true)

一般的に、私達はWebサイトは早く表示させたいと思っているが、その場合にまず確認しておきたいのは、”何を計測するのか”ということであり、そしてその計測した情報から、”何を遅いと定義するのか”を理解しておかなければならない。Nolan氏はパフォーマンス、特にブラウザのレンダリングパイプラインについて詳しく解説し、スタイルとレイアウトのコストをどのように特定するかのコンセプトを紹介する。

[](https://nolanlawson.com/2018/09/25/accurately-measuring-layout-on-the-web/amp/?__twitter_impression=true)In Brief

- [**An Introduction and Guide to the CSS Object Model (CSSOM) byLouis Lazaris**](https://css-tricks.com/an-introduction-and-guide-to-the-css-object-model-cssom/): CSSOMについての解説。JavaScriptを用いて、どのようにそれを扱うか。CSSStyleSheet APIとは
[****](https://medium.com/ispsystem/50-questions-to-ask-while-developing-user-and-technical-documentation-56c8fc5afc98)- [**50 questions to ask while developing user and technical documentation by Irina Varnina**](https://medium.com/ispsystem/50-questions-to-ask-while-developing-user-and-technical-documentation-56c8fc5afc98): ドキュメントを書くときに気にかけておきたいポイント50個
- [**Make sense of rounded corners on buttons by Shan Shen**](https://uxdesign.cc/make-sense-of-rounded-corners-on-buttons-dfc8e13ea7f7): 四角のボタンを使うか、角丸のボタンを使うか。どのボタンをどの場面で使うかの選択を助けてくれるTips
- [**Gradient Borders in CSS by Chris Coyier**](https://css-tricks.com/gradient-borders-in-css/): グラデーションがかかったボーダーを作成するための方法を解説。実現するためのシンプルなCSSのAPIは無いが、ちょっとしたテクニックで実現できる
- [**Authoring Component Documentation by Nathan Curtis**](https://medium.com/eightshapes-llc/authoring-component-documentation-6f894b498b88):  全7回に及ぶ、コンポーネントのドキュメンテーションについての記事シリーズの、編集編。ドキュメント作成する際の8つのTIpsを紹介

