# Frontend Weekly Vol.204
技術的負債の問題について、UI工学、Webパフォーマンスに対する倫理的な考え、ほか計10リンク


## [The Problem with Paydown by Sam Jones](http://blog.testdouble.com/posts/2018-12-07-the-problem-with-paydown)

http://blog.testdouble.com/posts/2018-12-07-the-problem-with-paydown

技術的負債の問題について

Sam Jones氏による、技術的負債の返済についての記事。技術的負債をクレジットカードの負債のように例えて考えることはできるが、クレジットカードのように明確で、簡単に返済計画を立てられるものではない。ビジネスにより技術的な理想な選択ができなかったり、目に見えない開発がビジネスから理解されなかったり、亀裂が起きる機会は多くある。しかし、そういったwin-winでないと感じる選択であっても、健全な話し合いを行い、全員がゴールに向かって進んでいるという感覚を醸成することが重要であると話す。


> The goal is to create negotiations that are healthy so that everyone feels aligned with the business, even when it's not a win-win.


## [The Elements of UI Engineering by Dan Abramov](https://overreacted.io/the-elements-of-ui-engineering/)

https://overreacted.io/the-elements-of-ui-engineering/

UI工学の要素

Dan Abramov氏が紹介する、UIに関する解決するべき問題点12個。彼の経験において、特定のフレームワークや、テクノロジーを学ぶことに注力するのではなく、問題を理解し、その問題をどのように解決するのかについて考えることが、学習におけるブレークスルーを生み出した、と話す。


- 一貫性
- 反応
- 遅延
- 遷移
- キャッシュ
- エントロピー
- 優先度
- アクセシビリティ
- 国際化
- デリバリー
- 回復力
- 抽象化


## [The Ethics of Web Performance by Tim Kadlec](https://timkadlec.com/remembers/2019-01-09-the-ethics-of-performance/)

https://timkadlec.com/remembers/2019-01-09-the-ethics-of-performance/

Webパフォーマンスに対する倫理的な考え

Webパフォーマンスは単純に、ビジネスに直結するから、といったモチベーションから改善に取り組まれることが多いだろう。Tim Kadlec氏はそういった観点ではなく、モラルや、倫理的にパフォーマンスを改善に取り組むべき理由を紹介する。例えば、パフォーマンスを改善することで転送されるデータ量が削減され、結果としてエネルギー消費が抑えられることにより、デバイスのCPUやバッテリーを長持ちさせられることに繋がる、といった例を挙げている。私達がWebをどのように構築していくか、実はそれはリアルな現実世界や人というものに大きく影響しており、一人ひとりが改善に向かって取り組むべき課題であるということを訴える。


## [Conditional Logic In Phase — { if/else Made Visual } by Team Phase](https://blog.prototypr.io/conditional-logic-in-phase-if-else-made-visual-12dbd0178e61?ref=uxdesignweekly)

優れたアプリやWebサイトを完成させるためには、多くのステップが存在するが、その中でもプロトタイピングは非常に重要な役割を持つ。それを行うことで、実際に開発に時間を費やす前に、それが本当に有効であるかを検証でき、多くの時間とお金を節約することができる。この記事ではプロトタイピングツールのひとつである、[Phase](https://phase.com/)を使ったプロトタイピングについて解説をする。特に、条件分岐を加えた、より複雑なプロトタイピングをする方法について詳しく紹介する。


## [Front-End Performance Checklist 2019 [PDF, Apple Pages, MS Word] by Vitaly Friedman](https://www.smashingmagazine.com/2019/01/front-end-performance-checklist-2019-pdf-pages/)

フロントエンドパフォーマンス改善のためのチェックリスト。非常に読み応えのある記事となっているが、パフォーマンスに関連する内容が盛りだくさんなので非常に勉強になる。記事を全部読み込んで実行するのが大変かもしれないが、その場合にはまず、最下部の **Quick Wins** に簡単に実行できて効果的な施策のアイディアが12個にまとめられているので、そちらをからどうぞ**。**


## In Brief
- [**CSS Feature Toggles by Keith Clark**](https://chrome.google.com/webstore/detail/css-feature-toggles/aeinmfddnniiloadoappmdnffcbffnjg): flexboxなどのCSSの機能を自由に有効にしたり、無効にできたりするChrome エクステンション。ブラウザによる機能差異のテストを行うために活用できる
- [**JavaScript Getter-Setter Pyramid by André Staltz**](https://staltz.com/javascript-getter-setter-pyramid.html): JavaScriptにおける、GetterとSetterについてピラミッド型の解説図を用いて説明する。またそれに付随して、PromiseやObservableについて
- [**CSS Grid for Designers by Johna Paolino**](https://open.nytimes.com/css-grid-for-designers-f74a883b98f5): CSS Gridについての解説。基本的な扱い方から、どのようなレイアウトを組むことが可能なのかを紹介する
- [**Keep Math in the CSS by Chris Coyier**](https://css-tricks.com/keep-math-in-the-css/): Cssの `calc` について。単体ではもちろん、変数とセットで使うことで、CSSが非常にリーダブルなコードになる例を紹介
- [**Styling a Web Component by Chris Coyier**](https://css-tricks.com/styling-a-web-component/): Web Components を利用した場合に、内部の要素にグローバルのCSSが適用される場合と、されない場合がある。Web Componentsのスタイリングについて細かい挙動と、それぞれの実装方法について解説する

