# Frontend Weekly Vol.206
Web業界のエントリポイント、Web標準について、一人で働くエンジニアのグッドプラクティス、ほか計10リンク

[HTML, CSS and our vanishing industry entry points by Rachel Andrew](https://rachelandrew.co.uk/archives/2019/01/30/html-css-and-our-vanishing-industry-entry-points/)

https://rachelandrew.co.uk/archives/2019/01/30/html-css-and-our-vanishing-industry-entry-points/


HTMLとCSS、そして消えていくWeb業界のエントリポイント

HTMLやCSSという根底にある技術を軽んじる動向に疑問を呈すエントリ。Webは20年間で非常に複雑になってきたが、Webは本来、本当の初心者でも、HTMLとCSSを使用して簡単なWebサイトを作成するように教えることができる、という事実がある。ビルドツールや、フレームワーク、プルリクエストやnpmなどがなくても、テキストエディタがあればWebを作れる。どんな技術が生まれても最終的にはHTMLとCSSを出力するのであり、それへの理解を軽んじるのではなく向き合っていくことで、Web開発者としての価値が発揮されるのではないかと話す。


> I might be the “old guard” but if you think I’m incapable of learning React, or another framework, and am defending my way of working because of this, please get over yourself. However, 22 year old me would have looked at those things and run away. If we make it so that you have to understand programming to even start, then we take something open and enabling, and place it back in the hands of those who are already privileged. I have plenty of fight left in me to stand up against that.



[Web Standards: The What, The Why, And The How by Amy Dickens](https://www.smashingmagazine.com/2019/01/web-standards-guide/)

https://www.smashingmagazine.com/2019/01/web-standards-guide/


Web標準: なに、なぜ、どのように

Web標準とそれらに関わるドキュメントはウェブを機能的で、アクセスしやすく、相互互換性があるものにするために非常に役立つ。この記事では、Web標準に関わる歴史から、現場でどのように使えるか、そしてWeb標準を作る側として協力するための方法を紹介する。


## [Good Engineering Practices while Working Solo by Shalvah](https://blog.bitsrc.io/good-engineering-practices-while-working-solo-ad872e727af4)
https://blog.bitsrc.io/good-engineering-practices-while-working-solo-ad872e727af4


一人で働くエンジニアのグッドプラクティス
オープンソースへのコントリビュート、個人用のプロダクト開発、フリーランスとして働く時など、エンジニアが一人で開発に携わることはよくある。そんなときに守っておきたいプラクティスを紹介する


- ワークフローを守る
- Issuesを使う
- Pull Requestsを使う
- コードをレビューする
- Gitを上手に使う
- ドキュメントを書く
- コミュニケーションをとる
- モニタリングする


## [The state of gRPC in the browser by  Johan Brandhorst](https://grpc.io/blog/state-of-grpc-web)

Google と Improbableの両チームで開発が進められている、ブラウザにおけるgRPCの歴史について、現在の状態、そして今後の展望について紹介する。4つの機能の紹介、互換性について、今後どういった機能を追加するのか、今実際に使い始めるためには、などを解説する。


## [Why design systems fail, and how to make them work by Daniël De Wit](https://uxdesign.cc/why-design-systems-fail-and-how-to-make-them-work-6f6d812e216d?ref=uxdesignweekly)

オランダのWeb会社、WebNLでデザイナと開発者間のやり取りをスムーズにする業務に携わった経験を基に、どのようにしてそれを行ったのか、またそれがなぜ最終的にうまくいかなかったのかを紹介する。デザインシステムがデザイナと開発者間の問題をまるっと解決するものではなく、あくまで手助けするツールとして捉え、地道な歩み寄りをすることが必要だったと語る。


## In Brief
- [**Putting the Flexbox Albatross to Real Use by Chris Coyier**](https://css-tricks.com/putting-the-flexbox-albatross-to-real-use/): [Heydon](http://www.heydonworks.com/article/the-flexbox-holy-albatross) [Pickering](http://www.heydonworks.com/article/the-flexbox-holy-albatross)[氏が紹介した](http://www.heydonworks.com/article/the-flexbox-holy-albatross)[Flexboxでのレイアウトテクニック](http://www.heydonworks.com/article/the-flexbox-holy-albatross)の実際のユースケースを紹介する
- [**Firefox DevTools for CSS authors by Dennis Gaebel**](https://blog.logrocket.com/firefox-devtools-for-css-authors-1511f41d1e3): Firefoxのデベロッパーツールの紹介。Flexbox Inspectorなど、便利な機能が多数実装されている
- [**Houdini Tutorial: CSS Painting and Custom Properties by Nate Jacobs**](https://seesparkbox.com/foundry/houdini_tutorial_css_paint_custom_properties_api): HoudiniのCSS Painting APIと Custom Properties APIのチュートリアルを動画で紹介
-  [**Creating a Reusable Accordion Component That Works Anywhere by Priyesh Patel**](https://blog.bitsrc.io/creating-a-reusable-accordion-component-that-works-anywhere-2f2add05baa4): Angular でアコーディオンコンポーネントを作成する。またそれを、Vanilla JSでも仕様可能なWeb Componentにし再利用しやすくする
- [**Node.js & JavaScript Testing Best Practices (2019) by Yoni Goldberg**](https://medium.com/@me_37286/yoni-goldberg-javascript-nodejs-testing-best-practices-2b98924c9347): 30個のJavaScriptテストに関するベストプラクティスを紹介する

