# Frontend Weekly Vol.207
私は素手でWebサイトを作る、その大きな境界、TypeScript税、ほか計10リンク

## [It’s 2019 and I Still Make Websites with my Bare Hands by Matt Holt](https://medium.com/@mattholt/its-2019-and-i-still-make-websites-with-my-bare-hands-73d4eec6b7)
[](https://medium.com/@mattholt/its-2019-and-i-still-make-websites-with-my-bare-hands-73d4eec6b7)https://medium.com/@mattholt/its-2019-and-i-still-make-websites-with-my-bare-hands-73d4eec6b7


**2019年になっても、私は素手でWebサイトを作っている**
****

> 今日のクールな子供たちがどうやってウェブサイトを作っているか私にはわかりません。
> 
> 私が知っているのは、私達のフロントエンドチームが新しいウェブサイトのベースを作成するのに一日を費やしたことと、翌日私のgit pullが次のリソースを取得したことです。
> 
> (約600MBのnode_modules)

Matt Holt氏が現代のフロントエンド開発に疑問を呈す。氏は現在でも特別なツールを使用せず、シンプルなWebサイトを作り続けているという。過度に機能的なフレームワークやライブラリを使用しないメリットは以下にある:


- Webサイトのコードベースが小さくなる
- 開発環境をより簡単に管理できる
- より速くデバッグできる
- Webサーバーの設定が簡単になる
- ロードが早く、ハードドライブスペースを節約する
## [The Great Divide by Chris Coyier](https://css-tricks.com/the-great-divide/)
https://css-tricks.com/the-great-divide/


**大きな境界**

フロントエンド開発には大きく分けて2つのタイプがいる。JavaScriptを中心に関心がある開発者と、HTML、CSSやアクセシビリティなど、JS以外の部分に関心がある開発者である。この記事では、その2種類のタイプがどのようにして生まれたのかについて経緯を辿り、そしてそれが、現代のフロントエンドエンジニアの求人方法に対しても大きな問題を引き起こしていることを指摘する。この分裂に対する解決策はなにか、今後落ち着くのか、それとも広がっていくのか、考察していく。

## [The TypeScript Tax by Eric Elliott](https://medium.com/javascript-scene/the-typescript-tax-132ff4cb175b)
https://medium.com/javascript-scene/the-typescript-tax-132ff4cb175b


**TypeScript税**

TypeScriptは2017年から2019年の間に大きく成長した。[2018年のJavaScriptの現状調査](https://2018.stateofjs.com/javascript-flavors/overview/)では、回答者のほぼ半数がTypeScriptを試してみて、もう一度使用するだろうと回答している。しかしながら、Eric Elliott氏は、この結果を鵜呑みにし、大規模なアプリケーションの構築にTypeScriptを採用することに関して慎重に検討するべきではと指摘する。この記事では実際に氏がTypeScriptを採用するチームで働いた経験から、どういった危険性がTypeScriptにはらまれているかを解説する。


## [How Well Do You Know CSS Layout? by Brad Westfall](https://css-tricks.com/how-well-do-you-know-css-layout/)

フロントエンドエンジニアであれば、誰しもCSSでのスタイリングに苦労した経験があるだろう。この記事では、レイアウトの問題を解決するためのCSSパターンについて解説する。基本的なBoxモデルの理解から始まり、`position` プロパティについてや、センタリングのテクニックなどを紹介していく。一見複雑なレイアウトであっても、分割し小さくしていけば、基本的なパターンの組み合わせで作成できることを教えてくれる。


## [Beyond the interface by Thomas Byttebier](https://thomasbyttebier.be/blog/brands-beyond-the-interface)

Alejandro Masferrer氏が書いた記事、[UX global trends might be narrowing our minds](https://medium.com/@alemasferrer/ux-global-trends-might-be-narrowing-our-minds-10aebb99de4f) では、特にデジタルの媒体において、多くのプロダクトが同じような見た目になってきているのではと指摘している。これは、ブランディングとしては好ましくないが、誰にでも分かりやすく、使いやすいという側面を持ち合わせている。使いやすいインターフェースと差別化されたブランディング、両者をどのように両立していくのか。

## In Brief
- [**Improving the cache performance of The Polyfill Service even more byJake Champion**](https://jakechampion.name/improving-the-cache-performance-of-the-polyfill-service-even-more):  [polyfill.io](https://polyfill.io/v3)のWebサイトでの高いキャッシュヒット率を叩き出したテクニックを紹介する。実装的には[Fastly](https://www.fastly.com/)の[Varnish Cache](https://varnish-cache.org/intro/)を使用している
- [**Line breaking by Florian Rivoal**](https://www.dotconferences.com/2018/11/florian-rivoal-line-breaking): 文章のスペースと改行などのレイアウトをコントロールするための仕様である、[CSS Text Module](https://drafts.csswg.org/css-text-3/) についての解説。どのようなプロパティとバリューで、どのように文章がレイアウトされるかをスライドで分かりやすく解説する
- [**Table Design Patterns On The Web by Chen Hui Jing**](https://www.smashingmagazine.com/2019/01/table-design-patterns-web/): テーブルデザインの総まとめ。CSSのみで表現できること、JSを含めると何が可能かなど、テーブルを実装するときに役立つアイディアを紹介してくれる
- [**HTTP Tool Kit by Tim Perry**](https://httptoolkit.tech/toolkit): HTTP通信の様子をグラフィカルに表示するツール。ブラウザと連動し動くので、Webサイトのパフォーマンス・チューニングやデバッグの際に役立つ
- [**5 Useful JS Examples of map(), reduce() and filter() by Alex Permyakov**](https://medium.com/@alex.permyakov/15-useful-javascript-examples-of-map-reduce-and-filter-74cbbb5e0a1f): `map()`, `reduce()`, `filter()`, `Set()`を利用したテクニック集。一見複雑になりそうな操作も僅かな行数で実装できる例を紹介する

