# Frontend Weekly Vol.209
ルールに基づいたUXの評価 - 低コストな方法、ナビゲーションは退屈であるべき、複雑なログインフォームにするな、ほか計10リンク

## [Rule-based UX Evaluations – undervalued methods by Jan Dittrich](https://fordes.de/posts/ruleBasedUXEvaluation.html)
[](https://fordes.de/posts/ruleBasedUXEvaluation.html)
https://fordes.de/posts/ruleBasedUXEvaluation.html
**ルールに基づいたUXの評価 - 低コストな方法**
デザインを改善する正しい方法は、適切な質問に対して、適切な方法を適用しながら、ユーザーをテストすることであるが、これはコストがかかる作業であり、その理由から行われないことも多い。この記事では、ユーザーテストを必要とせず実施できるルールに基づいたUXの評価の方法を紹介する。


- Heuristic Evaluation / [Heuristic Evaluation—a Step By Step Guide](https://www.sitepoint.com/heuristic-evaluation-guide/)
- UI Guidelines / [Windows](https://docs.microsoft.com/en-us/windows/desktop/uxguide/guidelines), [Google products](https://material.io/design/), [Gnome Desktop](https://developer.gnome.org/hig/stable/)
- PURE / [PURE on measuringu.com](https://measuringu.com/pure/)
- KLM / [KLM](https://en.wikipedia.org/w/index.php?title=Keystroke-level_model&oldid=874151370) 
## [Navigation Should Be Boring by Allen Pike](https://allenpike.com/2019/navigation-should-be-boring)

https://allenpike.com/2019/navigation-should-be-boring
**ナビゲーションは退屈であるべき**
プロダクトをリリースするときには、それを独創的なものにさせたいと思うだろう。独特のUIはそのアプリを印象的にさせ、好奇心を刺激するものにする。しかしながら、ナビゲーションに関しては、それをユニークにするべきではない。Allen Pike氏はナビゲーションにユニークさを取り入れることは、ユーザーに受け入れられにくく、失敗した場合非常に大きなコストが発生すると指摘する。まずは、魅力的なカラー、イラスト、コピーライティングでインターフェースを装飾する方法をお勧めしている。

## [don’t get clever with login forms by Brad Frost](http://bradfrost.com/blog/post/dont-get-clever-with-login-forms/)

http://bradfrost.com/blog/post/dont-get-clever-with-login-forms/
**複雑なログインフォームにするな**
昨今のログインフォームの形はWebサイトによって様々であるが、Brad Frost氏はその在り方について複雑すぎるのではと指摘する。モーダルウィンドウで表示したり、パスワード入力項目を隠して初期表示をしたりすると、ユーザーに余計なステップを踏ませることになり、パスワード管理ツールでの自動入力が使えないといったケースが出てくる。それでは、どうすべきかというと、古くからあるWordpressのようなシンプルで明白なログインフォームが一番使い勝手が良いのではないかと提案する。

## [HTML Snapshot Testing with Node by Jordan Nelson](https://spin.atomicobject.com/2019/02/13/html-snapshot-testing-with-node/)

HTMLのスナップショットテストを実装する。シンプルなNode.jsのツールを組み合わせて差分を検知する仕組みを作成する。[Excellへの転用](https://spin.atomicobject.com/2018/03/12/excel-snapshot-testing-node/)や、[PDFへの転用](https://spin.atomicobject.com/2018/02/07/pdf-snapshot-testing-node/)についての解説もある。

## [How To Architect A Complex Web Table by Slava](https://www.smashingmagazine.com/2019/02/complex-web-tables/)

テーブル表示は頻繁に使われる手法だが、実際の所、設計やコーディングをするのは簡単ではない。この記事では、将来の修正に対応できるテーブルの作り方を紹介する。大切なことは、確かなニーズを収集し、小さなブロックから作り始めること。


1. ニーズを体系化させる
2. アトミックにする
3. インタラクションを定義する
## In Brief
- [**Avoid Default Field Validation byAdrian Roselli**](http://adrianroselli.com/2019/02/avoid-default-field-validation.html): `input`の`type`属性や、`required`属性を使用した際に発生してしまう、ユーザビリティの問題を指摘する
- [**Type-Driven Development – Replacing Unit Tests with Types in Typescript by Andy Peterson**](http://pop.frontendweekly.co/hLHgVV)**:** TypeScriptを用いて、Test Driven Developmentを置き換える、Type Driven Developmentの提案をする
- [**Writing a Memorable TL;DR by Carolyn Wei**](https://medium.com/facebook-research/writing-a-memorable-tl-dr-ea751cba88f2?ref=uxdesignweekly): 効果的なTD;DRを書くためのコツを紹介する
- [**SVG Filters 101 by Sara Soueidan**](https://tympanus.net/codrops/2019/01/15/svg-filters-101/):  SVG Filtersについての解説。基本から、便利なテクニックまで紹介してくれる
- [**Puppeteer is my new dev server by Eric Bidelman**](https://ericbidelman.com/posts/2019/02/pptrstagingserver): Puppeteerを利用してサーバーを模倣する。全てのリソースを保持せずに、ローカルで正常にWebサイトを表示できるようにする

