# Frontend Weekly Vol.210
デザインシステムアーキテクチャダイアグラム、帯域幅と遅延の最適化について、JavaScriptオブジェクトを深く理解する、ほか計10リンク

## [Design Systems Architecture Diagrams by Nathan Curtis](https://medium.com/eightshapes-llc/design-systems-architecture-diagrams-3fc13ec979e3)

https://medium.com/eightshapes-llc/design-systems-architecture-diagrams-3fc13ec979e3
****
**デザインシステムアーキテクチャダイアグラム**

Nathan Curtis氏は、多くの企業が、「1つのデザインシステムに対して、すべてのプロダクト」といったエコシステムではなくなり、より複雑になってきていると指摘する。この記事では、ブランド、システム、プロダクトの関係性をビジュアルで表す方法を提案する。前半では、シンボルの形、意味の定義をし、後半では具体的なケースを想定し、そのシナリオに基づいて作図を行う。

## [Bandwidth or Latency: When to Optimise for Which by Harry Roberts](https://csswizardry.com/2019/01/bandwidth-or-latency-when-to-optimise-which/)

https://csswizardry.com/2019/01/bandwidth-or-latency-when-to-optimise-which/

**帯域幅と****応答速度****: いつどちらを最適化するか**

ネットワークパフォーマンスに関しては大きく帯域幅(Bandwidth)と、応答速度(Latency)の
2つの要素が関連している。この記事では、それらをどのように計測し、どのように改善するかについて紹介する。覚えておくべきルールは、通常のWebブラウジングでは、応答速度の改善は帯域幅の改善よりも効果的であり、帯域幅の改善は、大きなファイルを扱う場合に有効となると解説している。

## [Diving Deeper in JavaScripts Objects by Arfat Salman](https://blog.bitsrc.io/diving-deeper-in-javascripts-objects-318b1e13dc12)

https://blog.bitsrc.io/diving-deeper-in-javascripts-objects-318b1e13dc12

**JavaScriptオブジェクトを深く理解する**

フロントエンド開発では、必ずといっていいほど使用されるJavaScriptオブジェクト。この記事では、そのオブジェクトに備わっている便利な機能について解説する。この記事を読んだあと、以下のことができるようになる


- プロパティを削除不可能にする方法
- アクセサプロパティとは何かと、その機能について
- イミュータブルや隠蔽されたプロパティの作り方
- Object.keysで表示されるプロパティと表示されるプロパティの違いについて
- オブジェクトを修正から守る方法
- 次ような コードを理解する方法


    obj.id = 5;
    console.log(obj.id)
    // => '101' ( 5 in binary )
## [Exploring a back/forward cache for Chrome by Addy Osmani](https://addyosmani.com/blog/back-forward-cache/)

Chromeチームではユーザーが遷移したときに、ページの内容をメモリ内にキャッシュするための新しいキャッシュ機構である、 back/forward cache(bfcache)について検討をしている。実験段階の実装のデモ動画も紹介されており、bfcacheが実装されている場合に、非常に高速にページを表示していることが分かる。

## [Paint the Picture, Not the Frame: How Browsers Provide Everything Users Need by Eric Bailey](https://alistapart.com/article/paint-the-picture-not-the-frame) 

サイバーボールと呼ばれる心理学の実験では、ボールを他の参加者と投げ合う事によって楽しみを感じ、それができなくなることで、疎外感を感じるということを証明している。Webの世界では、このキャッチボールをナビゲーションに転じて考えることができるのではとEric氏は考える。UIを変更することによって、一部のユーザーにとって使い勝手を良くすることができるかもしれないが、それと同時に、他のユーザーを阻害してしまう可能性があるかもしれない。この記事ではいくつかのUIを例に、それがユーザーにどのように提供されるべきかについて解説する。

## In Brief
- [**Try GraphQL! Interactive GraphQL Tutorial by Ryan Chenkie**](https://trygql.com/): GraphQLのフロント側のチュートリアル。実際にエディタを使って記述していきながら学ぶ
- [**BEM: 4 Hang-Ups & How It Will Help Your CSS Organization by Philip Zastrow**](https://seesparkbox.com/foundry/bem_css_organization): BEMでの命名についての解説。つまづきがちなポイントを抑えて、どのように解決するかのヒントを教えてくれる
- [**How I document — 7 tips for starting, writing and maintaining your documentation by Curtis Stanier**](https://blog.usejournal.com/how-i-document-7-tips-for-starting-writing-and-maintaining-your-documentation-6e858af64c0): ドキュメンテーションを作成し、メンテナンスし続けるために必要なポイントを解説する
- [**To Grid or to Flex? by Michelle Barker**](https://css-irl.info/to-grid-or-to-flex/)**:** CSS gridとflexboxをどのように使い分けるかについて。それぞれの特徴を学び、どういった場面でどちらを採用すべきかについて解説する
- [**A Guide To Prototype-Based Class Inheritance In JavaScript by JavaScript Teacher**](https://medium.com/@js_tut/a-guide-to-prototype-based-class-inheritance-in-javascript-849d3c3ddca):  JavaScriptのプロトタイプ継承についての解説。一般的な継承との違いを交えながら紹介していく

