# Frontend Weekly Vol.211
キャッシュコントロールの基本、アプリケーションデザインの間違いトップ10、ユーザビリティのテストをデザインのコツ、ほか計10リンク

## [Cache-Control for Civilians by Harry Roberts](https://csswizardry.com/2019/03/cache-control-for-civilians/)

https://csswizardry.com/2019/03/cache-control-for-civilians/

**キャッシュコントロールの基本**

ネットワークのパフォーマンスを向上させるためには、キャッシュコントロールについての知識が必須となる。この記事では、Cache-Controlヘッダについて取り上げ、設定可能な値と、それが引き起こす動作について紹介していく。また、後半では、具体的な例としていくつかのパターンを紹介し、どういった状況で、どのような設定をするべきかについてのアイディアを教えてくれる。


## [Top 10 Application-Design Mistakes by Jakob Nielsen and Page Laubheimer](https://www.nngroup.com/articles/top-10-application-design-mistakes/) 

https://www.nngroup.com/articles/top-10-application-design-mistakes

**アプリケーションデザインの間違いトップ10**

アプリケーションを設計する際に起こりがちな間違いトップ10を紹介する。


- 弱いフィードバック
- 一貫性の無さ
- 分かりにくいエラーメッセージ
- デフォルト値の欠如
- ラベルが貼られていないアイコン
- 選択が難しいターゲット
- モーダルの使いすぎ
- 意味のない情報
- ドロワーメニュー
- 破壊的なアクションと、確認アクションの近接


## [Considering accessibility when designing a usability test by Aaron Pearlman](https://www.deque.com/blog/considering-accessibility-when-designing-a-usability-test/)

https://www.deque.com/blog/considering-accessibility-when-designing-a-usability-test/

**ユーザビリティのテストをデザインするときに、アクセシビリティを考慮する**

アクセシビリティはユーザビリティの下位区分であり、アクセシビリティを考慮するアプリケーションであれば、ユーザビリティテストを設計する際にそれを反映させるようにすべきだ。この記事では、ユーザビリティテストを設計する際に、アクセシビリティに関して考慮する事項について紹介する。


1. アクセシビリティを必要としている人の採用計画を立てる
2. テキストは一緒にするべき
3. 質問をする
4. 分析方法について検討する
## [CSS Scroll Snap — How It Really Works by Itzik Pop](https://blog.usejournal.com/css-scroll-snap-how-it-really-works-94d99db80bc9)

CSS Scroll Snapの機能についての解説。Edgeを含めモダンなブラウザではおおよそ対応してきており、利用が現実的になってきた。この記事では、基本的なプロパティの説明から、コードを交えながら実装例を紹介していく。また、具体的な利用シーンを想定し、スライドショーのサンプルを実装する。詳細な対応ブラウザは[caniuse](https://caniuse.com/#feat=css-snappoints)で確認できる。

## [Constructable Stylesheets: seamless reusable styles by Jason Miller](https://developers.google.com/web/updates/2019/02/constructable-stylesheets)

Constructed StyleSheetsと呼ばれるShadow DOMを利用するときに、再利用可能なスタイルを作成したり、配信するための仕組みについての解説。従来のスタイルシートを作成する方法と、`[adoptedStyleSheet](https://wicg.github.io/construct-stylesheets/#using-constructed-stylesheets)` APIを使った方法を比較し、どういった違いがあるかについて紹介する。

## In Brief
- [**Lenses by Eric Elliott**](https://medium.com/javascript-scene/lenses-b85976cb0534): ゲッター関数とセッター関数のペアであるLensの概念について解説し、ES6を使って実装をする
- [**Adapting to user preferences by Michael Scharnagl**](https://justmarkup.com/log/2019/02/adapting-to-user-preferences/): ユーザーの設定をブラウザの機能を用いて読み込むための方法を紹介する。CSSであればメディアクエリで、JSであればnavigatorを利用して読み込むことができる(またはできるようになる予定の)方法について
- [**Search UX: 6 Essential Elements for ‘No Results’ Pages by Edward Scott**](https://baymard.com/blog/no-results-page): 結果無し画面のUXについて考察する。単純な、ナビゲーションの行き止まりにするのではなく、効果的な画面にするための6つの方法を紹介
- [**10 npm Security Best Practices by Liran Tal and Juan Picado**](https://snyk.io/blog/ten-npm-security-best-practices/): npmパッケージのセキュリティに関して、注意すべき10個の項目。publishする前に一通り目を通しておきたい
- [**Replacing a hot path in your app's JavaScript with WebAssembly by Surma**](https://developers.google.com/web/updates/2019/02/hotpath-with-wasm): Hot Pathと呼ばれる、高負荷の処理をwasmに置き換えることで、パフォーマンスを向上させた話。例として、1600万回のコードブロックを実行する処理を、特定のブラウザにて2秒以内に完了させることができたことを挙げている

