# Frontend Weekly Vol.212
“退屈”であることの意味と価値、カオスに秩序をもたらすデザインシステム、プロトタイプを学ぶことは、コードを学ぶことよりも重要、ほか計10リンク

## [Make it Boring by Jeremy Wagner](https://jeremy.codes/blog/make-it-boring/)
https://jeremy.codes/blog/make-it-boring/


”**退屈****”であることの意味と価値**

フロントエンド開発におけるJavaScriptの比重は、HTMLやCSSに比べて非常に大きくなっている。Reactなどの重厚なフレームワークは一般的になってきており、それは生産性を向上させ、開発面白くさせるが、本当に必要なものなのか。Jeremy氏は、現代のWebには退屈さが必要であると提言する。UIは平凡で予測しやすいものにし、HTMLとCSSで解決できることをnpmに頼らないようにする。退屈さはプロダクトをよりシンプルで分かりやすく、使いやすく、速いものにする。Webが全ての人のためであるための、”退屈”であることの意味と価値とは。


> As developers, we have two objectives: Work to make things better this week than they were last week, and continue our education to ensure the success of the first objective. With a stronger embrace of HTML and CSS, I genuinely believe our work can never be boring, so long as it helps us deliver on these objectives in the spirit of making the web better for all people.


## [Design Systems for email: bringing order to the chaos by Ted Goas](https://uxdesign.cc/design-systems-for-email-bringing-order-to-the-chaos-c9d9c85ee46d)
https://uxdesign.cc/design-systems-for-email-bringing-order-to-the-chaos-c9d9c85ee46d


**Eメールのためのデザインシステム: カオスに秩序をもたらす**

Ted氏が入社した当初、Stack Overflowでは毎日大量のHTML メールを送っているのにも関わらず、メールクライアントによってデザインが変わってしまうような一貫性の無いメールを送信していたことにに危機感を持った。その状況を改善するべく彼が行った、Eメールに関するデザインシステムの構築に関する知見、教訓を共有してくれる。


1. 問題意識を持ち、必要性を再認識する
2. オフィシャルにし、時間や予算を確保する
> “If a design system is treated as a side project, it’ll probably fail.” — Nathan Curtis
3. 小さく始めて、周りを巻き込む

早めにGoogle Docsで共有し、誰でも参照できるようにする

4. 完璧に仕上げようとしない
5. ドキュメント化する


## [Learning to prototype is more important than learning to code by Ben Holliday](https://www.hollidazed.co.uk/2019/02/26/learning-to-prototype-is-more-important-than-learning-to-code/)

https://www.hollidazed.co.uk/2019/02/26/learning-to-prototype-is-more-important-than-learning-to-code/

**プロトタイプを学ぶことは、コードを学ぶことよりも重要**

Ben Holliday氏は、プロトタイピングは非常に重要なスキルであり、実際の所デザイナがコードを学ぶよりも大切ではないかと指摘する。たしかに、コーディングのスキルはデジタルのプロダクトを扱うデザイナにとっては有用なスキルではあるのは確かだが、様々な状況において、プロトタイピングができるということは、デザイナにとって重要なツールセットであるとコメントする。


## [KV Storage: the Web's First Built-in Module by Philip Walton](https://developers.google.com/web/updates/2019/03/kv-storage)

[ローカルストレージは遅く](https://hacks.mozilla.org/2012/03/there-is-no-simple-solution-for-local-storage/)、IndexedDBはデベロッパーフレンドリーであるとは言い難い。この記事ではChromeで提供される予定のKV Storageについて解説する。KV Storageは、ブラウザで使える非同期のキーバリューストレージのことであり、ローカルストレージのようにシンプルでかつ高速なストレージを提供してくれる。具体的なソースコードを交えてどのように現在のブラウザのストレージ機能が改善されるかを紹介していく。


## [How to validate an idea when you’re not working in a startup. by Tina Hsieh](https://blog.mozilla.org/ux/2019/03/how-to-validate-an-idea-when-youre-not-working-in-a-startup-2/)

素晴らしいアイデアを思いついたとき、それがマーケットが刺さるかどうかをステークホルダーに理解させるにはどうすればよいか。この記事では、アイディアをどのように検証するか、その方法について紹介する。


1. ステークホルダーと仮説を立てる
2. アイディアを検証する目的を明確にする
3. 仮説を正確に検証する方法を選択する
  1. 参加型ワークショップ
  2. ピッチングセッション
  3. ユーザーテスト
  4. オンラインサーベイ
  5. ランディングページテスト
[](https://blog.mozilla.org/ux/2019/03/how-to-validate-an-idea-when-youre-not-working-in-a-startup-2/)

## In Brief
- [**JavaScript Loading Priorities in Chrome by Addy Osmani**](https://addyosmani.com/blog/script-priorities/): ブラウザがどのようにスクリプトの優先順位をつけ、読み込み、実行していくかについての解説
- [**Breaking Boxes With CSS Fragmentation by Rachel Andrew**](https://www.smashingmagazine.com/2019/02/css-fragmentation/)**:** CSS Fragmentationの仕様について解説する
- [**Removing duplicate objects from an Array (is hard) by Ire Aderinokun**](https://bitsofco.de/removing-duplicate-objects-from-an-array-is-hard/): オブジェクトが含まれている配列から、重複を削除するメソッドの実装例を紹介する
- [**Fastify and Preact for quick web app prototyping by Luciano Mammino**](https://loige.co/fastify-and-preact-for-quick-web-app-prototyping/): FastifyとPreactを利用して、Webアプリを作成するサンプルを紹介。シンプルなウェブアプリケーションを作成し、Dockerに乗せて実行するところまで
- [**The Dark Side of the Grid (Part 1) by Manuel Matuzovic**](https://www.matuzo.at/blog/the-dark-side-of-the-grid/)**:** CSSグリッドレイアウトとアクセシビリティに関する記事全3パートのパート1。CSSグリッドレイアウトはレイアウトを構築するために多くの方法を提供する柔軟性があるが、上手く利用できなければユーザエクスペリエンスとアクセシビリティを損なう可能性があることを指摘する

