# Frontend Weekly Vol.213
“リファクタリングトンネル”という考え方、スクリーンリーダーのためのセマンティクス、F1で一番早いのはどのサイト？、ほか計10リンク

## [Refactoring Tunnels by Harry Roberts](https://csswizardry.com/2017/06/refactoring-tunnels/)

https://csswizardry.com/2017/06/refactoring-tunnels/

“**リファクタリングトンネル”という考え方**

リファクタリングに関するプロジェクトを多く経験してきたHarry Roberts氏は、リファクタリングには多くの要素が存在するが、特に以下の2つの大きな問題があると指摘する。


1. ビジネスの殆どは、リファクタリングに関して投資することを躊躇している
2. リファクタリングすることが恐ろしい

この2つの問題を解決するためのアイディアが、この記事のテーマとなる”リファクタリングトンネル”の考え方になる。リファクタリングトンネルとは何か、それがどのようにリファクタリングを行うための手助けとなるか、解説する。

[Semantics to Screen Readers by Melanie Richards](https://alistapart.com/article/semantics-to-screen-readers)

https://alistapart.com/article/semantics-to-screen-readers


**スクリーンリーダーのためのセマンティクス**

Assistive technologiesのひとつとしてよく知られているのがスクリーンリーダーである。例えば、VoiceOverなどのプログラムはデジタルコンテンツを音声出力でユーザーに提示したりすることができる。この記事ではそういったユーザーを補助する機能が、実際にはどのようにウェブサイトの情報を用いて動作するかについて詳しく解説していく。

## [Who has the fastest website in F1? by Jake Archibald](https://jakearchibald.com/2019/f1-perf/)


https://jakearchibald.com/2019/f1-perf/


**F1で一番早いのはどのサイト？**

最近更新されたオフィシャルWebサイト10個を比較し、パフォーマンスの観点でWebサイトを順位付けする。F1とかけた検証のアイディア自体も面白いが、Jake氏がどういったツールを使い、どういった観点でパフォーマンスを計測しているかについて、示唆に富んだ内容となっている。


## [Typography in Design Systems by Dan Mall](http://danmall.me/articles/typography-in-design-systems/)

デザインシステムにおけるタイポグラフィについて、実際の経験に基づいたエピソードを紹介する。特に、文字サイズのパターンの定義について、どのような観点でシステムを構築していったかについて。推測しやすく、直感的であるネーミングはどういったものか、プリセットのパターン、また、それを実際のコードでどのように扱ったかを解説する。


## [CSS debugging is hard by Vincent De Oliveira](http://iamvdo.me/en/blog/css-debugging-is-hard)

AppleのWebサイトで見つけたバグについての考察。一見ブラウザのバグに見えたが、実際のところは実装上のバグだったことを突き止めるまで。


## In Brief
- [**JavaScript Symbols: But Why? byThomas Hunter II**](https://medium.com/intrinsic/javascript-symbols-but-why-6b02768f4a5c): JavaScript Symbolsについての解説。JSの基本的な値のタイプから学び、それがどのような位置づけになるか、どのような場面で有効かを紹介する
- [**JavaScript "loose" comparison step by step by Felix Kling**](https://felix-kling.de/js-loose-comparison/): JavaScriptにおける等価演算子(`==`)が厳密にはどのように検証を行っているかをデモするサンプル
- [**TypeScript and React, BFF by Leigh Halliday**](https://www.telerik.com/blogs/typescript-and-react-bff): ReactをTypeScriptで書くためのセットアップについてのチュートリアル。導入の方法から、実際にどのようにTypeScriptがReactを使った開発に役立つかを解説する
- [**Do you really know how a lockfile works for yarn and npm packages? by Liran Tal**](https://snyk.io/blog/making-sense-of-package-lock-files-in-the-npm-ecosystem/): `pa``ck``age-lock.json`などのlockファイルがどのように動作するかについて詳しく解説する
- [**What the Functor? by Matthew Gerstman**](https://www.matthewgerstman.com/tech/what-the-functor/): 関数型プログラミングで必ず出てくるファンクター、モノイド、モナドなどについてJavaScriptを用いて解説していく

