# Frontend Weekly Vol.215
アクションパターン: きれいで、明白で、テスト可能なコード、誰も教えてくれないCSSの8つの原理、プロダクト開発の中心にストーリーテラーが必要な理由、ほか計10リンク

## [The Action Pattern: Clean, Obvious, Testable Code by Ryan Glover](https://ponyfoo.com/articles/action-pattern-clean-obvious-testable-code)
https://ponyfoo.com/articles/action-pattern-clean-obvious-testable-code


**アクションパターン: きれいで、明白で、テスト可能なコード**

一つのAPIで複数のステップを持つ処理を行うことはよくあること。この記事では、サインアップのAPIをリファクタリングする過程にActionsと呼ばれるデザインパターンを適用する例を紹介する。初期の段階では、エラーを追ったり、追加の修正を加えたりすることが難しい状態であったが、Actionsを適用することで、非常に単純でかつ柔軟性があり、メンテナブルな状態へと改善していく。


## [Eight CSS fundamentals no one teaches us by Josh Tumath](https://joshtumath.uk/2019/04/03/eight-css-fundamentals-no-one-teaches-us.html)

https://joshtumath.uk/2019/04/03/eight-css-fundamentals-no-one-teaches-us.html

**誰も教えてくれないCSSの8つの原理**

CSSの基礎的な原則を紹介する。CSSを学び始めたときにつまづきそうなポイントを抑え、CSSがどのように振る舞うのかを理解する際のに役立つ内容。


- すべてはbox
- すべてのboxはフローの中でレイアウトされる
- すべてのboxはBox Modelに従う
- 横幅と縦幅はコンテンツに従う
- マージンは上書きされる
- 絶対配置の基準は指定できる
- 疑似要素はコンテンツがない場合、現れない
- ブラウザにはデフォルトのスタイルシートがある


## [Why We Need Storytellers at the Heart of Product Development by Sarah Doody](https://uxmag.com/articles/why-we-need-storytellers-at-the-heart-of-product-development)
https://uxmag.com/articles/why-we-need-storytellers-at-the-heart-of-product-development


**プロダクト開発の中心にストーリーテラーが必要な理由**

Sarah氏はプロダクト開発において、プロダクトストーリーテラーが非常に重要な役割を持つと話す。製品は単なるアイデアや実際のWebサイトではなく、ユーザーのニーズを満たすことであり、誰かの生活に付加価値を与えるサービス自体のことを指す。それはしばしば、実際のデザインや開発よりもないがしろにされることがあると指摘し、その重要性を説く。


## [Sophisticated Partitioning with CSS Grid by Rob Weychert](https://v6.robweychert.com/blog/2019/03/css-grid-sophisticated-partitioning/)

ショーリストのデザインをCSS Grid Layoutを利用して作成する。CSS Grid Layoutを利用することによって、シンプルなマークアップに対して、自由度の高いレイアウトを適用させることができる例を示す。


## [How to simplify your design by Taras Bakusevych](https://uxplanet.org/how-to-simplify-your-design-69d97fde11b9)

単純さをテーマとしたデザインの原則をイラスト付きで解説する。下記の内容に加え、計21個のアイディアを紹介。


- 値に着目してプロダクトを作る
- 不必要なものをすべて削除する
- データを意味のある形に変える
- 素早い決定を手助けする
- 多すぎる選択肢はカスタマを追い払ってしまう


## In Brief
- [**An Introduction to Web Components by Caleb Williams**](https://css-tricks.com/an-introduction-to-web-components/): Web Componentsについての連載の第一回。1回目の本記事では、シンプルな方法でWebコンポーネントを構築する。
- [**A Complete Guide to useEffect by Dan Abramov**](https://overreacted.io/a-complete-guide-to-useeffect/): `useEffect` を詳しく解説する。
- [**The Pitfalls of Async/Await in Array Loops by Tory Walker**](https://medium.com/dailyjs/the-pitfalls-of-async-await-in-array-loops-cf9cf713bfeb): 非同期処理が絡んだループ処理について、その特徴と注意点を解説する。
- [**I Don’t Hate Arrow Functions by Kyle Simpson**](https://davidwalsh.name/i-dont-hate-arrow-functions): アロー関数の特性を解説する。非常に便利な構文であるが、場合によっては、それが分かりにくいコードを作り出してしまう原因になることを指摘する
- [**An Illustrated (and Musical) Guide to Map, Reduce, and Filter Array Methods by Una Kravets**](https://css-tricks.com/an-illustrated-and-musical-guide-to-map-reduce-and-filter-array-methods/): イラストでMap、Reduce、Filterのメソッドがどのような働きをするのかを分かりやすく解説する

