# Frontend Weekly Vol.216
単純さと退屈さ、不便なデザインの価値、柔軟で壊れないコンポーネントを書く、ほか計10 リンク

## [Simple & Boring by Chris Coyier](https://css-tricks.com/simple-boring/)
https://css-tricks.com/simple-boring/


**単純さと退屈さ**

Chris氏がWeb開発における、単純さと退屈さ、について言及する。昨今のWeb開発における、複雑さと、Webが本来持つ単純さについて。退屈、という言葉は一見ネガティブに感じるが、退屈な技術、退屈なコード、退屈な開発者は悪なのか。


## [The Value of Inconvenient Design by Jesse Weaver](https://medium.com/s/user-friendly/the-power-of-inconvenience-f0ae1773dd77)
https://medium.com/s/user-friendly/the-power-of-inconvenience-f0ae1773dd77


**不便なデザインの価値**

人が感じる満足度と、不便さについての考察。Jesse氏は適度な摩擦(不便さ)が、満足度と大きく関係し、それが多すぎても、少なすぎても人が満足度を得ることができないことを示している。私達は摩擦について再度向き合い、どの問題が解決するに値するかを考えていかなければならない。それがプロダクトデザインの価値を最大化させることにつながるのでは。


## [Writing Resilient Components by Dan Abramov](https://overreacted.io/writing-resilient-components/)

**柔軟で壊れないコンポーネントを書く**

JavaScriptは賢いリンターやフォーマッターによって、コード自体を美しくはできるが、それだけでは堅牢なコンポーネントを作ることには繋がらない。この記事では、React開発において、壊れにくいコンポーネントを作るための原則を紹介する。コードの見た目ではなく、動作自体にフォーカスしたデザインに必要なものとは。


1. データフローを止めない
2. いつでもrenderできる状態にする
3. シングルトンのコンポーネントは存在しない
4. ローカルのstateを分離する


## [GraphQL in Depth: What, Why, and How by Ryan Glover](https://ponyfoo.com/articles/graphql-in-depth-what-why-and-how)

GraphQLを非常にわかりやすく解説してくれる。基本的な要素の解説、RESTの問題点とGraphQLがそれをどのように解決するか、実際のコードを交えたサンプルの紹介、使い所などを詳しく紹介していく。

## [10 Lessons Learned Conducting Code Reviews by Jacque Schrag](https://dev.to/jnschrag/10-lessons-learned-conducting-code-reviews-5di6)

Jacque氏がチーム開発を始めた中で感じた重要な要素を紹介する。


- ポジティブに行う
- あなたではなく、コードの問題
- 行を指定する
- プロジェクトのルールを早めに決め、ツールを利用する
- 全体からはじめ、詳細に移っていく
- レビュー時間を確保する
- 期待する形を定義する
- 全員がレビューする
- まめにレビューする
- 他の方法があることを念頭にいれておく
## PR

5/18（土）に東京・渋谷でWeb フロントエンドのカンファレンスであるInside Frontendがおこなわれます。SlackのSenior Staff Engineerであり、Electronのco-maintainerであるFelix Rieseberg氏をはじめ、Webに関わる国内外の開発者が登壇するイベントです。
すでに半分ほど席が埋まっていますので、参加希望の方はお早めに申込ください。
http://inside-frontend.com

## In Brief
- [**In Defense of the Ternary Statement by Burke Holland**](https://css-tricks.com/in-defense-of-the-ternary-statement/): 安易にif節を追加することなく、三項演算子や、or/and を使うことで、リーダブルなコードをにする例を示す
- [**Using a Mixin to Take the Math out of Responsive Font Sizes by Martijn Cuppens**](https://css-tricks.com/using-a-mixin-to-take-the-math-out-of-responsive-font-sizes/): CSSでレスポンシブなフォントサイズを実現するためのcalcの使い方と、便利なmixinの紹介
- [**Writing CSS Algorithms by Lara**](https://notlaura.com/writing-css-algorithms/): 基本的にCSSでは、宣言的に記述していくが、そんなCSSでアルゴリズムを組むための方法を考える
- [**What Are Design Tokens? by Robin Rendle**](https://css-tricks.com/what-are-design-tokens/): デザイントークンとはなにか。具体的な例とともに、どういった場面でそれが活躍するのかについて紹介する
- [**How To Align Things In CSS by Rachel Andrew**](https://www.smashingmagazine.com/2019/03/css-alignment/): 要素の並びを整える際に使えるテクニックと、それぞれの特性、どのような場面でそれを使うべきかを紹介する

