# Frontend Weekly Vol.217
Webフロントエンドの2つの側面、Webサイトは”車”であり、”本”ではない、WebAssemblyを使用して、Webアプリを20倍高速にした、ほか計10リンク

## [Split by Jeremy](https://adactio.com/journal/15050)

https://adactio.com/journal/15050

**Webフロントエンドの2つの側面**

Webフロントエンドを2つに分けて考察する。例えば、HTML/CSS/JavaScriptという、エンドユーザーに直接関わるものを”前側”、SassやWebpackといったエンドユーザーに直接かかわらないものを”裏側”と考えたとき、昨今の開発は裏側、つまり開発者体験を重視して、ユーザー体験を軽視しているのではないかとJeremy氏は指摘する。他にも、Webを作っている人と、Webを作っていない人、など2つの側面を対比させていきながら、Webフロントエンド開発についての考えを展開していく。


## [A Website is a Car and Not a Book by Robin Rendle](https://css-tricks.com/a-website-is-a-car-and-not-a-book/)
https://css-tricks.com/a-website-is-a-car-and-not-a-book/


**Webサイトは”車”であり、”本”ではない**

一見"Webデザイン”という言葉は、WebがWebページよばれるように、”本”をデザインするようなものと感じることがあるが、実際のところ、それは精密な部品が組み合わさって生み出される、”車”のようなものであると[Lindsy](https://twitter.com/lindsaygrizzard)氏は指摘する。また、フロントエンド開発者が抱える不満について。


https://martinfowler.com/articles/domain-oriented-observability.html


[How We Used WebAssembly To Speed Up Our Web App By 20X (Case Study) by Robert](https://www.smashingmagazine.com/2019/04/webassembly-speed-web-app/)

**WebAssemblyを使用して、Webアプリを20倍高速にした**

WebAssembly を使ってパフォーマンスを劇的に改善した例を紹介する。[fasts.bio](http://fast.bio/) ではグラフを表示するために、アップロードされたデータをJavaScriptを用いて計算処理を行っていた。そこで、その処理の部分をWebAssemblyに任せる実装を施したところ、20倍ものパフォーマンス改善に成功した。


## [Opinion: We Built A Broken Internet. Now We Need To Burn It To The Ground. by Mike Monteiro](https://www.buzzfeednews.com/article/mikemonteiro/we-built-a-broken-internet-now-we-need-to-burn-it)

インターネットの在り方についてのオピニオン。Mike氏はインターネットの生まれた意味と現在の使われ方の乖離に大きな疑問を感じている。元来、それは人々がお互いに簡単にコミュニケーションがとれるようなツールであったはずが、人を傷つけるような使われ方をされてきているのではないか。Twitterを例に取り、インターネットの価値について意見する。


## [Revisiting the rendering tier by Alex Sanders](https://www.theguardian.com/info/2019/apr/04/revisiting-the-rendering-tier)

現在の[theguardian.com](http://theguardian.com)は約6年前に開発され、改修を重ねてきている。書かれたSassは62,783行にも及び、数千のルールがデザイン、及びビジネスの要求を満たすために記述されている。この記事では、主にCSSに関する大規模開発についての考察を行う。メンテンナンスコストがかかるソースになってしまう経緯や、それを防ぐための方法論の紹介、また、そういった技術や手法をどのように判断し、採用していったかについて紹介していく。


## In Brief
- [**Intro to RxJS Concepts with Vanilla JavaScript by Cree**](https://dev.to/creeland/intro-to-rxjs-concepts-with-vanilla-javascript-4aji): RxJSのObservable / Observerの考え方をVanilla JD で実装して、理解を深めるのを助けてくれる
- [**HTML Includes That Work Today by Scott Jehl**](https://www.filamentgroup.com/lab/html-includes/): HTMLをimportする方法を、現段階で現実的な方法で紹介する
- [**Color accessibility: tools and resources to help you design inclusive products by Stéphanie**](https://stephaniewalter.design/blog/color-accessibility-tools-resources-to-design-inclusive-products/): 色に関するアクセシビリティについての気をつけておきたいこと、まま、活用できるツールやリソースの紹介
- [**Human error: an important ingredient in great designs by Emanuel Serbanoiu**](https://uxdesign.cc/human-error-an-important-ingredient-in-great-designs-5cd1c278ba7f?ref=uxdesignweekly): 人為的なミスについてのデザインとは。ヒューマンエラーはどんなユーザーでも起こす可能性があり、それをどのようにデザインして改善できるか
- [**Domain-Oriented Observability by Pete Hodgson**](https://martinfowler.com/articles/domain-oriented-observability.html)**:** ソフトウェアシステムの可観測性は非常に重要であるが、実際に実装する場合、ログの記録や、計測を行う冗長な処理が、いたるところに必要になってしまうことが多い。この記事では、この問題を解決しつつ、ビジネスに関する可観測性を持たせるための方法を紹介する。

