# Frontend Weekly Vol.218
技術的負債に関する神話、データの視覚化によくある失敗、構造の検査、ほか計10リンク

## [The Technical Debt Myth by Kaolina Szczur](https://www.helpscout.com/blog/technical-debt/)

https://www.helpscout.com/blog/technical-debt/

**技術的負債に関する神話**

技術的負債はコードのリファクタリングの必要性を伝えるために広く使用されている比喩となっており、耳にする機会は多い。しかしながら、その言葉に多くの問題をひとまとめにしてしまい、効果的な問題解決が行われないこともある。この記事では技術的負債に関する課題を指摘しながら、何が技術的負債に該当しないのか、どういった問題をすぐに対処すべきか、などをを判断するためのフレームワークの紹介をする。


## [Mistakes, we’ve drawn a few by Sarah Leo](https://medium.economist.com/mistakes-weve-drawn-a-few-8cdd8a42d368)
https://medium.economist.com/mistakes-weve-drawn-a-few-8cdd8a42d368


**データの視覚化によくある****失敗**

[The Economist](https://www.economist.com/)ではデータの視覚化を頻繁に行っており、その過程で多くのナレッジを獲得している。この記事では、その過程で学んだ、データ視覚化に伴うよくある失敗をまとめ、それぞれのサンプルとそれをどのように改善するべきかについて紹介していく。


1. 誤解を招くチャート
2. 混乱を招くチャート
3. 指摘していないチャート


## [Everyday Information Architecture: Auditing for Structure by Lisa Maria Martin](https://alistapart.com/article/everyday-information-architecture-excerpt/)
https://alistapart.com/article/everyday-information-architecture-excerpt/


**構造の検査**

情報を構造化するためのフレームワークの紹介。Webサイトの情報を構造化するために踏むべきステップを、実際にスプレッドシートを用いた方法で解説していく。


## [SameSite cookies explained by Rowan Merewood](https://web.dev/samesite-cookies-explained/)

SameSite cookieについての概要を解説する。Cookieの基本的な仕組みと、その問題をSameSite cookieがどのように解決するのかについて。


## [The CSS Handbook: a handy guide to CSS for developers by Flavio Copes](https://medium.freecodecamp.org/the-css-handbook-a-handy-guide-to-css-for-developers-b56695917d11)

最新のCSSの機能を盛り込んだ、CSSハンドブック。非常に細かく解説されており、読み応えがあるが、初心者から上級者まで役に立つ記事。


## In Brief
- [**Component Testing Plans by Nathan Curtis**](https://medium.com/@nathanacurtis/component-testing-plans-face830d7e44)**:** コンポーネントをテストするための基準とツールについて、その基本と発展系について
- [**How I failed the**](https://remysharp.com/2019/04/04/how-i-failed-the-a) `[**<a>**](https://remysharp.com/2019/04/04/how-i-failed-the-a)` [**by Remy Sharp**](https://remysharp.com/2019/04/04/how-i-failed-the-a): Reactで`onClick`を実装する際に起きがちな間違いについて解説する
- [**CSS Subgrid News and demos by Rachel Andrew**](https://rachelandrew.co.uk/archives/2019/04/16/css-subgrid-news-and-demos/): CSSのグリッドレイアウトとサブグリッドを使用したサンプルをコードを交えて紹介する
- [**Revisiting prefers-reduced-motion, the reduced motion media query by Eric Bailey**](https://css-tricks.com/revisiting-prefers-reduced-motion-the-reduced-motion-media-query/)**:** `prefers-reduced-motion`のメディアクエリ
- [**A horrifying globalThis polyfill in universal JavaScript by Mathias Bynens**](https://mathiasbynens.be/notes/globalthis): `globalthis`のポリフィルを実装する難しさについて解説する

