# Frontend Weekly Vol.219
UXのポジション、なぜフロントエンドのパフォーマンスにフォーカスするのか、なぜ、どのように、そしていつセマンティックHTMLとARIAを使うのか

## [The Place of UX by Ryan Singer](https://m.signalvnoise.com/the-place-of-ux/)
https://m.signalvnoise.com/the-place-of-ux/


**UXの****ポジション**

UXに関する議論。UXデザイナの役割とは、ユーザーリサーチ、どの程度ユーザーに関する知識を組織に浸透させるべきかについて。

- 需要と供給の境界におけるUX
- モジュール式 対 統合された境域とUX
- ドメイン固有 対 ドメインから独立したUX


## [Why we focus on frontend performance by Matt Hobbs](https://technology.blog.gov.uk/2019/04/18/why-we-focus-on-frontend-performance/)
https://technology.blog.gov.uk/2019/04/18/why-we-focus-on-frontend-performance/


**なぜフロントエンドのパフォーマンスにフォーカスするのか**

GOV.UKの開発チームのパフォーマンスに関する考えや取り組みを紹介する。英国ユーザーの使用しているデバイス、接続環境などについても調査を行い、またそれを受けて、技術の選定を進めており、ユーザーに可能な限りストレスなく閲覧するためにどういったことを行っているかについて紹介していく。


## [Why, How, and When to Use Semantic HTML and ARIA by Adam Silver](https://css-tricks.com/why-how-and-when-to-use-semantic-html-and-aria/)
https://css-tricks.com/why-how-and-when-to-use-semantic-html-and-aria/


**なぜ、どのように、そしていつセマンティックHTMLとARIAを使うのか**

Adam氏はセマンティックHTMLとARIAはすべての人に役立つUIを作成するのに重要な役割を持っているが、多くの人がまだそれらを使用していないことを指摘する。Twitter上での投票では、それを使用することについての利点を認識、理解していないことが、一番の理由であった。この記事では、単純なHTMLから始めていき、どのようにSemantic HTMLをARIAを適用していくのか、そしてその利点を紹介していく。


## [Long-form websites and typography by Eric Lawler](https://lawler.io/scrivings/long-form-websites-and-typography/)

Eric氏はHacker Newsで共有された2つの記事、[”さまざまなデバイスでで見栄えの良いWebサイトを構築する方法”](https://jrl.ninja/etc/1/) と [“どのようにGoogleが古いWebを忘れているか”](http://stop.zona-m.net/2018/01/indeed-it-seems-that-google-is-forgetting-the-old-web/) を受けて、自身の考えを記事した。ユーザーの読みやすさとディスプレイの解像度の関係、いつまでも掲載され続けるコンテンツ、変わってしまったMedium.com、など考えを展開していく。


## [Level up command-line playgrounds with WebAssembly by Robert Aboukhalil](https://opensource.com/article/19/4/command-line-playgrounds-webassembly)

WebAssemblyはCやRustなどの言語で書かれたコードをコンパイルし、ブラウザで実行することができるが、コマンドラインツールもまたブラウザで実行することができる。この記事では、WebAssemblyをコマンドラインのプレイグラウンドとして使うための方法を紹介する。具体的には、`jq`コマンドをブラウザで直接実行することを試みる。


## In Brief
- [**Exploring the hidden potential of JavaScript arrays! by Areknawo**](https://areknawo.com/exploring-the-hidden-potential-of-javascript-arrays/): Arrayオブジェクトに備わる様々なメソッドについて解説する。
- [**Easy Automatic npm Publishes by nzs**](https://blog.npmjs.org/post/184553141742/easy-automatic-npm-publishes): npmの`publish`をCIで自動化する場合のベストプラクティスを紹介する
- [**Digging Into The Display Property: Box Generation by Rachel Andrew**](https://www.smashingmagazine.com/2019/05/display-box-generation/): `display` のプロパティでBoxの生成をコントロールする方法を紹介。 `display: none;` と `display: contents;` の挙動の違いとは
- [**From Redux to Hooks by Sergey**](https://staleclosures.dev/from-redux-to-hooks-case-study/): `Hooks` を使って `Redux`  を置き換える際に考慮すべきことを解説する
- [**The Circle of a React Lifecycle by Kingsley Silas**](https://css-tricks.com/the-circle-of-a-react-lifecycle/): Reactのライフサイクルについて詳しく紹介していく

