# Frontend Weekly Vol.220
フロントエンドデベロッパとデザイナのギャップを埋める方法、ネィティブ遅延読み込みとハイブリッド遅延読み込み、“モード”というUI、ほか計10リンク

## [How Frontend Developers Can Help To Bridge The Gap Between Designers And Developers by Stefan Kaltenegger](https://www.smashingmagazine.com/2019/05/frontend-developers-designers/)
https://www.smashingmagazine.com/2019/05/frontend-developers-designers/


**どのようにフロントエンドデベロッパがデザイナとデベロッパのギャップを埋めるのを手助けできるのか**
[](https://www.smashingmagazine.com/2019/05/frontend-developers-designers/)
Stefan氏が９年間デザイナと協業してきて得た、デザイナとデベロッパが円滑に協業するためのアイディアを紹介する。この課題に対しては様々な方法論があるが、詰まるところ地道なコミュニケーションが鍵であると指摘する。


- 詳細な部分に目を向ける
- 尊敬の念を持って、コミュニケーションをとる
- 早めに、そして定期的にチェックする
- デザイナとコミュニケーションできる時間を作っておく


## [Hybrid Lazy Loading: A Progressive Migration To Native Lazy Loading by Andrea](https://www.smashingmagazine.com/2019/05/hybrid-lazy-loading-progressive-migration-native/)
https://www.smashingmagazine.com/2019/05/hybrid-lazy-loading-progressive-migration-native/


**ハイブリッド遅延読み込み: ネィティブの遅延読み込みへの段階的な移行**

パフォーマンス改善のために画像の遅延読み込みを実装するのはよくある話。通常であれば、JavaScriptを用いて遅延ローディングを実装することが多いが、ブラウザネィティブの遅延読み込み機能があることはご存知だろうか。この記事ではJavaScript駆動の遅延読み込みの実装を比較対象とし、ネィティブの遅延読み込み機能についての紹介を行う。また、プログレッシブ・エンハンスメントの考えに基づいた、ハイブリッドな実装方法について。(機能自体は、Chromium 75に数ヶ月以内に実装される予定)


## [Modes in User Interfaces: When They Help and When They Hurt Users by Page Laubheimer](https://www.nngroup.com/articles/modes/)
https://www.nngroup.com/articles/modes/


**“モード”というUI: どういった場面でそれが使いやすく、そして不便なものになってしまうのか**

モードというユーザーインターフェースについての考察。モードは多数の機能を管理するのに役に立つが、適切な設計を行わない場合、ユーザーへストレスを与えてしまう。具体的には、現在のモードを分かっていない状態で、思ったとおりに操作ができないこと(例: Caps Lock)がある。モードを使用する場合には、現在のアクティブなモードを明確に表示する必要があり、特に重大な操作を行う場面では、使うのを避けた方が良いと結論づける。


## [How to know what to test by Kent C. Dodds](https://kentcdodds.com/blog/how-to-know-what-to-test)

何をテストするべきか判断するためのアドバイス。なぜテストするのか、それはユーザーがアプリケーションを利用できることを保証するためである。コード自体を中心にするのではなく、ユースケースから考えることで、テストを書く優先度を決定できる。


- どこの部分が壊れていたら一番困るか
- このアプリにおいて、壊れていたら最悪の部分とはどこか


## Video
## [How to Create an SVG Pie Chart—Code Along with Kasey (Video) by Kasey Bonifacio](https://seesparkbox.com/foundry/how_to_code_an_SVG_pie_chart)

ゼロからパイチャートをHTMLで作る。具体的にはsvgタグとcircleタグを組み合わせて、Web上で表示できるパイチャートを実装する流れを動画で紹介してくれる。スクラッチで丁寧に解説してくれるため、非常に分かりやすい。


## In Brief
- [**4 reasons your z-index isn’t working (and how to fix it) by Jessica Chan**](https://medium.freecodecamp.org/4-reasons-your-z-index-isnt-working-and-how-to-fix-it-coder-coder-6bc05f103e6c)**:** `z-index`が思ったとおりに動作しないケースの紹介と、それをどのように対処するかについて
- [**Paint Holding - reducing the flash of white on same-origin navigations by Addy Osmani**](https://developers.google.com/web/updates/2019/05/paint-holding): Chromeに実装される`Paint Holding`という機能の紹介。ページの読み込みが十分速い場合には、意図的にペイントを遅らせることで、白画面を表示せずに遷移が可能になる仕組み
- [**5 Rules for Choosing the Right Words on Button Labels by Anthony**](https://uxmovement.com/buttons/5-rules-for-choosing-the-right-words-on-button-labels/): ボタンのラベルをつける際に頭にいれておきたいルール
- [**Elegant error handling with the JavaScript Either Monad by James Sinclair**](https://blog.logrocket.com/elegant-error-handling-with-the-javascript-either-monad-76c7ae4924a1): `try…catch` の例外処理の問題点を指摘しながら、Monadを利用したスマートなエラーハンドリングの実装方法について
- [**Javascript Array.push is 945x faster than Array.concat 🤯🤔 by Shi Ling**](https://dev.to/uilicious/javascript-array-push-is-945x-faster-than-array-concat-1oki): JavaScriptの`push`と`concat`のパフォーマンスを比較し、それぞれがどういった特性をもっているのか、最終的にどちらが高速に動作するのかについて実験し調査する

