# Frontend Weekly Vol.222
なぜ私が共感デザインを信用していないのか、アクセシブルなアイコンボタン、問題解決のための8つのアドバイス、ほか計10リンク

## [Why I Don’t Believe in Empathic Design by Don Norman](https://theblog.adobe.com/why-i-dont-believe-in-empathic-design-don-norman/)
https://theblog.adobe.com/why-i-dont-believe-in-empathic-design-don-norman/


**なぜ私が共感デザインを信用していないのか**

“ユーザーエクスペリエンス” という言葉の生みの親、Don Norman氏は、共感デザインがなぜ有効でないのか、また、そのかわりに何をすべきなのかについて語る。Webの業界では何百、何千、ときには何百万という多くの人々によって使われるプロダクトやサービスを取り扱う場合が多く、個々のユーザーを理解するということは、あまり有効な手段ではないと指摘する。氏が提唱してきた、人間中心のデザインプロセスの考えに基づき、本当の問題は何か、本当のニーズは何か、人々が何を実行しようとしているのかについて焦点を当てるべきだと提案する。


## [Accessible Icon Buttons by Sara Soueidan](https://www.sarasoueidan.com/blog/accessible-icon-buttons/)
https://www.sarasoueidan.com/blog/accessible-icon-buttons/


**アクセシブルなアイコンボタン**

アイコンボタンとは、アイコンのみを含み、テキストを表示しないボタンのことを指す。よく使われるUIではあるが、このようなUIの多くは、適切なアクセシビリティが欠けている事が多い。この記事では、これらをアクセシブルに実装できる方法として、Chromeでのデバッグの方法、そしてコードを交えながら具体的な実装のテクニックについて紹介していく。


## [Moving Past Tutorials: 8 Tips for Problem Solving by Ali Spittel](https://dev.to/aspittel/moving-past-tutorials-8-tips-for-problem-solving-3e0p)
https://dev.to/aspittel/moving-past-tutorials-8-tips-for-problem-solving-3e0p


**問題解決のための8つのアドバイス**

プログラミングをする際に有効な8つのアイディアを紹介する。


- チュートリアルで基本を理解しておく
- 問題を分解して考える
- 以前に解決した、似たような問題を参考にする
- 自分を信じて進む
- 効果的にGoogleを使い、すぐに助けをもとめない
- 早く失敗し、細かく修正する
- イライラしてきたら、休憩する
- たくさんの練習をし、繰り返し学習していく


## [What State Machines Are and Why We Use Them by Robert Vogt](https://blog.smartive.ch/what-state-machines-are-and-why-we-use-them-5ea55183be09)

Robert氏は図書館ソフトウェアを作成した際に直面したバグを例にとりあげ、それがなぜ起きてしまったかについて考察する。大学で学んだオートマトン理論の大切さを再度認識し、実際に問題が起きたソフトウェアに対してその考えを適用することで、どのように問題が解決できるかについて紹介していく。


## Video
## [When Do We Need A Design System? An Interview With Brad Frost by Vitaly Friedman](https://www.smashingmagazine.com/2019/06/building-design-systems-interview-brad-frost/)

Atomic Designの著者である、Brad Frost氏へのインタビュー動画。デザインシステムをどのような場合に取り入れ、そしてどのようにメンテナンスしていくかについて、アイディアを語る。


## In Brief
- [**Authentication in React Applications by Kent C. Dodds**](https://kentcdodds.com/blog/authentication-in-react-applications): Reactアプリにおいて、認証に関わる要件をどのように単純に実装するかについての解説
- [**How to Design Destructive Actions That Prevent Data Loss by Aanthony**](https://uxmovement.com/buttons/how-to-design-destructive-actions-that-prevent-data-loss/): 取り返しのつかない操作をユーザーにさせる場合のUXについて
- [**How to Use the Web Share API by Ayooluwa Isaiah**](https://css-tricks.com/how-to-use-the-web-share-api/): あまり知られていないWeb Share APIについて解説する
- [**A quick but complete guide to IndexedDB and storing data in browsers by Flavio Copes**](https://www.freecodecamp.org/news/a-quick-but-complete-guide-to-indexeddb-25f030425501/): IndexedDBに関する概要と基礎知識から応用まで、コードを交えながらに解説していく
- [**What is Interaction Design? by Teo Siang**](https://www.interaction-design.org/literature/article/what-is-interaction-design): インタラクションデザインとは何か、便利なインタラクションのモデルの紹介、インタラクションデザイナは普段どういったことをしているか、について解説する

