# Frontend Weekly Vol.225
JavaScriptのコスト 2019、30年のソフトウェア開発のキャリアから学んだこと、喜びは最後に、ほか計10リンク

## [The cost of JavaScript in 2019 by Addy Osmani](https://v8.dev/blog/cost-of-javascript-2019)

https://v8.dev/blog/cost-of-javascript-2019

**JavaScriptのコスト 2019**

Addy Osmani氏による、The cost of JavaScriptシリーズの2019年版。ここ数年でブラウザのJavaScriptの処理速度は向上しており、現在我々が考慮しなければならないのはダウンロード時間と、CPUの実行時間であると指摘する。これらのボトルネックを改善するためにどういった解決方法があるのか、解説していく。


[**Things I Learnt The Hard Way (in 30 Years of Software Development) by Julio Biason**](https://blog.juliobiason.net/thoughts/things-i-learnt-the-hard-way/):
https://blog.juliobiason.net/thoughts/things-i-learnt-the-hard-way/

**30年のソフトウェア開発のキャリアから学んだこと**

Julio氏は30年のソフトウェア開発の経験から学んだことを記事にする。非常に多岐に渡った内容になっているが、エンジニアならば目を通しておきたい内容。一部を抜粋する。

ソフトウェア開発に関して

- 仕様を決め、それから実装する
- コメントでステップを書いていく
- テスト仕様を書く

チームワークに関して

- コードレビューはスタイルに関してではなく、アーキテクチャ上のデザインを指摘する
- フォーマッティングツールは良いが、銀の弾丸ではない
- コードスタイルには従う


## [Delight Comes Last by Matthew Ström](https://matthewstrom.com/writing/delight-comes-last/)
https://matthewstrom.com/writing/delight-comes-last/


**喜びは最後に**

ソフトウェアデザインについての考察を展開する。3つのニーズのヒエラルキーの図を紹介しながら、私達が優れたソフトウェアをデザインし、実装していく上で重要なことを紹介していく。


> We shouldn’t settle for building software that is merely usable, just as chefs shouldn’t settle for cooking food that is merely edible.


> シェフが単に食べられるだけの食べ物を調理することを甘んじないように、私たちは単に使用可能なソフトウェアを作ることに甘んじるべきではありません。
## [How to do hard things by David R. MacIver](https://www.drmaciver.com/2019/05/how-to-do-hard-things/)

難しいことを学ぶためのフレームワークを紹介する。具体的には、成功時のイメージができるものに対して適応するシングルループシステムと、イメージができないものに対して適応するダブルループシステムという2つの方法を紹介し、それらをどのように使っていくのかについて紹介していく。
[](https://www.drmaciver.com/2019/05/how-to-do-hard-things/)

## [Toast by Jeremy](https://adactio.com/journal/15357)

Jeremy氏はGoogle  Chromeがtoastという要素を実装しているような[ディスカッション](https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/Gl7FIKM5IFw)を見て、Web標準化コミュニティが警鐘を鳴らしていることを記事にした。拡張可能なウェブは、多くの人の議論を経て実現されるべきだが、Google Chromeが単独に決定を行い、設計を行っているように見えると指摘している。


## Slide
## [Hello subgrid! by Rachel Andrew](https://noti.st/rachelandrew/i6gUcF/hello-subgrid)
https://noti.st/rachelandrew/i6gUcF/hello-subgrid


Rachel  Andrewが、今年ドイツ・ベルリンで開かれたCSSConf EUで使用したスライドを公開する。
subgridの仕様に関するもので、現状のsubgridの使用イメージや対応状況などを紹介する。スライドの下には、実際の発表の動画、サンプルコードなどを公開している。
 

## In Brief
- [**What does debugging a program look like? by Julia Evans**](https://jvns.ca/blog/2019/06/23/a-few-debugging-resources/): プログラムをデバッグするということはどういうことなのか。バグを確実に再現させる、デバッグしやすいコードを書く、などデバッグに関するTipsを教えてくれる
- [**When should you be using Web Workers? by Surma**](https://dassur.ma/things/when-workers/): いつWeb Workersを使うべきか。Surma氏は現代の多様なデバイスに対応するためにはWeb Workersは非常に有効な手段であると示す
- [**Magical, Mystical JavaScript Transducers by James Sinclair**](https://jrsinclair.com/articles/2019/magical-mystical-js-transducers/): トランスデューサーという仕組みをJavaScriptで実装し、スマートな配列操作を行う例を紹介する
- [**Bringing service workers to Google Search by Jeff Posnick**](https://web.dev/google-search-sw): サービスワーカーに対応したGoogle検索のトップ画面の実装について、どういったチャレンジがあり、それをどのように解決したかについて紹介する

