# Frontend Weekly Vol.226
マイクロフロントエンド: そのメリット、デメリットとは、デザインシステムを利用して、どのように35時間の節約ができたのか、良いコードレビュー、悪いコードレビュー、Web Components特集、ほか計12リンク

## [Microfrontends: the good, the bad, and the ugly by Kevin Ball](https://zendev.com/2019/06/17/microfrontends-good-bad-ugly.html)
https://zendev.com/2019/06/17/microfrontends-good-bad-ugly.html


**マイクロフロントエンド: そのメリット、デメリットとは**

マイクロフロントエンドという考え方について、その意味と、メリット・デメリットを解説していく。


> 「マイクロフロントエンドアーキテクチャ」とは、マイクロサービスからモデル化されたフロントエンドアプリケーションを構築するためのアプローチです。フロントエンドを独立してデプロイ可能な疎結合アプリケーションのセットに分割し、それらを組み合わせて、ユーザー向けのアプリケーションを作り上げます。

メリットとしては、アプリケーションが大規模であっても、分割された小規模のアプリケーションとして管理でき、デプロイも独立して行えるという点が挙げられるが、システム全体でバグの追跡、バージョンの管理などが複雑になるという面を併せ持っているという点がデメリットといえる。また、パフォーマンスの低下や、一貫性の欠如といった面も問題も。より詳細な解説は[こちら](https://martinfowler.com/articles/micro-frontends.html)から。


## [How To Save 35 Hours Using A Design System by Marcin Fuja](https://www.pgs-soft.com/blog/how-to-save-35-hours-using-a-design-system/)
https://www.pgs-soft.com/blog/how-to-save-35-hours-using-a-design-system/


**デザインシステムを利用して、どのように35時間の節約ができたのか**

デザインシステムは時間を節約するとよく言われているが、実際の所どれだけの時間が節約されるのだろうか。Marcin氏は、実際に仮想のシナリオを立て、デザインシステムがある場合とない場合にどういった違いがあるのかを解説していく。デザインシステムを活用することで、不要で繰り返しの多い作業をすべて取り除くことができ、合理的に作業を進めることができると話す。


## [Good Code Reviews, Better Code Reviews by Gergely Orosz](https://blog.pragmaticengineer.com/good-code-reviews-better-code-reviews/)

https://blog.pragmaticengineer.com/good-code-reviews-better-code-reviews/

**良いコードレビュー、悪いコードレビュー**

10年以上コードレビューをしてきたというGergely氏によるコードレビューをする際のTipsの紹介。


- コードレビューでカバーする範囲について
- レビュー時のトーン
- 変更依頼と許可について
- コードレビューから対話へ
- あら探し
- 新人へのコードレビュー
- 異なるオフィス、タイムゾーンでのレビュー
- 組織的なサポート
## Web Components
## [Why I use web components  by Andrea Giammarchi](https://gist.github.com/WebReflection/71aed0c811e2e88e3cd3c647213f0e6c)

Andrea氏はWeb Componentsのメリットや、よくある質問を取り上げながら、なぜWeb Componentsが有用なのかについて解説していく。


- プログレッシブ・エンハンスメントの観点
- CSSの観点
- プラットフォームの観点


## [Why I don't use web components by Rich Harris](https://dev.to/richharris/why-i-don-t-use-web-components-2cia)

Rich氏はAndrea氏のポストとは対象的に、なぜWeb Componentsの技術に懐疑的であるかを記事に残している。対象的な2つの記事を比べながら読んでいただきたい。


## [The Truth about Web Components and Frameworks by Dion Almaer](https://blog.almaer.com/the-truth-about-web-components-and-frameworks/)

Webコンポーネントvs.フレームワークの話題がなぜ何度も取り上げられるのか。Dion氏によるWeb Componentsについてのオピニオン

## 
## [Web Components Tutorial for Beginners [2019] by Robin](https://www.robinwieruch.de/web-components-tutorial/)

Web Componentsについて基礎から解説していく。チュートリアルでは実際にドロップダウンメニューのコンポーネントを作成する。


## In Brief
- [**Functional JavaScript: What are higher-order functions, and why should anyone care? by Christian**](https://jrsinclair.com/articles/2019/what-is-a-higher-order-function-and-why-should-anyone-care/): 高階関数について。その定義から、JavaScriptでどのように扱えるかについてコードを交えて解説していく
- [**8 DOM features you didn’t know existed by Louis Lazaris**](https://blog.logrocket.com/8-dom-features-you-didnt-know-existed-ec2a0a28fd89/): DOMを扱う際に使える便利な機能を紹介する。JavaScriptで実装せずともできることが多々ある
- [**How to test for accessibility with Cypress by Josh McClure**](https://www.deque.com/blog/how-to-test-for-accessibility-with-cypress/): E2EテストツールであるCypressを用いて、アクセシビリティのテストを行う方法について
- [**Menus with “Dynamic Hit Areas” by Chris Coyier**](https://css-tricks.com/menus-with-dynamic-hit-areas/): hoverした際に開く別のメニューにフォーカスする際、 `動的ヒット領域` という考え方を適応することで、ユーザビリティを向上できる
- [**Best practices for building a large scale react application by Aman Khalid**](https://buttercms.com/blog/best-practices-for-building-a-large-scale-react-application): Reactで大規模開発する際に覚えておきたいポイントを紹介していく

