# Frontend Weekly Vol.229
プロのフォームデザインをするためのコツ、スキルアップのためのソースコードリーディングの方法、デザインジェネラリストの定義、ほか計10リンク

## [Form design: from zero to hero all in one blog post by Adam Silver](https://adamsilver.io/articles/form-design-from-zero-to-hero-all-in-one-blog-post/)
https://adamsilver.io/articles/form-design-from-zero-to-hero-all-in-one-blog-post/


**プロのフォームデザインをするためのコツ**

Adam氏はフォームはWebにおいて欠かせない重要な機能であり、インタラクションを行う場合には必ず目にするにも関わらず、多くの場合ユーザビリティの問題を抱えていると指摘する。この記事では、フォームのデザインで、よくある間違いを紹介する。この記事で紹介されているアイディアを反映させることで、オンラインフォームの90%の問題を解決できると話す。


- ラベルでフォームを汚さない
- 質問を正確にする
- スタイルとマイクロコピーを大切にする
- バリデーション
- 流れと順序
- 素早く入力できる工夫をする
- フィールドのデザインへの配慮
## [Improve Your JavaScript Knowledge By Reading Source Code by Carl Mungazi](https://www.smashingmagazine.com/2019/07/javascript-knowledge-reading-source-code/)
https://www.smashingmagazine.com/2019/07/javascript-knowledge-reading-source-code/


**スキルアップのためのソースコードリーディングの方法**

プログラミング初心者の段階では、オープンソースのライブラリやフレームワークのソースコードを呼んでいくのは大変な作業である。この記事では、Carl氏がどのようにソースコードリーディングを通してナレッジとスキルを向上させたか、その方法を解説する


## [Defining Design Generalists by Molly Nix](https://airbnb.design/defining-design-generalists/)
https://airbnb.design/defining-design-generalists/


**デザインジェネラリストの定義**

デザインジェネラリストとは。その定義と、どういった要素を併せ持っているかについてMolly氏が解説する。


- 戦略的である
- エビデンスドリブンな働きをである
- 強力なストーリーテラーである
- システム思考をもっている
- 非常に協力的である
- きわめて順応性が高い
## [Scrolling is easier than clicking by Joshua Porter](http://bokardo.com/archives/scrolling-easier-clicking/)

ユーザーにとっては、スクロールというアクションはクリックよりも簡単であるということについて。昨今のデバイス自体もスクロールジェスチャーが非常に簡単で気軽に行えるという特性からも、この考え方を持っておくことは非常に重要だと話す。UI構成を考える上では非常に大切な指針になり、それに基づいてプロダクトが作られているか確認するべきだと指摘する。

## [The Simplest Way to Load CSS Asynchronously byScott Jehl](https://www.filamentgroup.com/lab/load-css-simpler/)

通常CSSファイルはlink タグによって同期的に読み込まれるが、パフォーマンス改善のために、非同期で読み込み、適用したい場合がある。この記事ではJSを使用せずに、CSSを非同期に適応するテクニックを紹介する。また、preloadを適用した際の挙動の違い、メリットデメリットについて

## In Brief
- [**Mental models by Julian Shapiro**](https://www.julian.com/blog/mental-model-examples): メンタルモデルについての解説。メンタルモデルは思考のためのフレームワークであり、どのように意思決定を行っていくかの手助けとなる。様々な例を用いながら、その内容を詳しく解説する
- [**Maybe Ignore type=search by Adrian Roselli**](http://adrianroselli.com/2019/07/ignore-typesearch.html)**:** Input type=speech について、その特徴や挙動を解説する。ブラウザごとの振る舞いの違いや、type=text との違いを明らかにする
- [**Introduction to feed role attribute by Suman Damera**](https://www.deque.com/blog/introduction-to-feed-role-attribute/)**:** 無限スクロールはSNSのフィードなどによく見るUIであるが、それはスクリーンリーダーユーザーにとっては使いやすいとは限らない。そのアクセシビリティの問題と、その解決策について
- [**Is postMessage slow? by Surma**](https://dassur.ma/things/is-postmessage-slow/)**:** WebWorkerの postMessageについて、その基本とパフォーマンスについて
- [**Index fun by Philippe Suter**](https://psuter.net/2019/07/07/z-index): z-indexについて特性と、使い方、そして、それを使用する場合に考慮すること、などUIに関する知見を紹介する
## [WG4作業協力者の募集](https://github.com/waic/translation_guidelines/blob/master/join_wg4.md#wg4%E4%BD%9C%E6%A5%AD%E5%8D%94%E5%8A%9B%E8%80%85%E3%81%AE%E5%8B%9F%E9%9B%86)
https://github.com/waic/translation_guidelines/blob/master/join_wg4.md#wg4%E4%BD%9C%E6%A5%AD%E5%8D%94%E5%8A%9B%E8%80%85%E3%81%AE%E5%8B%9F%E9%9B%86


WAIC（ウェブアクセシビリティ基盤委員会）翻訳ワーキンググループ（通称：WG4）では、W3C技術文書等の翻訳の作業に協力していただける、作業協力者を募集しています。

