---
date: 2015-06-24
title: Frontend Weekly Vol.23
description: 画像の最適化戦略、Googleのアクセシビリティ、ほか16リンクを紹介
---

# Frontend Weekly Vol.23

## Headlines

### [High Performance Images: Beautiful Shouldn’t Mean Slow by Guy Podjarny](https://medium.com/@guypod/high-performance-images-beautiful-shouldn-t-mean-slow-22ffc4e31663)

パフォーマンスにおけるボトルネックである画像。その「美しさ」を担保したままファイルサイズを減らすために知っておきたいこと。

### [Google Slash Design Accessibility by Instrument](http://www.instrument.com/latest/google-slash-design-accessibility-development)

[Google Design](https://www.google.com/design/)をアクセシビリティ・ファーストで作るためにInstrument社がやったこと。

### [We Don't Need No Stinkin' Frameworks: Writing Web Apps with Bacon.js and virtual-dom](https://blog.javascripting.com/2015/03/11/we-dont-need-no-stinkin-frameworks/)

Bacon.jsとVirtual-domだけでReactiveでモダンなWebアプリは作れる!というチュートリアル。

### [Elegant Functional Architecture for React by Gil Birman](https://medium.com/@gilbox/an-elegant-functional-architecture-for-react-faa3fb42b75b)

関数型っぽいReact用アーキテクチャの紹介。[omniscient](http://omniscientjs.github.io/)、[mozilla/browser.html](https://github.com/mozilla/browser.html)からインスパイアされたものだそう。

### [Contextual Styling: UI Components, Nesting, and Implementation Detail by Harry Roberts](http://csswizardry.com/2015/06/contextual-styling-ui-components-nesting-and-implementation-detail/)

入れ子構造になるコンポーネント・アプローチにおける問題点に対する解決。Harry Roberts編。哲学的には同意するものの、[Simurai氏](http://simurai.com/blog/2015/05/11/nesting-components/)、[Philip Walton氏](http://philipwalton.com/articles/extending-styles/)の記事と合わせて問題点を理解しておきたい。

### [Against CSS in JS](http://keithjgrant.com/posts/against-css-in-js.html)

JavaScriptの中でCSSを呼び出すアプローチへの警鐘。フレームワークにロック・インされる状況は可能な限り避けるべき。

### [Where Do Product Roadmaps Come From? by Inside Intercom](https://blog.intercom.io/where-do-product-roadmaps-come-from/)

プロダクト・ロードマップはどうやって作るのか。5つの視点とそのバランスについて。

## Slides/Videos

### [Defining auto An Adventure in Layout by Elika J. Etemad](http://fantasai.inkedblade.net/style/talks/defining-auto/#title)

CSSにおけるレイアウト系のレンダリングがどのような仕様になっているかについて。バグかもと思ったら仕様な事が多いので気をつけたい。

### [Using Chrome DevTools to profile the jsconf.eu site by Paul Lewis](https://trello-attachments.s3.amazonaws.com/552b5688cd1b7df0a3e9f977/558458bdc776f8917efc68cd/5ce2f62ff6ce8b75894b66435b139ef8/Using_Chrome_DevTools_to_profile_the_jsconf-eu_site_-_YouTube.html)

Paul Lewis氏による、ChromeのDevToolsを使ったjsconf.euのWebサイトのパフォーマンス改善について。9分ほどで、エキスパートのDevToolsの使い方を学べる。

## In Brief

- [**From ASM.JS to WebAssembly by Brendan Eich**](https://brendaneich.com/2015/06/from-asm-js-to-webassembly/): Firefox、Chromium、WebKitが、共通して使えるバイトコード「WebAssembly」の開発と標準化を目指すそう。

- [**The Art of Command Line by Joshua Levy**](https://github.com/jlevy/the-art-of-command-line): コマンドラインの基礎と応用。長いけど便利。

- [**Functional Mixins in ECMAScript 2015**](http://raganwald.com/2015/06/17/functional-mixins.html): ES6を使ったFunctional Mixinsの記述と利点について。

- [**日本のお客様へ。日本および東アジアのWebフォントへの対応と新しいフォント選択ツールに関するお知らせ。by The Typekit Blog**](http://blog.typekit.com/alternate/typekit-j-announce-jp/): Typekitの日本語フォント対応のお知らせ。結構大きなニュース。

- [**ECMAScript 2015 Language Specification – ECMA-262 6th Edition**](http://www.ecma-international.org/ecma-262/6.0/index.html): ECMAScript 6 (ES6)(ECMAScript 2015)の仕様が承認された。

## Event

- 2015.06.27(sat) 13:15〜<br>[**Remixing with All About, Inc. - Remixing**](https://remixing.doorkeeper.jp/events/26208): フロントエンドはもちろん、サーバーサイド、インフラまでカバーする全7セッションのイベントを開催。参加者募集中。

- 2015.07.04(sat) <br> [**HTML5 Conference 2015 in 鹿児島**](http://kagoshima.html5j.org/html5conference.2015/):「鹿児島をHTML5に染める日。」大規模HTML5の祭典が、遂に鹿児島でも開催決定!スピーカーが語り尽くす2つのスペシャルセッションと豪華スピーカーによる15セッションあり。
