# Frontend Weekly Vol.230
擬似コードは素晴らしい、FT.comチームはたった7時間でどのようにドキュメントを95%改善したのか、ユーザーフレンドリーなカルーセルをデザインするための9つの条件、ほか計10リンク

## [Pseudo Code by Chris Coyier](https://css-tricks.com/pseudo-code/)
https://css-tricks.com/pseudo-code/


**擬似コードは素晴らしい**

実際には動作しないが、プログラミングのようにロジックが書かれているものを、擬似コードと言う。Chris氏は擬似コードはプログラミングの台本のようなものであり、実際のコーディングをする際に非常に役に立つものであり、普段から頻繁に使っている手法だと話す。

## [Documentation Day: How the FT.com team improved our documentation to 95% usefulness in 7 hours: by Jennifer Johnson](https://medium.com/ft-product-technology/documentation-day-how-the-ft-com-team-improved-our-documentation-to-95-usefulness-in-7-hours-b73d1a7e6f30)
https://medium.com/ft-product-technology/documentation-day-how-the-ft-com-team-improved-our-documentation-to-95-usefulness-in-7-hours-b73d1a7e6f30


**FT.comチームはたった7時間でどのようにドキュメントを95%改善したのか**

FT.comの開発チームは今年6月にドキュメンテーションデー2019と呼ばれるドキュメントを改善する日を設け、社内で運用しているドキュメントを効果的に改善することができた。FT.comでは問題が発生した際に参照する運用マニュアルがあり、それを使用して素早く問題に対処するフローが用意されている。しかしながら、そのマニュアルが正しい情報を示していないことが多いため、素早い対応が出来ていない状況であった。この記事では、その状況を改善するドキュメンテーションデーおいて、どのような指標をとるべきなのか、短い時間でどのようにすれば効果的な成果を出せるのか、そしてその仮定を楽しむには、などの観点でどのようなアプローチをとったのか、そのアイディアを公開する

## [9 UX Requirements for Designing a User-Friendly Homepage Carousel (If You Need One) by Jamie Appleseed](https://www.baymard.com/blog/homepage-carousel)

https://www.baymard.com/blog/homepage-carousel

**ユーザーフレンドリーなカルーセルをデザインするための9つの条件**

カルーセルはECサイトなどでよくあるデザインであるが、ユーザビリティを考慮すべき点が多くあるデザインであるが、ベイマードの調査によると、欧州のトップのECサイトにおけるカルーセルの使用率は年々減少しているという。カルーセルは、確かにユーザーを引きつけるが、ユーザビリティに考慮することが欠かせない。この記事では、彼らの調査に基づいたカルーセルに関する9つのUXのベストプラクティスを紹介する。


- スライドの順番に考慮する
- カルーセルはリンクをたどる唯一のリンクにするべきではない
- 手動での操作方法は明白でなければならない
- 自動スライドは早すぎず、遅すぎず
- ホバー時には自動スライドは止める
- ユーザーがカルーセルの何らかのアクションをした場合は、自動スライドは止める
- スワイプなどのモバイル操作に対応する
- テキストは読みやすい大きさにする
- コンテンツは即座に読み込みが完了するようにする
## [Accessible CSS Generated Content by Eric Eggert](https://yatil.net/blog/accessible-css-generated-content)

CSSの疑似要素にはcontentを指定することができるが、それがアクセシビリティに与える影響とは？Eric氏は、例えば、疑似要素でファイルの拡張子を表示するような実装を行なった際に、画面を見るユーザーには取得可能な情報になるが、スクリーンリーダーのユーザーにはその情報が伝えることができないという事例を例にあげ、attr CSS関数と疑似要素を組み合わせた実装をする際に気をつけておきたいポイントを紹介する。

## [The Growing Demand For UX Managers by Jared M. Spool](https://medium.com/@jmspool/the-growing-demand-for-ux-managers-60b304a0a72c)

UXデザイナーに加えて、UXマネージャーという役割の重要性を説く。UXデザイナはその重要性が大きくなってきており、複数人のUXデザイナが組織に所属することも増えてきている。そういった場合、組織に2人のデザイナーやリサーチャーしかいない場合、特別な管理は必要ないが、チームが4人を超えると、チームの力を最大に引き出すために、マネージャの必要性が高まってくると、Jared氏はアドバイスする。

## In Brief
- [**12 Tips for Improving JavaScript Performance by Liz Parody**](https://nodesource.com/blog/improve-javascript-performance?pix=14j_0_0): JavaScriptのパフォーマンスを改善するための12のアイディアを紹介
- [**How do JavaScript’s global variables really work? by Axel Rauschmayer**](https://2ality.com/2019/07/global-scope.html?pix=3_0_0): JavaScriptのグローバル変数の挙動について実際のコード例を交えながら解説する
- [**Tetris Turns 35 by JavaScript Teacher**](https://medium.com/@js_tut/tetris-turns-35-cfcf04c4f2bb): JavaScriptでTetrisを作る
- [**Making impossible states impossible: data structures in React by Jack Franklin**](https://javascriptplayground.com/avoiding-impossible-states-react/): データ構造についてのディープダイブ。”不可能な状態を不可能にする”をテーマに、タブのUIのよくあるデータ構造を、より強固で信頼できるデータ構造へと変更させていく
- [**Start Performance Budgeting by Addy Ossmani**](https://medium.com/@addyosmani/start-performance-budgeting-dabde04cf6a3)**:** Addy氏が提唱するパフォーマンスバジェットの基本的な考え方を紹介する。その取るべき指標や、どのように計測するかの解説をし、後半では、実際のサンプルを交えながら、どのようにそれを運用・維持していくべきかについて解説していく。

