# Frontend Weekly Vol.231
50MBだけで1日ネットサーフィンしてみた、ポータブルパターンを実現するためのテクニック、本当に必要だった道と現実的なUX、ほか計10リンク

## [I Used The Web For A Day On A 50 MB Budget by Chris Ashton](https://www.smashingmagazine.com/2019/07/web-on-50mb-budget/)
https://www.smashingmagazine.com/2019/07/web-on-50mb-budget/


**50MBだけで1日ネットサーフィンしてみた**

Chris氏は、[前回](https://www.smashingmagazine.com/2019/03/web-on-internet-explorer-ie8/)IE8でネットサーフィンをするという実験を記事にしたが、今回もユニークなアイディアで現代のWebをテストする。今回は50MBという制限をつけてネットサーフィンをした場合何が起きるかを調査する。先進国では安価に通信を買うことができるが、それが非常に高価な地域も存在し、開発者が通信量に対して気を使うことは非常に重要なことであると指摘する。この記事ではgoogle.comを始めAmazonなどメジャーなWebサイトに訪問しながら、その通信量やサイトの実装を詳しく検証していく。

## [Tips for Portable Patterns by Tyler Sticka](https://cloudfour.com/thinks/tips-for-portable-patterns/) 
https://cloudfour.com/thinks/tips-for-portable-patterns/


**ポータブルパターンを実現するためのテクニック**

一定の技術スタックを使い続ける事ができれば、実装の使い回しをすることが容易に行えるが、現実的には、様々なエコシステム、例えば、Ruby on RailsとjQueryを使ったWebアプリ、静的なマーケティングサイト、WordPressなど、異なる技術スタックを抱えることが多い。この記事では、そういった場合において、効果的な使い回しができるような、フロントエンドのポータビリティを向上させるための戦略を紹介する。

## [Desire Paths and Real World UX by Austin Knight](https://austinknight.com/writing/desire-paths-and-real-world-ux)
https://austinknight.com/writing/desire-paths-and-real-world-ux


**本当に必要だった道と現実的なUX**

デザインされた道(舗装された道)ではなく、利用者が実際に使う道が生まれてしまっている様子は誰でも見たことがあるだろう。この記事では、Austin氏がRedditで見つけた[ある画像](https://uploads-ssl.webflow.com/5a872bc50b4f6f0001a740bd/5c4a0bb1a64ec9603fb9fed1_DesignVSUX.jpeg)から、デザインとUXの関係について考察する。

## [Keeping things fresh with stale-while-revalidate by Jeff Posnick](https://web.dev/stale-while-revalidate/)

Cache-Control の拡張である、`stale-while-revalidate` の設定についての紹介。`max-age`と組み合わせて設定を施すことで、高いキャッシュのヒット率を保ちながら、更新性も損なわない設定をすることができる。後半には、実際のユースケースを紹介し、サービスワーカーとの兼ね合いについても解説していく。

## Slide
## [Making Things Better: Redefining the Technical Possibilities of CSS by Rachel Andrew](https://noti.st/rachelandrew/ClxWtN/making-things-better-redefining-the-technical-possibilities-of-css#soNczRo)

Rachel Andrew氏による、現代のWebデザインを大きく変えるCSSの機能について。CSSサブグリッドをはじめ、アプリのようなスクロールスナップによる画面の制御など、Webデザインをより高度なものにする手法を紹介していく。

## In Brief
- [**Multi-column manipulation by Heydon**](https://every-layout.dev/blog/multi-column-manipulation/): CSSのテクニックを紹介する Every Layoutの中のテーマの一つ、複数カラムレイアウトについて。その難しさと、CSSを活用してどのように解決するかのヒントを紹介する
- [**Intrinsically Responsive CSS Grid with minmax() and min() by Evan Minto**](http://evanminto.com/blog/intrinsically-responsive-css-grid-minmax-min/): `minmax``()`と`min``()`を使用して、レスポンシブなレイアウトを実現するテクニックの紹介
- [**Stop Using Secondary Navigation Bars… Maybe! by Paul Boag**](https://boagworld.com/design/secondary-navigation/): セカンダリナビゲーションが現代のWebでは有用なナビゲーションにはならないのではないかという仮説にについて検証をしていく
- [**Reverse Engineering, how YOU can build a testing library in JavaScript by Chris Noring**](https://dev.to/itnext/reverse-engineering-how-you-can-build-a-test-library-53e3): テストライブラリを実際に実装する仮定を紹介する。リバースエンジニアリングを行うことでスキルアップにつながること
- [**Defining good work. by Brittany Moore**](http://blog.testdouble.com/posts/2019-07-25-solving-the-problems-with-positive-feedback): 良い仕事をするとはどういうことか。Brittany氏は、ワークショップの中で出会ったその言葉について考えを巡らせる。肯定的なフィードバック、特にキャリアの浅い開発者へのフィードバックの重要性について述べ、どうのようにそれを行うかについての簡単なモデルを紹介する

