# Frontend Weekly Vol.233
大きな境界とさらなる枝分かれ、直感的なUXのための4つのルール、テストを書く。多すぎず。そしてインテグレーションテスト、ほか計10リンク

## [Branching Out from the Great Divide by Chris Coyier](https://css-tricks.com/branching-out-from-the-great-divide/)
https://css-tricks.com/branching-out-from-the-great-divide/


**フロントエンドデベロッパの****大きな境界****とさらなる****枝分かれ**
ウェブフロントエンドデベロッパーという肩書は多くの仕事の本質をカプセル化する。Chris氏は、Brad氏の記事に言及しながら、フロントエンドの役割に対してツリーのメタファを利用して、同じフロントエンドデベロッパとして同じ根幹は持ちながらも、その先の枝分かれしているところは全く別のものであるとはなす。

## [4 Rules for Intuitive UX by Erik D. Kennedy](https://learnui.design/blog/4-rules-intuitive-ux.html)

https://learnui.design/blog/4-rules-intuitive-ux.html
**直感的なUXのための4つのルール**
UXを改善するためのシンプルな4つのテクニックを紹介する。

- [場所の法則](https://learnui.design/blog/the-3-laws-of-locality.html)に従う

適切なコントロールを、適切な場所に表示するようにする。変化を与えるアクションは変化を与えるものに対して配置する。


- 何でもドロップダウンにしない

ドロップダウンは求められるアクションが多く、選択肢が一覧できないので適切ではない場合が多い。他のUIで対応できないか検討する。


- 目を細めて見てみる

目を細めて見てみても、それが正しく理解できるかを確認する。


- 例を示す

ショーケースなど、例を示して、どのように使えばよいのか、これは何なのかを伝える

## [Write tests. Not too many. Mostly integration. by Kent C. Dodds](https://kentcdodds.com/blog/write-tests)
https://kentcdodds.com/blog/write-tests/


**テストを書く。多すぎず。そしてインテグレーションテスト**
Guillermo氏がTweetした、 `Write tests. Not too many. Mostly integration.` に対してのKent氏の考察。テストを書く重要性(`Write tests`)、多すぎるテストが開発の邪魔をする点(`Not too many`)、UnitとE2EではなくIntegrationテストを重要視する(`Mostly integration`)という3点を詳しく解説していく

## [Using Native JavaScript Modules in Production Today by Philip Walton](https://philipwalton.com/articles/using-native-javascript-modules-in-production-today/)

Webpackなどのバンドラを使用せずに、JavaScript分割、読み込みをする方法について。実際の所現在モダンなブラウザではネィティブなJavaScriptモジュールを読み込むことができ、それに加えて、パフォーマンスを向上させることができるという。詳しくは本文で詳しく解説されているが、ポイントとしては以下の通り:

- バンドラを使うが、フォーマットはES2015とする
- 積極的にコード分割を行う
- `rel=``"``modulepreload``"`を用いて、すべてのモジュールを静的依存関係の中にプリロードする
- `import()`をサポートしていないブラウザに対しては、ポリフィルを活用する
- モジュールをサポートしていないブラザのために `<script nomodule>` を使用する
## [Design tools are holding us back by Tom Johnson](https://uxdesign.cc/design-tools-are-holding-us-back-1aca266b333e)

デザインツールは数多く存在するが、Webで活用する場合、それらに足りないものが非常に多いと指摘する。例えば、ボックスモデル、継承などWeb特有の特性をデザインツールで表せない場合が多い。しかしながら、最近では[Webflow](https://webflow.com)や[Framer X](https://www.framer.com)など、印刷モデルではなくデジタルのデザインをするためのツールも増えてきているという締めくくる。

## In Brief
- [**When You Need to Show a Button’s Loading State by anthony**](https://uxmovement.com/buttons/when-you-need-to-show-a-buttons-loading-state/): ボタンの状態を表すデザインについて、有効、無効に加えて、ローディングの状態をどのように表現するべきか
- [**When to break up a component into multiple components by Kent C. Dodds**](https://kentcdodds.com/blog/when-to-break-up-a-component-into-multiple-components): コンポーネントをいつ分割するのかについての考察。分割にこだわりすぎず、ある程度大きくなってからでも問題ないとアドバイスする
- [**The Making of an Animated Favicon by Preethi**](https://css-tricks.com/the-making-of-an-animated-favicon/): 動くファビコンをcanvasを使って実現するアイディアを紹介する
- [**Largest Contentful Paint by Philip Walton**](https://web.dev/largest-contentful-paint/): Chrome77で利用可能なLargest Contentful Paint(LCP)ではビューポートにある最大の要素のレンダリング時間を計測することができ、より実際のユーザー体験と寄り添った指標を取り扱うことができる
- [**How Tinder Design Hooks You Up by Vitaly Dulenko**](https://uxplanet.org/how-tinder-design-hooks-you-up-60201d78501f): Tinderのデザインがどのようにユーザーを誘導しているのかについての考察。スクリーンショットを交えながらその設計やフローに隠されたトリックを明らかにしていく

