# Frontend Weekly Vol.234
私が**どのようにShape  Upを執筆したのか、ドキュメンテーションに関する私の考え、3種類の****いい****技術的負債、ほか計10リンク**

## [How I Wrote Shape Up by Ryan Singer](https://m.signalvnoise.com/how-i-wrote-shape-up/) 
https://m.signalvnoise.com/how-i-wrote-shape-up/


私が**どのようにShape  Upを執筆したのか**

名著[Shape Up](https://basecamp.com/shapeup)の作者Ryan氏が、この本が出来上がるまでにどのようなストーリーがあったのかを紹介していく。彼がこの話を受けたとき、今までに執筆した経験はなかったが、ワークショップの経験があった。そこで、ワークショップを通して、コンテンツのアイディアにできないかと考えた。ワークショップを通し、本当にこのトピックに興味がある人を募り、そのフィードバックを経て、本のアウトラインの参考やディテールを深めるための材料としていくその過程を紹介しながら、加えて、執筆環境についてや、Webで本を公開するアイディアについて、その良さなど、制作の裏側についてたっぷりと公開していく。
[](https://www.chenhuijing.com/blog/learning-css-by-reading-specifications/#🏀)
## [My Thoughts on Documentation by Raymond Camden](https://www.raymondcamden.com/2019/08/14/my-thoughts-on-documentation)

https://www.raymondcamden.com/2019/08/14/my-thoughts-on-documentation
**ドキュメンテーションに関する私の考え**

Raymond氏は多くのコードがドキュメント無しでリリースされていることを感じており、デベロッパーであるならば、ドキュメンテーションを書くとこまで行わなければ完了と言えないと指摘する。彼は、多数のブログ記事や本を執筆した経験から、どのようにドキュメントを作成・改善していけばよいかについて解説していく。

1. イントロダクションを書く。それは簡単ですぐに読めるものであるべき
2. インストール方法を書く。最も単純にプロダクトを使用する方法を書く
3. 始め方を書く。実際の動作が確認できる簡単なデモを用意する
4. その他のものを書く。
## [3 Kinds of Good Tech Debt by Jon Thornton](https://engineering.squarespace.com/blog/2019/three-kinds-of-good-tech-debt)
https://engineering.squarespace.com/blog/2019/three-kinds-of-good-tech-debt


**3種類の****いい****技術的負債**

技術的負債と共存する考え方について紹介する。技術的負債と言えば、嫌なもので無い方が良いものであるという風に考えることが多いが、この記事では、Jon氏が経験した、技術的負債を受け入れることで、プロジェクト成功に繋がった例を紹介していく。

1. 最初から捨てる前提で実装し、フィードバックを早く得るために使用する
2. 場合によってはハードコードするほうが効率的な場合がある
3. 解決に時間がかかる問題は、それが本当に解決するに値するものかどうか考える
## [Learning CSS by reading specs by Chen Hui Jing](https://www.chenhuijing.com/blog/learning-css-by-reading-specifications/#🏀)

仕様を呼んでCSSを理解することについて紹介する。CSSの仕様をどのように呼んでいくのか、まず[仕様が掲載されているサイト](https://www.w3.org/Style/CSS/)、[その仕様を読む方法](https://alistapart.com/article/readspec/)について、[どのように貢献できるのか](https://github.com/w3c/csswg-drafts)など丁寧に解説していく。を仕様を読むことでCSSを深く理解することができ、実際にCSSを使うWeb開発者がWebプラットフォームを作り上げていくことに貢献できることが大きなメリットであると強調する

## [The problem with tooltips and what to do instead by Adam Silver](https://adamsilver.io/articles/the-problem-with-tooltips-and-what-to-do-instead/)

ツールチップのUIはユーザーにヒントを出すことがき、また普段は隠れているため、分かりにくい部分に安易に適用してしまいがちであるが、Adam氏はそのUIにはたくさんの問題があることを指摘する。その理由を解説し、その代わりにどのようなアプローチが有効か、アイディアを示す。

- ツールチップは見つけにくい
- 余計な作業を強いる
- 隠れていて、見つけにくい
- 小さい画面では簡単にはみ出る
- 音声認識ではうまく動かない
- マウスオーバー時にだけ表示されるのは、アクセシブルではない
## In Brief
- [**Javascript Testing Best Practices by Yoni Goldberg**](https://github.com/goldbergyoni/javascript-testing-best-practices/blob/master/readme.md): JavaScriptのテストについてのベストプラクティスをまとめたドキュメント
- [**Efficiently load third-party JavaScript by Milica Mihajlija**](https://web.dev/efficiently-load-third-party-javascript/): 外部のJavaScriptファイルを効率的に読み込む方法について紹介する。いくつかの方法を紹介しながら、それぞれがどのように効率化するのかを解説
- [**Optional HTML: Everything You Need to Know by Jens Oliver Meiert**](https://meiert.com/en/blog/optional-html/): HTMLのにおいて、付加せずとも良いタグやクォートについて、その挙動やリスクについて紹介する
- [**The ABCs of Design Systems by Mike Dick**](https://medium.com/curiosity-by-design/the-abcs-of-design-systems-b1dc6198bb7c): デザインシステムの特長や理想の状態をアルファベットの文字を頭文字として使って解説していく
- [**JavaScript to Know for React by Kent C. Dodds**](https://kentcdodds.com/blog/javascript-to-know-for-react): Reactを使う上で知っておきたいES6の機能を一挙に紹介していく

