# Frontend Weekly Vol.237
より良いデザインプロセスをあなたのチームに、フォームのどこにボタンを置くのか、私がプロのソフトウェアエンジニアとして1週間の間にグーグルしたすべて、ほか計10リンク
[Bringing A Better Design Process To Your Organization by Eric](https://www.smashingmagazine.com/2019/08/better-design-process-organization/?ref=uxdesignweekly)

https://www.smashingmagazine.com/2019/08/better-design-process-organization/


**より良いデザインプロセスをあなたのチームに**

UXデザイナやリサーチャーが最も頻繁に聞くユーザーからの苦情は、「なぜ、私が何が必要なのか考えないのか」という内容である。Eric氏は、こういったディベロッパーとユーザーの間に起きる問題は、デザインプロセスにあると指摘する。この記事では、ソフトウェア開発におけるデザインプロセスの改善について、4つの観点から言及していく。

- [複雑さ](https://www.smashingmagazine.com/2019/08/better-design-process-organization/#complexity) — 複雑さを認識し、現実的なタイムラインを見極め対処する
- [次のリリース症候群](https://www.smashingmagazine.com/2019/08/better-design-process-organization/#next-release-syndrome) — 後回しぜずに、すぐに修正を行う
- [デザインイテレーションのための時間が十分にない](https://www.smashingmagazine.com/2019/08/better-design-process-organization/#insufficient-time-for-design-iterations) — [デザインスパイク](https://www.smashingmagazine.com/2012/11/design-spikes-fit-big-picture-ux-agile-development/)をアジャイル開発に取り入れる
- [ベンダーに過度に依存する](https://www.smashingmagazine.com/2019/08/better-design-process-organization/#surrendering-control-to-outside-vendors) — ベンダーに支払いをする前に、改善が行なわれているかを確認する
## [Where to put buttons on forms by Adam Silver](https://adamsilver.io/articles/where-to-put-buttons-in-forms/)
https://adamsilver.io/articles/where-to-put-buttons-in-forms/


**フォームのどこにボタンを置くのか**

フォームの中のどこにボタンを置くか、ボタンの配置によってはUXを改悪してしまうことも多いとAdam氏は指摘する。この記事では、ボタンの配置について深く考察し、さまざまなシチュエーションにおいて、どういった配置を行うのが良いか、解説をしていく。


- 重要なボタンはフォームの左端に寄せて配置する
- 戻るボタンはフォーム上部に配置する
- フォームに直接関係のないボタンはフォームの上部に配置する
- 複数のボタンを配置する場合には、ユーザーが何を行うのかを考慮する
- 単一の`input`に対するボタンは、横に配置する
- テーブルUIにおいて、複数選択ボタンはテーブル上部に配置する
## [Everything I googled in a week as a professional software engineer by Sophie](https://localghost.dev/2019/09/everything-i-googled-in-a-week-as-a-professional-software-engineer/)
https://localghost.dev/2019/09/everything-i-googled-in-a-week-as-a-professional-software-engineer/


**私がプロのソフトウェアエンジニアとして1週間の間にグーグルしたすべて**

Sophie氏はソフトウェアエンジニアとして働く中で、普段自分がどういったキーワードで検索を行なっているのかを記事にした。1週間の間に同じ事を繰り返し検索していたり、基本的な内容さえもグーグルで検索していたりしていること分かり、自分がどういったことを頭の中に記憶し、ほとんどのことを記憶していないということに気付きがあった。

## [Inconsistent behavior among browsers when clicking on buttons by Zell Liew](https://zellwk.com/blog/inconsistent-button-behavior/)

Zell氏はボタン押下時の挙動がブラウザごとに異なることについて、その詳細を明らかにしていく。この記事では、その挙動について、複数のブラウザを使用したテストと調査結果を紹介しながら、これらの挙動の矛盾に対応する方法について紹介する。

## [Accessible Checkbox by Ahmad Shadeed](https://www.a11ymatters.com/pattern/checkbox/)

アクセシビリティを考慮した`c``heckbox`の実装について紹介していく。基本的な`checkbox`とラベルの紐付けの実装から、デザインをカスタマイズする場合に考慮する点まで、シンプルなサンプルコードを交えながら、どのようにアクセシビリティを改善できるのか、解説していく。

## In Brief
- [**A Re-Introduction To Destructuring Assignment by Laurie**](https://www.smashingmagazine.com/2019/09/reintroduction-destructuring-assignment/)**:** 分割代入の基本から、オブジェクトと配列がネストされていたり、組み合わさっている場合での応用方法など紹介していく
- [**Logical Operations with CSS Variables by Ana Tudor**](https://css-tricks.com/logical-operations-with-css-variables/): CSSの変数と様々なロジカルオペレーションの組み合わせを試してみる。単純な組み合わせから、複雑なものへ転用していき、具体的な実装に応用するまで
- [**Machine Learning For Front-End Developers With Tensorflow.js by Charlie**](https://www.smashingmagazine.com/2019/09/machine-learning-front-end-developers-tensorflowjs/): Tensorflow.jsを利用して機械学習を実装する。インストール方法から、サンプルの実行方法、実際にモデルを作成する方法などまで初学者向けに丁寧に解説する
- [**Handling API request race conditions in React by Sébastien Lorber**](https://sebastienlorber.com/handling-api-request-race-conditions-in-react): Network越しにAPIを実行した際に発生する遅延によって、UIの一貫性が保たれない場合がある。この記事では、その原因についてと、それをどのように解決するかについて紹介する
- [**Overflow And Data Loss In CSS by Rachel Andrew**](https://www.smashingmagazine.com/2019/09/overflow-data-loss-css/)**:**  ****Webデザインにおいて、オーバーフローが発生する可能性のある状況を調査し、CSSがどのように未知の量のコンテンツを管理を行うことができるのか、解説する

