# Frontend Weekly Vol.238
Webサイトがバッテリーに与える影響とその対策、スタイルガイド・デザインシステム・コンポーネントライブラリ、デザインシステムにおけるバックログの作り方、ほか計10リンク

## [How Web Content Can Affect Power Usage by @awfulben](https://webkit.org/blog/8970/how-web-content-can-affect-power-usage/)
https://webkit.org/blog/8970/how-web-content-can-affect-power-usage/


**Webサイトがバッテリーに与える影響とその対策**
オンラインのほとんど多くのユーザーはモバイルデバイスか、ラップトップを使用しており、彼らにとって、バッテリーの寿命は非常に重要な要素となる。この記事では、バッテリーを減らす要因を明らかにし、Webディベロッパとしてユーザーがより多くの時間Webサイトを閲覧できるように、サイトの電力効率を高める方法を紹介する。

**何が電力を消費させるのか**

- CPU
- GPU
- 通信
- 画面

**基本的な方針**
ハイパワーを使用する時間を可能な限り減らす。

Webディベロッパが着目するべき点:

- ユーザーに積極的なインタラクションがあるとき
- ユーザーにインタラクションがないとき
- ユーザーがコンテンツを閲覧していないとき

**待機状態の消費電力を抑える**

- タイマーの使用を最小限にする
- アニメーションを最小限にする
- CSSアニメーションやトランジションを活用する
- ポーリングを最小限にする

**ページがバックグラウンド**

- Page Visibility APIを使用して処理を切り替える
- blurイベントを活用する

その他、デベロッパーツールを使用した電力効率デバッグ方法など。


## [Everything I Know About Style Guides, Design Systems, and Component Libraries by Lee Robinson](https://leerob.io/blog/style-guides-component-libraries-design-systems/)
https://leerob.io/blog/style-guides-component-libraries-design-systems/


**スタイルガイド・デザインシステム・コンポーネントライブラリ**
Lee氏はHy-Veeでフロントエンド開発とデザインに携わり、その中でスタイルガイドや、デザインシステム、コンポーネントライブラリなどについて深く調査実装を行なってきた。この記事では、その経験から学んだベストプラクティスを紹介。それぞれの役割の解説からはじまり、どのようにそれらを構築していくべきか丁寧に解説する。


## [Design System Backlogging by Sandy Lam](https://medium.com/dallas-design-sprints/design-system-backlogging-b1e92afd34db)
https://medium.com/dallas-design-sprints/design-system-backlogging-b1e92afd34db


**デザインシステムにおけるバックログの作り方**
デザインシステムを構築する際に浮かび上がる疑問に、”どのコンポーネントを優先的にすすめるべきなのか”というものがある。Sandy氏は実際にその問題に対面し、以下のステップを踏んで対処した事例を紹介する。

- プロダクトのエコシステムを理解する
- デザイン決定を発見する
- コンポーネントを特定する
- コンポーネントのバケット化
- バケット化されたコンポーネントの優先度づけ
- 結果を解析する
## [Process for growing Seedling into an internal product by Jaclyn Kerschner](https://medium.com/in-the-weeds/process-for-growing-seedling-845f6d010290)

Jaclyn氏のチームでは、コンポーネントライブラリを作成する過程で、プロダクトの多様化、メンバーの変化などで、複雑さが増し、一貫性がとれなくなってくる自体が発生した。そのような状態において、どのような手順を踏み、話し合い、決定を行って整理をおこなっていったのか、紹介していく。

## [How to Present an Easy-to-Follow Tech Demo by Angie Siu](https://open.nytimes.com/how-to-present-an-easy-to-follow-tech-demo-d0ffce96c3b4)

技術的なデモや発表を行う際にどのような点に気をつけて資料作成や説明を行うべきか、ポイントをまとめて紹介する

## In Brief
- [**Mastering The HTML <audio> Tag by Jean-Baptiste Jung**](https://catswhocode.com/html-audio-tag/): 音を再生できるaudioタグに関してその基本を学ぶ。基本的な使い方や、使用することの出来る属性とその効果などについても解説
- [**Smoother & sharper shadows with layered box-shadows by Tobias Bjerrome Ahlin**](https://tobiasahlin.com/blog/layered-smooth-box-shadows/): 要素に対して影をつけることができるbox-shadowのプロパティを応用し、よりリアル影をつける方法について紹介
- [**React Dev Tools — Debug Like a Ninja by Dinesh Pandiyan**](https://medium.com/the-thinkmill/react-dev-tools-debug-like-a-ninja-c3a5d09895c6): React Dev Toolsが持つ様々なデバッグ機能の中でも特に有用な10個の機能について細かく紹介する
- [**Type-safe state modeling with TypeScript and React Hooks by Wil Hall**](https://thoughtbot.com/blog/type-safe-state-modeling-with-typescript-and-react-hooks): React HooksとTypeScriptを組み合わせて、型安全なステートを実装するための方法をステップバイステップで学べる
- [**Complete Guide to Responsive Images! by Elad Shechter**](https://medium.com/@elad/a-complete-guide-for-responsive-images-b13db359c6c7)**:** レスポンシブイメージについて、その仕組みと実装方法を丁寧に解説する

