# Frontend Weekly Vol.239
モダンなCSSリセット、コードレビューを改善する、インターコムにおける良いインタラクションデザインの基礎、ほか計10リンク

## [A Modern CSS Reset by Andy](https://hankchizljaw.com/wrote/a-modern-css-reset/)
https://hankchizljaw.com/wrote/a-modern-css-reset/


**モダンなCSSリセット**
モダンなCSSリセットについて考える。現代のブラウザはIE6時代のものと比べたらブラウザ感の差異はすくなっているが、それでもリセットを行なったほうが良い部分もある。この記事ではAndy氏が開発・使用している[moden-css-reset](https://www.npmjs.com/package/modern-css-reset)について、その内容を細かく解説していく。

## [How to Make Good Code Reviews Better by Gergely Orosz](https://stackoverflow.blog/2019/09/30/how-to-make-good-code-reviews-better/)
https://stackoverflow.blog/2019/09/30/how-to-make-good-code-reviews-better/


**コードレビューを改善する**
Gergely氏は10年以上もコードレビューをし続けてきた経験を持つ。良いコードレビューは、エンジニア自身がコードレビューのやり方を改善していき高品質のレビューを目指していくという。この記事では良いコードレビューを目指すためのポイントを紹介していく。

## [Intercom’s fundamentals of good interaction design by Gustavs Cirulis](https://www.intercom.com/blog/fundamentals-good-interaction-design)
https://www.intercom.com/blog/fundamentals-good-interaction-design


**インターコムにおける良いインタラクションデザインの基礎**
インターコムの開発チームが大切にしている、インタラクションデザインに関するアイディアを紹介していく。


- 同じオブジェクトをどこにでも馴染みのある方法で表示させる
- インターフェースの階層を確立させる
- ビジュアルのリズムとバランスをとる
- 一般的に受け入れられているパターンとインタラクションを使う
- 段階的な表示を使う
- 明白で簡単に
- レスポンスと速さに気をつける
- ユーザーが次に何をすべきかガイドする
- アクセシビリティへの考慮
## [The Obvious UI is Often the Best UI by Susanna Zaraysky](https://medium.com/google-design/the-obvious-ui-is-often-the-best-ui-7a25597d79fd)

プロジェクト管理アプリRedboothがハンバーガーメニューから下部ナビゲーションバーに切り替えたことで、ユーザーのセッション時間が70％、デイリーアクティブユーザーは65%増加した。この記事では、その事象についてどういった要因があったのか、深く考察を巡らせていく。

## Videos
## [Performance… It’s for People! by Andy Davies](https://noti.st/andydavies/BmWljg/performance-its-for-people)

Andy氏はWebサイトパフォーマンスについて、サードパーティのタグの数や、ページサイズ、Litehouseのスコアといった、数値が計測できるものを指標とし、追求していくことにこだわりすぎることについて警鐘を鳴らす。Webサイトパフォーマンスは最終的にユーザーの体験を向上させるためのものであり、その点を抜きにして考えるものでは無いという。この講演では、高速なWebサイトパフォーマンスを提供するにあたって、どうやってデザインするのか、現在のアプローチとその課題について着目する。

## In Brief
- [**Jagged Little Pill: Issues with Rounded Buttons by Tyler Sticka**](https://cloudfour.com/thinks/jagged-little-pill-issues-with-rounded-buttons/): ボタンを実装する際によく使われる`border-radius`プロパティについて、その問題点とそれをどのように解決するかを紹介する
- [**Screen Size Map by bonana**](https://www.screensizemap.com): 一般的な画面サイズをインタラクティブなアプリで表現
- [**Create a semantic “breakout” button to make an entire element clickable by Andy**](https://hankchizljaw.com/wrote/create-a-semantic-breakout-button-to-make-an-entire-element-clickable/): カード型のUIでその要素自体をクリッカブルにしたいことはよくある。この記事ではそのシンプルな実装からはじめ、ユーザビリティ・アクセシビリティを考慮したよりスマートな実装を目指していく
- [**How to Release a Custom React Component, Hook or Effect as an npm Package by Joe Previte**](https://www.twilio.com/blog/release-custom-react-component-hook-effect-npm-package): ReactのHooksやEffect Hookを利用したコンポーネントを開発し、それをnpmで公開するところまで丁寧に解説する
- [**Same-Site Cookies By Default by ericlaw**](https://textslashplain.com/2019/09/30/same-site-cookies-by-default/): Google Chromeにリリースされる予定のCookieの扱いの変更について。現在のデフォルトのCookieの挙動と、リリース後の挙動を比べ、セキュリティやプライバシーといった観点を中心に考察を進めていく
https://twitter.com/googledevjp/status/1178839748468559873


[https://twitter.com/googledevjp/status/1178839748468559873](https://twitter.com/googledevjp/status/1178839748468559873)
Chrome Developers Japan は、「Chrome Developers Japan ニュースレター」の定期配信を開始しています。詳細は[こちら](https://twitter.com/googledevjp/status/1178839748468559873)から。

