# Frontend Weekly Vol.240
Code Splittingにおけるキャッシュの最適化、スクラップブックのデザインをCSS Gridでスタイリングする、 アイトラッキングで明らかになったユーザー4つの走査パターン、ほか計10リンク

## [Cascading Cache Invalidation by Philip Walton](https://philipwalton.com/articles/cascading-cache-invalidation/)

https://philipwalton.com/articles/cascading-cache-invalidation/
**Code Splittingにおけるキャッシュの最適化**
JavaScriptのキャッシュを効果的に行う方法について。Code Splittingを用いて分割されたJava Scriptをキャッシュさせている場合において、依存ツリーのリーフノードに対して修正を行うと、多くのファイルに影響が及び、効果的なキャッシュが期待できないという問題が発生する。この記事ではImport Maps、Service Worker、Custom script-based loadersという3種類のアプローチを紹介し、どのようにこの問題に対処できるのか解説する。

## [Building a Scrapbook Layout with CSS Grid by Michelle Barker](https://css-irl.info/building-a-scrapbook-layout-with-css-grid/)
https://css-irl.info/building-a-scrapbook-layout-with-css-grid/


**スクラップブックのデザインをCSS Gridでスタイリングする**
Michelle氏はスクラップブックが好きで、CSS Gridで実現できないかを考えた。複数のGridを組み合わせてリズミカルなパターンを生み出すComputed Gridのテクニックを活用し、複雑なレイアウトを実装する。またレスポンシブ対応も特別な努力は必要がなかった点はこの実装のメリットとして挙げられる。

## [Text Scanning Patterns: Eyetracking Evidence by Kara Pernice](https://www.nngroup.com/articles/text-scanning-patterns-eyetracking/)
https://www.nngroup.com/articles/text-scanning-patterns-eyetracking/


 **アイトラッキングで明らかになったユーザー4つの走査パターン**
 Kara氏はWebを閲覧するユーザーが、どのような順序でコンテンツを見つけていくか、アイトラッキングを行い調査を行い4種類に分類した。この記事では、その4つのパターンとそれぞれがどのように行なわれていくかについて詳しく解説していく。

- Fパターン
- 反転パターン
- レイヤーケーキパターン
- コミットメントパターン
## [How to read a Web Page Test waterfall chart by Matt Hobbs](https://nooshu.github.io/blog/2019/10/02/how-to-read-a-wpt-waterfall-chart/):

[Web Page Test](https://www.webpagetest.org)での解析結果の見方を詳しく解説する。より詳しく知りたい方は[Using WebPageTest](http://shop.oreilly.com/product/0636920033592.do)を読むのがおすすめ。

## [Introducing Sass Modules by Miriam Suzanne](https://css-tricks.com/introducing-sass-modules/)

Sassに追加された新たなモジュールシステムについて解説する。既存の@importsやCSS Importsとの違いを比べながら、その使い方、挙動の違いなどを紹介していく。

## In Brief
- [**Framer Guide to React. by Koen Bok**](https://www.framer.com/books/framer-guide-to-react/): デザイナのためのFramer XとReact入門用e-book、jQueryの実装例からはじまり、非常に丁寧に解説してくれるので分かりやすい
- [**Designing a focus style by Zell**](https://zellwk.com/blog/creating-focus-style/): ボタンやリンクへのフォーカスエフェクトのスタイリングをする方法を紹介する
- [**Clipping, Clipping, and More Clipping! by Mikael Ainalem**](https://css-tricks.com/clipping-clipping-and-more-clipping/): CSSのclip-pathを利用したスタイリングの仕組みと、応用方法、実際に使えるアイディアを紹介していく
- [**Avoid 100vh On Mobile Web by David**](https://chanind.github.io/javascript/2019/09/28/avoid-100vh-on-mobile-web.html): CSSの便利な単位であるビューポートをモバイルで使用する際に起こる問題について指摘し、その解決案の解説
- [**Thinking Critically About Code Quality by James Milner**](https://www.loxodrome.io/post/thinking-critically-about-code-quality/): コードに求められる性質は状況によって異なり、例えば、すべてのケースでモジュール化しDRYにすることが常に正しいとは限らないといえる、自分が求めているクオリティが今の状況にも本当に適用されるべきなのか、常に問いかけていくことが大切だと指摘する

