# Frontend Weekly Vol.241
ユーザーへの理解を深め、UIパフォーマンスを向上させる、高速なWebアプリのためのパフォーマンスメトリクス、アクセシブルなカラーシステムを設計する、ほか計10リンク

## [Want to Improve UI Performance? Start by Understanding Your User by Darren Hebner](https://engineering.shopify.com/blogs/engineering/improve-ui-performance-understanding-your-user)
https://engineering.shopify.com/blogs/engineering/improve-ui-performance-understanding-your-user


**ユーザーへの理解を深め、UIパフォーマンスを向上させる**  
Shopifyにおける、マーケティング部門のパフォーマンス改善について詳しく掘り下げる。UIの改善については、ユーザーがページにアクセスしたときに何を達成しようとしているのかを明確にし、それをブロックすような要素を排除するという考え方が大事であるという。また、実際に行っている改善方法について紹介する。

- 実際に利用が想定されるデバイス、環境でテストを行う
- 優先度の低い、コンポーネントのやコードの実行を後回しにする
- スケルトン表示を行い、ロード時間の体験を改善する
## [Performance metrics for blazingly fast web apps by Conrad Irwin](https://blog.superhuman.com/performance-metrics-for-blazingly-fast-web-apps-ec12efa26bcb)
https://blog.superhuman.com/performance-metrics-for-blazingly-fast-web-apps-ec12efa26bcb


**高速なWebアプリのためのパフォーマンスメトリクス**  
高速なWebアプリを構築するためのパフォーマンスメトリクスを定義する方法について紹介をする

1. 正確な計測を行う
2. マシンがフォアグラウンドであることを確かにする
3. 最適なイベントの開始時間を見つける
4. requestAnimationFrame()で終える
5. レイアウト、ペイントタイムを無視する
6. 目標を下回っているイベントの割合を計測する
7. 複数のしきい値を用いる
## [Designing accessible color systems by Daryl Koopersmith and Wilson Miner](https://stripe.com/gb/blog/accessible-color-systems) 
https://stripe.com/gb/blog/accessible-color-systems


**アクセシブルなカラーシステムを設計する**  
色のコントラストはアクセシビリティの重要な側面であり、良いコントラストで表示することで、視覚障害のある人がプロダクトを利用しやすくなる。この記事では、アクセシビリティを考慮しつつも鮮やかなカラーシステムを作成するまでの過程を紹介する

## [Can we please style the \<select\> control?! by Greg Whitworth](https://gwhitworth.com/blog/2019/10/can-we-please-style-select/)

ある調査において、select及びoption要素ののスタイリングは非常に面倒であると回答する人が非常に多いことが分かった。この問題について検証したところ、彼らが作成しようとしているselectのUIは、完全にゼロからスタイリングする必要があり、非テキストのコンテンツを挿入するものや、サブパーツとのインタラクションが求められるものであった。この現状について、セマンティクスさやアクセシビリティの観点からどういった問題があるかについて考察していく。

## [Design Systems for Developers by Dominic Nguyen and Tom Coleman](https://www.learnstorybook.com/design-systems-for-developers/)

コンポーネントライブラリをデザインシステムに変換する方法と、フロントエンドチームの生産インフラをセットアップする方法について紹介する。具体的には、Storybookを用いて、コアサービス、ライブラリ、およびワークフローのセットアップの順に進め、ゼロから大規模なデザインシステムを設計する方法を解説していく。

## In Brief
- [**No Style Design system by Adam Silver**](http://nostyle.herokuapp.com/)**:** [GOV.UK](https://design-system.service.gov.uk/)のデザインシステムからアイディアを経て作られたレイアウトやコンポーネントのデザインシステム
- [**Patterns for Practical CSS Custom Properties Use by Tyler Childs**](https://css-tricks.com/patterns-for-practical-css-custom-properties-use/): カスタムプロパティを使いこなすための様々なアイディアを紹介する
- [**Dynamic CSS Components Without JavaScript by Heydon**](https://every-layout.dev/blog/css-components/): JavaScriptを使用せずにCSSで動的なコンポーネントを作成するためのTips
- [**Making your UI tests resilient to change by Kent C. Dodds**](https://kentcdodds.com/blog/making-your-ui-tests-resilient-to-change): 壊れやすいフロントエンドのテストをどのように改善できるのか
- [**The Fidelity Curve: How to weigh the costs and benefits of creating UI mockups by Ryan Singer**](https://m.signalvnoise.com/the-fidelity-curve-how-to-weigh-the-costs-and-benefits-of-creating-ui-mockups/): UIモックアップの作成方法をいくつか挙げ、それぞれの作業時間とクオリティのトレードオフについて、いろいろな条件下でどのように分布するかグラフを用いて解説していく

