# Frontend Weekly Vol.242
デザインシステムにおける重要な要素とは、25周年を迎えたW3C、ドロップダウンフィールドの問題とそれにどう対処するべきか、ほか計10リンク

## [Design Systems Are About Relationships by Ryan DeBeasi](https://www.smashingmagazine.com/2019/10/design-systems-relationships/) 
https://www.smashingmagazine.com/2019/10/design-systems-relationships/


**デザインシステムにおける重要な要素とは**
デザインシステムをどのように構築し、運用するべきかについて。それはデザイナや開発者に制限を与えるものではなく、力を与えるようにあるべきだとRyan氏は指摘する。デザインシステムを構築する前に、実際に使用する人々と話、どのような問題を解決したいのかを明確にし小さく始めていくことが重要だと話す。

## [The W3C At Twenty-Five by Rachel Andrew](https://www.smashingmagazine.com/2019/10/happy-birthday-w3c/)
https://www.smashingmagazine.com/2019/10/happy-birthday-w3c/


**25周年を迎えたW3C**
W3Cは2019年10月1日に25周年を迎えた。この記事ではRachel氏がW3Cとはなにか、またどのようなフローで意思決定を行っているのか、その仕組みを説明する。また、「Webストーリー」を共有して、誰もがWebプラットフォームをオープンにすることが重要であることについてを解説する。

## [The problem with dropdown fields (and what you should use instead) by Josh Wayne](https://designsmarts.co/the-problem-with-dropdowns/)

https://designsmarts.co/the-problem-with-dropdowns/
**ドロップダウンフィールドの問題とそれにどう対処するべきか**
ドロップダウンメニューはよく使われるUIであるが、それは多くの場合ユーザーの使い勝手を損なうことが多いとJosh氏は指摘する。この記事では、ドロップダウンを使用するメリットとデメリットについて解説し、より良い入力方法を選択する方法について、また他に選択肢がない場合において、ドロップダウンのユーザビリティを改善する方法を示します。

## [Images done right: Web graphics, good to the last byte by Martian Chronicles](https://evilmartians.com/chronicles/images-done-right-web-graphics-good-to-the-last-byte-optimization-techniques)

Webにおける画像の取り扱いについて。どのようにWebページで読み込まれる際のパフォーマンスを最適化するか、JPG/PNG/WEBPの挙動の違い、ラスタ画像とSVGなど、様々な側面から画像について考察していく。

## [Writing Docs at Amazon by Scott by Scott](https://blog.usejournal.com/writing-docs-at-amazon-e025808616bd)

Amazonで行なわれている文書を使ったユニークな意思決定の方法について解説する。Scott氏は実際にAmazonでそのドキュメントに携わったことがありそこで共有されていた、ガイドラインをこの記事内で紹介している。

- 箇条書きではなく、常の段落で記述する
- 正しい文法をスペルを使う
- 文書で何を達成しようとしているのかを把握する
## In Brief
- [**JavaScript Naming Conventions by Robin Wieruch**](https://www.robinwieruch.de/javascript-naming-conventions): 一般的によく使われるJavaScriptの命名規則を紹介する
- [**Recipes for Performance Testing Single Page Applications in WebPageTest by Nicolas Goutay**](https://css-tricks.com/recipes-for-performance-testing-single-page-applications-in-webpagetest/): WebPageTestを利用してSPAのパフォーマンス計測をする方法を紹介する
- [**Intro to SVG for React Developers by Daniel Matarazzo**](https://able.bio/dbmzzo/intro-to-svg-for-react-developers--56cmmcy)**:** 単純なSVGを利用して、カラフルなインジケーター作成し、それをReactコンポーネントにするまで解説
- [**Writing is Thinking: Learning to Write with Confidence by Steph Smith**](https://blog.stephsmith.io/learning-to-write-with-confidence/): ライティングに関しての記事。彼女がライティングをする際に、どのように考え進めていくのか。彼女が実際に行っている、6つのステップに分け進めていく方法を紹介する
- [**Stop Giving Control Hints to Screen Readers by Adrian Roselli**](https://adrianroselli.com/2019/10/stop-giving-control-hints-to-screen-readers.html): スクリーンリーダーユーザーのアクセシビリティについて。通常のHTMLやARIAパターンの場合、デフォルトの挙動と内容が重複し、指示が冗長になってしまうため、使用方法や内容に関する説明を付加する必要は無いという

