# Frontend Weekly Vol.243
**テクノロジー業界の自動化・パワー・正義・労働、なぜ見積もりが求められるのか、Progressive Enhancementの「P」は「Pragmatism」のP、ほか計10リンク**

## [The World-Wide Work. by Ethan Marcotte](https://ethanmarcotte.com/wrote/the-world-wide-work/)
https://ethanmarcotte.com/wrote/the-world-wide-work/


**テクノロジー業界の自動化・パワー・正義・労働**
テクノロジー業界を様々な側面から考察する。Webがどのように変化をしているか、またWebでの仕事がどのように変化しているかについて話しながら、特にウェブデザインについて、それがどのように工業化されてしまっているか、それがどのような問題を引き起こすか、その可能性について解説する。そして、今後どのように変化していくか、ウェブがどのように新しい種類の仕事をうみだ生み出しいくかについて語る。

## [Why Devs (Should) Like Estimates by Yaakov Ellis](https://stackoverflow.blog/2019/10/23/why-devs-should-like-estimates/)
https://stackoverflow.blog/2019/10/23/why-devs-should-like-estimates/


**なぜ見積もりが求められるのか**
Yaakov氏はStack Overflowのプリンシパルエンジニアとしての経験から、健全な開発には、正確な見積もりが不可欠であることを学びました。また、正確な見積もりをするための独自の方法を作成してきた。この記事では、まず、なぜデベロッパーに見積もりが求められるのかなどの前提の話から、その方法論について解説をしていく。

## [The “P” in Progressive Enhancement stands for “Pragmatism” by Andy](https://hankchizljaw.com/wrote/the-p-in-progressive-enhancement-stands-for-pragmatism/)
https://hankchizljaw.com/wrote/the-p-in-progressive-enhancement-stands-for-pragmatism/


**Progressive Enhancementの「P」は「Pragmatism」のP**
プログレッシブ・エンハンスメントについての考察。プログレッシブエンハンスメントの考え方では、すべてのユーザーに同様の体験を提供するのではなく、難しい場合には、代わりに実行可能な体験を提供する。CSSカスタムプロパティでの実際の実装を例に取り、どのようにそれを実装するべきかについてについて紹介していく。理想的には、通常の体験よりも劣っている体験をしているということをユーザーに気付かせないようにする。

## [Think like a chef: how to use a design system by Stephanie Poce](https://ux.shopify.com/think-like-a-chef-how-to-use-a-design-system-ae1f0e0e0dd7)

効果的なデザインシステムを腕の立つシェフのメタファを利用して解説する。シェフは、材料、ツール、プロセスの理解を深めるために時間を費やし、特定の要素がうまく機能する理由、ツールを効果的に使用する方法、フライパンなどのツール選定、目的を達成するために従うべきプロセスを知っている。デザインシステムとシェフの考え方の共通点とは。

## [A Guide To New And Experimental CSS DevTools In Firefox by Victoria Wang](https://www.smashingmagazine.com/2019/10/guide-new-experimental-css-devtools-firefox/)

Firefox DevToolsチームでは、Grid Inspectorを始め様々なWebの問題を解決するための新しいツールをリリースしている。この記事では、Firefoxに搭載されている、7つのツールについて解説する。また今後予定されている機能について。

## In Brief
- [**Uncommon Use Cases For Pseudo Elements by Ahmad Shadeed**](https://ishadeed.com/article/unusual-use-cases-pseudo-elements/): 疑似要素を活用して様々なデザインを実現するユースケースを紹介する
- [**When to Use Map instead of Plain JavaScript Object by Dmitri Pavlutin**](https://dmitripavlutin.com/maps-vs-plain-objects-javascript/): JavaScriptのオブジェクトとMapは似たような機能を提供するが、どういった違いがあり、使い分けるか紹介する
- [**Website color schemes that are changing the way we design by Jess Thoms**](https://www.invisionapp.com/inside-design/website-color-schemes/): Webデザインにおける、色について深堀りし、トレンドや色から連想されるイメージについて解説していく
- [**How to design delightful dark themes by Teresa Man**](https://blog.superhuman.com/how-to-design-delightful-dark-themes-7b3da644ff1f): ダークテーマを用いてアプリをデザインする際に念頭に置いておきたい、その特徴や注意点など
- [**The box model is not layout by Kilian**](https://kilianvalkhof.com/2019/design/the-box-model-is-not-layout/): CSSのボックスモデルについて深堀りし、その性質、フレックスレイアウト、グリッドレイアウトなどのレイアウトシステムとの関係などについて考察する

