# Frontend Weekly Vol.244
UIの学習可能性を計測する方法、ソフトウェアプロジェクトの見積もりの重要性、テクニカルリーダーシップを育む、ほか計10リンク

## [How to Measure Learnability of a User Interface by Alita Joyce](https://www.nngroup.com/articles/measure-learnability/)
https://www.nngroup.com/articles/measure-learnability/


**UIの学習可能性を計測する方法**
学習可能性とは、ユーザビリティを示す5つの指標のうちの1つ(効率性、記憶性、エラー、満足度、学習可能性)であり、ユーザーがUIに順応するための速度を表す。これは、特に同じユーザーが何度もアクセスするアプリやシステムにとっては大きな価値がある。この記事では学習可能性について、その重要性を示し、どのように、リサーチを行うか紹介する。また、リサーチを行って完全に最適化しないまでも、少なくともその考えを理解し考慮することが重要だと結論づける。

## [Yes, You Should Estimate Software Projects by Gergely Orosz](https://blog.pragmaticengineer.com/yes-you-should-estimate/)
https://blog.pragmaticengineer.com/yes-you-should-estimate/


**ソフトウェアプロジェクトの見積もりの重要性**
最近のプロジェクトマネジメントの手法では、工数の見積もりは具体的な時間ではなく、相対的な値を使用して見積もる手法の方が優れている、という考え方がある。Gergely氏はこの考え方に疑問を呈す。時間で見積もることによって生まれるメリット、そして見積もること自体がなぜ開発において非常に重要なことのか、彼の考えを展開していく。


> If you never give estimates, you'll never become good at them.
## [Thriving on the Technical Leadership Path by Keavy McMinn](https://keavy.com/work/thriving-on-the-technical-leadership-path/)

https://keavy.com/work/thriving-on-the-technical-leadership-path/

**テクニカルリーダーシップを育む**
この記事では、Keavy氏がエンジニアのキャリアパスについて考察する。テックリードになるためには、マネジメント職へのパスが唯一のパスでは無いという。彼女も、自分自身がマネジメントに向いておらず、エンジニアとして活躍したいと考え、現在は戦略的なテクニカルリーダーシップをとる役割として活躍している。彼女の役割がどういったものか、どのようにそのポジションで活躍しているのか、紹介していく。

## [Semantic sidenotes for the web by Koos Looijesteijn](https://www.kooslooijesteijn.net/blog/semantic-sidenotes)

メインの文章を補足する、注釈機能を実装する。シンプルな実装から始まり、セマンティクスを考慮した実装をするアイディアとその解説を行う。

## [APIs: The Future Is Now by Jared M. Spool](https://articles.uie.com/api_future/)

Twillioで実装されたサービスを使った経験を紹介しながら、APIの利点、欠点、そしてAPIがどのように世界を変えていくかについて、考察を深めていく。

## **In Brief**
- [**Auditing For Accessibility Problems With Firefox Developer Tools by Marco Zehe**](https://hacks.mozilla.org/2019/10/auditing-for-accessibility-problems-with-firefox-developer-tools/): 最新のFirefoxで使用できる、アクセシビリティのインスペクタ機能について紹介していく
****- [**Things We Can’t (Yet) Do In CSS by Rachel Andrew**](https://www.smashingmagazine.com/2019/11/css-things-cant-yet-do/): 現在のCSSでは実装できないレイアウトパターンについて紹介していき、また、今後の将来的に実装できる余地があるか解説する
****- [**Are There Random Numbers in CSS? by Alvaro Montoro**](https://css-tricks.com/are-there-random-numbers-in-css/): ランダムな数値をJavaScript無しで、CSSで実装する方法を紹介する
****- [**Third party by Jeremy**](https://adactio.com/journal/16099): サードパーティのCookieとJavaScriptについての考察。Webが30周年を迎えた今、再度その存在価値、ブラウザの対応、今後の動向について考察をしていく
****- [**The Evolution of Material Design’s Text Fields by Susanna Zaraysky**](https://medium.com/google-design/the-evolution-of-material-designs-text-fields-603688b3fe03): Materialデザインのテキストフィールドががどのように改善され続けているか、そのストーリーを紹介する

