# Frontend Weekly Vol.245
良いPRの作り方、instagram.comのパフォーマンス改善、nullとundefinedをハンドリングする、ほか計10リンク

## [How to send good pull requests on GitHub by Eli Bendersky](https://eli.thegreenplace.net/2019/how-to-send-good-pull-requests-on-github/)

https://eli.thegreenplace.net/2019/how-to-send-good-pull-requests-on-github/
**良いPRの作り方**
Eli氏は過去数年間に渡って、仕事と個人プロジェクトの両方で数千のPRをレビューしてきた経験から、良いPRを作る際のチェックリストを作成した。この記事では、そのチェックリストの解説を行っていき、どのように良いPRを作ればよいのかヒントを教えてくれる。


- PRが必要であることを確認する
- 未解決のイシューにリンクされている（オプション）
- 役に立つタイトルを書く
- 詳細に説明を書く
- プロジェクトのコーディングスタンダードに従う
- テストを追加する
- すべてのテストに合格することを確認する
- コードのレビュー中は忍耐強くフレンドリーになる
## [Making Instagram.com faster: Part 1 by Glenn Conner](https://instagram-engineering.com/making-instagram-com-faster-part-1-62cc0c327538)
https://instagram-engineering.com/making-instagram-com-faster-part-1-62cc0c327538


**insta****g****ram.comのパフォーマンス改善**
近年、instagram.comでは多くの変更が行わている。ストーリー、フィルター、作成ツール、通知、ダイレクトメッセージング、その他の多くの機能と拡張機能をリリースした。 しかし、その副作用としてWebパフォーマンスが低下し始めている。この記事では、昨年行われたパフォーマンス改善の取り組みを紹介し、どのような施策がパフォーマンス向上に寄与したか、ケーススタディを紹介する。


- Part2: [https://instagram-engineering.com/making-instagram-com-faster-part-2-f350c8fba0d4](https://instagram-engineering.com/making-instagram-com-faster-part-2-f350c8fba0d4)
- Part3: [https://instagram-engineering.com/making-instagram-com-faster-part-3-cache-first-6f3f130b9669](https://instagram-engineering.com/making-instagram-com-faster-part-3-cache-first-6f3f130b9669)
## [Handling null and undefined in JavaScript by Eric Elliott](https://medium.com/javascript-scene/handling-null-and-undefined-in-javascript-1500c65d51ae)
https://medium.com/javascript-scene/handling-null-and-undefined-in-javascript-1500c65d51ae


**nullとundefinedをハンドリングする**
多くの開発者が苦労しているJavaScript開発の1つの側面は、オプションの値の処理。 null、未定義、または実行時に初期化されない可能性がある値によって引き起こされるエラーを最小限に抑えるための最良の方法とは何か。この記事では、こうした問題を解決するためにどういった方法が考えられるか紹介していく。

## [8 critical skills of effective design leaders by Amy Schroeder](https://www.abstract.com/blog/design-leadership-skills/)

Center Centre-UIEのJared Spoolは、「デザインチームが成功するにはマネジメントが不可欠であり、デザイン努力のマネジメントをする必要がある」と言う。最高のデザインリーダーは伝統的なトップダウンなリーダーシップのスタイルではなく、共同的なアプローチをとる。この記事ではデザインリーダ
ーに必要とされる重要な8つのスキルをまとめ、紹介していく。


- 信用するスキルを持つ
- 大きな質問をする
- 謙虚である
- 共感的、感情的であり、知性的
- コミュニケーションの透明度を重要視する
- 未来を見据える
- どこからでも学ぶ意欲を持つ
- ビジョナリーである
## [Intent to Explain: Demystifying the Blink Shipping Process by Chromium Blog](https://blog.chromium.org/2019/11/intent-to-explain-demystifying-blink.html)

BlinkはChromiumで使用されるレンダリングエンジンであり、ChromiumのWebプラットフォームの実装の役割を担っている。この記事では、そのBlinkがどのように開発、機能追加がされ、開発者に届けられるかを紹介する。

## In Brief
- [**Design System Playground  by John Polacek**](https://design-system-playground.netlify.com/): デザインシステムを自動生成してくれるアプリ。カスタマイズも可能で、作成後はダウンロードできるので、自分のプロジェクトに適用できる
- [**UI Case study: state styles of card component with accessibility in mind by nana Jeon**](https://blog.prototypr.io/ui-case-study-state-styles-of-card-component-with-accessibility-in-mind-2f30137c6108): カードUIについてその取りうるステートなども含めた考察を行う。またアクセシビリティを考慮した場合、どのような点をチェックするべきか解説
- [**Track the impact of Third Party scripts, Total Blocking Time and more by Karolina Szczur**](https://calibreapp.com/blog/release-notes-sep-2019): サードパーティのスクリプトがWebサイトに与える影響を解析し、特にトータルブロッキングタイムがどのように変化するかについて検証していく
- [**What’s next for CSS? by csstooks**](https://cssdb.org/): 将来的に使用可能となる可能性のあるCSSのAPIを紹介する
- [**The two-value syntax of the CSS Display property by Rachel Andrew**](https://hacks.mozilla.org/2019/10/the-two-value-syntax-of-the-css-display-property/)**:** displayプロパティでは通常 blockやflexなど一つの値を指定するが、2つの値を指定することもできる仕様がある。その仕組みについて解説する

