# Frontend Weekly Vol.248
Webがまだ持ち続けている特性、平時の生産性と戦時の生産性、デザインAPI: デザインシステムの進化、ほか計10リンク

## [What the Web Still Is by Eric Bailey](https://css-tricks.com/what-the-web-still-is/) 
https://css-tricks.com/what-the-web-still-is/


**Webがまだ持ち続けている特性**
Eric氏はWebの特徴を再度定義する。ここで定義されているものはWebを素晴らしいものにしている要素であるが、それが無くなってきている部分もあると指摘し、来年もこれらを残すための活動を行っていきたいと締めくくる。


- 多目的である
- 分散化されている
- 弾力性がある
- レスポンシブである
- 適応可能である
- アクセス可能である
- 安価である
- 多様である
- 標準化されている
- オープンである
## [Peacetime Productivity, Wartime Productivity by Tasshin](https://tasshin.com/blog/peacetime-productivity-wartime-productivity/)

https://tasshin.com/blog/peacetime-productivity-wartime-productivity/
**平時の生産性と戦時の生産性**
Tasshin氏は生産性をどのように向上させるかのアイディアについて話す。この記事では、自分自身を平時の状態と、戦時の状態の２つに分け、それぞれの状態にあったマネジメントを行うことを進めており、具体的なそれぞれの方法を紹介する。彼曰く、自分の状態を平時か戦時か区別するだけで生産的な向上したといい、自分がどのモードにいるかをよりよく知ることが重要だと結論づける。

## [Design APIs: The Evolution of Design Systems by Matt Ström](https://matthewstrom.com/writing/design-apis/)
https://matthewstrom.com/writing/design-apis/


**デザインAPI: デザインシステムの進化**
Matt氏はデザインシステムにAPIのパラダイムを適用させることで非常に強力なツールとなると話す。デザインシステムにWeb APIでアクセスできるようにし、常に一貫したものを参照することができる。この記事では具体的な実装をするための考え方やルールを紹介していく。デザイナとデベロッパはこのデザインAPIを活用して、品質や一貫性を犠牲にすることなく、より巨大なコードベースを扱うことができ、新しいコラボレーションの形として有用であるという。

## [Reading a WebPageTest Waterfall Chart by Matt Hobbs](https://calendar.perfplanet.com/2019/reading-a-webpagetest-waterfall-chart/)

WebPageTestでの計測結果のウォーターフォールのグラフの見方を詳しく解説してくれる。また具体的な問題点の三桁についても教えてくれる。一見すると非常に複雑で威圧的だが、基本を理解すれば非常に便利なツールになると話す。

## [Beautiful Scrolling Experiences – Without Libraries by Michelle Barker](https://24ways.org/2019/beautiful-scrolling-experiences-without-libraries)

JSライブラリを使わずに、なめらかなスクロールを実現するためのアイディアを紹介する。フォールバックの方法も紹介する。完全にJSと同様の機能を実現できるわけではないが、シンプルであり、信頼できるという利点がある。

## In Brief
- [**Showing File Types in Links by Adrian Roselli**](https://adrianroselli.com/2019/12/showing-file-types-in-links.html): CSSのセレクタを工夫することで少ないコードでファイルタイプに応じたアイコンを表示する方法を紹介
- [**CSS Logical Properties by Adrian Roselli**](https://adrianroselli.com/2019/11/css-logical-properties.html): CSSの論理的プロパティについて、その種類と、どういった挙動をとるのか紹介する。また、チートシートを公開している
- [**How To Ease Your Team’s Development Workflow With Git Hooks by Konstantinos**](https://www.smashingmagazine.com/2019/12/git-hooks-team-development-workflow/): Git Hooksについてその仕組と導入方法を紹介し、どのようにワークフローを自動化・改善できるの具体的なコードを交えて解説していく
- [**The Merits of Mocking by Kent C. Dodds**](https://kentcdodds.com/blog/the-merits-of-mocking): UIのテストとmockについて、その仕組みの役割と、それをどのように使うべきかについて
- [**What is a screen reader? by Daniel Göransson**](https://axesslab.com/what-is-a-screen-reader/): スクリーンリーダーについて、それは一体何か、どういった種類があるのか、実際にどうのように使われているのかについて解説し、デベロッパーがどのようにアクセシビリティを改善できるのかについて説明していく

