# Frontend Weekly Vol.249
Webディベロッパーのためのアクセリビリティ基礎、優秀なフロントエンドエンジニアに求められるものとは、焦げたピザを提供しないで(そして、愛されるプロダクトデザインの開発のために)、ほか計10リンク

## [Accessibility Tips for Web Developers by Addy Osmani](https://dev.to/addyosmani/accessibility-tips-for-web-developers-4cn0)
https://dev.to/addyosmani/accessibility-tips-for-web-developers-4cn0


**Webディベロッパーのためのアクセリビリティ基礎**

Addy氏によるアクセシビリティに関する、包括的な統計データと実装する際に確認しておきたいポイント、ツールの紹介記事。実際のスクリーンショットを交えながら、アクセシビリティの観点からどういった問題が起きる可能性があるのかを解説し、改善するためのチェックポイントを質問形式で紹介していく。基礎を学ぶための[サイトも紹介する](https://web.dev/accessible/)。

## [No, Absolutely Not by Robin Rendle](https://css-tricks.com/no-absolutely-not/)
https://css-tricks.com/no-absolutely-not/


**優秀なフロントエンドエンジニアに求められるものとは**

Robin氏は、ジュニアとシニアのフロントエンド開発者の違いは、特定の技術スタックやツールチェーンのスキル、完璧なコードを書くことができるかどうかではなく、いかに悪い考えに対して押し返すことができるか、という点にある指摘する。Webという環境、フロントエンド開発、そしてビジネスを含めたより大きな枠でWebについて考えていく。

## [Don’t Serve Burnt Pizza (And Other Lessons in Building Minimum Lovable Products) by Jiaona Zhang](https://firstround.com/review/dont-serve-burnt-pizza-and-other-lessons-in-building-minimum-lovable-products/)

https://firstround.com/review/dont-serve-burnt-pizza-and-other-lessons-in-building-minimum-lovable-products/

**焦げたピザを提供しないで(そして、愛されるプロダクトデザインの開発のために)**

多様なキャリアを持つJiaona氏はプロダクトデザインに関する考えを話す。彼女はスタンフォード大学生に以下のアナロジーを話す。ピザが好きかどうかテストしようとしている際に、焦げたピザを提供しても、ピザが好きかどうかというフィードバックを得られない。同様に、最速で最も安価な機能プロトタイプであるMVPのみに依存している場合、プロダクトをテストしているのではなく、そのバージョンの品質が低いかどうかをテストしてしまっている可能性がある。この記事ではこういったプロダクトデザインを行う際に陥りがちなミスと、どのようなアプローチがとれるのかについて話す。

1.ビジネスの理由ではなく、ユーザーの理由から始める
2.問題空間を問題解決空間から分離する
3.ユーザーの意見を聞く - しかし、それを福音としては受け取らない
4.ソリューションスペースに入りし、あなたのゲームを選択する

## [It All Starts with a Humble \<textarea\> by Andy Bell](https://24ways.org/2019/it-all-starts-with-a-humble-textarea/)

[jotter](https://jotter.space/)というシンプルなWebアプリを例にとり、プログレッシブ・エンハンスメントの在り方を考える。jotterはシンプルで美しいメモアプリだが、JavaScriptを切ったとしても最低限の機能を提供している。この記事ではプログレッシブ・エンハンスメントを考慮したCSS、JavaScriptの実装、PWA化のためのService Workerの実装方法などを紹介する。

## [CSS: When to Use Logical Properties by Jens Oliver Meiert](https://meiert.com/en/blog/logical-properties/)

CSSの論理プロパティについて、その実際の実装例とそれをいつ使うべきかについて解説する。

## In Brief
- [**Why \<details\> is Not an Accordion by Dave Rupert**](https://daverupert.com/2019/12/why-details-is-not-an-accordion/): `<details>/<summary>`タグを使用して実現するUIとセマンティクスな実装の間にある問題を考える
- [**Optional chaining helps to avoid "undefined is not a function" exceptions by Stefan Judis**](https://www.stefanjudis.com/today-i-learned/optional-chaining-helps-to-avoid-undefined-is-not-a-function-exceptions/): Optional Chainingの機能について、その機能が実装される背景と、どのような挙動をとるか解説していく
- [**Having fun with ES6 proxies by Maciej Cieślar**](https://blog.logrocket.com/having-fun-with-es6-proxies/): ES6のプロキシの特徴や機能、テクニックなどを解説していく
- [**How to enable dark mode in HTML email: everything you need to know. by Patrik Krupař**](https://www.freecodecamp.org/news/dark-mode-in-html-email-everything-you-need-to-know/): HTMLメールでのダークモードを実装するアイディアを紹介
- [**CSS resize none on textarea is bad for UX by Catalin Rosu**](https://catalin.red/css-resize-none-is-bad-for-ux/): `textarea {resize: none}`ではtextareaの挙動を制御できる。しかし、そういった制御はUXとしての問題点がないか、検証する

