---
date: 2015-02-04
title: Frontend Weekly Vol.3
description: Angular.js、Prototyping Tool、Designing in browser、ほか15記事を紹介
---

# Frontend Weekly Vol.3

## Headlines

### [Angular momentum by Jeremy Keith](https://adactio.com/journal/8245)

JavaScriptに限らず、ライブラリやフレームワーク、それどころかソフトウェアをどうやって選択するべきか?  
コードがよく書かれているとか、エンタープライズに向いているとかではなく、そのソフトウェアの信念や仮説が開発やメンテナンスを行う人たちと同じものかであるべきというのがJeremy Keith氏の見解。

### [Prototyping Tools by Stephen Meszaros](http://stephenmeszaros.com/posts/prototyping-tools.html)

プロトタイプなしにプロダクトは生み出せない。と言われるほど、プロトタイプの存在は大きいものです。この記事ではモダンなプロトタイプツールを7つ、良い点と悪い点をそれぞれ詳しく紹介してくれています。

### [The When, Why and How of Designing in Browser — Philosophie is Thinking by Brooke Kao](https://medium.com/philosophie-is-thinking/the-when-why-and-how-of-designing-in-browser-3c7fa2ebcb94)

ブラウザでデザインすることとPhotoshopを使わないことはまったく別の話。この記事では、これまであまり語られなかった、ブラウザでデザインするアプローチのWhenについても触れられていて、参考になります。

### [Inside Microsoft’s New Rendering Engine For The "Project Spartan" by  Jacob Rossi](http://www.smashingmagazine.com/2015/01/26/inside-microsofts-new-rendering-engine-project-spartan/)

まだコードネーム"Project Spartan"としてしか知られてないInternet Explorerの新バージョンについてとてもよくまとめられている記事。まだ「これは期待できる」と断言できるまではいかないものの、楽しみではあります。

### [Best Practice for Creating Custom Elements by Peter Gasston](http://www.broken-links.com/2015/01/27/best-practice-creating-custom-elements/)

以下にも紹介するJeremy Keith氏によるExtensibilityという記事でも言及されていますが、Custom Elementsを作るためのベスト・プラクティスは「作らない事」。代わりに`is`を利用して既存の要素を拡張するべきだという記事。

## In Other News…

### [The React Quick Start Guide by Jack Callister](http://www.jackcallister.com/2015/01/05/the-react-quick-start-guide.html)

つい先日も[React.js Conf](http://conf.reactjs.com/)が開催され、注目を浴び続けているReact.js。この記事ではReact.jsのコンセプトから基本についてごくわかりやすくまとめて紹介しています。

### [Designing with Hue Saturation and Lightness by Ryan Allen](http://articles.dappergentlemen.com/2015/01/22/hsl/)

Webで使う色といったらRGB。というのはもう古くなりつつあります。この記事でRyan AllenはHSLをSassと一緒に利用することで拡張性の高いカラー・スキームを作成する方法を紹介しています。

### [State of io.js by Mikeal Rogers](https://medium.com/node-js-javascript/state-of-io-js-2b3094e6f923)

io.jsの発起人であり、NodeConfのホストもつとめるMikeal Rogersによるio.jsの現況報告。io.jsが掲げ、実践しているオープン・ガバナンスはなかなか興味深い。

### [Extensibility by Jeremy Keith](https://adactio.com/journal/8276)

Jeremy KeithはWeb Componentsに対して期待と不安の両方を抱えています。Web Componentsがこれまでにない力をWebに与える分、どうやって拡張していくかが鍵になるだろうとしています。

### [Getting to Know LibSass by Hugo Giraudel](http://webdesign.tutsplus.com/articles/getting-to-know-libsass--cms-23114)

Sassのコンパイルに時間がかかって困っていませんか? SassをCを使ってコンパイルするLibSassについて、今さら聞けない様々なことをSassのエバンジェリストといってもいいHugo Giraudel氏が解説。

## Books to Read

### [The UX Reader by MailChimp](http://theuxreader.com/)

MailChimpのチームが総力戦で望むTheがつくほどのUXに関する本。UXにまつわるチームの話、リサーチ、デザインそのものはもちろん、イテレーションについてまでカバーしている。英語ではありますが無料です。

## Slides/Videos

### [Polymerで作る次世代ウェブサイト by Eiji Kitamura](http://www.slideshare.net/agektmr/polymer-43902352)

先日開催された[HTML5 Conference](http://events.html5j.org/conference/2015/1/)にて発表されたPolymerに関するスライド。動画は[このあたりから](http://youtu.be/qzh56Ja1eaw?t=3h20m16s)

### [WAI-ARIA - an introduction to accessible rich internet applications by Patrick Lauke](http://www.slideshare.net/redux/waiaria-an-introduction-to-accessible-rich-internet-applications-workshop)

WAI-ARIAについて知っておきたいことがよくまとまった1dayワークショップのスライド。183枚の力作。

## In Brief

- [ie8linter by Danny Povolotski](https://github.com/israelidanny/ie8linter): IE8との互換性を保つために様々なワーニングを出してくれるツール。現在はまだベータ版。

- [Flickity by Metafizzy](http://flickity.metafizzy.co/): IsotopeやPackeryなど著名なUI系JavaScriptライブラリを作成しているMetafizzyのカルーセルライブラリ。

- [Vivaldi - A new browser for our friends](https://vivaldi.com/):   元OperaのCEOが新たなブラウザをテクニカル・プレビューリリース。Operaユーザはもちろん、ヘビーなインターネットユーザ向けの機能がすでに多く組み込まれている。

- [CriticalCSS by Filament Group](https://github.com/filamentgroup/criticalCSS): "Above The Fold"のCSSを抽出するNode.jsモジュール。クローラーと一緒に使うと便利そう。

- [SassDoc by SassDoc Team](http://sassdoc.com/): 強力な機能を持つだけに複雑になってしまうSassプロジェクトにぴったりなSassの変数や関数、Mixinなどのドキュメントを生成するツール。スタイルガイドではないので要注意。
