---
date: 2015-08-26
title: Frontend Weekly Vol.32
description: CSS Modules、Preconnect、JavaScriptの時間問題、ほか計13リンクを紹介
---

# Frontend Weekly Vol.32

## Headlines

### [CSS Modules by Glen Maddern](http://glenmaddern.com/articles/css-modules)

Christopher Chedeau氏が2014年の12月にNationJSで提唱した「CSS in JS」を元に生まれたCSS Modulesというアプローチについて概念的な部分を詳しく解説。記事の執筆者のGlen Maddern氏はCSS Modulesの中心的な人物。

### [Eliminating Roundtrips with Preconnect by igvita.com](https://www.igvita.com/2015/08/17/eliminating-roundtrips-with-preconnect/)

[Resource Hints](http://w3c.github.io/resource-hints)にある、[Preconnect](http://w3c.github.io/resource-hints/#preconnect)という仕様がFirefox 39とChrome 46で実装された。その実装を使ってラウンド・トリップを事前に解決しパフォーマンス改善する方法についてと、利用における注意点について。

### [Tasks, microtasks, queues and schedules by JakeArchibald.com](https://jakearchibald.com/2015/tasks-microtasks-queues-and-schedules/)

JavaScriptのおける『時間』に関するブラウザ実装の違いやタスク、マクロタスクなどの差異について実行できる例付きで詳しく解説。

### [The Pursuit of Simplicity in Programming](http://blog.mediumequalsmessage.com/simplicity-in-programming)

プログラミングの世界でも、シンプルなものは美しい。記事ではプログラミングにおけるシンプルさと「簡単」であることの違い、シンプルさに向かうために知っておきたい考え方について紹介。

### [Stop pushing redux by QuirksBlog](http://www.quirksmode.org/blog/archives/2015/08/stop_pushing_re.html)

[Stop pushing the web forward](http://www.quirksmode.org/blog/archives/2015/07/stop_pushing_th.html)に対する様々な意見に対してPPK本人からの返信。

### [The Language of Modular Design by An A List Apart](http://alistapart.com/article/language-of-modular-design)

ページではなく、システム全体をデザインしていく時代に、何をモジュールと考えるべきか。概念をチームで揃えるために実行したことと、そこから得た学びについて。

### [Introducing Elm to a JS Web App](http://noredinktech.tumblr.com/post/126978281075/walkthrough-introducing-elm-to-a-js-web-app)

局所的に話題になっているElmという言語をどうJavaScript Webアプリに連携させていったかについて。React好きならオススメ。

## Slack for Frontend Weekly

先週のリンクは上手くいかなかった(申し訳ないです)ので、気を取り直して、改めて。
Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、[こちら](https://studiomohawk.typeform.com/to/Kj8Gaj)から招待をリクエストしてください。  
週次で50人くらいずつ招待をして行くつもりです。

## Slides/Videos

### [perfslides :: A sample website to demonstrate the use of browser-perf and perfjankie](http://nparashuram.com/perfslides/)

[browser-perf](https://github.com/axemclion/browser-perf)と[perfjankie](https://github.com/axemclion/perfjankie)という2つのツールを使ったレンダリングパフォーマンス改善についてのスライド。

## In Brief

- [**Smarter CSS builds with Webpack**](http://bensmithett.com/smarter-css-builds-with-webpack/): Webpackを利用した賢いCSSビルド方法の紹介。
- [**MailChimp Content Style Guide**](http://styleguide.mailchimp.com/voice-and-tone/): MailChimpにおけるコンテンツのスタイル、いわゆる「トンマナ」のガイド。
- [**Permissions API for the Web by Google Web Updates**](https://developers.google.com/web/updates/2015/04/permissions-api-for-the-web): ユーザからの許可を取得するためのAPIについて。
- [**Bringing SSL To Your Private Network**](https://www.webreflection.co.uk/blog/2015/08/08/bringing-ssl-to-your-private-network): SSL必須となるJavaScriptのAPIを実装する際に知っておきたいローカル開発環境のセットアップ。
- [**MapLatency.com - Check latency, ping, dns, page load from multiple locations**](http://www.maplatency.com/): 5万弱の場所からレイテンシーを確認できるWebツール。

