---
date: 2015-10-07
title: Frontend Weekly Vol.38
description: USのデザインガイド、パフォーマンス、ESlintなど計17リンク
---

# Frontend Weekly Vol.38

## Headlines

### [U.S. Web Design Standards](https://playbook.cio.gov/designstandards/)

アメリカ政府関連のWeb UIコンポーネント集であり、ビジュアルスタイルガイド。[この開発にまつわるストーリー](https://medium.com/@USDigitalService/introducing-u-s-web-design-standards-aff21383afd6)も合わせてどうぞ。

### [Why Performance Matters: The Perception Of Time](http://www.smashingmagazine.com/2015/09/why-performance-matters-the-perception-of-time/)

Webのパフォーマンス改善において、重要なファクターの1つである、"Perception Of Time"について。パフォーマンスに関する指標となる数字とともに解説。

### [ESLint: The Next-Generation JavaScript Linter](http://www.smashingmagazine.com/2015/09/eslint-the-next-generation-javascript-linter/)

次世代JavaScriptリンターとして最近よく目にするようになったESLint。記事ではESLintのメイン開発者であるNicholas Zakas氏が、なぜESLintを開発したのか、これまでのリンターにどんな問題があったのかについて、そして実際の導入まで詳しく解説。

### [Use Cases For Css Calc](http://vincentp.me/blog/use-cases-for-calc/)

存在こそ知られているものの使い方が難しいCSSのcalc()。calc()が効果的に使えるパターンをデモと共に解説。

### [How GraphQL taught me to code client apps](https://medium.com/@gregoryziegan/how-graphql-taught-me-to-code-client-apps-1c631a9953bd)

RESTfulに慣れたデベロッパーがGraphQLを使った開発を通じて学んだこと。Fluxを使ったReactでの開発をしている人に特におすすめ。

### [Interview with Steve Souders on his Work at The Frontier of Web Performance](http://webdesignledger.com/steve-souders-interview)

パフォーマンスと言えばSteve Souders氏。今でもWebのパフォーマンスにおいてリードしつづけている彼とのインタビュー。

### [Evaluating Ideas by A List Apart](http://alistapart.com/blog/post/evaluating-ideas)

ブレインストーミングで出てきたアイデアや思いついたアイデアをどうやって評価するか。アイデアを形にするためのフレームワークの紹介。

## Slides/Videos

### [What's new in Chrome DevTools? by Addy Osmani](https://speakerdeck.com/addyosmani/whats-new-in-chrome-devtools)

FITC Web Unleashed 2015で行われたAddy OsmaniによるDevToolsについてのセッションのスライド。UIの改善、パフォーマンスの調査（Networkパネル・Timelineパネル）、新機能（Promise Inspector・Securityタブ）など。

### [How to Write an Open Source JavaScript Library](https://egghead.io/series/how-to-write-an-open-source-javascript-library)

1分30秒から、5分ほどの短いものの、23の動画でオープンソースJavaScriptのライブラリを作る方法について解説。

### [Composition over Inheritance](https://medium.com/humans-create-software/composition-over-inheritance-cb6f88070205)

JavaScriptにおけるコンポジションについて。8分ほどの動画とそのスクリプト。非常にわかりやすい解説。

## Anouncement

### [Slack for Frontend Weekly](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、[こちら](https://studiomohawk.typeform.com/to/Kj8Gaj)から招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

### [最大！全額割引：最先端レスポンシブWebデザインテクニックマスタークラス｜Web Directions East](http://webdirectionseast.org/respond15/recruit-entry.html)

10/24に開催される、Smashing Magazineの編集長によるレスポンシブWeb デザインワークショップに安く参加できるキャンペーン開始。スポンサー企業への転職エントリーで、全額無料の可能性も。レスポンシブWebデザインを学びたい、転職を考えている方はぜひ。

## In Brief

- [**A new Device Adaptation spec**](http://www.quirksmode.org/blog/archives/2015/09/a_new_device_ad.html): [CSS Device Adaptation Module Level 1](https://drafts.csswg.org/css-device-adapt/)という仕様についてPPKとスペックエディタであるFlorian Rivoal氏のやりとり。
- [**CSS stacking contexts: What they are and how they work**](http://tiffanybbrown.com/2015/09/css-stacking-contexts-wtf/): スタッキングコンテキストとは一体何なのか、またCSSがどのように影響するかについて詳細に解説。[What No One Told You About Z-Index](http://philipwalton.com/articles/what-no-one-told-you-about-z-index/)もあわせて読みたい。
- [**The Only UX Reading List Ever**](https://medium.com/interactive-mind/the-only-ux-reading-list-ever-d420edb3f4ff): UXを知るために読むべきリソース集。それなりの分量ながらポイントを抑えているので確実に読んでおきたい。
- [**Promisees · Courtesy of ponyfoo.com**](http://bevacqua.github.io/promisees/): コードからPromiseモデルを視覚化するツール。
- [**NW.js & Electron Compared**](http://tangiblejs.com/posts/nw-js-electron-compared): ネイティブ・デスクトップアプリをWebのスタックで作成するために使える、NW.jsとElectronの違いを比較。
