---
date: 2015-11-25
title: Frontend Weekly Vol.45
description: CSSでa11yファースト、モバイルUXの間違い、関数型を学ぶほか計15リンク
---

# Frontend Weekly Vol.45

## Headlines

### [How Our CSS Framework Helps Enforce Accessibility by eBay Tech Blog](http://www.ebaytechblog.com/2015/11/04/how-our-css-framework-helps-enforce-accessibility/)

CSSフレームワークそのものにアクセシビリティを向上させる『制限』を組み込む。HTMLとCSSが持つ依存関係を上手く利用し、規模の大きなサイトでも、アクセシビリティ・ファーストを実践するアイデア。

### [Misused mobile UX patterns by Zoltan Kollin](https://medium.com/@kollinz/misused-mobile-ux-patterns-84d2b6930570)

インターフェイスのパターンは決して数多くはない。モバイルならでは、であれば尚更。それでもモバイルにおいてそれらのパターンを間違って利用しているケースは多い。記事ではよくある間違いについて解説している。

### [Functional Programming By Example](http://tobyho.com/2015/11/09/functional-programming-by-example/)

JavaScriptを使ったFunctionalなプログラミングの例。同じ問題に対して、オブジェクト指向と関数型で実装していく。それぞれの違いを認識すると、理解はしやすいのでは?

### [Kill .apply With The …Spread Operator](http://derickbailey.com/2015/11/16/kill-apply-with-the-spread-operator/)

ES2015で追加されたSpread Operatorを使って、Function.prototype.applyを排除するアプローチ。

### [How to maintain product UX consistency? — Hunting for UX design truffles by Hannah Chen](https://blog.hannahcdesign.com/how-to-maintain-product-ux-consistency-71f58df0a91f)

プロダクトのUXを考えるうえで非常に大切な「一貫性」、それを保つためにどうすればよいか。Brad Frost氏のAtomic DesignをUIコンポーネント設計の軸に、Sketchとプラグインを使ってパターンライブラリを作っていく工程を解説。

### [Why you should want to be a user experience developer](https://boagworld.com/dev/why-you-should-want-to-be-a-user-experience-developer/)

フロントエンド・デベロッパを名乗るのではなく、ユーザエクスペリエンス・デベロッパと名乗ろう。自分をどうカテゴライズするかは『壁』を超える第一歩。なぜそうあるべきかについても書いてあるので、ぜひ。

## Slides/Videos

### [SPAN 2015 NYC by Google Design](https://www.youtube.com/playlist?list=PLJ21zHI2TNh8PT7jvl5R3T_fmIEn9JNhT)

Googleのデザインチームによる、ニューヨークで開催されたデザインと技術に関するSPANというイベントの全ビデオ。

### [Critical JavaScript Path by Jonathan Fielding](https://speakerdeck.com/jonthanfielding/critical-javascript-path)

Critical Rendering Pathの最適化、必要な分だけのCSSを読み込むテクニックだけではなく、インタラクションの多くを担うJavaScriptにも同じ概念を持ち込むべきだという意見。Critical Rendering Pathについての基礎から、Critical JavaScript Pathを実装するのを手助けするソースについて紹介している。

### [Google Accelerated Mobile Pages by Andre Marcelo-Tanner](https://speakerdeck.com/kzap/google-accelerated-mobile-pages)

Google主導のAMPプロジェクトに関するサマリー。ざっくりと内容をおさらいするのに丁度良い資料。実際にAMP化したソースコードも紹介されている。

## Announcement

### [Slack for Frontend Weekly](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、[こちら](https://studiomohawk.typeform.com/to/Kj8Gaj)から招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

### [Remixing Vol.3 with オールアバウト and LIG](https://remixing.doorkeeper.jp/events/34982)

**2015–12–05（土）12:30 - 17:30** @ オールアバウト
デザイン、フロントエンド、サーバーサイド、インフラなど様々なトピックについて。RichMedia、 オールアバウト、LIGの3社合同イベント

## In Brief

- [**GoogleChrome/simplehttp2server**](https://github.com/GoogleChrome/simplehttp2server): http2に対応したローカルサーバをシンプルに立ち上げるためのツール。
- [**Analytics confirm the need for adaptive web design…**](http://blog.jasonsamuels.net/post/21633531278/analytics-confirm-the-need-for-adaptive-web-design): アダプティブなデザインを採用するのに当たって使える数字。
- [**The Six Things You Need To Know About Babel 6**](http://jamesknelson.com/the-six-things-you-need-to-know-about-babel-6/): Babel6について知っておくべき6つのこと。いろいろ変わっているので。
- [**React vs Angular 2**](https://docs.google.com/document/d/1Ah9IJ72DhV4AzoZ1TJUnMzj42PzQrLrwQUkg9koO0dg/preview): ReactかAngular2か。それぞれの利点や欠点など、詳細にわたって記載されている貴重なドキュメント。
- [**Oghliner**](https://mozilla.github.io/oghliner/): GitHub PageにオフラインWebアプリをデプロイするツール。Service Workerの実験にもぴったりでは?
