---
date: 2015-12-23
title: Frontend Weekly Vol.49
description: パフォーマンス、RWDのアニメーション、Webの未来、ほか計16リンク
---

# Frontend Weekly Vol.49

## Headlines

### [Why Performance Matters, Part 3: Tolerance Management by Smashing Magazine](http://www.smashingmagazine.com/2015/12/performance-matters-part-3-tolerance-management/)

Denys Mishunov氏による、パフォーマンスの心理学についてのパート3記事。今回は、ユーザを待たせなければならないタスクを、どうコントロールするのかについて。

### [Animation in Responsive Design by 24 ways](https://24ways.org/2015/animation-in-responsive-design/)

スクリーンサイズはわからないレスポンシブ・デザインにおけるアニメーションの取り扱い方。アニメーションそのもののアートディレクションのアドバイスとしても秀逸。

### [HTML6 でも CSS4 でもない Web 技術のゆくえ by Ayumu Sato](https://speakerdeck.com/ahomu/html6-demo-css4-demonai-web-ji-shu-falseyukue)

2015年12月12日に行われたWCAN 2015 Winterの@ahomu氏による「HTML6でもCSS4 でもないWeb技術のゆくえ」のセッション資料。昨今のWeb技術の概況とこれからのWebの展望について俯瞰している貴重な資料。

### [Why I'm Excited About Native CSS Variables by Philip Walton](http://philipwalton.com/articles/why-im-excited-about-native-css-variables/)

Phillip Wanton氏によるCSSの変数についての解説。Sassなどのプリプロセッサのそれと何が違うのか、なぜCSSに変数が必要なのかについて。

### [Building Blocks for the VR Web](https://aframe.io/)

MozillaのVRチームが公開したWebVRコンテンツを容易に開発できるライブラリ A-Frame。3DレンダリングにThree.jsが採用されており、A-Frameではカスタム要素でラップしているため、生のWebGLに詳しくなくても容易に描画できる。

### [Ignorance Beats Empathy by Mike Monteiro](https://deardesignstudent.com/ignorance-beats-empathy-9564f1dbb2e4#.r12eoik4w)

共感することは、デザインすること、システムをよりよくするために最も重要なスキルの1つ。しかし、無知であることもゼロイチで新しいモノを生み出す上で重要なスキル。

### [Defining Done by Nicolas Zakas](https://www.nczonline.net/newsletter/archive/eb65bcda2b/)

何をもって仕事を『終えた』とするのか? よいエンジニアはこの『終えた』というタイミングに独特の解釈がある。Nicholas Zakas氏の経験からのアドバイス。

## Slides/Videos

### [Enduring CSS by Ben Frain](http://ecss.io/slides1/#/)

中大規模のサイトのCSSを設計し、運営していくためのECSSというアプローチについて。OOCSSやSMACSS、BEMが足りていない部分を補完したアプローチ。複雑で規模の大きなサイトには強力なアプローチではないか。

### [Designing usable forms by Rick Dzekman](http://www.slideshare.net/RickDzekman/designing-usable-forms)

り使いやすいFormをデザインするために知っておきたい、アクセシビリティ、コンテキストそして全般的なデザインについて。57枚のスライドによくまとめてある。

## Announcement

### [Slack for Frontend Weekly](https://studiomohawk.typeform.com/to/Kj8Gaj) (PR)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、[こちら](https://studiomohawk.typeform.com/to/Kj8Gaj)から招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**Introducing Background Sync by Google Developers**](https://developers.google.com/web/updates/2015/12/background-sync): Chrome Canaryなどで実装されているBackground Sync APIの概要と使用法をJake Archibaldが解説。Service Workerを使ったオフライン機能の強化に使えそう。
- [**More Responsive Tapping on iOS by WebKit**](https://webkit.org/blog/5610/more-responsive-tapping-on-ios/): iOSにおけるWebkitには350msのクリック遅延が発生していたが、それが変更となる。クリック遅延が発生しないmeta viewportの指定と条件について紹介。
- [**CSS Cursor**](http://css-cursor.techstream.org/): Webアプリケーションではよく使いそうなCSSで指定できるカーソルを指定と対応しているブラウザを一覧できるサイト。
- [**A story about currying**](http://krasimirtsonev.com/blog/article/a-story-about-currying-bind): JavaScriptにおけるカリー化について。基礎とbindを使った例。
- [**Why AMP is fast by Performance Calendar**](http://calendar.perfplanet.com/2015/why-amp-is-fast/):  [Accelerated Mobile Pages Project](https://www.ampproject.org/)はどんな技術をつかってそのパフォーマンスを獲得しているのかについて。やはりかなり前のめりの技術がふんだんに利用されている。
- [**モダンJavaScript開発環境 on Rails by クックパッド開発者ブログ**](http://techlife.cookpad.com/entry/2015/12/14/130041): クックパッドで実施しているRailsアプリでRails wayに沿いながら、モダンなJavaScript開発環境を構築する方法。
- [**Style Guide Best Practices at Beyond Tellerrand by Brad Frost**](http://bradfrost.com/blog/post/style-guide-best-practices-at-beyond-tellerrand/): Brad Frost氏がbtconf BERLINで講演したStyleguideのベストプラクティス。Styleguideを語るうえで外せないその目的や、最も大きな課題であるメンテナンスについて。