---
date: 2015-12-30
title: Frontend Weekly Vol.50
description: A11yマインド、レストランとUX、ほか計14リンク
---

# Frontend Weekly Vol.50

## Headlines

### [The Accessibility Mindset by 24 ways](https://24ways.org/2015/the-accessibility-mindset/)

W3Cのメンバーでもある Eric Eggert 氏によるアクセシビリティの基本的な考え方についてサンプルを交えて紹介する記事。ユーザビリティとも近い関係にあり、少しの手間で Web は誰にとっても使いやすいものにできる。

### [Good UX: What I Learned While Working in Restaurants](https://www.nngroup.com/articles/ux-learn-in-restaurants/)

レストランから学ぶよいUXとは? それなりに高級なレストランに行ったことがあれば共感できる部分が多いことだろう。ユーザがレストランに期待する体験と、Webの体験は類似している点が多い。

### [Jedi Principles of UI Animation by Adaptive Path](http://adaptivepath.org/ideas/jedi-principles-of-ui-animation/)

スター・ウォーズになぞらえて、UIアニメーションがどうあるべきかについて解説。UIを使いやすくするためのアニメーションとはどのようなものか、機能的で、使うのが楽しくなるアニメーションへの第一歩について。

### [Being Responsive to the Small Things by 24 ways](https://24ways.org/2015/being-responsive-to-the-small-things/)

レスポンシブ・デザインへの1つのアプローチとして、コンテイナ・クエリーというアプローチがある。まだ正式な仕様ですらないが、すでに多くのPolyfillが存在している。コンテイナ・クエリがどんな問題を解決しようとしているのかと実装例についてJonathan Snook氏が解説。

### [Reimagining Single-Page Applications With Progressive Enhancement by Smashing Magazine](http://www.smashingmagazine.com/2015/12/reimagining-single-page-applications-progressive-enhancement/)

シングルページアプリケーションをどうやってプログレッシブ・エンハンスメントするべきか? Heydon Pickering氏による、実践的アプローチの解説。

### [Dissection of Flux architecture or how to write your own](http://krasimirtsonev.com/blog/article/dissection-of-flux-architecture-or-how-to-write-your-own-react)

Fluxアーキテクチャの解説とともに、小さなFluxライブラリ、Fluxinyの内部に関する解説。大規模なサイトには向かないが、Fluxの勉強から、中規模レベルのサイトであれば問題なく利用できそう。

### [ESDoc - The Good Documentation For JavaScript by クックパッド開発者ブログ](http://techlife.cookpad.com/entry/2015/12/22/100000)

JavaScriptのドキュメントシステムとしてはJSDocが有名だが、こちらのESDocsはES2015に対応しており、なおかつカバレッジやテストコードの統合Lintなども一緒にドキュメント化してくれる。RxJSなどでも採用されるなど次世代のドキュメントシステムと言える。

## Announcement

### [Slack for Frontend Weekly](https://studiomohawk.typeform.com/to/Kj8Gaj) (PR)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、[こちら](https://studiomohawk.typeform.com/to/Kj8Gaj)から招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**The web accessibility basics by Marco’s Accessibility Blog**](https://www.marcozehe.de/2015/12/14/the-web-accessibility-basics/): アクセシビリティに関する基礎。記事に記載されているレベルは最低限知っておきたいし、実践しておきたい事柄。
- [**Simplified JavaScript Jargon by Hugo Giraudel**](https://github.com/HugoGiraudel/SJSJ): JavaScriptとそのエコシステム内で飛び交う用語を平易な言葉で解説するための用語集。
- [**10x Not 10% by GV Library**](https://library.gv.com/10x-not-10-34ba4eb91130): 10%の成長を目標とするのと10倍とではなにが異なるのか? 前提を疑うことが大事。
- [**WebPerf & Disaster Cases in Native Apps by Performance Calendar**](http://calendar.perfplanet.com/2015/webperf-disaster-cases-in-native-apps/): ネイティブアプリのパフォーマンス解析はどうやってやるのか?記事ではCharlesを使った方法について詳しく解説。
- [**What Progressive Web Apps Mean for the Web by Telerik Developer Network**](http://developer.telerik.com/featured/what-progressive-web-apps-mean-for-the-web/): プログレッシブ・Webアプリについて。よい部分とそうでもない部分、そして将来への展望についてなどよくまとめてある。
- [**How to Train Your Human: Designing for Healthier Habits by Lakshmi Mani**](https://medium.com/@lakshmoo/how-to-train-your-human-using-design-to-help-users-form-healthy-habits-40e889e9b23e): 記事ではヘルスケア領域について書かれているが、Hookモデルはどの領域にも応用できるのでぜひ。
- [**What web framework should I learn? by Dave Smith**](https://medium.com/@djsmith42/what-web-framework-should-i-learn-a9285925ca1f): どのフレームワークを学ぶべきなのか? その問いへの答えは、継続的な学習。学ぶことを学ぶ、それが答え。
