---
date: 2016-01-13
title: Frontend Weekly Vol.52
description: 2015年のWeb技術ふり返り、PWA、クリティカルWebフォント、ほか計13本
---

# Frontend Weekly Vol.52

## Headlines

### [Looking back on 2015: six exciting web technologies](http://www.2ality.com/2016/01/web-technologies-2015.html?m=1)

Dr. Axel の視点から2015年の Web 技術を振り返りながら、それらの注目ポイントを紹介した記事。ブラウザ Web の進化だけでなくネイティブやデスクトップアプリに用いる Web 技術についても新しい変化がみられた年だった。Progressive Web Apps に対する懐疑的な言及も興味深い。

### [Progressive Web Apps by Google Developers](https://developers.google.com/web/progressive-web-apps)

Progressive Web Appsという新たに提案されたアプローチについて、提案元であるGoogleによるチュートリアル。現時点ではまだコンテンツは多くはないが、これから追記されていくので要チェック。

### [Critical Web Fonts by zachleat.com](http://www.zachleat.com/web/critical-webfonts/)

Webフォントを扱う場合にはいくつかの手法があるが、Flash of Faux Text(FOFT)形式をさらに発展させてさらにローティングを速くする手法の紹介。ローマ字とそれ以外の2段階に分けてロードすることによりロード時間の短縮をしている。sessionStorageなども使いロードしたフォントの保存をしたりもしている。また他にもフォントのローディングを速くするためのアイディアもあるので、Webフォントを使っていてローティングが遅いことに不満がある方は参考にしてほしい。

### [Angular 2 versus React: There Will Be Blood by Free Code Camp](https://medium.freecodecamp.com/angular-2-versus-react-there-will-be-blood-66595faafd51#.swnbcjfkp)

Angular 2 と React それぞれのアドバンテージを紹介した記事。前者がフレームワークであり後者は View ライブラリである以上、一概に比較できるものではないが、比較的公平な観点で紹介されている。React がなぜ支持を得たているのかを振り返ることにも繋がる内容。

### [Bad vs. Different by NCZOnline Newsletter](https://www.nczonline.net/newsletter/archive/324357bfce/)

個人が仕事を経験を積むうちに、作り上げていくベストプラクティスはつねに『正しい』わけではない。その『正しさ』を押しつけるのではなく、『違う』意見として取り込む意識が大切。

### [Javascript Fatigue by Eric Clemmons](https://medium.com/@ericclemmons/javascript-fatigue-48d4011b6fc4#.sqi19a22p)

Reactを利用する。と意志決定した途端に非常に多くのツールを同時に利用しはじめることになる。これはReactだけの問題ではなくフロントエンド共通で言える問題。記事ではReactのエコシステムとこの問題への解決策について解説している。

### [Managing the private data of ES6 classes](http://www.2ality.com/2016/01/private-data-classes.html?m=1)

ES6のクラスでプライベートなデータを作るための手法を4つ紹介。おなじみDr.Axelの記事。それぞれの手法のメリット・デメリットが分かりやすく書いている。現状のJavaScriptではこういった外部からアクセスできないプライベートデータを作る仕組みは用意されていないので、目的に応じて使い分ける必要があるので、こういったTipsはありがたい。コメント欄も面白い。

## Slides/Videos

### [ReactJS Awesomeness by Swaroop SM](https://speakerdeck.com/swaroopsm/reactjs-awesomeness)

React.jsについての紹介スライド。React.jsの特徴や考え方、覚えるべき用語についてなどが簡潔にまとまっているスライド。これからReact.jsを触るというような人でも概要が掴みやすい。

## Announcement

### [フロントエンドエンジニアのための現在とこれからの必須知識](http://www.amazon.co.jp/dp/4839956758/?tag=frontendw-22)

フロントエンドを1、2年以上担当した人を対象に、「今知っておかないといけない情報」と、「今後役に立つ情報」をピックアップ。
発売は2016/1/28。  
Frontend Weeklyのキュレータの1人である谷と編集長の斉藤も著者の1人。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**Devices by Facebook Design Resources**](http://facebook.github.io/design/devices.html): 主要なモバイルデバイスのモックアップ画像をFacebookが公開。再配布は禁止されているが、利用するのは無料。プロダクトのLPなどに。データ形式は、Sketch。
- [**Fight For UX**](http://fight-for-ux.myshopify.com/): UXについての基本的な5つの項目について解説しつつ、週次でUXに関するメールマガジンへの誘導。
- [**HTML to React components**](http://roman01la.github.io/html-to-react-components/): HTMLファイルからReactコンポーネントに変換してくれるユーティリティ。npmでインストールする。コマンドラインでも、ファイルからAPIとして呼び出すことも可能。オプションとしてコンポーネントの形式をES6や5で選べたり、インボート形式もES6形式やCommonJS形式が設定できる。既に存在するHTMLファイルをReactコンポーネントにしたりする場合に便利に使えそう。
- [**Web ブラウザーや OS のシェアが確認できる Web サービスまとめ by monoe's blog**](http://blogs.msdn.com/b/osamum/archive/2016/01/05/how-to-get-browser-share-from-meny-web-service.aspx): ブラウザのシェアを確認できるWebサービスをそれぞれのサービスの簡単な特徴とともに紹介。ブラウザシェアについて事前に考慮するべき注意点も書いている。2016年1月12日以降に、IEのサポートポリシーも変更になるこの時期、対応ブラウザを決めるための参考になる。
- [**React Testing Cookbook by egghead.io**](https://egghead.io/series/react-testing-cookbook): Reactのテストについての動画チュートリアル。全部を見るのには有料会員である必要があるものの、なかなかよさそうなコンテンツ。
