---
date: 2016-01-20
title: Frontend Weekly Vol.53
description: デザイン・パターン、イノベーションの源泉、ほか計12リンク
---

# Frontend Weekly Vol.53

## Headlines

### [Content & Display Patterns by Dan Mall](http://danielmall.com/articles/content-display-patterns/)

UIをデザインする上で理解しておきたいパターンやコンポーネント。数多くの著名サイトを手がけてきたDan Mall氏による、コンテント・パターンというアプローチについて。実際にそのアプローチを用いて作成したページのケーススタディ。

### [スムーズなブラウジングとメモリ使用率の低減のためのスマートなガベージ コレクション by Google Developers Japan](http://googledevjp.blogspot.jp/2016/01/blog-post_86.html)

Chromium Blog の記事の翻訳版。ガベージコレクションはブラウザのメモリを管理する上で必要な機能だが、スクロール中やアニメーション中に起きると動きが止まって見えてしまうという問題がある。
Blinkで搭載されていたタスクスケジューラの機能をV8に載せた結果Choromiumでもブラウザのアイドル中にガベージコレクションするように改善された。

### [Do you have to love what you do? by Signal v. Noise](https://m.signalvnoise.com/do-you-have-to-love-what-you-do-762fa0a50bad#.z8k4pgq1c)

仕事を選ぶ上で、続けて行く上で、または新しいビジネスを始める上で、何が大切なのか。BasecampのCEOであるJason Fried氏によるオピニオン。イノベーションはどこからくるのか。

### [A Specificity Battle! (and other trickery) by CSS-Tricks](https://css-tricks.com/a-specificity-battle/)

CSSセレクタが詳細度の高さ順にリスト化されているチートシート。常用しないハック的なものまであるが、ステップ12の`!important`までは把握しておきたい。

### [How to Learn ES6 by JavaScript Scene](https://medium.com/javascript-scene/how-to-learn-es6-47d9a1ac2620#.3je18e3dn)

最近はES6を使用する人も多くなってきて決して珍しいものでは無くなってきている。しかし、まだ使っていないと使用するのに尻込みしてしまうのも事実。この記事では、ES6を使用するメリットから勉強するのに必要なスライド、本や動画などの資料をEric Elliottがシンプルに紹介している。

### [Run Express server in your browser by Better world by better software](https://glebbahmutov.com/blog/run-express-server-in-your-browser/)

Service Workerを利用して、Expressをブラウザ上で動作させる実験に関するレポート。実際に利用できるかどうかはさておき、コンセプトから実装、動作まできちんとプロセスを踏まえて書かれているので参考になる。

### [22 Essential CSS Recipes](http://ipestov.com/22-essential-css-recipes/)

比較的新しいプロパティも含めたCSSによる22の技集。なかなか面白い技もあるし、知っておいて損はしないだろう。少しずつでも新しい技術を取り込むためにも実際に試してみてほしい。

## Announcement

### [フロントエンドエンジニアのための現在とこれからの必須知識 (PR)](http://www.amazon.co.jp/dp/4839956758/?tag=frontendw-22)

フロントエンドを1、2年以上担当した人を対象に、「今知っておかないといけない情報」と、「今後役に立つ情報」をピックアップ。
発売は2016/1/28。  
Frontend Weeklyのキュレータの1人である谷と編集長の斉藤も著者の1人。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**18F — Introducing the CSS coding style guide**](https://18f.gsa.gov/2016/01/11/introducing-the-css-coding-style-guide/): USのGeneral Services Administration内のデジタルサービスを担当する18FによるCSSコーディングスタイルガイド。
- [**A guide on how to be a Programmer - originally published by Robert L Read**](https://github.com/braydie/HowToBeAProgrammer): Robert L. Read氏が2002年に発行したHow to Be a Programmerのebook版。コミュニティによってメンテナンスされている珍しい本。
- [**ChakraCore GitHub repository is now open by Microsoft Edge Dev Blog**](https://blogs.windows.com/msedgedev/2016/01/13/chakracore-now-open/): MicrosoftのブラウザEdge使われているJavaScriptエンジンChakraがGitHubでMITライセンスで公開された。公式ブログで、コミュニティのコントリビュートも積極的に募集しており、最終的にはNode.jsの実行環境としてChakraを使用したり、ES6のデバッグをしやすくするなどというロードマップになっている。主要なブラウザのJavaScriptエンジンがOSSになったために、さらなる発展が期待できるのではないだろうか。
- [**React Howto by Pete Hunt**](https://github.com/petehunt/react-howto): Pete Hunt氏(Reactの開発のオリジナルメンバーの1人)によるReactに関するHow-to。流石にポイントを押さえて読むべきリソースへ導いてくれている。
- [**An accessibility (a11y) visualization toolkit by Khan Academy**](http://khan.github.io/tota11y/): Khan Academy発のアクセシビリティを可視化するためのブックマークレット。
