---
date: 2016-01-27
title: Frontend Weekly Vol.54
description: Web開発の『悲しい』現況、npm scripts、ほか計14リンク
---

# Frontend Weekly Vol.54

## Headlines

### [The Sad State of Web Development by Drew Hamlett](https://medium.com/@wob/the-sad-state-of-web-development-1603a861d29f#.12dro7otr)

Web開発の『悲しい』現況。テキストエディタと、HTML、CSS、JavaScriptを編集すればいい、という状況ではもうない開発環境について正直な意見。新しいから、他の会社で使っているからではなく、課題解決に必要なツールを使うべきというオピニオン。

### [Why I Left Gulp and Grunt for npm Scripts by Cory House](https://medium.com/@housecor/why-i-left-gulp-and-grunt-for-npm-scripts-3d6853dd22b8#.giqy83la5)

ここ最近は、GulpやGruntといったビルドシステムからmakeやshell scriptなど別の手段に戻ったという記事をたまに見かけるが、こちらもその一例。理由としては、npmに比べてのエコシステムの小ささや、デバッグのしづらさ、ドキュメントの不親切さなどが挙げられている。
著者はさらに踏み込んでなぜGulpやGruntといったビルドシステムを人々が求めるのか？という考察をしており、それぞれ丁寧に誤解を解いていっている。最終的にはやはり ~package.json~ で書いていくのが良いという結論だが、その際にドキュメントを残したりするなど注意点が書かれており参考になる。

### [How to decide what to learn next by Bård Hovde](https://medium.com/fed-or-dead/how-to-decide-what-to-learn-next-a47153c0d202#.oiapkb2em)

変化し続けることが宿命付けられたフロントエンドにおける命題である、次に何を学ぶべきかに関して。幅の広い領域をカバーする領域でもあるので、次のステップに悩んでいたら、読むべき記事。

### [Mobile Web vs. Native Apps or Why You Want Both by LukeW](http://www.lukew.com/ff/entry.asp?1954)

モバイルWebに注力するべきか、ネイティブアプリに注力するべきか。答えは両方。Luke Wroblewski氏らしいデータの裏付け付き。結論、非常によく知られた結果ではあるが、忘れがちなのでぜひ。

### [How Elm made our work better by Ossi Hanhinen](http://futurice.com/blog/elm-in-the-real-world)

Reavtiveなフロントエンドプロジェクトに、React以外の選択肢として(少し)話題になりつつあるElmについて。なぜElmを選択するべきなのか。Elmについての詳細は多くはなく、その代わりにElmのフロントエンドにまつわるアーキテクトについての解説が多い。

### [Coping with refactor — and how to justify it by Podio Engineering Blog](https://medium.com/podio-engineering-blog/coping-with-refactor-and-how-to-justify-it-998cb59d9fcc#.1742ox86y)

どうやったらリファクタリングの承認させるのか。長らくの課題であり、永遠の課題とも言える問題へのアプローチについて。非常に興味深い。

### [React.js pure render performance anti-pattern by Esa-Matti Suuronen](https://medium.com/@esamatti/react-js-pure-render-performance-anti-pattern-fb88c101332f#.ly546brt1)

React.jsのコンポーネントでレンダリングのチューニングをしようとすると、気をつけないといけない点がたくさん出てくるが、そういったアンチパターンを解説してくれている記事。
まず筆者が Pure Render と名付けている ~shoudComponentUpdte~ で実装されたコンポーネントの説明から始めてアンチパターンとその解決を3つほど説明している。ともするとReact.jsまかせにしがちな部分だが、こういったパフォーマンス面のフォローができるようになると心強いだろう。

## Slides/Videos

## [Common Patterns Using Promises by Neal Lindsay](https://speakerdeck.com/neall/common-patterns-using-promises)

Promiseを使うときに便利なパターンの紹介。Promiseとは？という説明から始まり、使いこなすと便利なパターン、アンチパターンも紹介している。パターンをいうだけあって使いどころが分かりやすいネーミングが付いていて覚えやすいのではないだろうか？Promiseを使っていると「あるある」と思わせられるアンチパターンも参考になる。

## [NVC and OSS by](https://dl.dropboxusercontent.com/u/3685/presentations/nvc-oss-2015/nvc-oss-notes.pdf)

npm, Inc.のCEOであり、元Node.jsのゲートキーパーである、Isaac Z. Schlueter氏による、Non Violent CommunicationというコミュニケーションのフレームワークとOSSについての発表資料。

[動画はこちら](https://www.youtube.com/watch?v=G5_8u3NA8M8&feature=youtu.be&list=PLE7tQUdRKcyaj-yF7SCHpd1b45-LXcvft) 

## Announcement

### [フロントエンドエンジニアのための現在とこれからの必須知識 (PR)](http://www.amazon.co.jp/dp/4839956758/?tag=frontendw-22)

フロントエンドを1、2年以上担当した人を対象に、「今知っておかないといけない情報」と、「今後役に立つ情報」をピックアップ。
発売は2016/1/28。  
Frontend Weeklyのキュレータの1人である谷と編集長の斉藤も著者の1人。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**HTML Tidy**](http://www.html-tidy.org/): 時代に置き忘れられたかのようなHTML Tidyがリニューアル。Tidyを使っている方はアップデートを。そうで無い方はこれを機会に導入を検討してみては?
- [**The State of Front-End Tooling – 2015 by Ashley Nolan**](http://ashleynolan.co.uk/blog/frontend-tooling-survey-2015-results): 恒例になりつつある、フロントエンド周りのツールに関するサーベイの結果。2000を超えるリアルなユーザの声を集めた貴重なデータ。
- [**Test Driven React Tutorial by Spencer Dixon**](http://spencerdixon.com/blog/test-driven-react-tutorial.html): React.jsでTDDを行うための設定とツールの紹介。かなり詳細まで解説しているのでおすすめ。
- [**DevTools Remote — Debug your browser tabs remotely via Chrome DevTools.**](https://devtoolsremote.com/): Chrome DevToolsを通して別タブからリモートでデバッグできるChrome拡張。WebSocketを使って対象のタブを操作していく形式になっている。生成されるリンクをシェアすれば自分だけではなく他人もデバッグできるようだが、くれぐれもセキュリティには気をつけて使っていきたい。
- [**Of Patterns and Power: Web Standards Then & Now by Zeldman on Web & Interaction Design**](http://www.zeldman.com/2016/01/05/13913/): ベストプラクティスの基礎を生み出すアイデアとは何か。Webスタンダードの本当の意味について、Jeffrey Zeldmanによるオピニオン。
