---
date: 2016-02-03
title: Frontend Weekly Vol.55
description: 複雑なタスクの簡易化、ITCSSケーススタディ、ほか計13記事。
---

# Frontend Weekly Vol.55

## Headlines

### [Product design — How we make complex tasks feel simple by GoSquared Blog](https://www.gosquared.com/blog/make-complex-tasks-simple)

複雑なタスクをいかにシンプルに感じさせるか。ユーザ・インターフェースをデザインする上でもっとも重要なゴールを実際のUIを例にどうアプローチしたのかについて詳しく解説している貴重な記事。

### [How I Shrank my CSS by 84kb by Refactoring with ITCSS by Jordan Koschei](https://medium.com/@jordankoschei/how-i-shrank-my-css-by-84kb-by-refactoring-with-itcss-2e8dafee123a#.4f36tvbcc)

Harry Roberts氏が提唱したITCSSを使って、84kbあったCSSを27kbまで縮小したケーススタディ。ITCSSがどんな問題を解決しているのか、そして具体的にどんなディレクトリ構成にしたのかについて詳しく解説している。

### [Dissecting Motion Design with the “7 W’s” by yiming](https://medium.com/@yimingbao/dissecting-motion-design-with-the-7-w-s-dd82815e61c7#.cpxl8tjzv)

動きをデザインする中で考慮するべき7つの『W』フレームワーク。Who, Where, When, Why, What, with What, in What wayの7つがモーション・デザインをする上でどう役に立つのかについて、iOSのロックスクリーンを例に解説。

### [JavaScript web apps considered valuable by molily](http://molily.de/javascript-web-apps/)

シングルページアプリケーションの存在は頭痛のタネであることは周知の事実。だからといって、JavaScriptを中心においたウェブアプリケーションの開発全体がそうであるとは限らない。
過去に抱えていた問題の多くが解決されてきた今だからこそ、クライアントサイドのウェブアプリケーションの設計についてもう1度考え直すべき。

### [Motion with Meaning: Semantic Animation in Interface Design by A List Apart](http://alistapart.com/article/motion-with-meaning-semantic-animation-in-interface-design)

インターフェースのアニメーションをデザインする上で大切になってくるのが、動きそのものが持つ意味。どんなメッセージをユーザに伝えるのか。記事ではウェブサイトにおけるインターフェイスに限らずOSのアニメーションにも触れ、その意味について、動画の例付きで解説。

### [The Baseline Journey by Adaptive Path](https://medium.com/@adaptivepath/the-baseline-journey-97320045f37b#.brwomj8y3)

ユーザがサービスに触れる場面はもちろん、そうでない場面でも続くのがUXデザイン。その文脈の中で重要な役割を担うユーザ・ジャーニーを作る上で、どうやって様々なタイプのユーザの旅路を定義するべきか。  
プログレッシブ・エンハンスメントの概念をユーザ・ジャーニーにも活かすアプローチについて紹介。

### [What does Disney know about interface animation anyway? by Val Head](https://medium.com/@vlh/what-does-disney-know-about-interface-animation-anyway-86b32d01bc4a#.t66j3kv9r)

アニメーションに関わる以上、知っておくべきディズニーのアニメーション12の法則、果たしてその法則はインターフェースにおけるアニメーションにも適用できるのか?  
アニメーションがユーザに伝えることとは何かを踏まえて、12の法則について改めて見直したい。

## Announcement

### [フロントエンドエンジニアのための現在とこれからの必須知識 (PR)](http://www.amazon.co.jp/dp/4839956758/?tag=frontendw-22)

フロントエンドを1、2年以上担当した人を対象に、「今知っておかないといけない情報」と、「今後役に立つ情報」をピックアップ。
Frontend Weeklyのキュレータの1人である谷と編集長の斉藤も著者の1人。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**ES2015 [ES6] cheatsheet by David Leonard**](https://github.com/DrkSephy/es6-cheatsheet): ES6のTips、ベストプラクティス、スニペット集。
- [**Design Resources from Bjango**](https://bjango.com/designresources/): アプリアイコンのテンプレートとPhotoshopアクション集。流石Bjangoのクオリティ。
- [**Responsive Image Breakpoints Generator by Cloudinary**](http://www.responsivebreakpoints.com/): なかなか面倒なレスポンシブ・イメージ用のソースをブレークポイントで生成するウェブツール。
- [**CSS Refresher Notes by Vasa**](https://github.com/vasanthk/css-refresher-notes): CSSの基礎について様々な記事を要約して紹介。
- [**securityheaders.io**](https://securityheaders.io/): HTTPヘッダをスキャンして、セキュリティ評価を行うウェブツール。
- [**WordExpress**](http://wordexpress.io/): WordPressをNode.jsで。プロダクトとしてWordPressに代わるという類のものではないが、ExpressとReact+WebPack+CSS Modules+GraphQLを採用していることもあり、Node.jsアプリの一例として触ってみると面白いかもしれない。
