---
date: 2016-02-24
title: Frontend Weekly Vol.58
description: Stylelint、CSSのローディング、60FPSへの道、ほか計14リンク
---

# Frontend Weekly Vol.58

## Headlines

### [How to lint your Sass/CSS properly with Stylelint by Creative Nightly](http://www.creativenightly.com/2016/02/How-to-lint-your-css-with-stylelint/)

最近頭角を現しているPostCSSのプラグインであるStylelintについての紹介。拡張性が高い分、設定項目も多いので、どういう設定を使っているのかや、Gulpを使ってのビルドプロセスなどにも触れているので、参考になる。

### [The future of loading CSS by JakeArchibald.com](https://jakearchibald.com/2016/link-in-body/)

HTTP/2環境下ではリクエストはボトルネックになりにくい。コンポーネント単位のCSSのロードをさせたい所だが、状況によってはCSSOMの完成が阻害されてしまう。そこで、`<body>`要素下で段階的にロードすることで、よりプログレッシブに描画させるアプローチ。[日本語版の意訳・解説](https://blog.jxck.io/entries/2016-02-15/loading-css-over-http2.html)もあるので参考に。

### [The Anatomy of a Frame by Aerotwist](https://aerotwist.com/blog/the-anatomy-of-a-frame/)

描画処理開始からビットマップが合成されるまで、ブラウザの1フレームで何が行われているかの概要。60FPSを達成するためにも理解しておきたい。

### [Large Scale CSS Refactoring at trivago - trivago techblog](http://tech.trivago.com/2016/02/02/large-scale-css-refactoring-at-trivago/)

巨大な規模感のCSSにおけるリファクタリングのプロセスについて。アーキテクチャの例はもちろんのこと、どうやってリファクタリングを進めたのかについて細かく紹介してくれている。ありそうであまり見かけないケーススタディ。

### [Consistency: The Silent UX Champion — RE: Write — Medium](https://medium.com/re-write/consistency-the-silent-ux-champion-28b3659cdb2e)

一貫性がもたらすUXにおける役割について。単純に「一貫していること」はゴールではなく、きちんと意味がある。その意味をしっかりと認識して、UXにおける静かなる王者である一貫性について考えるべき。

### [Learn React By Itself -- no JSX, no Flux, no ES6, no Webpack.](http://jamesknelson.com/learn-raw-react-no-jsx-flux-es6-webpack/)

React.jsを実際に使うとなると、周辺のライブラリやビルドツール、ES2015についてなど覚えることが多岐に渡る。この記事では、そういったものを
削ぎ落として、React.jsのみを使って基本を学ぼうというもの。実務ではJSXなどの助けがあるのであまり意識しないような部分もきちんと順を追って
説明している。

### [A Gentle Introduction to Functional JavaScript](http://jrsinclair.com/articles/2016/gentle-introduction-to-functional-javascript-intro/)

パート4まであるJavaScriptにおける関数型プログラミング入門。非常に丁寧に解説されているので、初学者向き。

## Slides/Videos

### [CSS Best Practices](http://fantasai.inkedblade.net/style/talks/best-practices/#title)

命名規則やアーキテクチャではなく、CSSにおける基本のベストプラクティス。テストの方法やサイズ、ソースコードの順序などについて触れられている。

### [WebRTC Conference Japan 2016 - Google - Google Slides](https://docs.google.com/presentation/d/1lvdu44zkShUdXaepEEdAG0SqoQA0mvt0VBEmVtElhUs/edit#slide=id.g1193d3ae62_2_73)

先日2日間に渡って開催されたWebRTC Conference Japan 2016での初日の基調講演の資料。
WebRTCの過去と、現在進行しているアップデートの内容を分かりやすく紹介。

## Announcement

### [フロントエンドエンジニアのための現在とこれからの必須知識 (PR)](http://www.amazon.co.jp/dp/4839956758/)

フロントエンドを1、2年以上担当した人を対象に、「今知っておかないといけない情報」と、「今後役に立つ情報」をピックアップ。

Frontend Weeklyのキュレータの1人である谷と編集長の斉藤も著者の1人。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**The `background-clip` Property and its Use Cases by CSS-Tricks**](https://css-tricks.com/the-backgound-clip-property-and-use-cases/): background-clipプロパティの詳細と実際にどう使うかの例。
- [**How to split your apps by routes with Webpack by Ilya Zayats**](https://medium.com/@somebody32/how-to-split-your-apps-by-routes-with-webpack-36b7a8a6231): Webpackを使ってURL毎に呼び出すバンドルを切り替える実装例。
- [**Update CSS Variables with JS**](http://codepen.io/wesbos/pen/adQjoY?editors=0110): CSSのカスタムプロパティの値をJSから更新するサンプル。
- [**HOW TO: Pure CSS masonry layouts by Jhey Tompkins**](https://medium.com/@_jh3y/how-to-pure-css-masonry-layouts-a8ede07ba31a): Pinterest風レイアウトをCSSのcolumnとflexboxで実現する実装例。
- [**Announcing ncline: a Node Program/Platform for Executing JavaScript Functions from a Command Line by Thought Delimited**](http://www.thoughtdelimited.org/thoughts/post.cfm/announcing-ncline-a-node-powered-platform-for-issuing-commands-on-your-system): コマンドラインからNode.jsを実行できるnclineというツールの紹介。REPL的に使用できそう。
