---
date: 2016-03-02
title: Frontend Weekly Vol.59
description: Reactパフォーマンス、UI vs UX、tableスタイル、ほか計13リンク
---

# Frontend Weekly Vol.59

## Headlines

### [A Deep Dive into React Perf Debugging](http://benchling.engineering/deep-dive-react-perf-debugging/)

React.js のパフォーマンスに関する2部構成の後編。今回は DevTools でアタリをつけてから具体的なボトルネックの詳細を特定していくケーススタディ。前編で基礎を固めてから読みたい。

### [It’s not the interface that makes the experience. by Dave Malouf](https://medium.com/user-experience-design-1/it-s-not-the-interface-that-makes-the-experience-fb16f8e29299#.w6ay4fk2r)

UIとUXが異なるものである、のはよく議論されることではあるが、それが何故なのか? 体験をデザインするとはどういう事なのか。

### [Should you have defaults styles for `table`? by CSS-Tricks](https://css-tricks.com/should-you-have-defaults-styles-for-table/)

tableにデフォルトスタイルを設定するべきか? 規模の大きなサイトを運営していると頭を悩ませるtableのスタイリング。スタイルを設定していれば、運用面では楽になるが、拡張性を阻害する。意外にもよく頭を悩ませる問題なので、参考になる。

### [High-Impact, Minimal-Effort Cross-Browser Testing by Smashing Magazine](https://www.smashingmagazine.com/2016/02/high-impact-minimal-effort-cross-browser-testing/)

クロスブラウザのテストは避けようのないプロセスながら、どうしても面倒だし、確実性も高いとは言えない。大規模なサイトならなおさら。そんなクロスブラウザテストを効率的に、最低限の努力で行うアプローチを紹介。

### [You got your CSS in my JavaScript by Snook.ca](http://snook.ca/archives/javascript/css-in-javascript)

特にReactで利用が広がってきたJavaScript内にCSSを記述する。その是非について意見が分かれるが、Jonathan Snook氏はそのアプローチに賛同している。その理由とは?

### [Users always choose the path of least resistance](https://boagworld.com/marketing/users-will-always-choose-the-easiest-option-so-if-we-want-a-competitive-advantage-we-must-focus-on-simplicity/)

ユーザはもっとも抵抗のない道を行く。なぜユーザがそのプロダクトを利用するのか? 大抵の場合はそのプロダクトが便利であり、他と比べて楽だから。

### [Art Of War In Software by Toptal](https://www.toptal.com/agile/art-of-war-software-development)

ビジネスの場でもよく引き合いに出される孫子の兵法をソフトウェア開発に当てはめる。考え方のフレームワークとして知っておくと、悩んだ際のガイドラインになる。

## Slides/Videos

### [React/Reduxにおける現場での喜び/ツラみ by Ryota](https://speakerdeck.com/rkaneko/turami)

React.js Meetup #3 での発表資料。React.jsとReduxを実案件で使ったときのハマりどころと、現時点での対応がコンパクトにまとまっている。

## Announcement

### [UX DAYS TOKYO 2016](http://2016.uxdaystokyo.com/)

3月18日、19日、20日にUX DAYS TOKYOが開催されます。UXデザインでよく挙げられるThe Elements of User Experienceの提唱者であり、Ajaxの名付け親であるJesse James Garrettをはじめとした、多くの著名なIA、UXデザイナーが登壇します。
本イベントのワークショップ（19日、20日）への参加費が2,000円引きになるクーポンコード【UX-FR】をご利用ください。
※クーポンコードの有効期限は 3月8日までです。

### [フロントエンドエンジニアのための現在とこれからの必須知識 (PR)](http://www.amazon.co.jp/dp/4839956758/)

フロントエンドを1、2年以上担当した人を対象に、「今知っておかないといけない情報」と、「今後役に立つ情報」をピックアップ。

Frontend Weeklyのキュレータの1人である谷と編集長の斉藤も著者の1人。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**僕がネイティブな CSS 変数にわくわくする理由**](http://terkel.github.io/why-im-excited-about-native-css-variables/): terkel氏による[Why I'm Excited About Native CSS Variables by Phillip Walton](http://philipwalton.com/articles/why-im-excited-about-native-css-variables/)の日本語訳。
- [**sprite.sh: A Bash script to build a SVG sprite from a folder of SVG files (typically icons**).](https://github.com/edenspiekermann/sprite.sh): SVGファイル群からSVGスプライトを生成するためのBashツール。
- [**Delivering Octicons with SVG**](https://github.com/blog/2112-delivering-octicons-with-svg): GitHubのアイコンはIcon fontからSVGへ。その経緯とメリットについて。
- [**Managing Typography on Large Apps by CSS Wizardly**](http://csswizardry.com/2016/02/managing-typography-on-large-apps/): Harry Roberts氏による大規模サイトにおけるタイポグラフィー管理アプローチ。
- [**React and Preact: Differences, Pros and Cons by JSter Javascript Catalog**](http://jster.net/blog/react-vs-preact#.VtYmLZN96Rs): Reactと高い互換性を持ちながらファイルサイズを小さくしたPreactはReactと何が異なるのか?
