---
date: 2016-03-16
title: Frontend Weekly Vol.61
description: コードレビュー、Expressive CSS、"壊れた画像"のスタイル、ほか計13リンク
---

# Frontend Weekly Vol.61

## Headlines

### [Giving better code reviews by Joel Kemp](https://medium.com/@mrjoelkemp/giving-better-code-reviews-16109e0fdd36#.ssz9gnk41)

コードレビューを開発プロセスに入っていることももう当たり前になって来だろう。ではよりよいコードレビューとはどんなものかについてアイデアはあるだろうか?
記事ではコードレビューをコーディングと同じくらい重要なプロセスと位置づけてどんなレビューをするべきかについて紹介している。

### [Content and Display Patterns with Expressive CSS](http://johnpolacek.com/content-display-patterns/)

Dan Mall氏による[Content and Display Patterns](http://danielmall.com/articles/content-display-patterns/)で紹介されたパターンに対し、自身で開発した[Expressive CSS](http://johnpolacek.github.io/expressive-css/)を適応したケーススタディ。

### [Styling Broken Images](http://bitsofco.de/styling-broken-images/)

取得失敗時などに現れる"壊れた画像"をスタイリングするテクニック。擬似要素が置換要素にのみ表示されるという特性を上手く利用している。

### [On Classification in Design Systems by EightShapes](https://medium.com/eightshapes-llc/on-classification-in-design-systems-6b33b97f4a8f#.azj2hz6za)

システム全体をデザインする上で欠かすことができない命名。共通の単語をチームで持つ事はとても大切なことながら、いつだって命名は難しい。そんなシステムの命名のこれまでと現状をまとめた良記事。

### [Four Things Great Designers Care About by UX Magazine](http://uxmag.com/articles/four-things-great-designers-care-about?ref=uxdesignweekly)

優れたデザイナが気をつけている4つのこと。4つのことはとても当たり前のことばかり。4月も近いので心機一転、基本に立ち返ってみよう。

### [Microinteractions: The Secret of Great App Design by UX Planet](https://uxplanet.org/microinteractions-the-secret-to-great-app-design-4cfe70fbaccf#.pzbhj9vtl)

優れたプロダクトには人を惹きつける機能とディテールが共存している。この記事では、後者のディテールをマイクロインタラクションを活用して彩るために知っておきたいことをまとめている。

### [How to Deploy Software](https://zachholman.com/posts/deploying-software)

元GitHubのZach Holman氏によるデプロイに関する詳細な解説。いかにしてデプロイを『退屈な』ものにできるのかはサービスを開発する上で重要になってくる。

## Slides

### [gulp: The Good Parts by Yoshihide Jimbo](https://speakerdeck.com/jmblog/gulp-the-good-parts)

「FRONTEND CONFERENCE 2016」で発表されたgulpのプラクティス集。端的にまとまっているので、これからgulpに触れる人は一読の価値あり。

## Announcement

### [Frontend Meetup Tokyo vol.1 (PR)](http://frontend.connpass.com/event/28369/)

**2016/03/24 18:30~**  
W3CのTAG(Technical Architecture Group)メンバーであるAndrew Betts氏とDuckDuckGo所属のDaniel Davis氏による講演。  
席数残り少ないので早めに登録を。

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

- [**Awesome tooling and resources in the Chrome DevTools ecosystem**](https://github.com/ChromeDevTools/awesome-chrome-devtools): Chrome Devtools関連のツールやリソースのまとめ。
- [**Loose Coupling Is A Lie by kungfoo bar**](https://blog.kungfoo.bar/loose-coupling-is-a-lie-c8f37f3bec5d#.8ywpdkom6): 疎結合はよいことであるが、完璧な疎結合はありえない。よいデザインパターンを目指すべき。
- [**Enzyme: JavaScript Testing utilities for React by Airbnb Engineering & Data Science**](https://medium.com/airbnb-engineering/enzyme-javascript-testing-utilities-for-react-a417e5e5090f#.35e6yvhxk): Reactのためのテストユーティリティ、Enzymeについての紹介。
- [**Library for fast CSS Animations**](https://github.com/szynszyliszys/repaintless): CSSのアニメーションパフォーマンスを向上させるライブラリ。ソースコードリーディングに。
- [**SnapFoo is an open source JavaScript library that extends off of SnapSVG to help simplify the SVG animation process.**](https://github.com/yuschick/SnapFoo): SnapSVGを拡張したSVGアニメーションライブラリ。

