---
date: 2016-04-27
title: Frontend Weekly Vol.67
description: CSS@apply、Flexboxパターン、IntersectionObserver、ほか計12リンク
---

# Frontend Weekly Vol.67

## Headlines

### [CSS @apply rule (native CSS mixins)](https://blog.gospodarets.com/css_apply_rule)

CSSにおけるMixinsである@applyについての詳しい解説。どうやって定義するのかなどの基本から、実際に活用できる@apply例やブラウザサポートなどについても触れられているので、リファレンスとしても利用できそう。

### [Flexbox Patterns](http://www.flexboxpatterns.com/home)

Flexboxを活用した様々なUIパターンをソースコード付きで紹介。よく見かけるUIが揃っているので、インスピレーションにも、実装の参考にもなるので、ぜひ。

### [JavaScript’s new IntersectionObserver](https://medium.com/@amcdnl/javascript-s-new-intersectionobserver-cdce8a73bef8#.913yryfpl)

新たに提案されているJavaScriptのAPI、IntersectionObserverがChromiumにて実装されたので、早速実働するスニペット付きの解説。画像のLazyloadなどを行う際に、ユーザがページのどこにいて、対応する要素がどこにいるのか、というような用途でも利用できる。

### [Compassionate UX by UX Booth](http://www.uxbooth.com/articles/compassionate-ux/)

思いやりは、UXにおいて最も重要なファクターだと言っても言い過ぎではないだろう。ではどう思いやるのか、どういった例があるのか。
Eric Mayer氏と、Sara Wachter-Boettcher氏によるUXの根源にある大切な部分についての解説。実例も交えての解説は非常に参考になる。

### [Writing good code: how to reduce the cognitive load of your code by Christian M. Mackeprang](http://chrismm.com/blog/how-to-reduce-the-cognitive-load-of-your-code/)

『よいコード』を書くことは、隣で働いている同僚のためだけではなく、将来の自分、そして書いた本人に合ったこともないような人のためにも重要だ。クレバーなコードではなく、スマートにコードを書くために気をつけるべきポイントについて。テクニカルな面よりは、心がけより。

### [A Guide to Proper Error Handling in JavaScript](http://www.sitepoint.com/proper-error-handling-javascript/)

JavaScriptにおける頭痛のタネ、エラー処理。なぜエラー処理が日々の業務の中でも重要なのか、そして正しいエラー処理を行うためにはどんな所に気をつけなければならないのか。
非常にシンプルにわかりやすく解説している。

### [Get ready for the great rebundling of mobile by Inside Intercom](https://blog.intercom.io/the-great-mobile-rebundling/)

モバイルアプリにおけるアプリの細分化が加速している。Facebookのメッセンジャーアプリがその好例。このトレンドはどうして起こっているのか。リーチはWebへ、深度はアプリへの第一歩ともなりえる事例で、非常に興味深い。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Color in Design Systems by EightShapes LLC**](https://medium.com/eightshapes-llc/color-in-design-systems-a1c80f65fa3#.5kh6niq2e): デザインシステムにおける色について。理にかなったカラースキーム。
* [**The beginner’s guide to UX prototyping by Webdesigner Depot**](http://www.webdesignerdepot.com/2016/04/the-beginners-guide-to-ux-prototyping/): 初心者向けプロトタイピングについて。これから始める人に。
* [**pseudocorta: Monads, promises, arrays in Javascript**](http://pseudocorta.blogspot.jp/2014/05/monads-promises-arrays-in-javascript.html): JavaScriptにおけるMonads、Promises、Arrayについて。
* [**ES6 Modules - Single Instance Pattern**](https://k94n.com/es6-modules-single-instance-pattern): ES6モジュールにおけるシングル・インスタンスパターンについて。
* [**Why You Should Stop Installing Your WebDev Environment Locally by Smashing Magazine**](https://www.smashingmagazine.com/2016/04/stop-installing-your-webdev-environment-locally-with-docker/): Dockerを使ったローカルマシンに環境を構築しなくても済む方法の紹介。
