---
date: 2016-05-11
title: Frontend Weekly Vol.69
description: PWA、JPG最適化、デザイン・デバッグほか計14リンク
---

# Frontend Weekly Vol.69

## Headlines

### [Service Workers and PWAs: It’s About Reliable Performance, Not “Offline” by Infrequently Noted](https://infrequently.org/2016/05/service-workers-and-pwas-its-about-reliable-performance-not-offline/)

Service WorkersとProgressive Web App。Webがアプリライクになる上で大切な体験はオフラインではなく、パフォーマンスが一定であること。単にブックマークするのとは異なる『Add-to-Homescreen』の仕様に込められた哲学とは。

### [Reducing JPG File size by Colt McAnlis](https://medium.com/@duhroach/reducing-jpg-file-size-e5b27df3257c#.ni2jvh81b)

ウェブページにおいて画像は非常に重たいリソースだ。パフォーマンス改善において、『1枚の画像を削除する』ことのインパクトはかなり大きいが、なかなか現実的ではないことが多い。この記事ではその画像の中でも最適化の難しいJPGファイルの最適化について、かなり詳細まで解説してくれている。

### [Design debugging](https://bjango.com/articles/designdebugging/)

エンジニアには大抵はデバッグしているというモードがある。ではデザイナにはそんなモードがあるだろうか? この記事ではデザイナにもデバッグフローを導入する低減と、具体的なステップについて紹介している。

### [Turbocharged JavaScript refactoring with codemods by Airbnb Engineering & Data Science](https://medium.com/airbnb-engineering/turbocharged-javascript-refactoring-with-codemods-b0cae8b326b9#.xoxk4p199)

リファクタリングを自動化できたらいいのに、と思ったことがない人を探す方が難しいだろう。Facebookがリリースしたcodemodsというツールを使ってJavaScriptのリファクタリングの自動化について紹介。

### [Caching best practices & max-age gotchas by JakeArchibald.com](https://jakearchibald.com/2016/caching-best-practices/)

パフォーマンスとキャッシュは切っても切れない関係。どんなタイプのコンテンツにどんなキャッシュ戦略が最適なのか。Jake Archibald氏による解説。

### [An Ultimate Guide To CSS Pseudo-Classes And Pseudo-Elements by Smashing Magazine](https://www.smashingmagazine.com/2016/05/an-ultimate-guide-to-css-pseudo-classes-and-pseudo-elements/)

CSSの擬似クラスと擬似要素についての網羅的な解説。マイナーなものや実験的なものまで、かなり濃い内容になっている。リファレンスとしてもチェックしておきたい。

### [Five Key Mindsets that Separate Successful Programmers from Everyone Else](http://www.theeffectiveengineer.com/blog/five-key-skills-of-successful-programmers)

エンジニアとして成功するためにはどんな意識が必要だろうか? この記事では、5つの重要なマインドセットについて紹介している。奥が深い5つで、共感できる。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**UX: Infinite Scrolling vs. Pagination by UX Planet**](https://uxplanet.org/ux-infinite-scrolling-vs-pagination-1030d29376f1#.h1gr6bj9s): 無限スクロールとページングのどちらを選ぶかはとても悩ましい。それぞれのメリット、デメリットについて。
* [**5 Mistakes to Avoid When Designing Micro-interactions by Free Code Camp**](https://medium.freecodecamp.com/5-mistakes-to-avoid-when-designing-micro-interactions-a6f638ee6a86#.gnry38l5o): マイクロ・インタラクションをデザインする上で避けるべき5つの失敗。
* [**css-style-guide-audit: Audit the CSS on a page to see what elements are using styles from the style guide and which styles are overriding them**](https://github.com/straker/css-style-guide-audit): ページ上の要素がどのスタイルガイドで定義されたスタイルをりようしているか、あるいは上書きしているかを視認するツール。
* [**Why JPEG is like a photocopier (generation loss) by Cloudinary Blog**](http://cloudinary.com/blog/why_jpeg_is_like_a_photocopier): JPGはなぜ保存すると画質が下がるのか?
* [**Testing Your Style With ESLint and Mocha**](https://robots.thoughtbot.com/testing-your-style-with-eslint-and-mocha):  ESLintをMochaのテストと連携する方法。
* [**Faster tests for multi-node code with ES6 and babel**](https://remysharp.com/2016/05/02/faster-tests-for-multi-node-code-with-es6-and-babel): ES6とBabelの環境で手元でもCIでもテストできるようにする方法について。
* [**The current state of web forms by Kevin Suttle on CodePen**](http://codepen.io/kevinSuttle/post/the-current-state-of-web-forms): 最近のWebフォーム事情。ブラウザネイティブの実装ではまだまだ不十分。