---
date: 2015-03-04
title: Frontend Weekly Vol.7
description: CSSの思わぬリセット、Web vs ネイティブ、計17リンクを紹介
---

# Frontend Weekly Vol.7

## Headlines

### [Accidental CSS Resets by CSS-Tricks](https://css-tricks.com/accidental-css-resets/)

CSSにはbackgroundのように省略型を持つプロパティがありますが、その省略型のプロパティには"知らない間にリセットされている"という事故を起こす危険もたくさん潜んでいます。

### [Radical Statements about the Mobile Web by James Long](http://jlongster.com/Radical-Statements-about-the-Mobile-Web)

Webとネイティブアプリの戦いはネイティブアプリの勝利で終わるのか。James Long氏は現時点ではそう予測しているが、近未来への期待を込めて、氏は予言として提言をしている。

### [ECMAScript 6 by Guillermo Rauch](http://rauchg.com/2015/ecmascript-6/)

Socket.ioの作者でもあるGuillermo Rauch氏によるECMAScript6の中でももっとも興味深いパーツについてのまとめ。

### [Tired of Safari by QuirksBlog](http://www.quirksmode.org/blog/archives/2015/02/tired_of_safari.html)

[Pointer EventsがW3Cの勧告となった](http://www.w3.org/TR/pointerevents/)ことを受け、Peter-Paul Koch氏がApple Safariのモバイルブラウザへの影響の大きさと仕様に対するアプローチについて、なかなか厳しい言葉で言及。  
Tim Kadlec氏による[Apple's Web?](http://timkadlec.com/2015/02/apples-web/)も合わせてどうぞ。

### [CSS Pagination by CodyHouse](http://codyhouse.co/gem/css-pagination/)

フロントエンド開発をやっていれば必ずコーディングしたことがあるだろうPagination。この記事ではそのPaginationをシンプルなマークアップとSassを使って詳しく解説しながらコーディング例を紹介。

## In Other News…

### [Better SVG Fallback and Art Direction With The <picture> Element by Sara Soueidan](http://sarasoueidan.com/blog/svg-picture/)

解像度の異なるディスプレイが多く存在するなか、SVGは非常に便利な画像形式。しかし、利用できないブラウザもありなかなかフォールバックも面倒。Sara Soueidan氏はpicture要素を使った解決方法を紹介。

### [Access Optional by Tim Kadlec](http://timkadlec.com/2015/02/access-optional/)

ブレーキのない車を買う人はいないでしょう。車を買うに当たって気にしない当たり前の最低限と同じくらいアクセシビリティは無視できない当たり前。

> How did access get to be optional?

### [I'm a web developer. Not an engineer. by Remy Sharp](https://remysharp.com/2015/02/26/i-am-web-developer)

Remy Sharp氏はなぜ自らをエンジニアと位置づけず、Webデベロッパのほうがしっくり来るのか? 彼のレベルとはまったく異なるが同意できることが多い。

### [What Will Save Us from the Dark Side of CSS Pre-Processors? by An A List Apart](http://alistapart.com/column/what-will-save-us-from-the-dark-side-of-pre-processors)

CSSプリプロセッサも、CSSポストプロセッサも、それぞれに問題を抱えている。大切なのはCSSをきちんと理解すること。両方使うなという話とはまた別ですが。

## In Brief

- [**Google's experimental new "slow" label could revolutionize how we tackle web performance by Web Performance Today**](http://www.webperformancetoday.com/2015/02/25/google-new-slow-label-web-performance/): Googleはモバイルの検索結果に"Slow"を表示するテスト中か?

- [**Colorable by Brent Jackson**](http://jxnblk.com/colorable/): アクセシブルなカラーコントラストのコンビネーションをテストするNode製ツール。

- [**Awesomplete by Lea Verou**](https://github.com/LeaVerou/awesomplete): datalistを元にプログレッシブ・エンハンスメントしていく素晴らしいオートコンプリート。

- [**Frontend Guidelines by Benjamin De Cock**](https://github.com/bendc/frontend-guidelines): HTML、CSS、JavaScriptに関するコードガイドライン。結構本気度が高い。

- [**Five to Six — Addy Osmani’s list of ECMAScript 6 tools**](http://www.super-script.us/2015/es6-tools.html): Addy Osmani氏がレコメンドしたECMAScript6関連のツール群に紹介文を追加。

- [**Working with JavaScript promises: practices and mistakes**](http://codesi.nz/nodejs/2015/01/28/working-with-javascript-promises.html): JavaScriptのPromisesを利用する際の注意点。現実味のあるアドバイス。

- [**HTML & CSS Examples of Material Design in Action**](http://speckyboy.com/2015/02/26/html-css-examples-of-material-design-in-action/): Material Designをコード化した14例を紹介。

- [**Fiveby by Scott Rahner**](https://github.com/dowjones/fiveby): WebDriverJS + Mocha + shouldを合わせてラップしたE2ETestライブラリ。
