---
date: 2016-06-01
title: Frontend Weekly Vol.72
description: シンプルUIへの道、CSSのデバッグ、JSのリファクタリングほか計15リンク
---

# Frontend Weekly Vol.72

## Headlines

### [Basic steps on how to remove complexity out of UI Design by Jin Su Park](https://medium.com/@makegoodamazing/basic-steps-on-how-to-remove-complexity-out-of-ui-design-8c785131993c#.vhktbyogj)

**UIから複雑性を排除するために必要な基本のプロセス**  
どうしても複雑化しやすいUIをどうやってユーザが求めるゴールを達成するために最低限必要なシンプルなものにしていくべきかの指針。まずはゴールまでのストーリーから始まり、レイアウトパターン、コンテント・レイヤー、グループ毎の差異のコントラストなどについてわかりやすく解説している。

### [Debugging CSS by Ben Frain](https://benfrain.com/debugging-css/)

**CSSのデバッグ・アプローチ**  
CSSのデバッグは言語の性質的に難しいものである、という先入観があるかもしれないが、CSSのデバッグが難しいのはそれだけが理由ではなく、単にデバッグするためのプロセスを明確に持っていないからという理由も大きい。記事ではBen Frains氏が実践している3つのプロセスについて紹介。

### [Refactoring a JavaScript video store](http://martinfowler.com/articles/refactoring-video-store-js/)

**JavaScriptの実践リファクタリング・フロー**  
プログラミングに関する本の中でも必読の1冊である、**リファクタリング**の作者であるMartin Fowler氏による、JavaScriptのリファクタリング・テクニックとワークフロー。かなり具体的に、ステップ毎にスニペットがあるので参考になる。

### [5 Questions Every Unit Test Must Answer by JavaScript Scene](https://medium.com/javascript-scene/what-every-unit-test-needs-f6cd34d9836d#.2qcysg13a)

**すべてのユニット・テストで答えなければならない5つの質問**  
なかなか始められないユニット・テスト。そんなユニット・テストがなんのためにあるのか。そして、どうテストに対してアプローチするべきなのか、良いユニット・テストとは何かなどについてEric Elliott氏が解説。

### [Six nifty ES6 tricks](http://www.2ality.com/2016/05/six-nifty-es6-tricks.html)

**ES6で使える6つの便利なトリック達**
[Exploring ES6](http://exploringjs.com/)の作者であるDr. Axelより、ES6ならではの機能を使った6つのトリック。クレバーなトリックにも思えるが、言語を活かした便利な技達。

### [ARIA tabs, UI problems and standards by AlastairC](https://alastairc.ac/2016/05/aria-tabs-ui-problems-and-standards/)

**ARIA tabs。UIにおける問題と標準**  
ARIA tabsを使ったUIのいくつかを例にして、キーボードでの操作や音声ブラウザによる読み上げと、例示した実際のUIが抱えるいくつかの問題点とその解決について紹介。

### [Radio Buttons UX Design by UX Planet](https://uxplanet.org/radio-buttons-ux-design-588e5c0a50dc#.ioon4vm5i)

**ラジオボタンのUX**  
フォームにおいて基本のUIであるラジオボタンのUXについて。ラジオボタンの起源から始まり、8つのベストプラクティス、チェックボックスとの使い分けについて解説。

## Slides

### [Building an Offline Page for theguardian.com — JSConf Budapest, May 2016 by Oliver Joseph Ash](https://speakerdeck.com/oliverjash/building-an-offline-page-for-theguardian-dot-com-jsconf-budapest-may-2016)

The Gurdian誌におけるオフラインページの開発について。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Browser Calories**](https://browserdiet.com/calories/): Webページのペイロードの内訳を調査するブラウザの拡張機能
* [**sitespeedio/coach: Clear Eyes. Full Hearts. Can’t Lose.**](https://github.com/sitespeedio/coach): Webページのパフォーマンス計測ツール
* [**GoogleChrome/lighthouse: auditing and performance metrics for Progressive Web Apps**](https://github.com/GoogleChrome/lighthouse): Progressive Web Appのためのパフォーマンスやアクセシビリティのチェックツール
* [**Sinon.js quick tip: How to stub/mock complex objects, such as DOM objects by CodeUtopia**](http://codeutopia.net/blog/2016/05/23/sinon-js-quick-tip-how-to-stubmock-complex-objects-such-as-dom-objects/): DOMのような複雑なオブジェクトをSinon.jsでどうStub/mockするのか
* [**CSS Purge - Saving the web 1kb at a time.**](http://www.csspurge.com/): CSSに関する軽量化手法についてと現状のデータ。特に後者は興味深い
* [**delapuente/service-workers-101: An infographic to summarize the most important parts of the Service Workers' API**](https://github.com/delapuente/service-workers-101/): Service workerに関するインフォグラフィック集
* [**frend/frend.co: Frend — A collection of accessible, modern front-end components.**](https://github.com/frend/frend.co): アクセシブルなUIコンポーネント集
