---
date: 2016-06-08
title: Frontend Weekly Vol.73
description: Houdini、ビジュアル言語、PWAへの警鐘ほか計14リンク
---

# Frontend Weekly Vol.73

## Headlines

### [Houdini – Demystifying CSS by Google Developers](https://developers.google.com/web/updates/2016/05/houdini?hl=en)

**CSSを根本から変えるかも知れないHoudiniについて**  
着実に前進しているExtensible Web Manifestの一環でもあるHoudiniと呼ばれるCSSエンジンの一部を開発者に公開しようという壮大なプロジェクトの直近までのまとめ。CSSを書くことを生業としている人は必見。

### [Building a Visual Language by Airbnb Design](http://airbnb.design/building-a-visual-language/)

**ビジュアル言語を造ること**

Airbnbがデザイン・カンパニーであることは周知の通り。ではその期待に応えるためにどんなことをしているのか。その一部であるデザインの言語化について、どんなことをしたのか、そこから学ぶべき事とはなにかについて詳しく解説している。

### [Regressive Web Apps by Adactio](https://adactio.com/journal/10708)

**Progressive Web Appsへの疑問**

Jeremy Keith氏によるProgressive Web Appsのベストプラクティスへの疑問。彼が信じるWebらしさを守るためになかなか強い言葉で綴られている。

> Chrome developers have decided that displaying URLs is not “best practice”. It was filed as a bug.

この引用への反論がほとんど。

### [3 Different Kinds of Prototypal Inheritance: ES6+ Edition by JavaScript Scene](https://medium.com/javascript-scene/3-different-kinds-of-prototypal-inheritance-es6-edition-32d777fa16c9#.e4isg9nta)

**3つのプロトタイプベースの継承パターン ES6+編**

Eric Elliot氏によるプロトタイプベースの継承パターンについて。以前にES5バージョンで紹介していた、3つのパターンをES6以上のバージョンに書き換えて紹介。初見の方も、以前のバージョンを知っている方にもおすすめ。

### [Why I’m Not Waiting On ‘await’ by getiblog](https://blog.getify.com/not-awaiting-1/)

**`await`の実践的ユースケースと`generators`**

次バージョンのECMAScriptにて実装される予定の`await`。非同期のコードをまるで同期のコードのように取り扱える便利な機能。Kyle Simpson氏はまずその機能について詳しく解説し、後編で`await`に足りてない機能と、それを埋める`generators`について紹介。

### [Understanding The CSS Property Value Syntax by Smashing Magazine](https://www.smashingmagazine.com/2016/05/understanding-the-css-property-value-syntax/)

**CSSのプロパティ値シンタックスの読み解き方**

CSSの仕様書などにある`[<number> | <percentage>]{1,4} && fill?`のような不思議なシンタックスに見覚えはあるだろうか?  
ルールがわからないと完全に暗号にしか見えないが、(もちろん)きちんと意味のある文字列。言うまでもないが、CSSの仕様書は素晴らしいリファレンスなので、シンタックスを覚えて、仕様書を読む習慣を身につけよう。

### [Our best practices are killing mobile web performance by molily](http://molily.de/mobile-web-performance/)

**(これまでの)モバイル・パフォーマンスのベストプラクティスを見直すべき理由**

モバイルという文脈におけるパフォーマンス改善へのアプローチは、この数年で｢ベスト・プラクティス｣が体系化して来た。しかしMathias Schäfer氏はそのベストプラクティスに対して疑問を呈した。3つのよく知られる｢ベスト・プラクティス｣がパフォーマンスを悪くしているケーススタディを紹介。

## Slides

### [CSS Animations, Orchestrated by David Khourshid](http://slides.com/davidkhourshid/deck-17#/)

CSSのアニメーションをどうやってまとめ上げるのか? 音楽の要素になぞらえてアニメーションを美しくオーケストレーションするために知っておくべきアプローチを紹介。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Multirange: A tiny polyfill for HTML5 multi-handle sliders.**](http://leaverou.github.io/multirange/): Lea Verou作のinput type="range"のポリフィル。CSSもJSもとてもシンプルなものになっている
* [**The box-shadow Property**](https://bitsofco.de/the-box-shadow-property/): box-shadowプロパティのオーバービュー
* [**Designing for Performance by Lara Callender Hogan**](http://designingforperformance.com/): Lara Hogan氏によるO’Reilly刊のDesigning for PerformanceがHTML上で無料
* [**Semantic CSS by Snook.ca**](http://snook.ca/archives/html_and_css/semantic-css): Jonathan Snook氏によるCSSのセマンティックについて
* [**The importance of URLs by as days pass by**](https://www.kryogenix.org/days/2016/05/24/the-importance-of-urls/): PWAのベストプラクティスへの警鐘
* [**CSS coding techniques by Mozilla Hacks**](https://hacks.mozilla.org/2016/05/css-coding-techniques/): メンテナンスしやすいCSSのための、この近年でよく取り上げられるTipsがまとめられている
