---
date: 2016-06-22
title: Frontend Weekly Vol.75
description: Async/Await、Safari 10、Pixel Densityほか計14リンク
---

# Frontend Weekly Vol.75

## Headlines

### [Async and Await by Guillermo Rauch](https://zeit.co/blog/async-and-await)

Callback Hellを抜けるためのPromise。そしてPromiseをより素直に書くためのAsync/Await。Guillermo Rauch氏は記事でそのAsync/Awaitが役に立つ場面をPromiseでよくあるパターンから紹介し、Async and Awaitの使い方、そして問題点についても触れて行く。

### [Safari 10.0](https://developer.apple.com/library/prerelease/content/releasenotes/General/WhatsNewInSafari/Articles/Safari_10_0.html)

Safari 10.0でサポートされる各種APIやメディアなどについて。macOSだけでなくモバイルデバイスで大きなシェアを持つiOSの次のバージョンにも搭載されるので、開発者にとっては嬉しい知らせだ。

### [Pixel Density, Demystified by Peter Nowell](https://medium.com/@pnowelldesign/pixel-density-demystified-a4db63ba2922#.jpljrkr8g)

**ピクセル密度とは一体なんなのか?**  
iPhoneがRetinaディスプレイを搭載してから幾年か経て、ピクセル密度の高いディスプレイがある生活が一般化してきたと言えるだろう。そこで問題になるのはピクセルとはなんなのか。当たり前に使ってきたピクセルという単位とピクセル密度の関係性をわかりやすく解説。

### [How we do visual regression testing by Nick Dunn](https://medium.com/friday-people/how-we-do-visual-regression-testing-af63fa8b8eb1#.2cz0slk8j)

**ソフトウェアのビジュアルをテストする方法**  
ユニット・テストやE2Eテストは開発者にとってごく当たり前の存在になって来ているが、ソフトウェアのビジュアルをテストすることについてはそれほどでもない。  
これまでに様々なテストツールを試してきたがなかなか「これ」というツールに出会えなかったFridayが[Spectre](https://github.com/wearefriday/spectre)というツールを開発。記事ではそのツールのアーキテクチャについて解説している。

### [Enhancing Optimistically by Filament Group](https://www.filamentgroup.com/lab/enhancing-optimistically.html)

**”Cut the mustard”は楽観的すぎる?**  
プログレッシブ・エンハンスメントのアプローチである“Cutting the Mustard”は楽観的なテストすぎるかもしれない。そんな疑問から始まり、どんなケースで楽観的なのか、そして最適化に向けた手法について詳しく解説。

### [Building Products by The Year of the Looking Glass](https://medium.com/the-year-of-the-looking-glass/building-products-91aa93bea4bb#.j0egyh77r)

**Facebookのプロジェクト・マネジメント**  
FacebookにてProduct design VPを務めるJulie Zhuo氏による、Facebookがこれまで気づき上げてきたプロダクトを作る上でのフレームワークについて紹介。彼女によると、まだ1%の完成度だそう。

### [How to Worry Less About Being a Bad Programmer](https://www.stilldrinking.org/how-to-worry-less-about-being-a-bad-programmer)

**ダメなプログラマーかも知れない症候群を打破する方法**  
自分は開発者なのか、それともGoogleで検索するのが得意なだけなのか。誰しもが考えることながら、悩み始めればキリがない。そんな悩みに救いとなる見方で溢れた記事。

## Slides

### [What we talk about when we talk about Web Performance by Patty Toland](https://docs.google.com/presentation/d/11fLFu-Mq5zM3wAfZkMbEzJSu6dy9cp2HH0njU11OPPI/mobilepresent?slide=id.g3b7311b13_20)

Flilament GroupのPatty Tolandによるパフォーマンスに関するスライド。100枚を超える貴重なデータ(USのデータがメイン)がたくさん含まれたスライド。

### [Cancelable promises by Domenic Denicola](https://docs.google.com/presentation/d/1V4vmC54gJkwAss1nfEt9ywc-QOVOfleRxD5qtpMpc8U/preview?slide=id.gc6f9e470d_0_0)

Promiseをキャンセルする。そのステートの存在意義や取り扱い、そしてシンタックスについてのスライド。Cancelable Promisesについて詳しくは[こちらもどうぞ](https://domenic.github.io/cancelable-promise/)。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**It’s Not About Morals: Accessibility is for the Masses**](https://una.im/a11y-for-the-masses/): アクセシビリティは特定のグループに向けた技術ではない。基礎となるポイントについて紹介
* [**Performance Observer - Efficient Access to Performance Data by Google Developers**](https://developers.google.com/web/updates/2016/06/performance-observer?hl=en): Chrome 52から使えるPerformance Observerについて
* [**SVGでプログラマブルな書体を作る話 by dwango creators' blog**](http://creator.dwango.co.jp/8741.html): フォントをSVGで作り、リアルタイムにJavaScriptでスタイルを変更させる方法について
* [**How We Lost 47% of Our Users After a Redesign by Icons8**](https://icons8.com/articles/how-we-lost-47-of-our-users-after-a-redesign/): リデザインにより47%ものユーザを失った話。何故そうなったかの分析
* [**davidmarkclements/0x: Flame Graph Profiling with a Single Command**](https://github.com/davidmarkclements/0x): Nodeのスタックトレースをビジュアライズするコマンドラインツール
