---
date: 2016-07-13
title: Frontend Weekly Vol.78
description: AMPとモバイル、DOMContentLoaded、JSメモリーリークほか計12リンク
---

# Frontend Weekly Vol.78

## Headlines

### [About that ‘mobile’ in Accelerated Mobile Pages by Paul Bakaus](https://medium.com/@pbakaus/about-that-mobile-in-accelerated-mobile-pages-3802cc1b4644#.rs9zemf0i)

**AMPにおけるモバイルの位置づけ**

Accelerated Mobile Pages(AMP)に含まれているモバイルという単語は、モバイルオンリーという意味ではない。多くのパブリッシャーはAMP専用ページに対して、canonicalリンクを付けるパターンでの実装をしているが、AMPもまたモバイル・ファーストである。という解説。

### [DOMContentLoaded vs jQuery.ready vs onload, How To Decide When Your Code Should Run by Eager Blog](https://eager.io/blog/how-to-decide-when-your-code-should-run/)

**DOMContentLoadedとjQuery.ready、onloadの違いわかりますか?**

DOMContentLoadedとjQuery.ready、onloadの違いをしっかりと理解しておくことは、どのタイミングでJavaScriptが実行されるのかについて知ることに繋がるし、よくあるパフォーマンス評価にも役立つ。

### [4 Types of Memory Leaks in JavaScript and How to Get Rid Of Them](https://auth0.com/blog/2016/01/26/four-types-of-leaks-in-your-javascript-code-and-how-to-get-rid-of-them/)

**JavaScriptにおける4つのメモリーリークパターンとその解決**

よく知られているJavaScriptで発生するメモリーリークパターンの紹介、そしてそれを開発者ツールでどう発見し、解決するかについての詳解。

### [Unlabelled search fields by Adactio](https://adactio.com/journal/10910)

**ラベルのない検索フィールド(のアクセシビリティ)**

ボタンのテキストに『検索』とあり、ラベルがないケースの多い検索フィールド。そんなフォームに対してどうアクセシビリティの情報を負荷するべきかについて。

### [Every team can get more done with sprints — but it’s not just about going fast by GV Library](https://library.gv.com/every-team-can-get-more-done-with-sprints-but-its-not-just-about-going-fast-724f20ffe176#.ya58optz7)

**デザイン・スプリントの生産性**

Googleが提唱するデザインスプリント。本が発売されてからしばらく経つが、記事ではデザインスプリントが単に早さを追求するためのアプローチではなく、実際に会社の方向性を意志決定する場でも利用されていることなどを紹介している。

### [Tokens in Design Systems by EightShapes LLC](https://medium.com/eightshapes-llc/tokens-in-design-systems-25dd82d58421#.vozxc5ay0)

**デザイン・システムにおけるトークン**

Salesforceでの採用されている『トークン』と呼ばれる、クライアントサイドでも、サーバーサイドでも、ネイティブアプリでも共用するためのグローバルな変数たちについて。どう活用するべきかはもちろん、どう実装するべきかについての示唆もあって参考になる。

### [Three Real-World Uses for Mutation Observer by Eager Blog](https://eager.io/blog/three-real-world-use-cases-for-mutation-observer/)

**Mutation Observerの実践例**

クライアントサイドでの画像最適化(FireSizeを使った例)、JavaScriptの初期化を必要なタイミングで実行する、ContentEditableの管理の3つの実践例を紹介。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**How to Upgrade a Node Module The Right Way by Jama Software**](http://www.jamasoftware.com/blog/upgrade-node-module-right-way/): JavaScriptのリファクタリングアプローチ例
* [**Improving Color on the Web by WebKit**](https://webkit.org/blog/6682/improving-color-on-the-web/): Webkitにおける色の取り扱い方
* [**Promises in JavaScript Unit Tests: the Definitive Guide**](https://www.sitepoint.com/promises-in-javascript-unit-tests-the-definitive-guide/): Promisesをユニットテストするために知っておくべきこと
* [**Pragmatic Guide to Sass 3 by The Pragmatic Bookshelf**](https://pragprog.com/book/pg_sass3/pragmatic-guide-to-sass-3): 2016/7/8 発売のSass3.4対応の本
* [**Refraction**](http://refraction.js.org/): JavaScriptのモジュールを独立性を保ちつつ一括して使用できるようにするためのライブラリ
