---
date: 2016-08-24
title: Frontend Weekly Vol.84
description: PWAのデザイン、フォームデザイン、SVG最適化、ほか計13リンク
---

# Frontend Weekly Vol.84

## Headlines

### [Designing Responsive Progressive Web Apps by Cloud Four](https://cloudfour.com/thinks/designing-responsive-progressive-web-apps/)

**Progressive Web Appsのデザイン**

Progressive Web Appsはその性質上、技術的な部分に注目されがちだが、この記事ではデザイン、UIについて言及。OSやデバイスの特性をどう吸収していくべきか、ブラウザのUIがない状態における注意点など細かな部分まで言及している。

### [10 Rules For Efficient Form Design](http://babich.biz/10-rules-for-efficient-form-design/)

**入力しやすいフォームデザインにおける10のルール**

フォームとUXの関係は非常にわかりやすい。わかりやすいからこそ研究されてきた。この記事で紹介されている10のルールは”あたりまえ”の範疇かもしれないが、一歩進めて、このルールをどうデザイン・システムに組み込んでいくか考えていくべき。

### [High Performance SVGs by CSS-Tricks](https://css-tricks.com/high-performance-svgs/)

**SVGの最適化方法**

アイコンやチャートのようなシンプルなSVGではなく、もう少し複雑なイラストでもSVGを活用する機会も増えてきている。これまではシンプルSVGの最適化がよく紹介されてきたが、この記事ではそんな複雑なSVGの最適化方法について紹介。

### [Automatic image scale and resolution with Client Hints by Cloudinary Blog](http://cloudinary.com/blog/automatic_responsive_images_with_client_hints)

**Client Hintsを利用して画像の解像度とサイズ選択を自動化**

Ethan Marcotte氏が提唱したレスポンシブWebデザインの基礎となる”フレキシブル”な画像。彼が提唱した`max-width: 100%;`は見た目のフレキシビリティを得る代わりに、無駄に大きな画像を必要があった。そんな問題点を解決するためのClient Hintsについて紹介。

### [Ways to Make a UI Accessible—Part I by FED || Dead](https://medium.com/fed-or-dead/ways-to-make-a-ui-accessible-part-i-84b5088acfb7#.re5cghf3o)

**UIをアクセシブルにする方法**

UIをアクセシブルにするためのコツを紹介。まずは基本的な部分であるマークアップやアクセシビリティに関するドキュメントについて紹介し、実サイトをケーススタディにどうやってUIをアクセシブルにしているか、するべきかについて解説している。パート2も楽しみ。

### [Scaling CSS Components with BEM, REMs, & EMs by Lullabot](https://www.lullabot.com/articles/scaling-css-components-with-bem-rems-ems)

**BEM + rem & emでコンポーネントをスケーラブルに**

コンポーネントのサイズをスケーラブルにするのは意外と難しい。そのスケーラビリティをBEMの構造を使って、remとemを使い分けて実装する方法について紹介。

### [Shadow DOM v1: self-contained web components by Google Developers](https://developers.google.com/web/fundamentals/primers/shadowdom/?hl=en)

**Shadow DOM v1について**

Web Componentを構成する4の仕様の内の根幹とも言えるShadow DOMについて。これまでのv0との違いを踏まえて、Eric Bidelman氏が詳細に解説。

## Slides

### [Refactoring CSS Without Losing Your Mind by Harry Roberts](https://speakerdeck.com/csswizardry/refactoring-css-without-losing-your-mind)

CSSは壊れやすい。BEMのような命名規則やコンポーネント・アプローチをとっていても、その事実は変わらない。そんなCSSをリファクタリングするために知っておきたいことについて、Harry Roberts氏が解説。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**The Marvellously Mysterious JavaScript Maybe Monad**](http://jrsinclair.com/articles/2016/marvellously-mysterious-javascript-maybe-monad/): JavaScriptにおけるMaybe Monad
* [**Are you writing legacy CSS code?**](http://tinnedfruit.com/2016/07/25/are-you-writing-legacy-css-code.html): レガシーCSSとの付き合い方について
* [**A Beginner's Guide To Progressive Web Apps by Smashing Magazine**](https://www.smashingmagazine.com/2016/08/a-beginners-guide-to-progressive-web-apps/): 初心者のためのProgressive Web Apps
* [**How To Clean Up Your JavaScript Build With Tree Shaking**](https://blog.engineyard.com/2016/tree-shaking): Webpack v2をつかったツリーシェイキング
* [**Maintaining Ratio Of Elements: All The Methods by Christian Miller**](http://xtianmiller.com/notes/maintaining-ratio-of-elements-all-the-methods/): 要素の比率を担保するCSSテクニック
