---
date: 2016-09-07
title: Frontend Weekly Vol.86
description: フィーチャークエリ、font-display、コンセプトの可視化ほか計12リンク
---

# Frontend Weekly Vol.86

## Headlines

### [Using Feature Queries in CSS by Mozilla Hacks](https://hacks.mozilla.org/2016/08/using-feature-queries-in-css/)

**@supportsの使いどころ**

フィーチャークエリとしても知られる@supportsという新たなCSSの機能の解説とともに、実際にどのように使うべきなのかについても解説。

### [font-display for the Masses by CSS-Tricks](https://css-tricks.com/font-display-masses/)

**font-displayでできるようになること**

カスタムフォントを利用する際のよく知られる問題点である、Flash of Invisible Text(FOIT)。font-displayはフォントが読み込まれる間、文字が見えない状態を解決する新しいプロパティ。まだ実装されているブラウザ多くはないが、使いどころと使い方について知っておいて損はないだろう。

### [Six Patterns for Modeling Concepts by EightShapes LLC](https://medium.com/eightshapes-llc/six-patterns-for-modeling-concepts-df7eda15dc5)

**コンセプトを可視化する6つのパターン**

プログラミングにおいても、デザインにおいても、解決するべき問題を見つけ出し、解決の提案をするのが本質。その本質を叶えるためには複雑さをシンプルに可視化することは大切な技術の1つ。この記事ではコンセプトを可視化するために知っておきたい6つのパターンについて解説している。

### [Typography is impossible by Medium Engineering](https://medium.engineering/typography-is-impossible-5872b0c7f891#.8cdof7a5f)

**タイポグラフィは不可能だ**

書体の選び方、ではなく、タイポグラフィに関わるバーティカルリズムなど書体以外の部分についていかに難しい問題であるかを解説。内容は英語におけるタイポグラフィについて書かせているが、参考になる点はもちろん多いのでぜひ。

### [When to Use the Web Animations API](http://danielcwilson.com/blog/2016/08/why-waapi/)

**Web Animations APIを使うタイミング**

Firefoxがバージョン48でWeb Animations APIの実装をリリース。Chrome、Operaに続いて3つ目のブラウザとなった。  
言うまでもなくCSSを使ったアニメーションが存在する中で、どうしてまたJavaScriptでのアニメーション実装が必要なのか。そんな疑問に答える。

### [How To Use WebPageTest and its API by CSS-Tricks](https://css-tricks.com/use-webpagetest-api/)

**WebPageTestと関連APIの使い方**

パフォーマンス評価におけるデファクトスタンダードであるWebPageTest。この記事ではそのWebPageTestがどんな機能を持っているのか、結果をどう読み解くのか、そして自動化のために欠かせないAPIについても解説している。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Front-End Tip: Testing Component Accessibility with CSS by Mariano.CSS**](https://blog.mariano.io/quick-tip-testing-component-accessibility-with-css-3c36fe1a6562): CSSを使ってUIのアクセシビリティをテストする
* [**Reference Designs for Systems by EightShapes LLC**](https://medium.com/eightshapes-llc/reference-designs-for-systems-5f6b8705ba5a): 新しいデザインをプレゼンする際に知っておくべき事
* [**Untangling Deeply-Nested Promise Chains by Philip Walton**](https://philipwalton.com/articles/untangling-deeply-nested-promise-chains/): 複雑化したPromiseチェーンをリファクタリング
* [**Marking up help text in forms by Adactio**](https://adactio.com/journal/11109): フォームに関するヘルプテキストはどうマークアップするべきなのか?
* [**The New Rules of Form Design by UX Booth**](http://www.uxbooth.com/articles/the-new-rules-of-form-design/): フォームをデザインする際に気をつけるべき事
* [**Why Aren’t You Asking Questions? by An A List Apart**](http://alistapart.com/article/why-arent-you-asking-questions): 不明瞭な部分を放置しない。質問力は大事