---
date: 2016-09-14
title: Frontend Weekly Vol.87
description: SVGをシャドウに、HTMLのコツ、CSSアーキテクチャほか計13リンク
---

# Frontend Weekly Vol.87

## Headlines

### [Slicing SVG 9 Ways by Aerotwist](https://aerotwist.com/blog/slicing-svg-9-ways/)

**SVGをつかったシャドウの最適化手法解説**

描画に時間がかかるシャドウをアニメーションさせてしまうと、どうしてもパフォーマンスは落ちてしまう。Paul Lewis氏はこの問題に際してSVGをシャドウ代わりにし回避。その手法について詳しく解説。

### [A few HTML tips by Mozilla Hacks](https://hacks.mozilla.org/2016/08/a-few-html-tips/)

**HTMLを書く際に知っておきたいこと**

当たり前と思うなかれ。意外と知らない/忘れてしまっているHTMLの基本とコツ。アクセシビリティにおいても根幹となる部分だからこそ、しっかりと振りかえっておきたい。

### [Structuring CSS in large projects by Peergrade](https://medium.com/peergrade-io/structuring-css-in-large-projects-37f1695f5ec8#.jjbx3k1gi)

**大規模プロジェクトでCSSをどう構成するべきか**

もうすっかり聞き飽きた頃だとは思うものの、CSSをスケールさせるのは非常に難しい。その解決のため、様々なアプローチが考案され続けて来ている。この記事では、実際に大規模なプロジェクトでどんなアプローチをしたのかについて、ざっくりわかりやすく解説している。

### [Demythstifying Web Components by Back Alley Coder](http://www.backalleycoder.com/2016/08/26/demythstifying-web-components/)

**Web Componentsの秘密を暴く**

実はWeb Componentsがどんなものなのか理解できていない、という方も多いことだろう。その『よくわからない』の原因を明らかにしながら、よくある勘違いを正しい理解へ導きながら、Web Componentsについて解説。

### [The inaccessible web: how we got into this mess by uxdesign.cc](https://uxdesign.cc/the-inaccessible-web-how-we-got-into-this-mess-7cd3460b8e32)

**アクセシブルではないWeb**

アクセシビリティを考慮することは決して特別なことではない。しかし、現実はなかなかそうはいかない。記事ではなぜそうなってしまったのかについて考察している。

### [The art of writing small and plain functions](https://rainsoft.io/the-art-of-writing-small-and-plain-functions/)

**わかりやすい、小さな関数たち**

“Do one thing. Do it well.”は言わずと知れたUNIXの哲学。  
ロジックをくみ上げていくウチに長く大きくなっていってしまいがちな関数を、わかりやすく、ちいさく分割する方法について解説。

### [When is the Right Time to Think about Web Performance? by CSS-Tricks](https://css-tricks.com/right-time-think-web-performance/)

**パフォーマンスはいつから考え始めるべきか**

パフォーマンスは重要な機能の1つである。とは言うものの、どのタイミングから考慮するべきなのか。短いながら、しっかりと大切なポイントを押さえた記事。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**BrowserLab: Automated regression detection for the web by Facebook Code**](https://code.facebook.com/posts/1368798036482517/browserlab-automated-regression-detection-for-the-web/): Facebook謹製のパフォーマンス・リグレッションツール、BrowserLabの仕組み
* [**Refactoring CSS: The Three I’s by CSS Wizardry**](http://csswizardry.com/2016/08/refactoring-css-the-three-i-s/): Harry Roberts氏によるCSSのリファクタリングアプローチ
* [**Developing Extensible HTML and CSS Components by CSS-Tricks**](https://css-tricks.com/developing-extensible-html-css-components/): 拡張しやすいコンポーネントの作り方
* [**Why “Progressive Web Apps vs. native” is the wrong question to ask by Dev Channel**](https://medium.com/dev-channel/why-progressive-web-apps-vs-native-is-the-wrong-question-to-ask-fb8555addcbb): PWAとネイティブアプリを比較することが無意味な理由
* [**Ways To Reduce Content Shifting On Page Load by Smashing Magazine**](https://www.smashingmagazine.com/2016/08/ways-to-reduce-content-shifting-on-page-load/): ページ読み込み時に無用に要素を動かさないための技集 
* [**DevTools Timeline Viewer**](https://chromedevtools.github.io/timeline-viewer/): Chrome DevToolsのタイムラインを共有できるビューワ