---
date: 2015-03-18
title: Frontend Weekly Vol.9
description: アイデアより大切なものとは? 計23リンクを紹介
---

# Frontend Weekly Vol.9

## Headlines

### [Advancing JavaScript without breaking the web by Christian Heilmann](http://christianheilmann.com/2015/03/09/advancing-javascript-without-breaking-the-web/)

Christian Heilmann氏による、Webを破壊することなくJavaScriptをさせる方法についての講演に関する動画、スライド、そして解説と贅沢な内容の記事。

### [The Idea Person by Julie Zhuo](https://medium.com/the-year-of-the-looking-glass/the-idea-person-e08e36f9024d)

アイデアを生み出すこと/人よりも、それを形にする技術や能力、努力ができる人が本来は賞賛されるべき。

### [React Is A Terrible Idea by Panda Strike](https://www.pandastrike.com/posts/20150311-react-bad-idea)

Reactというフレームワークの上でしか成り立たないイノベーションではなく、その努力をWeb全体へ貢献するべきではないか、という記事。  
反論は多くあったが、納得できる点もあるのでぜひ。

### [Immutable CSS by Harry Roberts](http://csswizardry.com/2015/03/immutable-css/)

JavaScript界隈でもよく目にするようになった『Immutable』という概念をCSSでも導入してみる。命名規則をベースにツールを作れば何とかなるかも?

### [Building a Circular Navigation with <strike>CSS Transforms</strike> SVG](http://sarasoueidan.com/blog/building-a-circular-navigation-with-svg/)

[丸いナビゲーションをSVGで出力するツール](http://sarasoueidan.com/tools/circulus/)をリリースしたSara Soueidan氏による、なぜSVGを選んだのか、そしてツールについて詳しい解説。

## In Other News…

### [Can CSS Be Too Modular? by Harry Roberts](http://csswizardry.com/2015/03/can-css-be-too-modular/)

Harry Robertsがもっともよく聞かれる質問。CSSのモジュールは小さすぎるということはあるのか?に対する詳細に渡る回答。

### [Designing Navigation On Mobile: Prototyping With Keynote](http://www.smashingmagazine.com/2015/03/11/prototyping-navigation-on-mobile-with-keynote/)

Keynoteを使ってモバイル・サイトのナビゲーションをプロトタイプする。アニメーションも使えるし、何かと便利なのでKeynoteでのプロトタイプはおすすめ。

### [Lines in the Sand by Aaron Gustafson](http://www.aaron-gustafson.com/notebook/lines-in-the-sand/)

すべてのブラウザでまったく同じ機能や見た目である必要は無い。レガシーなブラウザへの対応を考える際に、コアとなる機能が何かを知る必要がある。

### [Design Principles: Insights Not Analytics by Inside Intercom](http://blog.intercom.io/design-principles-insights-are-not-about-analytics/)

新しい機能を追加する、または既存の機能をエンハンスする際にどうやってデータを参考にするのかについて詳しく解説。

### [ARIA in HTML](http://rawgit.com/webspecs/html-aria/master/index.src.html)

HTMLでARIAを使うための仕様。   
一覧性も高くてリファレンスとして便利そう。

### [I'm Chris Coyier, creator of CSS-Tricks / co-founder of CodePen / podcaster on ShopTalk. Ask Me Anything! - Designer News](https://news.layervault.com/stories/45838-im-chris-coyier-creator-of-csstricks--cofounder-of-codepen--podcaster-on-shoptalk-ask-me-anything)

CSS TricksやCode Penで有名なChris Coyier氏のAsk Me Anything.  
彼の優しさがにじみ出る素晴らしい回答たちは必見。

## \#perfmatters

### [\[翻訳\] フロントエンド開発者のためのHTTP2](http://article.enja.io/articles/http2-for-front-end-web-developers.html)

スプライト、ファイル結合、ドメイン・シャーディングなどのパフォーマンスにおける『ベスト・プラクティス』はHTTP2では反対に悪影響をおよぼしてしまう。  
プロダクションでHTTP2の導入はまだ先。と思っている方も今のうちから知っておくべきことがよくまとまっている。

原文: [HTTP2 for front-end web developers by Matt Wilcox](https://mattwilcox.net/web-development/http2-for-front-end-web-developers)

### [Journal—Inlining critical CSS for first-time visits by Adactio](https://adactio.com/journal/8504)

久しぶりのJeremy Keith氏による実務的な記事。  
最初に訪れたユーザだけにCritical CSSをインライン化する方法について詳しく解説している。

### [What your site costs users by TimKadlec.com](http://timkadlec.com/2015/03/what-your-site-costs/)

パフォーマンスというトピックには必須でセットであるべき指標。
その指標に実際にどのくらいネットワークへの接続コストがかかるのか、というのは非常にわかりやすくてビジネスにも近い。

## Slides/Videos

### [Babel: Beyond the Basics // Speaker Deck](https://speakerdeck.com/sebmck/babel-beyond-the-basics)

Babelの作者であるSebastian McKenzie氏によるBabelの中上級者向け機能の解説。

## In Brief

- [**Public Design Sprint Template by Trello**](https://trello.com/b/lMmuSlkP/public-design-sprint-template): デザイン・スプリントを行う際に便利なTrelloボード。

- [**DOMListener by Konrad Dzwinel**](https://chrome.google.com/webstore/detail/domlistener/jlfdgnlpibogjanomigieemaembjeolj): DOMの変更を取得するChrome開発者ツールの拡張。

- [**Creating semantic sites with Web Components and JSON-LD by HTML5 Rocks**](http://updates.html5rocks.com/2015/03/creating-semantic-sites-with-web-components-and-jsonld): Web ComponentsをJSON-LDでよりセマンティックに。

- [**PubSub by MobiDev**](https://github.com/Rapid-Application-Development-JS/PubSub): いわゆるPub/Subパターンを実装するための小さなライブラリ。

- [**Better modern input type detection by QuirksBlog**](http://www.quirksmode.org/blog/archives/2015/03/better_modern_i.html):　追加されたinput属性のタイプをチェックするソースコードの詳細。

- [**Fuzzy Scoring Regex Mayhem by James Padolsey**](http://james.padolsey.com/javascript/fuzzy-scoring-regex-mayhem/): 自動補完と正規表現の終わりない戦い。アルゴリズム好きな方へ。

- [**JSDOCed Javascript by Jerome Etienne**](http://jsdocedjs.org/): JSDocを使ってユニットテストを行うライブラリ。

- [**Learning to See by iA**](https://ia.net/know-how/learning-to-see): いいデザインを生み出すためには、いい目を養うこと。当たり前のことですが、意外と知らない『見る』ということ
