---
date: 2016-10-05
title: Frontend Weekly Vol.90
description: Polyfillをどう呼び出すか、モーション・デザイン、ほか計15リンク
---

# Frontend Weekly Vol.90

## Headlines

### [Loading Polyfills Only When Needed by Philip Walton](https://philipwalton.com/articles/loading-polyfills-only-when-needed/)

**Polyfillの読み込み戦略**

実装がマチマチな様々なブラウザのJavaScript。その差を埋めるためのPolyfillは欠かす事ができないツール。そのPolyfillの読み込みを、いかに無駄なく行えるのか。Philip Walton氏による実験とその結果。

### [Making Motion Meaningful by Google Design](https://design.google.com/articles/making-motion-meaningful/)

**動きに意味を持たせるモーション・デザイン**

Material Designを見てもわかるように、Googleはモーション・デザイン、マイクロモーメントと呼ばれる領域にも素晴らしい示唆を与えてくれている。この記事ではそのモーションにどう意味を持たせるかについて紹介している。

### [A Nerd's Guide to Color on the Web by CSS-Tricks](https://css-tricks.com/nerds-guide-color-web/)

**色について詳しくなるために**

Webで利用できる色に関する様々なことがらについて、事細かに解説している良記事。例示も多く、解説も丁寧なので非常に参考になる。とても長い記事なので、色で困った際にいつでも参照できるようにしておくことをオススメする。

### [CSS Grid meets the real world - a login form](https://www.rachelandrew.co.uk/archives/2016/09/20/css-grid-meets-the-real-world-a-login-form/)

**CSS Gridの実例: ログイン・フォーム**

ついにCSSでハックではない、本物のグリッドを実践する仕様がブラウザにも少しずつながら実装され始めてきている。この記事ではそのCSS Gridの実践としてログイン・フォームを作る。

### [Generators and Channels in JavaScript by JavaScript Inside](https://medium.com/javascript-inside/generators-and-channels-in-javascript-594f2cf9c16e#.kq1rhb8hg)

**JavaScriptにおけるジェネレータとチャネル**

### [The Thumb Zone: Designing For Mobile Users by Smashing Magazine](https://www.smashingmagazine.com/2016/09/the-thumb-zone-designing-for-mobile-users/)

**指が届く範囲を考慮したモバイル・デザイン**

指で操作するモバイル・デバイスにおいて、その指が届く範囲、動く方向性を考えてデザインすることは、デバイスが大きくなって来た現在において、重要なポイントの1つ。Webであろうとアプリであろうと参考になる。

### [nth-child vs nth-of-type](https://bitsofco.de/nth-child-vs-nth-of-type/)

**nth-childとnth-of-typeの違い、わかりますか?**

nth-childとnth-of-typeは一見すると同じ役割をもったセレクタに思えるが、実はそうでもない。あまり使いどころがないかも、と思うかも知れないが、意外なところで役に立ってくれるので、両者の違いについてきちんと学んでおこう。

## Slides

### [AMP: Does it really make your site faster?](http://www.slideshare.net/nicjansma/amp-does-it-really-make-your-site-faster)

AMPは本当にサイトを早くしてくれるのか? 実データを使った比較は非常に説得力がある。

### [Style Guides: Best Practices and Workflow for Web Developers by tset](http://slides.com/tset/styleguides/)

スタイルガイドを作るためのベスト・プラクティス達とワークフローについて。

### [Next Gen Web: Scaling Progressive Web Apps　Abhinav Rastogi](https://speakerdeck.com/abhinavrastogi/next-gen-web-scaling-progressive-web-apps)

Progresive Web Appsの実装におけるパイオニアであるFlipkart.comにおける実践ケーススタディ。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**Google: 53% of mobile users abandon sites that take longer than 3 seconds to load by SOASTA**](https://www.soasta.com/blog/google-mobile-web-performance-study/): モバイルユーザの53%は3秒以上読み込みにかかるサイトから離脱する。
* [**Hiding DOM elements by ally.js**](https://allyjs.io/tutorials/hiding-elements.html): アクセシブルなDOM要素の隠し方。
* [**Short functions considered harmful: Staircase code by CodeUtopia**](http://codeutopia.net/blog/2016/09/25/javascript-stumbling-blocks-staircase-code/): 短い関数が常に正解とは限らない。
* [**Five tips for improving your technical writing and documentation**](https://medium.com/@limedaring/five-tips-for-improving-your-technical-writing-and-documentation-47353723c8a7): 知っておきたいテクニカルライティングに関する5つのTips。
* [**Browser Bug Searcher**](https://browser-issue-tracker-search.appspot.com/): ブラウザのバグを検索できるウェブツール。