---
date: 2016-10-12
title: Frontend Weekly Vol.91
description: スペース、便利なCSSの機能、日本語タイプほか計14リンク
---

# Frontend Weekly Vol.91

## Headlines

### [Space in Design Systems by EightShapes LLC](https://medium.com/eightshapes-llc/space-in-design-systems-188bcbae0d62#.uhb509ri0)

**デザイン・システムにおけるスペース**

Nathan Curtis氏によるデザイン・システムの基礎を為す要素に関する最新記事。今回はスペース。目には見えない要素だからこそ、頭を悩ませてくれるスペースについて。どんな問題があり、どう解決するべきかについて紹介。

### [9 Underutilized Features in CSS](https://medium.com/@iamjordanlittle/9-underutilized-features-in-css-90ced6ddbfe7#.qvie2be2i)

**CSSであまり使われていない(便利な)機能9選**

使われていない、どころか存在すら知らなかった機能すらあり、かつブラウザ実装に目をつぶれば、実践でも役立つ機能が紹介されている。概念や考え方とは違い、この手の機能は知っている、知らないの2つに1つなので確りと覚えておきたい。

### [Seven rules for perfect Japanese typography by AQ writes](https://medium.com/aq-writes/seven-rules-for-perfect-japanese-typography-c377fbf49d5#.edl93wxeq)

**日本語タイポグラフィにおける7つのルール**

英文におけるタイポグラフィに関する記事はたくさんあるが、日本語となると中々見かけない。このAQによる記事は、その珍しい日本語におけるタイポグラフィの記事。読んでおいて決して損はしない。

### [Progressive Web Apps with React.js](https://medium.com/@addyosmani/progressive-web-apps-with-react-js-part-i-introduction-50679aef2b12#.ufdfsiy2f)

**React.jsを使ったPWA**

Addy Osmani氏によるReact.jsを使ってのProgressive Web Appsの作り方詳解。  
現時点でパート3まで続く大作なだけに、コードサンプルも多く参考になる。

- **パート2**: [Page Load Performance](https://medium.com/@addyosmani/progressive-web-apps-with-react-js-part-2-page-load-performance-33b932d97cf2#.p9773vcb9)
- **パート3**: [Offline support and network resilience](https://medium.com/@addyosmani/progressive-web-apps-with-react-js-part-3-offline-support-and-network-resilience-c84db889162c#.4gei9gwmg)

### [Embracing Constraint with CSS Modules by cartogram](https://medium.com/cartogram/embracing-constraint-with-css-modules-89ba3bbcb95d#.3e7tjvmex)

**CSS Modulesが持つ制限を知る**

CSS Modulesが解決してくれる問題は多くある。その代わりにCSS Modulesにも制限は存在する。実際にプロダクション下でCSS Modulesを使ったケーススタディを元に、その制限とその制限を上手く使った活用法について紹介。

### [Why we use progressive enhancement to build GOV.UK by Technology at GDS](https://gdstechnology.blog.gov.uk/2016/09/19/why-we-use-progressive-enhancement-to-build-gov-uk/)

**GOV.UKでプログレッシブ・エンハンスメントを採用した理由**

現在のフロントエンド開発においてプログレッシブ・エンハンスメントは『時代遅れ』に分類されてしまう傾向にある。GOV.UKはそのプログレッシブ・エンハンスメントに乗っ取って開発がされている。その理由となるプログレッシブ・エンハンスメントの価値について紹介。

### [Top-level `await` is a footgun](https://gist.github.com/Rich-Harris/0b6f317657f5167663b493c722647221)

**awaitが頭痛のタネになるタイミング**

`await`がトップレベルで利用できるようになると、ネットワークに依存する状況が生まれてしまうのでは。という疑問について。今後の仕様がどうなっていくかにもよるが、知っておいても損はしないトップレベルでの`await`の落とし穴について。

## Slides

### [CSS for Decoration by Razvan Caliman](http://razvancaliman.com/css-for-decoration/#/)

CSSの本分は”見た目”を操作すること。そんな本分を思い出させてくれるスライド。CSSを駆使して、様々なデザインを実現するためのコード例集。

## Books

### [Inclusive Design Patterns by Heydon Pickering](https://www.smashingmagazine.com/2016/06/inclusive-design-patterns/)

Heydon Pickering氏によるアクセシビリティの実践本。プレリリース期が終わり、ebookでの販売が開始。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**SVG Authoring Guide**](http://w3c.github.io/svgwg/specs/svg-authoring/): W3CによるSVGのオーサリングガイド。
* [**Why and How to Test Your Pattern Library – Part 1: Testing Strategy**](https://tinnedfruit.com/2016/09/12/why-and-how-to-test-your-pattern-library.html): スタイルガイドをテストする方法について。
* [**A Redesign with CSS Shapes by An A List Apart**](http://alistapart.com/article/redesign-with-css-shapes): CSSシェイプを使った新しいデザインアプローチ。
* [**Your Body Text Is Too Small**](https://medium.com/@xtianmiller/your-body-text-is-too-small-5e02d36dc902#.bflmoqxol): 本文のフォントサイズの大きさは十分だろうか?
* [**Web development as a hack of hacks by QuirksBlog**](http://www.quirksmode.org/blog/archives/2016/09/web_development.html): ウェブ開発はハックである。