---
date: 2016-11-02
title: Frontend Weekly Vol.94
description: デザイン批評、クリエイティブなCSSセレクタ、ほか計13リンク
---

# Frontend Weekly Vol.94

## Headlines

### [Running productive design critiques by Inside Intercom](https://blog.intercom.com/running-productive-design-critiques/)

**生産的なデザイン評価を行う際に知っておきたいこと**

デザインの評価は最近よく見かけるようになったトピックの1つ。素晴らしいデザイナーを多く抱えるIntercomではどんな風に評価を行っているのか。実践的かつ生産的なデザイン評価について。

### [Using CSS Mod Queries with Range Selectors by An A List Apart](http://alistapart.com/article/using-css-mod-queries-with-range-selectors)

**レンジセレクタを使ったモジュロ演算クエリ**

記事一覧のようなシンプルなリストを、アイテムの数に応じてきれいなグリッドでレイアウトしたいケースはよくある。疑似クラス、モジュロ（剰余演算）を用い、アイテムの範囲でスタイルを指定する例を解説。Sassのmixin例も紹介しているので、知っておいて損はなさそう。

### [Understanding the SVG viewBox](http://thenewcode.com/1151/Understanding-the-SVG-viewBox)

**SVG viewBoxについて**

わかったつもり、になりがちなSVGのviewBox属性について。説明を読みながら手元にあるSVGファイルを編集していくと、理論的にも感覚的にも覚えやすい。
この記事は丁寧に解説してくれているので、非常にわかりやすい。

### [Accessibility issues are user experience issues by Lee Jordan](http://www.lendmeyourear.net/accessibility-issues-are-user-experience-issues.html)

**アクセシビリティの問題はユーザ体験のそれと同じ**

アクセシビリティを当たり前にするためにも必要な記事。この記事ではいくつかのサイトでのアクセシビリティにおける問題点が、サイトそのものを利用しづらく、あるいはできなくしてしまっている実例を挙げている。

### [Node v7 で入った WHATWG URL 実装について by blog.jxck.io](https://blog.jxck.io/entries/2016-10-27/whatwg-url.html)

先日公開されたNode V7.0.0で実験的に実装されたWHATWG URLモジュールについてのJxck氏の解説。そもそもWHATWG URLが作られた経緯や、使い方が分かりやすく書かれている。

### [Designing Grids by Zell Liew](https://zellwk.com/blog/designing-grids/)

**グリッドをデザインし利用することについて**

グリッドの存在価値について、ではもちろんなく、この記事ではカラムの数は何個にするべきなのか、カラムはすべて同じサイズであるべきか、カラム間のスペースは、など細かい部分について詳しく紹介している。これからグリッドを作る人は必見。

### [What is the difference between CSS variables and preprocessor variables? by CSS-Tricks](https://css-tricks.com/difference-between-types-of-css-variables/)

**CSSとプリプロセッサの変数の違いについて**

プリプロセッサに変数があるから、CSSの変数の利用価値がないのではないか、と思うかもしれない。ネイティブに実装されるCSSの変数はもちろん基本的にはプリプロセッサのそれと同じだが、大きく異なる部分もある。記事ではその差異や両者を組み合わせて利用する方法などについて紹介。

## Announcement

### [Slack for Frontend Weekly (PR)](https://studiomohawk.typeform.com/to/Kj8Gaj)

Frontend Weeklyの『実験的』Slackコミュニティに興味がある方は、こちらから招待をリクエストしてください。 週次で50人くらいずつ招待をして行くつもりです。

## In Brief

* [**NPM vs Yarn Cheat Sheet**](https://shift.infinite.red/npm-vs-yarn-cheat-sheet-8755b092e5cc#.t55tvafsn): NPMとYarnの違いチートシート
* [**超詳解！Service Worker Deep Dive ── HTML5 Conference 2016セッションレポート by HTML5Experts.jp**](https://html5experts.jp/horo/21360/): Chromeの中の人によるService Workerの解説
* [**Automating browser tests in CircleCI**](https://engineering.haus.com/automating-browser-tests-in-circleci-43b25116d087#.vc6gnumft): CircleCIを使った自動E2Eテスト手法について
* [**Interaction Design is dead. What now?**](https://blog.prototypr.io/interaction-design-is-dead-what-now-db09d77cadae?ref=uxdesignweekly#.vyjaewsyi): インタラクション・デザインの終焉。その先にあるもの。
* [**Grid layout is a much needed step-change for CSS by Matt Hinchliffe**](http://maketea.co.uk/2016/09/28/css-grid-layout-is-a-step-change.html): CSS Gridがもたらす新しい世界観
* [**Debunked: 10 Misconceptions about AMP by The Sea of Ideas**](https://paulbakaus.com/2016/10/13/debunked-10-misconceptions-about-amp/):　AMPに関する10の勘違いについて
